// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Contains the specifications for limiting the number of items returned by a find request. Use <b class="con">itemFilter</b> to specify name/value pairs. You can include multiple item filters in a single request.
 
 
 @ingroup FindingServicePortType
*/
@interface Finding_ItemFilter : NSObject <PicoBindable> {

@private
    NSString *_paramName;
    NSString *_paramValue;
    NSString *_name;
    NSMutableArray *_value;
    NSString *_delimiter;
    NSMutableArray *_any;

}


/**
 
 In addition to filter Name/Value pairs, some itemFilters use an
 additional parameter Name/Value pair. Specifically, filters that use
 currency values (MaxPrice and MinPrice) make use of addition parameters.
 When you use these itemFilters, set paramName to Currency and provide the
 currency ID in paramValue.
 <br><br>
 For example, if you use the MaxPrice itemFilter, you will need to specify
 a parameter Name of Currency with a parameter Value that specifies the
 type of currency desired.
 <br><br>
 Note that for MaxPrice and MinPrice itemFilters, the default value for
 paramName is Currency.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *paramName;

/**
 
 The currency value associated with the respective itemFilter parameter
 Name.
 <br><br>
 Usually paramName is set to Currency and paramValue is set to the
 currency type in which the monetary transaction occurs.
 <br><br>
 Note that for MaxPrice and MinPrice itemFilters, the default value for
 paramValue is USD.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *paramValue;

/**
 
 Specify the name of the item filter you want to use. The itemFilter name
 must have a corresponding value. You can apply multiple itemFilter
 Name/Value pairs in a single request.
 
 
 type: string constant in Finding_ItemFilterType.h
*/
@property (nonatomic, retain) NSString *name;

/**
 
 The value associated with the respective item filter name. Allowed values
 and datatypes vary for a given filter name.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *value;

/**
 (public property)
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *delimiter;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
