// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Shopping_AbstractRequestType.h"



/**
 
 Retrieves the words most frequently used by eBay users when searching for listings.
 These keywords are generated weekly by eBay. Thus, calls retrieve static data.
 FindPopularSearches is not available for the following sites: FR, HK, MY, PH, PL, SG, SE.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_FindPopularSearchesRequestType : Shopping_AbstractRequestType {

@private
    NSMutableArray *_categoryID;
    NSMutableArray *_queryKeywords;
    NSNumber *_maxKeywords;
    NSNumber *_maxResultsPerPage;
    NSNumber *_pageNumber;
    NSNumber *_includeChildCategories;

}


/**
 
 Specify CategoryID to restrict your query to a specific category.
 Up to 10 categories may be specified.
 If you are using URL parameters, and you want to specify
 multiple values, use a comma.
 For example, if you want to specify Fiction Books and
 Children's Books, specify CategoryID=377,279.
 <br>
 <br>
 If the specified category ID doesn't match an existing category
 for the site, an invalid-category error message is returned.
 To determine valid categories:<br>
 Use <b>findItemsAdvanced</b> from the <a href="http://www.developer.ebay.com/DevZone/finding/CallRef/index.html">Finding API</a> with CategoryHistogram value in the OutputSelector field 
 to retrieve matching categories. Then make another
 <b>findItemsAdvanced</b> call with the ID of a matching category.
 <br>
 <br>
 CategoryID can be used in combination with QueryKeywords and IncludeChildCategories.
 When IncludeChildCategories is 'true' and used in conjunction with CategoryID,
 one and only one CategoryID is allowed. Otherwise, up
 to 10 CategoryIDs are allowed.
 To retrieve the most popular keywords for a root category, set one of
 the CategoryIDs to -1, or do not include CategoryID in the Request.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *categoryID;

/**
 
 This field allows the user to specify one or more search terms, and then
 retrieve up to five related search terms and up to five alternative search
 terms. If you are using URL parameters, use the "%20" URL encoding to represent 
 a space. For example, use
 Harry%20Potter to search for items containing these words in any order. 
 <br>
 <br>
 QueryKeywords can be used in combination with CategoryID and IncludeChildCategories.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *queryKeywords;

/**
 
 The maximum number of keywords to be retrieved per category
 for this call.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *maxKeywords;

/**
 
 Specifies the maximum number of PopularSearchResults per page in
 the returned list. If not specified, the default returns 20 results per page.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *maxResultsPerPage;

/**
 
 Specifies the number of the page of data to return in the current call.
 Specify a positive value equal to or lower than the number of pages
 available (which you determine by examining the results of your initial request).
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pageNumber;

/**
 
 If true, only one CategoryID can be specified, and keywords
 are returned for that category and its subcategories.
 When IncludeChildCategories is true and used in conjunction with
 CategoryID, one and only one CategoryID is allowed.
 <br>
 <br>
 If false, keywords are returned only for the categories
 identified by CategoryID. The default is false.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *includeChildCategories;


@end
