// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Shopping_AbstractResponseType.h"


@class Shopping_ProductIDType;
@class Shopping_ReviewDetailsType;
@class Shopping_BuyingGuideDetailsType;

/**
 
 Find reviews and guides response type.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_FindReviewsAndGuidesResponseType : Shopping_AbstractResponseType {

@private
    NSNumber *_reviewCount;
    NSNumber *_buyingGuideCount;
    NSNumber *_reviewerRank;
    NSNumber *_totalHelpfulnessVotes;
    Shopping_ProductIDType *_productID;
    NSString *_reviewsAndGuidesURL;
    NSNumber *_pageNumber;
    NSNumber *_totalPages;
    Shopping_BuyingGuideDetailsType *_buyingGuideDetails;
    Shopping_ReviewDetailsType *_reviewDetails;
    NSNumber *_positiveHelpfulnessVotes;

}


/**
 
 Number of returned reviews.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *reviewCount;

/**
 
 Number of returned buying guides.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *buyingGuideCount;

/**
 
 Rank of reviewer if using user search.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *reviewerRank;

/**
 
 Number of helpfulness votes if using user search.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *totalHelpfulnessVotes;

/**
 
 The eBay or external IDs associated with the product. 
 Use the Reference value as input to search for the same product 
 in the future, or use the ISBN, EAN, or UPC value (if returned).
 The ISBN, EAN, and UPC values can also be useful as keys if your
 application is comparing products across different sites. Always
 returned when Product is returned. 
 
 
 type : class Shopping_ProductIDType
*/
@property (nonatomic, retain) Shopping_ProductIDType *productID;

/**
 
 URL to the reviews and guides page.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *reviewsAndGuidesURL;

/**
 
 The number of the page of data returned. If many products
 are found and multiple pages of results are available, use
 this in combination with TotalPages to decide
 which page to retrieve next. As FindProducts only returns
 up to 2000 products, the maximum possible value is theoretically
 2000 (if you were to set MaxResultsPerPage to 1 in the request).
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pageNumber;

/**
 
 Indicates the total number of pages of data
 that could be returned by repeated requests. Returned with a
 value of 0 if no pages are available.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *totalPages;

/**
 
 Contains information for up to 5 buying guides that match the
 query. Buying guides provide useful information about shopping
 in a particular domain, like Digital Cameras.
 For example, a digital camera buying guide
 could help a buyer determine what kind of digital camera
 is right for them.
 If no buying guides are associated with the product, this only
 returns a link to the buying guide hub (the main Guides page).
 Count limited by MaxResultsPerPage in request.
 
 
 type : class Shopping_BuyingGuideDetailsType
*/
@property (nonatomic, retain) Shopping_BuyingGuideDetailsType *buyingGuideDetails;

/**
 
 Contains information about review details. Count limited by MaxResultsPerPage in request.
 
 
 type : class Shopping_ReviewDetailsType
*/
@property (nonatomic, retain) Shopping_ReviewDetailsType *reviewDetails;

/**
 
 Number of helpfulness votes if using user search.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *positiveHelpfulnessVotes;


@end
