// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Contains search word information, as it is related to a category.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_PopularSearchesType : NSObject <PicoBindable> {

@private
    NSString *_categoryID;
    NSString *_categoryParentID;
    NSString *_queryKeywords;
    NSString *_alternativeSearches;
    NSString *_relatedSearches;
    NSString *_categoryName;
    NSString *_categoryParentName;
    NSMutableArray *_any;

}


/**
 
 Numeric ID of a category on eBay.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *categoryID;

/**
 
 Category ID identifying a category that is the parent category
 of the category indicated in the request.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *categoryParentID;

/**
 
 Specifies which QueryKeywords corresponds to this PopularSearchResult.
 Query Keywords are returned in the output to clarify which result set corresponds to
 which QueryKeyword inputs (as there can be more than one set of keywords in the input).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *queryKeywords;

/**
 
 Alternative search keywords for the query keywords, separated by semicolons.
 You can use this to find other search terms buyers and sellers may be interested in.
 For example, if a seller lists an item with "wedding" in the title, they may also be
 interested in adding "bridal" to the title because bridal is an alternative search
 keyword which buyers have used.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *alternativeSearches;

/**
 
 Keywords related to the query keywords, separated by semicolons.
 You can use this to find more detailed related keywords.  For example,
 the query keyword "wedding" is related to searches for
 "wedding decorations;wedding favors;wedding supplies;wedding dresses..." which helps
 the seller and buyer specify their query with more detail and precision.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *relatedSearches;

/**
 
 Category Name identifying the name of current CategoryID.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *categoryName;

/**
 
 The name of category which is a parent category to the CategoryID
 specified in the request.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *categoryParentName;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
