// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>

/**
 @file
 
 These codes indicate the current state or status of a an eBay
 user account.
 
 
 @ingroup ShoppingInterface
*/

/**
 
 (out) User properties have never been set; this value should
 seldom, if ever, be returned and typically represents a
 problem
 
*/
extern NSString *const Shopping_UserStatusCodeType_UNKNOWN;

/**
 
 (out) User has been suspended from selling and buying, such as
 for violations of eBay terms or agreement
 
*/
extern NSString *const Shopping_UserStatusCodeType_SUSPENDED;

/**
 
 (out) User has completed online registration and has properly
 responded to confirmation email; most users should fall
 in this category
 
*/
extern NSString *const Shopping_UserStatusCodeType_CONFIRMED;

/**
 
 (out) User has completed online registration, but has either
 not responded to confirmation email or has not yet been
 sent the confirmation email
 
*/
extern NSString *const Shopping_UserStatusCodeType_UNCONFIRMED;

/**
 
 (out) Registered users of AuctionWeb (pre-eBay) who never
 re-registered on eBay
 
*/
extern NSString *const Shopping_UserStatusCodeType_GHOST;

/**
 
 (out) Temporary user record state indicating the record is in
 the process of being changed by eBay; query user
 information again to get new status
 
*/
extern NSString *const Shopping_UserStatusCodeType_IN_MAINTENANCE;

/**
 
 (out) Records for the specified user have been deleted
 
*/
extern NSString *const Shopping_UserStatusCodeType_DELETED;

/**
 
 (out) User has completed registration and confirmation, but is
 pending a verification of credit card information
 
*/
extern NSString *const Shopping_UserStatusCodeType_CREDIT_CARD_VERIFY;

/**
 
 (out) User's account is on hold, such as for non-payment of
 amounts due eBay; user cannot sell or buy items
 
*/
extern NSString *const Shopping_UserStatusCodeType_ACCOUNT_ON_HOLD;

/**
 
 (out) User record has been merged with another account record
 for the same user
 
*/
extern NSString *const Shopping_UserStatusCodeType_MERGED;

/**
 
 (out) User has completed online registration and has been sent
 the confirmation email, but has not yet responded to the
 confirmation email
 
*/
extern NSString *const Shopping_UserStatusCodeType_REGISTRATION_CODE_MAIL_OUT;

/**
 
 (out) User has been scheduled for account closure (typically
 when a user has requested to have their account closed)
 A user in this state should not be considered an active
 user
 
*/
extern NSString *const Shopping_UserStatusCodeType_TERM_PENDING;

/**
 
 (out) User has completed the registration for Half.com and opted
 to automatically also be registered with eBay, but the
 registration confirmation is still pending
 
*/
extern NSString *const Shopping_UserStatusCodeType_UNCONFIRMED_HALF_OPT_IN;

/**
 
 (out) User has completed the registration for Half.com and opted
 to automatically also be registered with eBay, but the
 verification of credit card information is still pending
 
*/
extern NSString *const Shopping_UserStatusCodeType_CREDIT_CARD_VERIFY_HALF_OPT_IN;

/**
 
 (out) Half.com User; user has completed the registration for Half.com
 and opted to automatically also be registered with eBay, but the
 registration confirmation is still pending
 
*/
extern NSString *const Shopping_UserStatusCodeType_UNCONFIRMED_EXPRESS;

/**
 
   (out) Reserved for internal or future use
 
*/
extern NSString *const Shopping_UserStatusCodeType_CUSTOM_CODE;
