// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Contains the data for an eBay user's address. This is the base type for a
 number of user addresses, including seller payment address, buyer
 shipping address and buyer and seller registration address.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_AddressType : NSObject <PicoBindable> {

@private
    NSString *_name;
    NSString *_street;
    NSString *_street1;
    NSString *_street2;
    NSString *_cityName;
    NSString *_county;
    NSString *_stateOrProvince;
    NSString *_country;
    NSString *_countryName;
    NSString *_phone;
    NSString *_phoneCountryCode;
    NSString *_phoneCountryPrefix;
    NSString *_phoneAreaOrCityCode;
    NSString *_phoneLocalNumber;
    NSString *_phone2CountryCode;
    NSString *_phone2CountryPrefix;
    NSString *_phone2AreaOrCityCode;
    NSString *_phone2LocalNumber;
    NSString *_postalCode;
    NSString *_addressID;
    NSString *_addressOwner;
    NSString *_addressStatus;
    NSString *_externalAddressID;
    NSString *_internationalName;
    NSString *_internationalStateAndCity;
    NSString *_internationalStreet;
    NSString *_companyName;
    NSString *_addressRecordType;
    NSString *_firstName;
    NSString *_lastName;
    NSString *_phone2;
    NSString *_addressUsage;
    NSString *_referenceID;
    NSMutableArray *_any;

}


/**
 
 User's name for the address.
 Also applicable to Half.com (for GetOrders).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *name;

/**
 
 A concatenation of Street1 and Street2, primarily for RegistrationAddress.
 Not applicable to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *street;

/**
 
 Line 1 of the user's street address.
 Also applicable to Half.com (for GetOrders).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *street1;

/**
 
 Line 2 of the user's address (such as an apartment number).
 Returned if the user specified a second street value for their address.
 Also applicable to Half.com (for GetOrders).<br>
 In case of Item.SellerContactDetails, Street2 can be used to provide City, Address, State, and Zip code (if applicable).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *street2;

/**
 
 The name of the user's city.
 Also applicable to Half.com (for GetOrders).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *cityName;

/**
 
 County information for the user.
 This field applies to Classified Ad format listings and to the UK only.
 Not applicable to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *county;

/**
 
 The region of the user's address.
 Also applicable to Half.com (for GetOrders).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *stateOrProvince;

/**
 
 The two-digit code representing the country of the user.<br>
 <br>
 If not provided as input for GetCart or SetCart, eBay uses the country associated
 with the SiteID in effect when the call is made.<br>
 <br>
 For a Global Shipping Program order, GetSellerList returns the country code of the buyer, not the international shipping provider.<br>
 <br>
 Also applicable to Half.com (for GetOrders).
 
 
 type: string constant in Trading_CountryCodeType.h
*/
@property (nonatomic, retain) NSString *country;

/**
 
 The name of the user's country.
 Also applicable to Half.com (for GetOrders).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *countryName;

/**
 
 User's primary phone number. This may return a value of
 "Invalid Request" if you are not authorized to see the
 user's phone number.
 <br/><br/>
 In the US, the area code (3 digits), the prefix (3 digits), the line number (4
 digits), and phone extension (if specified by the user) are returned in this field.
 The extension can be one or more digits. Non-breaking spaces are used as delimiters
 between these phone number components.
 <br/><br/>
 Also applicable to Half.com (for GetOrders).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *phone;

/**
 
 Standard ISO code for the country of the user's primay telephone phone number.
 For Classifed Ad format listings, this code is used to look up the country's
 international calling prefix. Both the ISO code and country phone prefix are
 stored with listings of this type.
 This field applies to Classified Ad format listings only.
 
 
 type: string constant in Trading_CountryCodeType.h
*/
@property (nonatomic, retain) NSString *phoneCountryCode;

/**
 
 Country Prefix of the secondary phone number. This value is derived from
 inputs supplied for PhoneCountryCode.
 This field applies to Classified Ad format listings only.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *phoneCountryPrefix;

/**
 
 Area or City Code of a user's primary phone number.
 This field applies to Classified Ad format listings only.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *phoneAreaOrCityCode;

/**
 
 The local number portion of the user's primary phone number.
 This field applies to Classified Ad format listings only.
 <br>
 <b>Note:</b> The full primary phone number is constructed by
 combining PhoneLocalNumber with PhoneAreaOrCityCode and PhoneCountryPrefix.
 Starting with API release 497, the full phone number can be entered in
 PhoneLocalNumber. Refer to the release notes for additional information.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *phoneLocalNumber;

/**
 
 Standard ISO code for the country of a user's secondary telephone phone
 number. For Classifed Ad format listings, this code is used to look up the
 country's international calling prefix. Both the ISO code and country phone
 prefix are stored with listings of this type.
 This field applies to Classified Ad format listings only.
 
 
 type: string constant in Trading_CountryCodeType.h
*/
@property (nonatomic, retain) NSString *phone2CountryCode;

/**
 
 Country prefix of a user's secondary phone number. This value is derived from
 inputs supplied for Phone2CountryCode.
 This field applies to Classified Ad format listings only.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *phone2CountryPrefix;

/**
 
 Area or City Code of a user's secondary phone number.
 This field applies to Classified Ad format listings only.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *phone2AreaOrCityCode;

/**
 
 The local number portion of the user's secondary phone number.
 This field applies to Classified Ad format listings only.
 <br>
 <b>Note:</b> The full secondary phone number is constructed by
 combining Phone2LocalNumber with Phone2AreaOrCityCode and Phone2CountryPrefix.
 Starting with API release 497, the full phone number can be entered in
 Phone2LocalNumber. Refer to the release notes for additional information.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *phone2LocalNumber;

/**
 
 User's postal code.<br>
 <br>
 If not provided as input for GetCart or SetCart, eBay uses the country associated
 with the SiteID in effect when the call is made.<br>
 <br>
 For a Global Shipping Program order, GetSellerList and GetMyeBaySelling return the postal code of the buyer, not that of the international shipping provider.<br>
 <br>
 Also applicable to Half.com (for GetOrders).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *postalCode;

/**
 
 Unique ID for a user's address in the eBay database.
 This value can help prevent the need to
 store an address multiple times across multiple orders.
 The ID changes if a user changes their address.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *addressID;

/**
 
 The realm to which the address belongs (e.g. eBay vs PayPal).
 For GetOrders, applies only to Half.com.
 
 
 type: string constant in Trading_AddressOwnerCodeType.h
*/
@property (nonatomic, retain) NSString *addressOwner;

/**
 
 PayPal address status.
 Not applicable to Half.com.
 
 
 type: string constant in Trading_AddressStatusCodeType.h
*/
@property (nonatomic, retain) NSString *addressStatus;

/**
 
 ID assigned to the address by the address owner, e.g. by the PayPal system.
 Currently, the ExternalAddressID only applies for a customer address in the PayPal system.
 The ID changes if a user changes their address.
 Also see the AddressOwner field.
 The ExternalAddressID value also is applicable to Half.com (for GetOrders).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *externalAddressID;

/**
 
 Seller's international name that is associated with the payment address.
 Only applicable to SellerPaymentAddress.
 Not applicable to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *internationalName;

/**
 
 International state and city for the seller's payment address.
 Only applicable to SellerPaymentAddress.
 Not applicable to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *internationalStateAndCity;

/**
 
 Seller's international street address that is associated with the payment address.
 Only applicable to SellerPaymentAddress.
 Not applicable to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *internationalStreet;

/**
 
 User's company name. Only returned if available.
 Not applicable to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *companyName;

/**
 
 Indicates the nature of the address (e.g., residential or business).
 Not applicable to Half.com.
 
 
 type: string constant in Trading_AddressRecordTypeCodeType.h
*/
@property (nonatomic, retain) NSString *addressRecordType;

/**
 
 Displays the first name of the seller (in a business card
 format) if the seller's SellerBusinessCodeType is set to
 'Commercial'.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *firstName;

/**
 
 Displays the last name of the seller (in a business card
 format) if the seller's SellerBusinessCodeType is set to
 'Commercial'.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *lastName;

/**
 
 Secondary Phone number of the lead. Not returned if information is unavailable.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *phone2;

/**
 
 This tag tells whether current address is a default shipping address or one of the shipping addresses in address book.
 
 
 type: string constant in Trading_AddressUsageCodeType.h
*/
@property (nonatomic, retain) NSString *addressUsage;

/**
 
 Uniquely identifies an order shipped using the Global Shipping Program. This value is generated by eBay when the order is completed. The international shipping provider uses the ReferenceID as the primary reference when processing the shipment. Sellers must include this value on the package immediately above the street address of the international shipping provider.
 <br/><br/>
 Example: "Reference #1234567890123456"
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *referenceID;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
