// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 An eBay-defined complex type for specifying monetary amounts.
 <br><br>
 A double value (e.g., 1.00 or 1.0) is meaningful as a monetary amount when accompanied by a specification of the currency, in which case the value specifies the amount in that currency. An AmountType expresses both the value (a double) and the currency.
 <br><br>
 The AmountType data type is typically used to specify details such as prices, fees, costs, and payments. In some cases, a whole number (i.e., without a period) can be passed or returned as a monetary value. This is necessary to support certain currencies that are only expressed as whole numbers (like the Italian Lira and Spanish Peseta).
 <br><br>
 Because a double is used to represent the amount, this also means whole monetary amounts may be returned with only one 0 after the decimal. For example, a dollar value could be returned as 1.0 instead of 1.00 in calls like AddItem. For fields of type AmountType, see the individual topics for specific restrictions beyond this.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_AmountType : NSObject <PicoBindable> {

@private
    NSNumber *_value;
    NSString *_currencyID;

}


/**
 (public property)
 
 type : NSNumber, wrapper for primitive double
*/
@property (nonatomic, retain) NSNumber *value;

/**
 (public property)
 
 type: string constant in Trading_CurrencyCodeType.h
*/
@property (nonatomic, retain) NSString *currencyID;


@end
