// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Contains detailed information about a bid.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_BiddingDetailsType : NSObject <PicoBindable> {

@private
    Trading_AmountType *_convertedMaxBid;
    Trading_AmountType *_maxBid;
    NSNumber *_quantityBid;
    NSNumber *_quantityWon;
    NSNumber *_winning;
    NSNumber *_bidAssistant;
    NSMutableArray *_any;

}


/**
 
 Converted value of the amount in MaxBidAmount, in the currency
 indicated by SiteCurrency.
 For active items, refresh the listing's data every 24 hours to
 pick up the current conversion rates. Under conditions where this
 value would be inapplicable on the eBay site, this element is not returned
 at all.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *convertedMaxBid;

/**
 
 Indicates the maximum amount the user has agreed to pay for the item when the
 user last submitted a bid. Under conditions where this value would be
 N/A on the eBay site, this element is not returned at all.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *maxBid;

/**
 
 Number of items from the listing the user agreed to purchase with a bid. For
 single-item listings, always 1. For multi-item (Dutch) listings, the value will be
 between 1 and the number of items offered in the auction, indicating the
 number of items purchased so far.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 As of version 619, Dutch-style (multi-item) competitive-bid auctions are deprecated.
 eBay throws an error if you submit a Dutch item listing with AddItem
 or VerifyAddItem. If you use RelistItem to update a Dutch auction listing,
 eBay generates a warning and resets the Quantity value to 1.
 </span>
 <br>
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *quantityBid;

/**
 
 Used mainly for multi-item auctions (Dutch). For an active listing, indicates the
 number of items the user stands to win if their bid wins. For a listing that has
 ended, indicates the number of items the user actually won. In both cases, the number
 may be less than that returned in QuantityBid, the user with the lowest winning bid in
 a Dutch auction might not win all the items on which they bid.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 As of version 619, Dutch-style (multi-item) competitive-bid auctions are deprecated.
 eBay throws an error if you submit a Dutch item listing with AddItem
 or VerifyAddItem. If you use RelistItem to update a Dutch auction listing,
 eBay generates a warning and resets the Quantity value to 1.
 </span>
 <br>
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *quantityWon;

/**
 
 (GetMyeBay only) Indicates whether the user is the current
 high bidder in a currently active listing.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *winning;

/**
 
 The Bid Assistant feature is retired, and this field is scheduled to
 be removed from BiddingDetailsType.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *bidAssistant;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
