// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_ItemBidDetailsType;

/**
 
 Contains bidding summary information for the bidder of an item.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_BiddingSummaryType : NSObject <PicoBindable> {

@private
    NSNumber *_summaryDays;
    NSNumber *_totalBids;
    NSNumber *_bidActivityWithSeller;
    NSNumber *_bidsToUniqueSellers;
    NSNumber *_bidsToUniqueCategories;
    NSNumber *_bidRetractions;
    NSMutableArray *_itemBidDetails;
    NSMutableArray *_any;

}


/**
 
 The number of days included in the summary. Currently always
 set to 30 days.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *summaryDays;

/**
 
 The total number of bids that the bidder has placed.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *totalBids;

/**
 
 Percentage of the bidder's total bids that the bidder
 placed on items that the seller is offering.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *bidActivityWithSeller;

/**
 
 Number of unique sellers whose items the bidder has placed
 bids on.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *bidsToUniqueSellers;

/**
 
 For items that the bidder has bid on, the number of unique
 categories that they belong to.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *bidsToUniqueCategories;

/**
 
 The total number of bids that the bidder has retracted.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *bidRetractions;

/**
 
 Detail bidding information on the items that the bidder has
 bid on.
 
 
 entry type : class Trading_ItemBidDetailsType
*/

@property (nonatomic, retain) NSMutableArray *itemBidDetails;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
