// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AddressType;
@class Trading_VATDetailsType;

/**
 
   Displays the seller's information (in a business card format)
   as part of the data returned in the GetItem call if the seller's SellerBusinessCodeType is set to 'Commercial'. Note that this
   option is only available for sites that have Business Seller
   options enabled.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_BusinessSellerDetailsType : NSObject <PicoBindable> {

@private
    Trading_AddressType *_address;
    NSString *_fax;
    NSString *_email;
    NSString *_additionalContactInformation;
    NSString *_tradeRegistrationNumber;
    NSNumber *_legalInvoice;
    NSString *_termsAndConditions;
    Trading_VATDetailsType *_vatDetails;
    NSMutableArray *_any;

}


/**
 
 Displays the Address of the seller (in a business card
 format) as part of the data returned in the GetItem
 call if the seller's SellerBusinessCodeType is set
 to 'Commercial'.
 
 
 type : class Trading_AddressType
*/
@property (nonatomic, retain) Trading_AddressType *address;

/**
 
 Displays the fax number of the seller (in a business
 card format) as part of the data returned in the
 GetItem call if the seller's SellerBusinessCodeType
 is set to 'Commercial'.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *fax;

/**
 
 Displays the email address of the seller (in a business
 card format) as part of the data returned in the GetItem
 call if the seller's SellerBusinessCodeType is set to
 'Commercial'.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *email;

/**
 
 Displays the AdditionalContactInformation of the seller
 (in a business card format) as part of the data returned
 in the GetItem call if the seller's SellerBusinessCodeType
 is set to 'Commercial'.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *additionalContactInformation;

/**
 
 Displays the TradeRegistrationNumber of the seller (in a business
 card format) as part of the data returned in the GetItem call if
 the seller's SellerBusinessCodeType is set to 'Commercial'.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *tradeRegistrationNumber;

/**
 
 Displays the LegalInvoice of the seller (in a business
 card format) as part of the data returned in the GetItem
 call if the seller's SellerBusinessCodeType is set to
 'Commercial'.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *legalInvoice;

/**
 
 Displays the TermsAndConditions of the seller (in a business
 card format) as part of the data returned in the GetItem
 call if the seller's SellerBusinessCodeType is set to
 'Commercial'.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *termsAndConditions;

/**
 
 Displays the VATDetails of the seller (in a business
 card format) as part of the data returned in the
 GetItem call if the seller's SellerBusinessCodeType
 is set to 'Commercial'.
 
 
 type : class Trading_VATDetailsType
*/
@property (nonatomic, retain) Trading_VATDetailsType *vatDetails;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
