// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Contains the data for primary and secondary contact hours for a given eBay user.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ContactHoursDetailsType : NSObject <PicoBindable> {

@private
    NSString *_timeZoneID;
    NSString *_hours1Days;
    NSNumber *_hours1AnyTime;
    NSDate *_hours1From;
    NSDate *_hours1To;
    NSString *_hours2Days;
    NSNumber *_hours2AnyTime;
    NSDate *_hours2From;
    NSDate *_hours2To;
    NSMutableArray *_any;

}


/**
 
 Indicates the local time zone of the values provided for Hours1From/Hours1To
 and Hours2From/Hours2To. If you specify a contact hours time range with
 Hours1From and Hours1To, you must provide a local time zone.
 To retrieve a complete list of the TimeZoneID values
 supported by eBay, call <b>GeteBayDetails</b> with <b>DetailName</b>
 set to <b>TimeZoneDetails</b>.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *timeZoneID;

/**
 
 Indicates the range of days for which the primary contact hours
 specified by Hours1AnyTime or Hours1From and Hours1To apply.
 If a value of None is provided for this field, the values provided for
 Hours1AnyTime, Hours1From, Hours1To are ignored.
 
 
 type: string constant in Trading_DaysCodeType.h
*/
@property (nonatomic, retain) NSString *hours1Days;

/**
 
 Indicates whether or not a user is available to be contacted 24 hours a day
 during the range of days specified using the Hours1Days element.
 True indicates the user is available 24 hours a day, false indicates otherwise.
 In the case of this field being true, all values provided for Hours1From and
 Hours1To will be ignored.  In the case of this field being false,
 the values provided Hours1From and Hours1To will be considered.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *hours1AnyTime;

/**
 
 Indicates the starting time of day this eBay user is available for other eBay
 members to contact for the range of days specified using Hours1Days.
 Enter times in 30 minute increments from the top of the hour. That is, enter
 values either on the hour (:00) or 30 minutes past the hour (:30).
 Other values will be will be rounded down to the next closest 30 minute
 increment. Times entered should be local to the value provided for TimeZoneID.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *hours1From;

/**
 
 Indicates the ending time of day this eBay user is available for other eBay
 members to contact them for the range of days specified using Hours1Days.
 Enter times in 30 minute increments from the top of the hour. That is, enter
 values either on the hour (:00) or 30 minutes past the hour (:30).
 Other values will be will be rounded down to the next closest 30 minute
 increment. Times entered should be local to the value provided for TimeZoneID.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *hours1To;

/**
 
 Indicates the range of days for which the secondary contact hours
 specified by Hours2AnyTime or Hours2From and Hours2To apply.
 If a value of None is provided for this field, the values provided for
 Hours2AnyTime, Hours2From, Hours2To are ignored.
 <br>
 <b>Note:</b> You cannot set Hours2Days to EveryDay. If Hours1Days
 is set to EveryDay, secondary contact hours do not apply. Hours2Days cannot be
 set to the same value as Hours1Days.
 
 
 type: string constant in Trading_DaysCodeType.h
*/
@property (nonatomic, retain) NSString *hours2Days;

/**
 
 Indicates whether or not a user is available to be contacted 24 hours a day
 during the range of days specified using the Hours2Days element.
 True indicates the user is available 24 hours a day, false indicates otherwise.
 In the case of this field being true, all values provided for Hours2From and
 Hours2To will be ignored.  In the case of this field being false,
 the values provided Hours2From and Hours2To will be considered.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *hours2AnyTime;

/**
 
 Indicates the starting time of day this eBay user is available for other eBay
 members to contact for the range of days specified using Hours2Days.
 Enter times in 30 minute increments from the top of the hour. That is, enter
 values either on the hour (:00) or 30 minutes past the hour (:30).
 Other values will be will be rounded down to the next closest 30 minute
 increment. Times entered should be local to the value provided for TimeZoneID.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *hours2From;

/**
 
 Indicates the ending time of day this eBay user is available for other eBay
 members to contact them for the range of days specified using Hours1Days.
 Enter times in 30 minute increments from the top of the hour. That is, enter
 values either on the hour (:00) or 30 minutes past the hour (:30).
 Other values will be will be rounded down to the next closest 30 minute
 increment. Times entered should be local to the value provided for TimeZoneID.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *hours2To;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
