// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_PromotedItemType;

/**
 
 eBay Store Cross Promotions are no longer supported in the Trading API, so the
 <b>CrossPromotion</b> container will either not be returned, or, if it is
 returned, the data in the container may not be accurate. Contains one or
 more items cross-promoted with the display or purchase of a referring item.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_CrossPromotionsType : NSObject <PicoBindable> {

@private
    NSString *_itemID;
    NSString *_primaryScheme;
    NSString *_promotionMethod;
    NSString *_sellerID;
    NSNumber *_shippingDiscount;
    NSString *_storeName;
    NSMutableArray *_promotedItem;
    NSMutableArray *_any;

}


/**
 
 Unique item ID for the referring item.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 The primary cross-promotion rule scheme that
 was applied to return the cross-promoted item.
 
 
 type: string constant in Trading_PromotionSchemeCodeType.h
*/
@property (nonatomic, retain) NSString *primaryScheme;

/**
 
 The type of promotion, CrossSell or UpSell.
 
 
 type: string constant in Trading_PromotionMethodCodeType.h
*/
@property (nonatomic, retain) NSString *promotionMethod;

/**
 
 The eBay user ID of the seller offering the
 cross-promoted item.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *sellerID;

/**
 
 Whether a shipping discount is offered by the seller
 when the cross-promoted item is purchased.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *shippingDiscount;

/**
 
 The store name of the seller offering the cross-promoted item.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *storeName;

/**
 
 Contains one cross-promoted item.
 
 
 entry type : class Trading_PromotedItemType
*/

@property (nonatomic, retain) NSMutableArray *promotedItem;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
