// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>

/**
 @file
 
 This enumeration type contains a list of standard 3-digit ISO 4217 currency codes for
 currency used in countries around the world.
 <br/><br/>
 When adding an item through <b>AddItem</b> (or related API call), the
 <b>Item.Currency</b> value will default to the currency used on the listing
 site. Otherwise, only the following currency types may be specified through an add listing
 call:
 <ul>
 <li>USD - US Dollar</li>
 <li>CAD - Canadian Dollar</li>
 <li>GBP - British Pound</li>
 <li>AUD - Australian Dollar</li>
 <li>EUR - Euro</li>
 <li>CHF - Swiss Franc</li>
 <li>CNY - Chinese Renminbi</li>
 <li>HKD - Hong Kong Dollar</li>
 <li>PHP - Philippines Peso</li>
 <li>PLN - Polish Zloty</li>
 <li>SEK - Sweden Krona</li>
 <li>SGD - Singapore Dollar</li>
 <li>TWD - Taiwanese Dollar</li>
 <li>INR - Indian Rupee</li>
 <li>MYR - Malaysian Ringgit</li>
 </ul>
 <br/>
 Other currency codes in this enumerated type may be returned in
 <b>GetAccount</b> (and other calls) based on the buyer's and/or seller's
 registration country. However, only the values listed above will be returned if you
 call <b>GeteBayDetails</b> with <b>DetailName</b> set to
 <b>CurrencyDetails</b>.
 http://www.xe.com/iso4217.htm
 
 
 @ingroup EBayAPIInterface
*/

/**
 
 This value is a 3-digit code for Afghani, a currency used in Afghanistan.
 
*/
extern NSString *const Trading_CurrencyCodeType_AFA;

/**
 
 This value is a 3-digit code for Lek, a currency used in Albania.
 
*/
extern NSString *const Trading_CurrencyCodeType_ALL;

extern NSString *const Trading_CurrencyCodeType_DZD;

extern NSString *const Trading_CurrencyCodeType_ADP;

extern NSString *const Trading_CurrencyCodeType_AOA;

extern NSString *const Trading_CurrencyCodeType_ARS;

extern NSString *const Trading_CurrencyCodeType_AMD;

extern NSString *const Trading_CurrencyCodeType_AWG;

extern NSString *const Trading_CurrencyCodeType_AZM;

extern NSString *const Trading_CurrencyCodeType_BSD;

extern NSString *const Trading_CurrencyCodeType_BHD;

extern NSString *const Trading_CurrencyCodeType_BDT;

extern NSString *const Trading_CurrencyCodeType_BBD;

extern NSString *const Trading_CurrencyCodeType_BYR;

extern NSString *const Trading_CurrencyCodeType_BZD;

extern NSString *const Trading_CurrencyCodeType_BMD;

extern NSString *const Trading_CurrencyCodeType_BTN;

/**
 
 Indian Rupee.
 For eBay, you can only specify this currency for listings you submit to the
 India site (site ID 203).
 
*/
extern NSString *const Trading_CurrencyCodeType_INR;

extern NSString *const Trading_CurrencyCodeType_BOV;

extern NSString *const Trading_CurrencyCodeType_BOB;

extern NSString *const Trading_CurrencyCodeType_BAM;

extern NSString *const Trading_CurrencyCodeType_BWP;

extern NSString *const Trading_CurrencyCodeType_BRL;

extern NSString *const Trading_CurrencyCodeType_BND;

extern NSString *const Trading_CurrencyCodeType_BGL;

extern NSString *const Trading_CurrencyCodeType_BGN;

extern NSString *const Trading_CurrencyCodeType_BIF;

extern NSString *const Trading_CurrencyCodeType_KHR;

/**
 
 Canadian Dollar.
 For eBay, you can only specify this currency for listings you submit to the
 Canada site (site ID 2)
 (Items listed on the Canada site can also specify USD.)
 
*/
extern NSString *const Trading_CurrencyCodeType_CAD;

extern NSString *const Trading_CurrencyCodeType_CVE;

extern NSString *const Trading_CurrencyCodeType_KYD;

extern NSString *const Trading_CurrencyCodeType_XAF;

extern NSString *const Trading_CurrencyCodeType_CLF;

extern NSString *const Trading_CurrencyCodeType_CLP;

extern NSString *const Trading_CurrencyCodeType_CNY;

extern NSString *const Trading_CurrencyCodeType_COP;

extern NSString *const Trading_CurrencyCodeType_KMF;

extern NSString *const Trading_CurrencyCodeType_CDF;

extern NSString *const Trading_CurrencyCodeType_CRC;

extern NSString *const Trading_CurrencyCodeType_HRK;

extern NSString *const Trading_CurrencyCodeType_CUP;

extern NSString *const Trading_CurrencyCodeType_CYP;

extern NSString *const Trading_CurrencyCodeType_CZK;

extern NSString *const Trading_CurrencyCodeType_DKK;

extern NSString *const Trading_CurrencyCodeType_DJF;

extern NSString *const Trading_CurrencyCodeType_DOP;

extern NSString *const Trading_CurrencyCodeType_TPE;

extern NSString *const Trading_CurrencyCodeType_ECV;

extern NSString *const Trading_CurrencyCodeType_ECS;

extern NSString *const Trading_CurrencyCodeType_EGP;

extern NSString *const Trading_CurrencyCodeType_SVC;

extern NSString *const Trading_CurrencyCodeType_ERN;

extern NSString *const Trading_CurrencyCodeType_EEK;

extern NSString *const Trading_CurrencyCodeType_ETB;

extern NSString *const Trading_CurrencyCodeType_FKP;

extern NSString *const Trading_CurrencyCodeType_FJD;

extern NSString *const Trading_CurrencyCodeType_GMD;

extern NSString *const Trading_CurrencyCodeType_GEL;

extern NSString *const Trading_CurrencyCodeType_GHC;

extern NSString *const Trading_CurrencyCodeType_GIP;

extern NSString *const Trading_CurrencyCodeType_GTQ;

extern NSString *const Trading_CurrencyCodeType_GNF;

extern NSString *const Trading_CurrencyCodeType_GWP;

extern NSString *const Trading_CurrencyCodeType_GYD;

extern NSString *const Trading_CurrencyCodeType_HTG;

extern NSString *const Trading_CurrencyCodeType_HNL;

/**
 
 Hong Kong Dollar.
 For eBay, you can only specify this currency for listings you submit to the
 Hong Kong site (site ID 201).
 
*/
extern NSString *const Trading_CurrencyCodeType_HKD;

extern NSString *const Trading_CurrencyCodeType_HUF;

extern NSString *const Trading_CurrencyCodeType_ISK;

extern NSString *const Trading_CurrencyCodeType_IDR;

extern NSString *const Trading_CurrencyCodeType_IRR;

extern NSString *const Trading_CurrencyCodeType_IQD;

extern NSString *const Trading_CurrencyCodeType_ILS;

extern NSString *const Trading_CurrencyCodeType_JMD;

extern NSString *const Trading_CurrencyCodeType_JPY;

extern NSString *const Trading_CurrencyCodeType_JOD;

extern NSString *const Trading_CurrencyCodeType_KZT;

extern NSString *const Trading_CurrencyCodeType_KES;

/**
 
 Australian Dollar.
 For eBay, you can only specify this currency for listings you submit to the
 Australia site (site ID 15).
 
*/
extern NSString *const Trading_CurrencyCodeType_AUD;

extern NSString *const Trading_CurrencyCodeType_KPW;

extern NSString *const Trading_CurrencyCodeType_KRW;

extern NSString *const Trading_CurrencyCodeType_KWD;

extern NSString *const Trading_CurrencyCodeType_KGS;

extern NSString *const Trading_CurrencyCodeType_LAK;

extern NSString *const Trading_CurrencyCodeType_LVL;

extern NSString *const Trading_CurrencyCodeType_LBP;

extern NSString *const Trading_CurrencyCodeType_LSL;

extern NSString *const Trading_CurrencyCodeType_LRD;

extern NSString *const Trading_CurrencyCodeType_LYD;

/**
 
 Swiss Franc.
 For eBay, you can only specify this currency for listings you submit to the
 Switzerland site (site ID 193).
 
*/
extern NSString *const Trading_CurrencyCodeType_CHF;

extern NSString *const Trading_CurrencyCodeType_LTL;

extern NSString *const Trading_CurrencyCodeType_MOP;

extern NSString *const Trading_CurrencyCodeType_MKD;

extern NSString *const Trading_CurrencyCodeType_MGF;

extern NSString *const Trading_CurrencyCodeType_MWK;

/**
 
 Malaysian Ringgit.
 For eBay, you can only specify this currency for listings you submit to the
 Malaysia site (site ID 207).
 
*/
extern NSString *const Trading_CurrencyCodeType_MYR;

extern NSString *const Trading_CurrencyCodeType_MVR;

extern NSString *const Trading_CurrencyCodeType_MTL;

/**
 
 Euro.
 For eBay, you can only specify this currency for listings you submit to these sites:
 Austria (site 16), Belgium_French (site 23),
 France (site 71), Germany (site 77), Italy (site 101), Belgium_Dutch (site 123),
 Netherlands (site 146), Spain (site 186), Ireland (site 205).
 
*/
extern NSString *const Trading_CurrencyCodeType_EUR;

extern NSString *const Trading_CurrencyCodeType_MRO;

extern NSString *const Trading_CurrencyCodeType_MUR;

extern NSString *const Trading_CurrencyCodeType_MXN;

extern NSString *const Trading_CurrencyCodeType_MXV;

extern NSString *const Trading_CurrencyCodeType_MDL;

extern NSString *const Trading_CurrencyCodeType_MNT;

extern NSString *const Trading_CurrencyCodeType_XCD;

extern NSString *const Trading_CurrencyCodeType_MZM;

extern NSString *const Trading_CurrencyCodeType_MMK;

extern NSString *const Trading_CurrencyCodeType_ZAR;

extern NSString *const Trading_CurrencyCodeType_NAD;

extern NSString *const Trading_CurrencyCodeType_NPR;

extern NSString *const Trading_CurrencyCodeType_ANG;

extern NSString *const Trading_CurrencyCodeType_XPF;

extern NSString *const Trading_CurrencyCodeType_NZD;

extern NSString *const Trading_CurrencyCodeType_NIO;

extern NSString *const Trading_CurrencyCodeType_NGN;

extern NSString *const Trading_CurrencyCodeType_NOK;

extern NSString *const Trading_CurrencyCodeType_OMR;

extern NSString *const Trading_CurrencyCodeType_PKR;

extern NSString *const Trading_CurrencyCodeType_PAB;

extern NSString *const Trading_CurrencyCodeType_PGK;

extern NSString *const Trading_CurrencyCodeType_PYG;

extern NSString *const Trading_CurrencyCodeType_PEN;

/**
 
 Philippines Peso.
 For eBay, you can only specify this currency for listings you submit to the
 Philippines site (site ID 211).
 
*/
extern NSString *const Trading_CurrencyCodeType_PHP;

/**
 
 Poland, Zloty.
 For eBay, you can only specify this currency for listings you submit to the
 Poland site (site ID 212).
 
*/
extern NSString *const Trading_CurrencyCodeType_PLN;

/**
 
 US Dollar.
 For eBay, you can only specify this currency for listings you submit to the
 US (site ID 0), eBayMotors (site 100), and Canada (site 2) sites.
 
*/
extern NSString *const Trading_CurrencyCodeType_USD;

extern NSString *const Trading_CurrencyCodeType_QAR;

extern NSString *const Trading_CurrencyCodeType_ROL;

extern NSString *const Trading_CurrencyCodeType_RUB;

extern NSString *const Trading_CurrencyCodeType_RUR;

extern NSString *const Trading_CurrencyCodeType_RWF;

extern NSString *const Trading_CurrencyCodeType_SHP;

extern NSString *const Trading_CurrencyCodeType_WST;

extern NSString *const Trading_CurrencyCodeType_STD;

extern NSString *const Trading_CurrencyCodeType_SAR;

extern NSString *const Trading_CurrencyCodeType_SCR;

extern NSString *const Trading_CurrencyCodeType_SLL;

/**
 
 Singapore Dollar.
 For eBay, you can only specify this currency for listings you submit to the
 Singapore site (site 216).
 
*/
extern NSString *const Trading_CurrencyCodeType_SGD;

extern NSString *const Trading_CurrencyCodeType_SKK;

extern NSString *const Trading_CurrencyCodeType_SIT;

extern NSString *const Trading_CurrencyCodeType_SBD;

extern NSString *const Trading_CurrencyCodeType_SOS;

extern NSString *const Trading_CurrencyCodeType_LKR;

extern NSString *const Trading_CurrencyCodeType_SDD;

extern NSString *const Trading_CurrencyCodeType_SRG;

extern NSString *const Trading_CurrencyCodeType_SZL;

/**
 
  Swedish Krona.
  For eBay, you can only specify this currency for listings you submit to the
  Sweden site (site 218).
 
*/
extern NSString *const Trading_CurrencyCodeType_SEK;

extern NSString *const Trading_CurrencyCodeType_SYP;

/**
 
 New Taiwan Dollar. This value is not applicable since the API is not used with new eBay Taiwan site.
 
*/
extern NSString *const Trading_CurrencyCodeType_TWD;

extern NSString *const Trading_CurrencyCodeType_TJS;

extern NSString *const Trading_CurrencyCodeType_TZS;

extern NSString *const Trading_CurrencyCodeType_THB;

extern NSString *const Trading_CurrencyCodeType_XOF;

extern NSString *const Trading_CurrencyCodeType_TOP;

extern NSString *const Trading_CurrencyCodeType_TTD;

extern NSString *const Trading_CurrencyCodeType_TND;

extern NSString *const Trading_CurrencyCodeType_TRL;

extern NSString *const Trading_CurrencyCodeType_TMM;

extern NSString *const Trading_CurrencyCodeType_UGX;

extern NSString *const Trading_CurrencyCodeType_UAH;

extern NSString *const Trading_CurrencyCodeType_AED;

/**
 
 Pound Sterling.
 For eBay, you can only specify this currency for listings you submit to the
 UK site (site ID 3).
 
*/
extern NSString *const Trading_CurrencyCodeType_GBP;

extern NSString *const Trading_CurrencyCodeType_USS;

extern NSString *const Trading_CurrencyCodeType_USN;

extern NSString *const Trading_CurrencyCodeType_UYU;

extern NSString *const Trading_CurrencyCodeType_UZS;

extern NSString *const Trading_CurrencyCodeType_VUV;

extern NSString *const Trading_CurrencyCodeType_VEB;

extern NSString *const Trading_CurrencyCodeType_VND;

extern NSString *const Trading_CurrencyCodeType_MAD;

extern NSString *const Trading_CurrencyCodeType_YER;

extern NSString *const Trading_CurrencyCodeType_YUM;

extern NSString *const Trading_CurrencyCodeType_ZMK;

extern NSString *const Trading_CurrencyCodeType_ZWD;

extern NSString *const Trading_CurrencyCodeType_ATS;

/**
 
 Reserved for internal or future use.
 
*/
extern NSString *const Trading_CurrencyCodeType_CUSTOM_CODE;
