// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_UserIdPasswordType;

/**
 
 Security header used for SOAP API calls.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_CustomSecurityHeaderType : NSObject <PicoBindable> {

@private
    NSString *_eBayAuthToken;
    NSString *_hardExpirationWarning;
    Trading_UserIdPasswordType *_credentials;
    NSString *_notificationSignature;
    NSMutableArray *_any;

}


/**
 
 Authentication token representing the user who is making the
 request. The user's token must be retrieved from eBay. To determine
 a user's authentication token, see the Authentication and
 Authorization information in the eBay Web Services guide. For calls
 that list or retrieve item or transaction data, the user usually
 needs to be the seller of the item in question or, in some cases,
 the buyer. Similarly, calls that retrieve user or account data may
 be restricted to the user whose data is being requested. The
 documentation for each call includes information about such
 restrictions.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *eBayAuthToken;

/**
 
 Expiration date of the user's authentication token. Only returned
 within the 7-day period prior to a token's expiration. To ensure
 that user authentication tokens are secure and to help avoid a
 user's token being compromised, tokens have a limited life span. A
 token is only valid for a period of time (set by eBay). After this
 amount of time has passed, the token expires and must be replaced
 with a new token.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *hardExpirationWarning;

/**
 
 Authentication information for the user on whose behalf the
 application is making the request, and authorization information for
 the application making the request. Only registered eBay users are
 allowed to make API calls. To verify that a user is registered, your
 application normally needs to pass a user-specific value called an
 "authentication token" in the request. This is equivalent to signing
 in on the eBay Web site. As API calls do not pass session
 information, you need to pass the user's authentication token every
 time you invoke a call on their behalf. All calls require an
 authentication token, except the calls you use to retrieve a token
 in the first place. For such calls, you use the eBay member's
 username and password instead.
 
 
 type : class Trading_UserIdPasswordType
*/
@property (nonatomic, retain) Trading_UserIdPasswordType *credentials;

/**
 
 A Base64-encoded MD5 hash that allows the recepient of a Platform
 Notification to verify this is a valid Platform Notification sent by
 eBay.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *notificationSignature;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
