// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Using this container, a seller can supply original retail price and
 discount price for an item to clarify the discount treatment (also known
 as strike-through pricing). This only applies to fixed-price listings and auction listings with the Buy It Now
 option. This feature is available for large enterprise sellers via
 white list. A seller can provide discount treatment regardless of
 whether the listing includes a SKU.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_DiscountPriceInfoType : NSObject <PicoBindable> {

@private
    Trading_AmountType *_originalRetailPrice;
    Trading_AmountType *_minimumAdvertisedPrice;
    NSString *_minimumAdvertisedPriceExposure;
    NSString *_pricingTreatment;
    NSNumber *_soldOneBay;
    NSNumber *_soldOffeBay;
    Trading_AmountType *_madeForOutletComparisonPrice;
    NSMutableArray *_any;

}


/**
 
 The actual retail price set by the manufacturer (OEM).
 eBay does not maintain or validate the OriginalRetailPrice supplied
 by the seller. OriginalRetailPrice should always be more than
 StartPrice. Compare the StartPrice/BuyItNowPrice to
 OriginalRetailPrice to determine the amount of savings to the buyer.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *originalRetailPrice;

/**
 
 Minimum Advertised Price (MAP) is an agreement between suppliers (or
 manufacturers (OEM)) and the retailers (sellers) stipulating
 the lowest price an item is allowed to be advertised at.
 Sellers can offer prices below MAP by means of other discounts.
 This only applies to fixed-price listings and auction listings with the Buy It Now option.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *minimumAdvertisedPrice;

/**
 
 For MinimumAdvertisedPrice (MAP) listings only.
 A seller cannot show the actual discounted price on eBay's View Item
 page. Instead, the buyer can either click on a pop-up on eBay's
 View Item page, or the discount price will be shown during checkout.
 
 
 type: string constant in Trading_MinimumAdvertisedPriceExposureCodeType.h
*/
@property (nonatomic, retain) NSString *minimumAdvertisedPriceExposure;

/**
 
 Based on OriginalRetailPrice,
 MinimumAdvertisedPrice, and StartPrice values, eBay identifies
 whether the listing falls under MAP or STP (aka
 OriginalRetailPrice). GetItem returns this for items listed with one
 of these discount pricing treatments. GetSellerList returns the
 DiscountPriceInfo container. This field is not applicable for Add/Revise/Relist calls.
 
 
 type: string constant in Trading_PricingTreatmentCodeType.h
*/
@property (nonatomic, retain) NSString *pricingTreatment;

/**
 
 Used by the eBay UK and eBay Germany (DE) sites, this flag indicates that the discount
 price (specified as StartPrice) is the price for which the seller offered the same (or
 similar) item for sale on eBay within the previous 30 days. The discount price is always
 in reference to the seller's own price for the item.
 <br><br>
 If this field is set to 'true', eBay displays 'Was' in the UK and 'Ursprunglich' in Germany, next
 to the discounted price of the item. In the event both SoldOffeBay and SoldOneBay fields
 are set to 'true', SoldOneBay takes precedence.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *soldOneBay;

/**
 
 Used by the eBay UK and eBay Germany (DE) sites, this flag indicates that the discount
 price (specified as StartPrice) is the price for which the seller offered the same (or
 similar) item for sale on a Web site or offline store other than eBay in the previous 30
 days. The discount price is always in reference to the seller's own price for the item.
 <br><br>
 If this field is set to 'true', eBay displays 'Was*' in the UK and 'Ursprunglich*' in Germany,
 next to the discounted price of the item. In the event both SoldOffeBay and SoldOneBay
 fields are set, SoldOneBay takes precedence.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *soldOffeBay;

/**
 
 Applicable only if the item was specifically made for sale through dedicated eBay outlet pages (e.g., eBay Fashion Outlet).<br>
 <br>
 The comparison price is the price of a comparable product sold
 through non-outlet channels on eBay (or elsewhere), or not
 specifically made for the outlet.<br>
 <br>
 In fashion, a "comparable" product shares the same design, but is
 not considered an identical product. Some products are specifically
 made for outlets, and may have a different SKU than the "comparable"
 product. These made-for-outlet products may be manufactured in a
 different place, with different materials, or according to different
 specifications (i.e. different stitch pattern, seam reinforcement,
 button quality, etc.)
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *madeForOutletComparisonPrice;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
