// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_MeasureType;
@class Trading_AmountType;

/**
 
 Details of a flat or calculated shipping discount profile.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_DiscountProfileType : NSObject <PicoBindable> {

@private
    NSString *_discountProfileID;
    NSString *_discountProfileName;
    Trading_AmountType *_eachAdditionalAmount;
    Trading_AmountType *_eachAdditionalAmountOff;
    NSNumber *_eachAdditionalPercentOff;
    Trading_MeasureType *_weightOff;
    NSString *_mappedDiscountProfileID;
    NSMutableArray *_any;

}


/**
 
 The unique eBay-created ID for the shipping discount, assigned when the
 profile is created. On input, if ModifyActionCode is Add, this is ignored if
 provided. If ModifyActionCode is Modify, all details of the new version of the
 profile must be provided. If ModifyActionCode is Delete, DiscountProfileID is
 required, MappingDiscountProfileID is optional, and all other fields of
 DiscountProfile are ignored.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *discountProfileID;

/**
 
 The user's title for this profile. On input, if ModifyActionCode is Add, this
 is ignored (if provided) if this is the first profile being created and
 required if there is more than one profile of that type (flat rate versus
 calculated) already. To modify the name, set ModifyActionCode to Update and
 provide all details for the profile. On output, DiscountProfileName is only
 returned if the user defined more than one profile.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *discountProfileName;

/**
 
 The amount, if the seller specified EachAdditionalAmount as the type of profile,
 as noted in FlatShippingDiscount.DiscountName.
 Flat rate shipping only.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *eachAdditionalAmount;

/**
 
 The amount, if the seller specified EachAdditionalAmountOff as the type of profile,
 as noted in FlatShippingDiscount.DiscountName.
 Flat rate shipping only.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *eachAdditionalAmountOff;

/**
 
 The percent (expressed in decimal, as in .5 for 50%), if the seller specified
 EachAdditionalPercentOff as the type of profile,
 as noted in FlatShippingDiscount.DiscountName.
 Flat rate shipping only.
 
 
 type : NSNumber, wrapper for primitive float
*/
@property (nonatomic, retain) NSNumber *eachAdditionalPercentOff;

/**
 
 The weight by which to reduce the combined item weight, if the seller
 specified WeightOff as the type of profile, as noted in
 CalculatedShippingDiscount.DiscountName.  The smallest unit is used (e.g.
 ounces).
 Calculated shipping only.
 
 
 type : class Trading_MeasureType
*/
@property (nonatomic, retain) Trading_MeasureType *weightOff;

/**
 
 For SetShippingDiscountProfiles, if MappedDiscountProfileID is omitted when
 ModifyActionCode is Delete, any listings currently using the profile
 identified by DiscountProfileID will have that profile removed. For
 SetShippingDiscountProfiles and GetItem, this is the intended discount profile
 mapping.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *mappedDiscountProfileID;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
