// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Container consisting of details related to payment of an eBay order on an
 external system such as PayPal. This container is only returned if payment has
 been made on an order. For GetSellerTransaactions and GetItemTransactions, this
 container is not returned for multiple line item orders.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ExternalTransactionType : NSObject <PicoBindable> {

@private
    NSString *_externalTransactionID;
    NSDate *_externalTransactionTime;
    Trading_AmountType *_feeOrCreditAmount;
    Trading_AmountType *_paymentOrRefundAmount;
    NSMutableArray *_any;

}


/**
 
 Unique identifier for a PayPal payment of an eBay order. If the order was purchased
 with a payment method other than PayPal, "SIS" is returned, which stands for "Send
 Information To Seller." This field is only returned after payment has been made.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *externalTransactionID;

/**
 
 Timestamp for payment transaction.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *externalTransactionTime;

/**
 
 Fee Amount is a positive value and Credit Amount is a negative value.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *feeOrCreditAmount;

/**
 
 If positive, the amount the buyer pays
 the seller through PayPal on the purchase of items. If
 negative, the amount refunded the buyer. Default = 0.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *paymentOrRefundAmount;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
