// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_BidAssistantListType;
@class Trading_ItemListCustomizationType;
@class Trading_MyeBaySelectionType;

/**
 
 Returns items from the Buying section of the user's My eBay
 account, including items that the user is watching, bidding on, has
 won, has not won, and has made Best Offers on.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetMyeBayBuyingRequestType : Trading_AbstractRequestType {

@private
    Trading_ItemListCustomizationType *_watchList;
    Trading_ItemListCustomizationType *_bidList;
    Trading_ItemListCustomizationType *_bestOfferList;
    Trading_ItemListCustomizationType *_wonList;
    Trading_ItemListCustomizationType *_lostList;
    Trading_MyeBaySelectionType *_favoriteSearches;
    Trading_MyeBaySelectionType *_favoriteSellers;
    Trading_MyeBaySelectionType *_secondChanceOffer;
    Trading_BidAssistantListType *_bidAssistantList;
    Trading_ItemListCustomizationType *_deletedFromWonList;
    Trading_ItemListCustomizationType *_deletedFromLostList;
    Trading_ItemListCustomizationType *_buyingSummary;
    Trading_MyeBaySelectionType *_userDefinedLists;
    NSNumber *_hideVariations;

}


/**
 
 Returns the list of items being watched by the user.
 <br><br>
 Set Include to true to return the default response set.
 
 
 type : class Trading_ItemListCustomizationType
*/
@property (nonatomic, retain) Trading_ItemListCustomizationType *watchList;

/**
 
 Returns the list of items on which the user has bid.
 <br><br>
 Set Include to true to return the default response set.
 
 
 type : class Trading_ItemListCustomizationType
*/
@property (nonatomic, retain) Trading_ItemListCustomizationType *bidList;

/**
 
 Returns the list of items on which the user has placed Best Offers.
 <br><br>
 Set Include to true to return the default response set.
 
 
 type : class Trading_ItemListCustomizationType
*/
@property (nonatomic, retain) Trading_ItemListCustomizationType *bestOfferList;

/**
 
 Returns the list of items on which the use has bid.
 <br><br>
 Set Include to true to return the default response set.
 
 
 type : class Trading_ItemListCustomizationType
*/
@property (nonatomic, retain) Trading_ItemListCustomizationType *wonList;

/**
 
 Returns the list of items on which the user has bid on and lost.
 <br><br>
 Set Include to true to return the default response set.
 
 
 type : class Trading_ItemListCustomizationType
*/
@property (nonatomic, retain) Trading_ItemListCustomizationType *lostList;

/**
 
 Returns the list of searches that the user has saved in My eBay. Returned
 only if the user has saved searches.
 <br><br>
 Set Include to true to return the default response set.
 
 
 type : class Trading_MyeBaySelectionType
*/
@property (nonatomic, retain) Trading_MyeBaySelectionType *favoriteSearches;

/**
 
 Returns the list of favorite sellers that the user has saved in My eBay.
 Returned only if the user has saved a list of favorite sellers.
 <br><br>
 Set Include to true to return the default response set.
 
 
 type : class Trading_MyeBaySelectionType
*/
@property (nonatomic, retain) Trading_MyeBaySelectionType *favoriteSellers;

/**
 
 Returns the list of second chance offers made by the user. Returned only
 if the user has made second chance offers.
 <br><br>
 Set Include to true to return the default response set.
 
 
 type : class Trading_MyeBaySelectionType
*/
@property (nonatomic, retain) Trading_MyeBaySelectionType *secondChanceOffer;

/**
 
           
 Indicates whether or not the Bid Assistant feature is being used.
 
 
 type : class Trading_BidAssistantListType
*/
@property (nonatomic, retain) Trading_BidAssistantListType *bidAssistantList;

/**
 
 Returns the list of items the user has won, and subsequently deleted from
 their My eBay page.
 <br><br>
 Set Include to true to return the default response set.
 
 
 type : class Trading_ItemListCustomizationType
*/
@property (nonatomic, retain) Trading_ItemListCustomizationType *deletedFromWonList;

/**
 
 Returns the list of items (auctions) the user did not win and were
 subsequently deleted from their My eBay page.
 <br><br>
 Set Include to true to return the default response set.
 
 
 type : class Trading_ItemListCustomizationType
*/
@property (nonatomic, retain) Trading_ItemListCustomizationType *deletedFromLostList;

/**
 
 Returns a summary of the user's buying activity.
 <br><br>
 With a request version of 605 or higher, the buying summary container is
 not included in the response by default. Add a BuyingSummary element in
 the request with an Include field set to true to receive a BuyingSummary
 container in your response.
 <br><br>
 With a request version lower than 605, the BuyingSummary is always
 returned by default. Add a BuyingSummary element with an Include field
 set to false to exclude the BuyingSummary from your response.
 
 
 type : class Trading_ItemListCustomizationType
*/
@property (nonatomic, retain) Trading_ItemListCustomizationType *buyingSummary;

/**
 
 Returns the user defined lists, which are lists created by the user in the eBay
 UI and filled with items, or sellers, or searches using the
 "Add to List" feature.
 <br><br>
 Set Include to true to return the default response set.
 
 
 type : class Trading_MyeBaySelectionType
*/
@property (nonatomic, retain) Trading_MyeBaySelectionType *userDefinedLists;

/**
 
 If true, the Variations node is omitted for all multi-variation
 listings in the response.
 If false, the Variations node is returned for all
 multi-variation listings in the response. <br>
 <br>
 Please note that if the seller includes a large number of
 variations in many listings, retrieving variations (setting this
 flag to false) may degrade the call's performance. Therefore,
 when this is false, you may need to reduce the total
 number of items you're requesting at once (by using other input
 fields, such as Pagination).
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *hideVariations;


@end
