// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_ItemCompatibilityType;

/**
 
 A list of compatible applications specified as name and value pairs. Describes an
 assembly with which a part is compatible (i.e., compatibility by application). For
 example, to specify a part's compatibility with a vehicle, the name would map to
 standard vehicle characteristics (e.g., Year, Make, Model, Trim, and Engine). The
 values would desribe the specific vehicle, such as a 2006 Honda Accord.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ItemCompatibilityListType : NSObject <PicoBindable> {

@private
    NSMutableArray *_compatibility;
    NSNumber *_replaceAll;
    NSMutableArray *_any;

}


/**
 
 Details for an individual compatible application, consisting of the name-value pair
 and related compatibility notes. When revising or relisting, the
 <b class="con">Delete</b> field can be used to delete individual compatibility
 nodes.
 
 
 entry type : class Trading_ItemCompatibilityType
*/

@property (nonatomic, retain) NSMutableArray *compatibility;

/**
 
 Set this value to true to delete or replace all existing parts compatibility
 information when you revise or relist an item. If set to true, all existing
 item compatibility nodes are removed from the listing. If new item
 compatibilities are specified in the request, they replace the removed
 compatibilities. You cannot delete or replace an item compatibility list if
 the listing has bids or if it ends within 12 hours.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *replaceAll;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
