// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
          This type provides information about one order line item in a Global Shipping package. The package can contain multiple units of a given order line item.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_LineItemType : NSObject <PicoBindable> {

@private
    NSNumber *_quantity;
    NSString *_countryOfOrigin;
    NSString *_description;
    NSString *_itemID;
    NSString *_transactionID;
    NSMutableArray *_any;

}


/**
 
 The number of units of the order line item in this package; this is required for customs. The seller must ensure that this matches the quantity of the order line item enclosed in the package.
 <br/><br/>
 This value must be a positive integer, and it can't be greater than the quantity of this item specified in the original transaction.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *quantity;

/**
 
 The Country of Manufacture for the order line item; this is required for customs. This should identify the country in which more than 50% of the value of the item was created.
 <br/><br/>
 This value must conform to the ISO 3166 two-letter country code standard.
 To see the list of currently supported codes, and the English names associated with each code
 (e.g., KY="Cayman Islands"), call <b>GeteBayDetails</b>
 with <b>DetailName</b> set to <b>CountryDetails</b>.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *countryOfOrigin;

/**
 
  The item description of the order line item, based on its <strong>ItemID</strong>.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *description;

/**
 
 Unique identifier for the eBay item listing of the order line item. A listing can have multiple order line items (transactions), but only one <b>ItemID</b>. Unless an <b>OrderLineItemID</b> or <b>SKU</b> value is specified in the same node, this field is required for each <b>ItemTransactionID</b> node included in the request.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Unique identifier for an eBay order line item (transaction). The <b>TransactionID</b> should match the <b>ItemID</b> specified in each <b>ItemTransactionID</b> node included in the request. Optionally, an <b>OrderLineItemID</b> value can substitute for the <b>ItemID</b>/<b>TransactionID</b> pair.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *transactionID;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
