// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Container for items bid.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_MaximumItemRequirementsType : NSObject <PicoBindable> {

@private
    NSNumber *_maximumItemCount;
    NSNumber *_minimumFeedbackScore;

}


/**
 
 This field is conditionally required if the <b>MaximumItemRequirements</b>
 container is used.
 <br/><br/>
 The value of this field specifies the maximum number of items a prospective buyer can
 purchase from the seller during a 10-day period. The prospective buyer will be blocked
 from bidding/buying once this value is reached.
 To see the valid values for your site, call <b>GeteBayDetails</b>
 with <b>DetailName</b> set to <b>BuyerRequirementDetails</b>,
 , and then look for the BuyerRequirementDetails.MaximumItemRequirements.MaximumItemCount fields.
 As of Jan. 2013, the valid values
 for the US site are: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 25, 50, 75, and 100.
 <br/><br/>
 If the <b>MaximumItemRequirements.MinimumFeedbackScore</b> field is also
 specified, the <b>MaximumItemCount</b> limit will only apply to those
 prospective buyers who don't meet the specified Minimum Feedback Score threshold.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *maximumItemCount;

/**
 
 This is an optional field that is ignored if a <b>MaximumItemCount</b>
 value has not been provided.
 <br><br>
 If this field is used, a prospective buyer is blocked from bidding/buying if they have
 reached or exceeded the <b>MaximumItemCount</b> and their feedback score
 is less than the value of this field. To see the valid values for your site, call <b>GeteBayDetails</b>
 with <b>DetailName</b> set to <b>BuyerRequirementDetails</b>,
 and then look for the BuyerRequirementDetails.MaximumItemRequirements.MinimumFeedbackScore fields.
 Currently, the valid values for the US site are: 0, 1, 2, 3, 4, and 5.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *minimumFeedbackScore;


@end
