// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AddressType;
@class Trading_MultiLegShippingServiceType;

/**
 
    This type provides information about the shipping service, cost, address, and delivery estimates for the domestic leg of a Global Shipping Program shipment.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_MultiLegShipmentType : NSObject <PicoBindable> {

@private
    Trading_MultiLegShippingServiceType *_shippingServiceDetails;
    Trading_AddressType *_shipToAddress;
    NSNumber *_shippingTimeMin;
    NSNumber *_shippingTimeMax;
    NSMutableArray *_any;

}


/**
 
 Contains information about the shipping service and cost of the domestic leg of a Global Shipping Program shipment.
 
 
 type : class Trading_MultiLegShippingServiceType
*/
@property (nonatomic, retain) Trading_MultiLegShippingServiceType *shippingServiceDetails;

/**
 
 Contains shipping address information for the domestic leg of a Global Shipping Program shipment. This container includes the ReferenceID field, which can be printed on the package to give the international shipping provider a unique identifier for the order.
 
 
 type : class Trading_AddressType
*/
@property (nonatomic, retain) Trading_AddressType *shipToAddress;

/**
 
 The minimum number of days that the shipping carrier will take to ship an item for the domestic leg of a Global Shipping Program shipment (not including the handling time it takes the seller to deliver the item to the domestic shipping carrier).
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *shippingTimeMin;

/**
 
 The maximum guaranteed number of days that the shipping carrier will take to ship an item for the domestic leg of a Global Shipping Program shipment (not including the handling time it takes the seller to deliver the item to the domestic shipping carrier).
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *shippingTimeMax;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
