// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Characteristics of a saved My eBay Favorite Search.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_MyeBayFavoriteSearchType : NSObject <PicoBindable> {

@private
    NSString *_searchName;
    NSString *_searchQuery;
    NSString *_queryKeywords;
    NSString *_categoryID;
    NSString *_itemSort;
    NSString *_sortOrder;
    NSDate *_endTimeFrom;
    NSDate *_endTimeTo;
    NSNumber *_maxDistance;
    NSString *_postalCode;
    NSString *_itemType;
    Trading_AmountType *_priceMax;
    Trading_AmountType *_priceMin;
    NSString *_currency;
    NSNumber *_bidCountMax;
    NSNumber *_bidCountMin;
    NSMutableArray *_searchFlag;
    NSString *_paymentMethod;
    NSString *_preferredLocation;
    NSMutableArray *_sellerID;
    NSMutableArray *_sellerIDExclude;
    NSString *_itemsAvailableTo;
    NSString *_itemsLocatedIn;
    NSString *_sellerBusinessType;
    NSString *_condition;
    NSNumber *_quantity;
    NSString *_quantityOperator;
    NSMutableArray *_any;

}


/**
 
 The name of a My eBay Favorite Search.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *searchName;

/**
 
 The query string of a My eBay Favorite Search. You can paste this value, that is
 returned as a URL, into a browser to re-play the Favorite Search using the Trading
 Web Service.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *searchQuery;

/**
 
 The QueryKeywords of a My eBay Favorite Search. A search that uses QueryKeywords is a
 query that specifies a string for searching titles of items on
 eBay.<br><br> If you are using a URL, then to search for multiple words,
 use "%20". For example, use Harry%20Potter to search for items containing those words
 in any order.
 <br><br>
 You can incorporate wildcards into a multi-word search, as in the following:
 ap*%20ip*.<br><br> The words "and" and "or" are treated like any other
 word. Only use "and", "or", or "the" if you are searching for listings containing
 these words.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *queryKeywords;

/**
 
 The CategoryID of a My eBay Favorite Search. CategoryID is used to
 restrict the query to a specific category. CategoryID cannot be used
 with the following input fields: EndTimeFrom, EndTimeTo, PriceMin, or PriceMax.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *categoryID;

/**
 
 The ItemSort of a My eBay Favorite Search. Values for ItemSort include
 Best Match, EndTime, Distance, and other options listed in SimpleItemSortCodeType.
 
 
 type: string constant in Trading_SimpleItemSortCodeType.h
*/
@property (nonatomic, retain) NSString *itemSort;

/**
 
 The SortOrder of a My eBay Favorite Search. This value specifies whether you want to
 sort search results in ascending or descending order, in conjunction with the value
 you specify in ItemSort.
 
 
 type: string constant in Trading_SortOrderCodeType.h
*/
@property (nonatomic, retain) NSString *sortOrder;

/**
 
 The EndTimeFrom of a My eBay Favorite Search. EndTimeFrom and EndTimeTo limit the
 results to items ending within a time range. EndTimeFrom specifies the beginning of
 the time range.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *endTimeFrom;

/**
 
 The EndTimeTo of a My eBay Favorite Search. EndTimeFrom and EndTimeTo limit the
 results to items ending within a time range. EndTimeTo specifies the end of the time
 range.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *endTimeTo;

/**
 
 The MaxDistance of a My eBay Favorite Search. This is the maximum distance from the
 item-location value specified in PostalCode.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *maxDistance;

/**
 
 The PostalCode of a My eBay Favorite Search. This value indicates the
 postal code where an item is located.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *postalCode;

/**
 
 The ItemType of a My eBay Favorite Search. Setting ItemType in a search
 limits the results to items of a specific type, such as Fixed Price items,
 Store Inventory items, items with AdFormat, etc.
 
 
 type: string constant in Trading_ItemTypeCodeType.h
*/
@property (nonatomic, retain) NSString *itemType;

/**
 
 The PriceMax of a My eBay Favorite Search. PriceMax specifies
 the maximum current price an item can have to be included in
 the search results. PriceMax can be used with PriceMin to specify
 a range of prices.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *priceMax;

/**
 
 The PriceMin of a My eBay Favorite Search. PriceMin specifies the
 minimum current price an item listing can have to be included in
 the search results. PriceMin can be used with PriceMax to specify
 a range of prices.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *priceMin;

/**
 
 The Currency of a My eBay Favorite Search. The currency value limits
 the result set to just those items with a specified currency.
 
 
 type: string constant in Trading_CurrencyCodeType.h
*/
@property (nonatomic, retain) NSString *currency;

/**
 
 The BidCountMax value in a My eBay Favorite Search. The BidCountMax limits the search
 results to items with a maximum number of bids.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *bidCountMax;

/**
 
 The BidCountMin value in a My eBay Favorite Search. The BidCountMin limits the
 results of a search to items with a maximum number of bids.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *bidCountMin;

/**
 
 The SearchFlag value in a My eBay Favorite Search. The SearchFlag allows you to
 specify whether you want to include charity listings, free-shipping listings, and
 listings with other features in your search.
 
 
 entry type : string constant in Trading_SearchFlagCodeType.h
*/

@property (nonatomic, retain) NSMutableArray *searchFlag;

/**
 
 The PaymentMethod value in a My eBay Favorite Search. The PaymentMethod limits the
 search results to items that accept a specific payment method or methods.
 
 
 type: string constant in Trading_PaymentMethodSearchCodeType.h
*/
@property (nonatomic, retain) NSString *paymentMethod;

/**
 
 The PreferredLocation value of a My eBay Favorite Search. The PreferredLocation
 specifies the criteria for filtering search results by site, where site is determined
 by the site ID in the request.
 
 
 type: string constant in Trading_PreferredLocationCodeType.h
*/
@property (nonatomic, retain) NSString *preferredLocation;

/**
 
 The SellerID value in a My eBay Favorite Search. The SellerID is the eBay ID of a
 specific seller.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *sellerID;

/**
 
 The SellerIDExclude value in a My eBay Favorite Search. The SellerIDExclude limits
 the search results to exclude items sold by a specific seller or by specific sellers.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *sellerIDExclude;

/**
 
 The ItemsAvailableTo value in a My eBay Favorite Search. ItemsAvailableTo limits the
 result set to just those items available to the specified country.
 
 
 type: string constant in Trading_CountryCodeType.h
*/
@property (nonatomic, retain) NSString *itemsAvailableTo;

/**
 
 The ItemsLocatedIn value in a My eBay Favorite Search. ItemsLocatedIn limits the
 result set to just those items located in the specified country.
 
 
 type: string constant in Trading_CountryCodeType.h
*/
@property (nonatomic, retain) NSString *itemsLocatedIn;

/**
 
 The SellerBusinessType value in a My eBay Favorite Search. The SellerBusinessType
 limits the search results to those of a particular seller business type such as
 commercial or private. SellerBusinessType is only available for sites that have
 business seller features enabled.
 
 
 type: string constant in Trading_SellerBusinessCodeType.h
*/
@property (nonatomic, retain) NSString *sellerBusinessType;

/**
 
 The Condition value in a My eBay Favorite Search. Condition limits the results to new
 or used items, plus items that have no condition specified.
 
 
 type: string constant in Trading_ItemConditionCodeType.h
*/
@property (nonatomic, retain) NSString *condition;

/**
 
 The Quantity value in a My eBay Favorite Search. The Quantity limits the search
 results to listings that offer a certain number of items matching the query. The
 Quantity field is used with QuantityOperator to specify that you are seeking listings
 with quantities greater than, equal to, or less than the value you specify in
 Quantity.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *quantity;

/**
 
 The Quantity Operator value in a My eBay Favorite Search. The Quantity Operator
 limits the results to listings with quantities greater than, equal to, or less than
 the value you specify in Quantity.
 
 
 type: string constant in Trading_QuantityOperatorCodeType.h
*/
@property (nonatomic, retain) NSString *quantityOperator;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
