// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Contains data for controlling pagination in API requests.
 Pagination of returned data is required for some calls and not
 needed in or not supported for some calls. See the documentation
 for individual calls to determine whether pagination is supported,
 required, or desirable.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_PaginationType : NSObject <PicoBindable> {

@private
    NSNumber *_entriesPerPage;
    NSNumber *_pageNumber;
    NSMutableArray *_any;

}


/**
 
 This integer value is used to specify the maximum number of entries to return
 in a single "page" of data. This value, along with the number of entries that
 match the input criteria, will determine the total pages (see
 PaginationResult.TotalNumberOfPages) in the result set. For most Trading API calls, the
 maximum value is 200 and the default value is 25 entries per page.
 <br><br>
 For GetOrders, the maximum value is 100 and the default value is 25 orders per page.
 <br><br>
 For GetUserDisputes, this value is hard-coded at 200, and any pagination input is
 ignored.
 <br><br>
 For GetProducts, the maximum value is 20, and any higher values are
 ignored.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *entriesPerPage;

/**
 
 Specifies the number of the page of data to return in the current call.
 Default is 1 for most calls. For some calls, the default is 0. Specify a
 positive value equal to or lower than the number of pages available (which you
 determine by examining the results of your initial request).
 See the documentation for other individual calls to determine the correct
 default value.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pageNumber;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
