// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 This type defines the <b>QuantityRestrictionPerBuyer</b> container, which is
 used by the seller to restrict the quantity of items that may be purchased by one buyer
 during the duration of a fixed-price listing (single or multi-variation).
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_QuantityRestrictionPerBuyerInfoType : NSObject <PicoBindable> {

@private
    NSNumber *_maximumQuantity;

}


/**
 
 This integer value indicates the maximum quantity of items that a single buyer may
 purchase during the duration of a fixed-price listing (single or multi-variation).
 The buyer is blocked from the purchase if that buyer is attempting to purchase a
 quantity of items that will exceed this value. Previous purchases made by the buyer
 are taken into account. For example, if <b>MaximumQuantity</b> is set to
 '5' for an item listing, and <em>Buyer1</em> purchases a quantity of
 three, <em>Buyer1</em> is only allowed to purchase an additional
 quantity of two in subsequent orders on the same item listing.
 <br/><br/>
 This field is required if the <b>QuantityRestrictionPerBuyer</b>
 container is used.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *maximumQuantity;


@end
