// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_SellerDiscountType;
@class Trading_AmountType;

/**
 
 Type defining the <b>SellerDiscounts</b> container, which consists of one or
 more <b>SellerDiscount</b> nodes, as well as the original purchase price and
 shipping cost of the order line item.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellerDiscountsType : NSObject <PicoBindable> {

@private
    Trading_AmountType *_originalItemPrice;
    Trading_AmountType *_originalItemShippingCost;
    NSMutableArray *_sellerDiscount;
    NSMutableArray *_any;

}


/**
 
 The original purchase price of the order line item (before any seller discounts are
 applied).
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *originalItemPrice;

/**
 
 The original shipping cost for the order line item. Note that shipping discounts have
 not yet been enabled for seller discount campaigns.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *originalItemShippingCost;

/**
 
 A container consisting of name and ID of the seller's discount campaign, as well as the
 discount amount that is being applied to the order line item. Note that shipping
 discounts have not yet been enabled for seller discount campaigns. Seller
 discount campaigns are created through the Order Size Discounts API.
 
 
 entry type : class Trading_SellerDiscountType
*/

@property (nonatomic, retain) NSMutableArray *sellerDiscount;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
