// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_ShipmentLineItemType;

/**
 
 This type details the shipping carrier and shipment tracking number associated with a
 package shipment. It also contains information about the line items shipped through the Global Shipping program.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ShipmentTrackingDetailsType : NSObject <PicoBindable> {

@private
    NSString *_shippingCarrierUsed;
    NSString *_shipmentTrackingNumber;
    Trading_ShipmentLineItemType *_shipmentLineItem;
    NSMutableArray *_any;

}


/**
 
 Required if <b>ShipmentTrackingNumber</b> is supplied.
 Name of the shipping carrier used to ship the item. Although this value
 can be any value, since it is not checked by eBay, commonly used shipping
 carriers can be found by calling <b>GeteBayDetails</b>
 with <b>DetailName</b> set to <b>ShippingCarrierDetails</b> and examining the
 returned ShippingCarrierCodeTypes.
 <br><br>
 For those using UPS Mail Innovations, supply the value UPS-MI for UPS Mail Innnovations.
 Buyers will subsequently be sent to the UPS Mail Innovations website for tracking.
 <br><br>
 For those using FedEx SmartPost in a CompleteSale callsupply the value FedEx.
 Buyers will subsequently be sent to the appropriate web site for tracking status.
 (The buyer is sent to the UPS Mail Innovations website if UPS-MI is specified, or to
 the FedEx website if FedEx is specified.)
 Returned only if set.
 Returned for Half.com as well.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingCarrierUsed;

/**
 
 Required if <b>ShippingCarrierUsed</b> is supplied.
 The tracking number assigned by the shipping carrier to the item shipment. The
 format of the tracking number must be consistent with the format used by the
 specified shipping carrier (ShippingCarrierUsed). Typically, you should avoid
 spaces and hyphens.
 Returned only if set.
 Returned for Half.com as well.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shipmentTrackingNumber;

/**
 
    Contains information about one or more order line items in a Global Shipping Program package. Required or returned if the value of <strong>ShippingCarrierUsed</strong> is <code>GlobalShipping_MultiCarrier</code>.
 
 
 type : class Trading_ShipmentLineItemType
*/
@property (nonatomic, retain) Trading_ShipmentLineItemType *shipmentLineItem;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
