// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 This type defines the <b>Storefront</b> container, which can be used
 by eBay Stores sellers in Add/Revise/Relist calls to list an item under a custom
 eBay Stores category. The <b>Storefront</b> container is also returned
 in <b>GetItem</b> and other Trading calls that retrieve Item data.
  
 
 @ingroup EBayAPIInterface
*/
@interface Trading_StorefrontType : NSObject <PicoBindable> {

@private
    NSNumber *_storeCategoryID;
    NSNumber *_storeCategory2ID;
    NSString *_storeURL;
    NSString *_storeName;
    NSMutableArray *_any;

}


/**
 
 Unique identifier for a custom category that the seller created in
 their eBay Store. The value in this field indicates the primary category.
 eBay Stores sellers can create up to three levels of custom
 categories for their stores.
 Items can only be listed in root categories, or categories
 that have no child categories (subcategories).
 If you attempt to list an item in a category that has subcategories,
 the call response contains a warning,
 and the item is listed in the Other store category.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *storeCategoryID;

/**
 
 Unique identifier for a second custom
 category that the seller created in their eBay Store. eBay Stores sellers can
 create up to 300 custom categories for their stores. (One additional Store
 category cannot be customized and retains the value of "Other"). <br>
 If you specify an invalid value, the values are the same for both the primary
 and secondary store categories, or if the secondary store category is
 specified but the primary is left blank (or other),  the system resets the
 value to 0 (None). In short, the primary store category must be set to
 something meaningful and different from the second store category
 in order to set the secondary store category to a value other than 0.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *storeCategory2ID;

/**
 
 The URL of the seller's eBay Stores page.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *storeURL;

/**
 
 The name of the seller's eBay Store.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *storeName;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
