// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Type defining the TaxDetails container, which consists of detailed sales tax
  information for an order line item, including the tax type and description, sales tax
  on the item cost, and sales tax related to shipping and handling. The information in
  this container supercedes/overrides the sales tax information in the
  ShippingDetails.SalesTax container.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_TaxDetailsType : NSObject <PicoBindable> {

@private
    NSString *_imposition;
    NSString *_taxDescription;
    Trading_AmountType *_taxAmount;
    Trading_AmountType *_taxOnSubtotalAmount;
    Trading_AmountType *_taxOnShippingAmount;
    Trading_AmountType *_taxOnHandlingAmount;
    NSMutableArray *_any;

}


/**
 
 This field indicates the sales tax type. A separate TaxDetails container is
 required for each unique imposition (tax type).
 
 
 type: string constant in Trading_TaxTypeCodeType.h
*/
@property (nonatomic, retain) NSString *imposition;

/**
 
 This field indicates the description of the sales tax.
 
 
 type: string constant in Trading_TaxDescriptionCodeType.h
*/
@property (nonatomic, retain) NSString *taxDescription;

/**
 
 This value is the total amount of sales tax for the order line item for the
 corresponding impositiion (tax type).
 <br><br>
 <b>TaxAmount</b> = <b>TaxOnSubtotalAmount</b> + <b>TaxOnShippingAmount</b> + <b>TaxOnHandlingAmount</b>
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *taxAmount;

/**
 
 This value is the amount of sales tax applied based on the unit cost of the
 order line item for the corresponding impositiion (tax type).
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *taxOnSubtotalAmount;

/**
 
 This value is the amount of sales tax applied based on shipping costs for the
 order line item for the corresponding impositiion (tax type).
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *taxOnShippingAmount;

/**
 
 This value is the amount of sales tax applied based on handling costs for the
 order line item for the corresponding impositiion (tax type).
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *taxOnHandlingAmount;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
