// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
  Type defining the <b>VariationSpecificPictureSet</b> container, which is
  used to specify the URL(s) where the picture(s) of the variation specific will be
  hosted. If the <b>Variations.Pictures</b> container is used, at least one
  <b>VariationSpecificPictureSet</b> container is required.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_VariationSpecificPictureSetType : NSObject <PicoBindable> {

@private
    NSString *_variationSpecificValue;
    NSMutableArray *_pictureURL;
    NSString *_galleryURL;
    NSMutableArray *_externalPictureURL;
    NSMutableArray *_any;

}


/**
 
 A value that is associated with VariationSpecificName. For example,
 suppose this set of pictures is showing blue shirts, and some of
 the variations include Color=Blue in their variation specifics.
 If VariationSpecificName is "Color", then VariationSpecificValue would be "Blue".
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *variationSpecificValue;

/**
 
 The URL of a picture that is associated with the
 <b>VariationSpecificValue</b>. A variation specific picture set can
 consist of up to 12 images hosted by eBay Picture Services (EPS). However, only
 one picture may be used if that picture is hosted outside of eBay. eBay Picture
 Services and self-hosted images can never be combined into the same variation
 specific picture set. To specify multiple eBay Picture Services images, use
 multiple <b>PictureURL</b> fields, passing in a distinct URL in each
 of those fields. If specified, this field cannot have an empty/null value.
 <br><br>
 The picture located at the URL specified in the first
 <b>PictureURL</b> field is also used as the thumbnail image for
 applicable variations. For example, if the picture set contains pictures of red
 shirts (i.e., VariationSpecificName=Color and VariationSpecificValue=Red), the
 first picture is used as the thumbnail image for all the red shirt variations.
 <br>
 <br>
 You can use Item.PictureDetails to specify additional pictures.
 For example, the item-level pictures could include a model wearing a
 black shirt, as a typical example of the shirt style.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 If a URI contains spaces, replace them with <code>%20</code>.
 For example, <code>http://example.com/my image.jpg</code> must be
 submitted as <code>http://example.com/my%20image.jpg</code> to
 replace the space in the image file name.
 </span>
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *pictureURL;

/**
 
 URL for the variation's Gallery thumbnail, which eBay uses when
 the variation is shown in My eBay.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *galleryURL;

/**
 
 Returns the URL of a variation-specific picture that is hosted outside of eBay.<br>
 <br>
 When you list, revise, or relist a variation, use VariationSpecificPictureSet.PictureURL (not ExternalPictureURL) to specify your self-hosted picture or EPS picture.<br>
 <br>
 On sites with free gallery, if you use a self-hosted picture for a variation, eBay copies the picture and hosts it in eBay Picture Services (EPS). In eBay's View Item page, the variation shows the EPS-hosted picture. GetItem returns the EPS picture in VariationSpecificPictureSet.PictureURL, and it returns the self-hosted picture in VariationSpecificPictureSet.ExternalPictureURL. (If the copying process fails, the original (self-hosted) picture is returned in both ExternalPictureURL and PictureURL.)<br>
 <br>
 Only returned when the seller used a self-hosted picture for the variation.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *externalPictureURL;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
