// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Enables a seller to add custom Ask Seller a Question (ASQ)
 subjects to display on the seller's Ask a Question page, or reset
 the custom subjects to the default values.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ASQPreferencesType : NSObject <PicoBindable> {

@private
    NSNumber *_resetDefaultSubjects;
    NSMutableArray *_subject;
    NSMutableArray *_any;

}


/**
 
 Used to reset custom subjects to their default values. For
 SetMessagePreferences, either ResetDefaultSubjects or Subject
 is required in the request, but not both.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *resetDefaultSubjects;

/**
 
 Contains the ASQ subjects to display on the seller's
 Ask a Question page, with one subject per Subject node up to a
 maximum of nine. The tenth subject, "General question about
 this item," cannot be edited. An error wil be returned if subjects are duplicated.
 <br><br>
 For SetMessagePreferences, either ResetDefaultSubjects or
 Subject is required in the request, but not both. Subjects are
 displayed on the ASQ drop-down list in same order as the
 request.
 <br><br>
 Note that the default ASQ subjects will display in the site's
 language if retrieved from a site other than the seller's own.
 For example, if if a US seller sells on the DE and the FR
 sites, the default subjects will display in German and French
 respectively. However, if the seller adds custom questions,
 all questions will display only in the seller's language. In
 the example case, FR and DE buyers would see custom subjects
 in English only. Use ResetDefaultSubjects to restore the
 default subjects and the default language display behavior.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *subject;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
