// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>

/**
 @file
 
   Specifies values that describe a transaction on an account. Details of
   the transaction are returned in AccountEntry. The transaction can
   be a debit or credit to the account.
 
 
 @ingroup EBayAPIInterface
*/

/**
 
  The reason for the charge is unknown.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_UNKNOWN;

/**
 
   The fee for listing an item for sale on eBay.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_INSERTION;

/**
 
  The fee for a listing title in boldface font.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_BOLD;

/**
 
   The fee for adding an optional feature to a listing,
   such as a reserve fee or a listing upgrade fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_FEATURED;

/**
 
  (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_CATEGORY_FEATURED;

/**
 
  The fee charged when a listed item sells. The fee
  is a percentage of the final sale price.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_FINAL_VALUE;

/**
 
 A payment by check made by a seller to eBay.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_CHECK;

/**
 
 A payment by credit card made by a seller to eBay.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_CC;

/**
 
  (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_COURTESY;

/**
 
  (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_NO_SALE;

/**
 
  (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PARTIAL_SALE;

/**
 
  A refund made by eBay to the seller's credit card.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_REFUND_CC;

/**
 
 A refund made by eBay to the seller by check.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_REFUND_CHECK;

/**
 
 A finance charge made to the seller's account, for example,
 the monthly finance charge added to an account whose balance has not been
 paid.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FINANCE_CHARGE;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_AW_DEBIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_AW_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_AW_MEMO;

/**
 
 A credit made by eBay for a duplicate listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_DUPLICATE_LISTING;

/**
 
 A fee charged by eBay for a partial sale.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_PARTIAL_SALE;

/**
 
 A reversal of an electronic transfer payment.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_ELECTRONIC_TRANSFER_REVERSAL;

/**
 
 A one-time payment to the account made by
 credit card.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_CC_ONCE;

/**
 
 A fee charged by eBay for a returned check.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_RETURNED_CHECK;

/**
 
 A fee charged by eBay when a check must be redeposited
 to collect funds.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_REDEPOSIT_CHECK;

/**
 
 A cash payment made on the seller's account.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_CASH;

/**
 
 A credit issued by eBay for an insertion fee.
 If a listed item does not sell or results in an
 Unpaid Item (UPI) dispute, the seller can relist
 the item. If the item sells the second time, eBay
 credits the insertion fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_INSERTION;

/**
 
 A credit issued by eBay for the Bold listing fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_BOLD;

/**
 
 A credit issued by eBay for the Featured listing fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FEATURED;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_CATEGORY_FEATURED;

/**
 
 A credit issued by eBay for the Final Value Fee.
 Issued as a result of an Unpaid Item dispute, under
 some circumstances.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FINAL_VALUE;

/**
 
 A fee charged by eBay when the seller's check does not clear
 due to insufficient funds.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_NSF_CHECK;

/**
 
 A fee charged by eBay when the seller's check does not clear
 because the account has been closed.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_RETURN_CHECK_CLOSE;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_MEMO;

/**
 
 A payment made to the account by money order.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_MONEY_ORDER;

/**
 
 An automatic monthly charge of the seller's invoice
 amount made by eBay to a credit card the seller has placed
 on file.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_CARD_ON_FILE;

/**
 
 A one-time payment made by a credit card
 that is not on file with eBay for automatic monthly
 payments.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_CARD_NOT_ON_FILE;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_INVOICED;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_INVOICED_CREDIT_CARD;

/**
 
 A transfer from another account to this account,
 resulting in a credit to this account.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_TRANSFER_FROM;

/**
 
 A transfer from this account to another account,
 resulting in a debit to this account.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_DEBIT_TRANSFER_TO;

/**
 
 A credit balance for an account's invoice period,
 meaning that the seller should not pay.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_INVOICE_CREDIT_BALANCE;

/**
 
 An all-purpose code for debits that are manually applied to auctions,
 for example, when the credit cannot be applied to an item number
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_E_BAY_DEBIT;

/**
 
 An all-purpose code for credits that are manually applied to auctions,
 for example, when the credit cannot be applied to an item number
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_E_BAY_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PROMOTIONAL_CREDIT;

/**
 
 A note that the credit card is not
 on file at the customer's request.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CC_NOT_ON_FILE_PER_CUST_REQ;

/**
 
 A credit issued by eBay for an insertion
 fee when an item is relisted.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_INSERTION_FEE;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CC_PAYMENT_REJECTED;

/**
 
 A fee charged by eBay for adding a gift icon to
 a listing. The gift icon highlights the item as a good
 gift and might offer gift services, such as wrapping
 or shipping.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_GIFT_ICON;

/**
 
 A credit issued by eBay for the gift item
 fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_GIFT_ICON;

/**
 
 A fee charged by eBay for listing an item
 in the Picture Gallery. A buyer sees a picture of
 the item when browsing a category, before moving to
 the item's listing page.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_GALLERY;

/**
 
 A fee charged by eBay for listing an item
 in the Featured section at the top of the Picture Gallery
 page.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_FEATURED_GALLERY;

/**
 
 A credit issued by eBay for the Gallery fee
 charged when the item was listed.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_GALLERY;

/**
 
 A credit issued by eBay for the Featured Gallery
 fee charged when the item was listed.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FEATURED_GALLERY;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_ITEM_MOVE_FEE;

/**
 
 A credit issued by eBay when listings are not available
 due to system downtime. The downtime can be a title search
 outage or a hard outage. See the online help for details.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_OUTAGE_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PSA;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PCGS;

/**
 
 A fee charged by eBay when an item is listed with
 a reserve price. The fee is credited when the auction
 completes successfully.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_RESERVE;

/**
 
 A credit issued by eBay for a reserve price auction
 when the auction completes successfully.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_RESERVE;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_E_BAY_VISA_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BB_ADMIN_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BB_ADMIN_DEBIT;

/**
 
 A credit issued by eBay to a Store owner
 who has promoted items outside of eBay.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_REFERRER_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_REFERRER_DEBIT;

/**
 
 A switch from one billing currency to another.
 The billing currency can be USD, EUR, CAD, GBP, AUD,
 JPY, or TWD.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SWITCH_CURRENCY;

/**
 
 A payment made to the account by gift certificate.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_GIFT_CERTIFICATE;

/**
 
 A payment made to the account by wire transfer.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_WIRE_TRANSFER;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_HOME_BANKING;

/**
 
 A one-time payment made to the account by electronic
 transfer.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_ELECTRONIC_TRANSFER;

/**
 
 A credit (addition) made by eBay to the seller's account
 when a payment needs to be adjusted.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_ADJUSTMENT_CREDIT;

/**
 
 A debit (deduction) made by eBay to the seller's account
 when a payment needs to be adjusted.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_ADJUSTMENT_DEBIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_RECOVERY;

/**
 
 A writeoff of the account charge by eBay
 because the seller has declared bankruptcy.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_BANKRUPTCY;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_SUSPENDED;

/**
 
 A writeoff of the account charge by eBay
 because the seller is deceased.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_DECEASED;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_OTHER;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_WACKO;

/**
 
 A reversal of a finance charge, made by eBay.
 The finance charge is added if the seller does not pay
 the monthly account balance on time.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FINANCE_CHARGE_REVERSAL;

/**
 
 A reversal of a Final Value Fee credit, resulting
 in the fee being charged to the seller. The Final Value
 Fee can be credited as a result of an Unpaid Item Dispute.
 If the buyer later pays, the seller can request a reversal.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FVF_CREDIT_REVERSAL;

/**
 
 A fee charged for currency conversion.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FOREIGN_FUNDS_CONVERT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FOREIGN_FUNDS_CHECK_REVERSAL;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_EOM_RESTRICTION;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_ALL_FEES_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SET_ON_HOLD;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_REVERT_USER_STATE;

/**
 
 A monthly payment made by automatic direct debit to the
 seller's checking account, when the account information
 is on file.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_DIRECT_DEBIT_ON_FILE;

/**
 
 A one-time payment made by direct debit to the seller's
 checking account, when the account information is not on file,
 but is provided for this payment.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_DIRECT_DEBIT_NOT_ON_FILE;

/**
 
 A payment made by direct debit from the seller's
 checking account when the seller has requested automatic
 monthly invoice payments.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_DIRECT_DEBIT;

/**
 
 A reversal of a payment made by direct debit
 from the seller's checking account.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_DIRECT_DEBIT_REVERSAL;

/**
 
 A reversal of a payment made by direct debit
 from a seller's checking account when an item is returned
 by the buyer.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_DIRECT_DEBIT_RETURNED_ITEM;

/**
 
  A fee charged by eBay for adding a colored band to
  emphasize a listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_HIGHLIGHT;

/**
 
 A credit issued by eBay for a highlight fee on an
 item's listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_HIGHLIGHT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BULK_USER_SUSPENSION;

/**
 
 A fee charged for a 30-day real estate
 listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_REAL_ESTATE_30_DAYS_LISTING;

/**
 
 A credit for a 30-day real estate listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_REAL_ESTATE_30_DAYS_LISTING;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_TRADING_LIMIT_OVERRIDE_ON;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_TRADING_LIMIT_OVERRIDE_OFF;

/**
 
 A fee charged to sellers who do not provide a credit card
 or checking account number to verify identify.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_EQUIFAX_REALTIME_FEE;

/**
 
 A credit granted for an EquifaxRealtimeFee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_EQUIFAX_REALTIME_FEE;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_EQUIFAX_DEBIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_EQUIFAX_CREDIT;

/**
 
 Two accounts with the same owner but different user IDs
 have been merged into one.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_MERGED;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_AUTO_TRADER_ON;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_AUTO_TRADER_OFF;

/**
 
 The option to send the seller paper invoices
 has been turned on.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAPER_INVOICE_ON;

/**
 
 The option to send the seller paper invoices
 has been turned off.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAPER_INVOICE_OFF;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_ACCOUNT_STATE_SWITCH;

/**
 
 An automatic reversal of a Final Value Fee
 credit.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FVF_CREDIT_REVERSAL_AUTOMATIC;

/**
 
 A credit granted by eBay when a title search
 outage of one hour or longer occurs on the site.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_SOFT_OUTAGE;

/**
 
 A fee charged for listing a lot (one or more items) in a
 Live Auction catalog.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LA_CATALOG_FEE;

/**
 
 A fee charged for listing an extra item in a Live Auction.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LA_EXTRA_ITEM;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LA_CATALOG_ITEM_FEE_REFUND;

/**
 
 A credit for listing an item in a Live Auction catalog.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LA_CATALOG_INSERTION_REFUND;

/**
 
 A Final Value Fee charged by eBay when a lot listed
 on a Live Auction is sold.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LA_FINAL_VALUE_FEE;

/**
 
 A refund of a Final Value Fee that was charged
 when a Live Auction lot was sold.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LA_FINAL_VALUE_FEE_REFUND;

/**
 
 A fee paid by the buyer to the auction house for
 a purchase in a Live Auction.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LA_BUYER_PREMIUM_PERCENTAGE_FEE;

/**
 
 A refund of the fee paid by a buyer to the auction
 house for a purchase in a Live Auction.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LA_BUYER_PREMIUM_PERCENTAGE_FEE_REFUND;

/**
 
 A fee charged for audio or video services provided
 during the sale of lots at a Live Auction.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LA_AUDIO_VIDEO_FEE;

/**
 
 A refund for audio or video services provided at
 a Live Auction.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LA_AUDIO_VIDEO_FEE_REFUND;

/**
 
 A fee charged for a panoramic 360-degree photo
 in a listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_IPIX_PHOTO;

/**
 
 A fee charged for a slide show of panoramic 360-degree
 photos.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_IPIX_SLIDE_SHOW;

/**
 
 A credit granted to reverse an IPIX photo fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_IPIX_PHOTO;

/**
 
 A credit granted to reverse an IPIX slideshow fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_IPIX_SLIDE_SHOW;

/**
 
 A fee charged for listing an item for 10 days,
 rather than one, three, five, or seven days.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_TEN_DAY_AUCTION;

/**
 
 A credit granted to reverse a 10-day auction
 fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_TEN_DAY_AUCTION;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_TEMPORARY_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_TEMPORARY_CREDIT_REVERSAL;

/**
 
       A fee charged for a subscription to Auction Assistant Basic.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SUBSCRIPTION_AA_BASIC;

/**
 
       A fee charged for a subscription to Auction Assistant Pro.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SUBSCRIPTION_AA_PRO;

/**
 
      A credit granted for a subscription fee charged for Auction Assistant Basic.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_AA_BASIC;

/**
 
 A credit granted for a subscription fee charged for Auction Assistant Pro.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_AA_PRO;

/**
 
 A fee charged by eBay for a supersized picture
 in a listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_LARGE_PICTURE;

/**
 
 A credit issued by eBay for a supersized picture.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_LARGE_PICTURE;

/**
 
 A fee charged by eBay for the Picture Pack feature.
 The fee differs according to the number of pictures you
 use. See the online help for details.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_PICTURE_PACK;

/**
 
  A partial credit issued by eBay for the Picture Pack fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PICTURE_PACK_PARTIAL;

/**
 
  A full credit issued by eBay for the Picture Pack fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PICTURE_PACK_FULL;

/**
 
  A monthly subscription fee charged for an eBay Store.
   The fee can be Basic, Featured, or Anchor.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SUBSCRIPTIONE_BAY_STORES;

/**
 
  A credit issued by eBay for the monthly fee charged
  for an eBay store.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDITE_BAY_STORES;

/**
 
 The fee charged by eBay for listing a Fixed Price item.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_INSERTION_FIXED_PRICE;

/**
 
 A credit issued by eBay for listing a Fixed Price item.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_INSERTION_FIXED_PRICE;

/**
 
  The Final Value Fee credit charged by eBay when
  a fixed price item sells.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_FINAL_VALUE_FIXED_PRICE;

/**
 
 A credit issued by eBay for the Final Value Fee
 for a fixed price item.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FINAL_VALUE_FIXED_PRICE;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_ELECTRONIC_INVOICE_ON;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_ELECTRONIC_INVOICE_OFF;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FLAG_DDDD_PENDING;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FLAG_DD_PAYMENT_CONFIRMED;

/**
 
 The fee charged by eBay for creating a Fixed Price
 listing with a 10-day duration. Fixed Price listings
 of 1, 3, 5, and 7 days are not charged this fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FIXED_PRICE_DURATION_FEE;

/**
 
 A credit issued by eBay for a Fixed Price listing
 with a 10-day duration.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FIXED_PRICE_DURATION_CREDIT;

/**
 
 A fee charged by eBay for listing a Buy It Now item.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BUY_IT_NOW_FEE;

/**
 
 A credit issued by eBay for the fee charged for a
 Buy It Now listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BUY_IT_NOW_CREDIT;

/**
 
 A fee for scheduling a listing to start at some
 later time, up to 3 weeks after the listing is created.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_SCHEDULE;

/**
 
 A credit made by eBay for the fee charged for
 scheduling a listing to start after the listing is created.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_SCHEDULE;

/**
 
  The monthly subscription fee charged for
  Selling Manager Basic. The monthly charge is billed
  in advance.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SUBSCRIPTION_SM_BASIC;

/**
 
 The monthly subscription fee charged for
 Selling Manager Pro. The monthly charge is billed
 in advance.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SUBSCRIPTION_SM_BASIC_PRO;

/**
 
 A one-time credit for a free one-month
 trial of Selling Manager Basic.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_SM_BASIC;

/**
 
 A one-time credit for a free one-month
 trial of Selling Manager Pro.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_SM_BASIC_PRO;

/**
 
 The fee charged for a Good-Til-Cancelled
 listing in an eBay Store. The charge is made once
 each 30 days, until the listing ends.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_STORES_GTC_FEE;

/**
 
 A credit for the fee charged for a Good-Til-Cancelled
 listing in an eBay Store.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_STORES_GTC_CREDIT;

/**
 
 The fee charged for using a Listing Designer theme and layout
 template for a listing. The fee is displayed to the seller during
 the listing process.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LISTING_DESIGNER_FEE;

/**
 
 A credit issued by eBay for a Listing Designer fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_LISTING_DESIGNER_CREDIT;

/**
 
 The fee charged for listing an auction item
 for 10 days.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_EXTENDED_AUCTION_FEE;

/**
 
 A credit for the fee charged for listing an
 auction item for 10 days.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_EXTENDED_ACUTION_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAY_PAL_OTP_SUCC;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAY_PAL_OTP_PEND;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAY_PAL_FAILED;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAY_PAL_CHARGE_BACK;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CHARGE_BACK;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CHARGE_BACK_REVERSAL;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAY_PAL_REFUND;

/**
 
 An addition to the seller's eBay
 Anything Points account. Each point is
 equivalent to $0.01.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_ADDITION;

/**
 
 A reduction to the seller's eBay
 Anything Points account. Each point is
 equivalent to $0.01.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_REDUCTION;

/**
 
 An automatic payment of seller fees
 from the seller's eBay Anything Points account.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_PAYMENT_AUTOMATIC;

/**
 
 A one-time payment of seller fees from
 the seller's eBay Anything Points account.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_PAYMENT_MANUAL;

/**
 
 A reversal of a seller fee payment made
 from the seller's eBay Anything Points account.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_PAYMENT_REVERSAL;

/**
 
 A cash payment made from the seller's eBay
 Anything Points account and credited to the seller's
 account.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_CASH_PAYOUT;

/**
 
 A credit (return) to your account of Value-Added Tax
 previously paid.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VAT_CREDIT;

/**
 
  A debit to your account for a Value-Added Tax charge.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VAT_DEBIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VAT_STATUS_CHANGE_PENDING;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VAT_STATUS_CHANGE_APPROVED;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VAT_STATUS_CHANGE_DENIED;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VAT_STATUS_DELETED_BY_CSR;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VAT_STATUS_DELETED_BY_USER;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SM_PRO_LISTING_DESIGNER_FEE;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SM_PRO_LISTING_DESIGNER_CREDIT;

/**
 
 A fee charged for the difference between an eBay Store inventory listing
 fee and an auction listing fee if a Store inventory item sells.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_STORES_SUCCESSFUL_LISTING_FEE;

/**
 
 A credit for a StoresSuccessfulListingFee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_STORES_SUCCESSFUL_LISTING_FEE_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_STORES_REFERRAL_FEE;

/**
 
 A credit posted to a seller's account
 for sale of Stores Inventory items by buyers
 referred to the seller's Store by printed materials
 and emails outside eBay.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_STORES_REFERRAL_CREDIT;

/**
 
 The fee charged for adding a subtitle
 to a listing. The subtitle adds information
 to the title.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SUBTITLE_FEE;

/**
 
 A credit of the fee charged for adding a
 subtitle to a listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SUBTITLE_FEE_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_E_BAY_STORE_INVENTORY_SUBSCRIPTION_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_AUTO_PMNT_REQ_EXEMPT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_AUTO_PMNT_REQ_REIN;

/**
 
 The monthly fee charged for subscribing to
 Picture Manager. The fee varies according to
 the level of subscription.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PICTURE_MANAGER_SUBSCRIPTION_FEE;

/**
 
 A credit granted for a Picture Manageer subscription
 fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PICTURE_MANAGER_SUBSCRIPTION_FEE_CREDIT;

/**
 
 A fee charged for a basic subscription to Seller Reports.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SELLER_REPORTS_BASIC_FEE;

/**
 
 A credit granted for a basic subscription to Seller Reports.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SELLER_REPORTS_BASIC_CREDIT;

/**
 
 A fee charged for a subscription to Seller Reports Plus.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SELLER_REPORTS_PLUS_FEE;

/**
 
 A credit granted for a subscription to Seller Reports Plus.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SELLER_REPORTS_PLUS_CREDIT;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYPAL_ON_FILE;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYPAL_ON_FILE_BY_CSR;

/**
 
 (out)
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PAYPAL_OFF_FILE;

/**
 
 The fee for adding a border that outlines a listing with a frame.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BORDER_FEE;

/**
 
 A credit for the border fee charged for a listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BORDER_FEE_CREDIT;

/**
 
 A fee charged to a seller for upgrading
 a listing from eBay Germany's Car, Motorcycle,
 and Special Vehicle categories so that it is also
 searchable on the mobile.de classifieds site.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_SEARCHABLE_MOBILE_DE;

/**
 
 A monthly subscription fee charged for
 Sales Reports Plus.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SALES_REPORTS_PLUS_FEE;

/**
 
 A credit granted for a Sales Reports Plus
 monthly subscription fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_SALES_REPORTS_PLUS_CREDIT;

/**
 
 A credit granted for upgrading a listing
 to make it searchable on the mobile.de platform.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_SEARCHABLE_MOBILE_DE;

/**
 
 A fee charged to owners of eBay Stores
 who have a sent a marketing email to buyers,
 for the number of email recipients over
 the Store's monthly free allocation. The
 monthly allocation varies according to the type
 of Store.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_EMAIL_MARKETING_FEE;

/**
 
 A credit granted for an email marketing fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_EMAIL_MARKETING_CREDIT;

/**
 
 A fee charged for the Picture Show
 service, which lets buyers browse or see a slide
 show of 2 or more pictures at the top of the
 item page.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_PICTURE_SHOW;

/**
 
 A credit granted for a Picture Show fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PICTURE_SHOW;

/**
 
 A fee charged for the ProPackBundle feature pack (currently available to US and Canada eBay motor vehicle sellers).
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PRO_PACK_BUNDLE_FEE;

/**
 
 A credit granted by eBay for the ProPackBundle feature pack (currently available to US and Canada eBay motor vehicle sellers).
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PRO_PACK_BUNDLE_FEE_CREDIT;

/**
 
 A fee charged by eBay for the BasicUpgradePackBundle feature pack.
 No longer applicable to any sites (but formerly applicable to the
 Australia site, site ID 15).
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BASIC_UPGRADE_PACK_BUNDLE_FEE;

/**
 
 A credit granted by eBay for the BasicUpgradePackBundle feature pack.
 No longer applicable to any sites (but formerly applicable to the
 Australia site, site ID 15).
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BASIC_UPGRADE_PACK_BUNDLE_FEE_CREDIT;

/**
 
 A fee charged by eBay for the ValuePackBundle feature pack.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VALUE_PACK_BUNDLE_FEE;

/**
 
 A credit granted by eBay for the ValuePackBundle feature pack.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VALUE_PACK_BUNDLE_FEE_CREDIT;

/**
 
 A fee charged by eBay for the ProPackPlusBundle feature pack.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PRO_PACK_PLUS_BUNDLE_FEE;

/**
 
 A credit granted by eBay for the ProPackPlusBundle feature pack.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_PRO_PACK_PLUS_BUNDLE_FEE_CREDIT;

/**
 
 The final entry in an account before it is closed
 or merged with another account.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FINAL_ENTRY;

/**
 
 Reserved for future use.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CUSTOM_CODE;

/**
 
 A fee charged for extended listing duration.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_EXTENDED_DURATION_FEE;

/**
 
 A credit granted by eBay for extended listing duration.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_EXTENDED_DURATION_FEE_CREDIT;

/**
 
   The fee for an international listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_INTERNATIONAL_LISTING_FEE;

/**
 
   A credit issued by eBay for an international listing.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_INTERNATIONAL_LISTING_CREDIT;

/**
 
   A MarketPlace Research fee for expired subscriptions.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_EXPIRED_SUBSCRIPTION_FEE;

/**
 
   A MarketPlace Research credit for expired subscriptions.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_EXPIRED_SUBSCRIPTION_FEE_CREDIT;

/**
 
   A MarketPlace Research basic subscription fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_BASIC_SUBSCRIPTION_FEE;

/**
 
   A MarketPlace Research basic subscription credit.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_BASIC_SUBSCRIPTION_FEE_CREDIT;

/**
 
   A MarketPlace Research pro subscription fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_PRO_SUBSCRIPTION_FEE;

/**
 
   Basic bundle fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BASIC_BUNDLE_FEE;

/**
 
   Basic bundle fee credit.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_BASIC_BUNDLE_FEE_CREDIT;

/**
 
   A MarketPlace Research pro subscription fee credit.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_PRO_SUBSCRIPTION_FEE_CREDIT;

/**
 
   A Vehicle Local subscription fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_SUBSCRIPTION_FEE;

/**
 
   A Vehicle Local subscription fee credit.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_SUBSCRIPTION_FEE_CREDIT;

/**
 
   A Vehicle Local insertion fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_INSERTION_FEE;

/**
 
   A Vehicle Local insertion fee credit.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_INSERTION_FEE_CREDIT;

/**
 
   A Vehicle Local final value fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_FINAL_VALUE_FEE;

/**
 
   A Vehicle Local final value fee credit.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_FINAL_VALUE_FEE_CREDIT;

/**
 
   A Vehicle Local GTC fee.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_GTC_FEE;

/**
 
   A Vehicle Local GTC fee credit.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_GTC_FEE_CREDIT;

/**
 
 eBay Motors Pro fee. Applies to eBay Motors Pro registered dealer
 applications only.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_E_BAY_MOTORS_PRO_FEE;

/**
 
 eBay Motors Pro fee credit. Applies to eBay Motors Pro registered
 dealer applications only.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDITE_BAY_MOTORS_PRO_FEE;

/**
 
 eBay Motors Pro feature fee. Applies to eBay Motors Pro registered
 dealer applications only.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_E_BAY_MOTORS_PRO_FEATURE_FEE;

/**
 
 eBay Motors Pro feature fee credit. Applies to eBay Motors Pro
 registered dealer applications only.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDITE_BAY_MOTORS_PRO_FEATURE_FEE;

/**
 
 A fee charged by eBay for listing an item with the
 Gallery Plus feature enabled. This feature cannot be removed
 with ReviseItem or RelistItem. However, if the feature is
 upgraded, for example, to Gallery Featured, the fee for
 Gallery Plus is refunded and a fee for Gallery Feature is
 charged instead.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_GALLERY_PLUS;

/**
 
 A credit issued by eBay when refunding the fee for
 enabling the Gallery Plus feature. A Gallery Plus credit may
 be issued if, for example, a user upgrades their feature
 with ReviseItem or RelistItem to Gallery Featured. In this
 case, the original Gallery Plus fee is refunded and a
 Gallery Featured fee is charged instead.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_GALLERY_PLUS;

extern NSString *const Trading_AccountDetailEntryCodeType_PRIVATE_LISTING;

extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PRIVATE_LISTING;

/**
 
 eBay ImmoPro Fee
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_IMMO_PRO_FEE;

/**
 
 Credit eBay ImmoPro Fee
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_IMMO_PRO_FEE;

/**
 
 eBay ImmoPro Feature Fee
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_IMMO_PRO_FEATURE_FEE;

/**
 
 Credit eBay ImmoPro Feature Fee
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_IMMO_PRO_FEATURE_FEE;

/**
 
 eBay Real Estate Pro Fee
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_REAL_ESTATE_PRO_FEE;

/**
 
 Credit eBay Real Estate Pro Fee
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_REAL_ESTATE_PRO_FEE;

/**
 
 eBay Real Estate Pro Feature Fee
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_REAL_ESTATE_PRO_FEATURE_FEE;

/**
 
 Credit eBay Real Estate Pro Feature Fee
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_REAL_ESTATE_PRO_FEATURE_FEE;

/**
 
 PowerSeller, PowerSeller shipping, Top-rated seller,
 eBay Stores subscription, or other subscription discount against the
 final value fee, insertion fee, subscription fee, late payment fee,
 or other fee. See AccountEntry.Title for an explanation of the
 discount and the percentage that was applied.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_DISCOUNT;

/**
 
 
 Reserved for future use.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FINAL_VALUE_SHIPPING;

/**
 
  
  Reserved for future use.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_FINAL_VALUE_SHIPPING;

/**
 
 The fee charged for Return Shipping.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_RETURN_SHIPPING;

/**
 
 A credit issued by eBay against a Return Shipping charge.
 Issued as a result of an Unpaid Item dispute, under
 some circumstances.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_RETURN_SHIPPING;

/**
 
 The fee charged by eBay for the Global Shipping Program.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_GLOBAL_SHIPPING_PROGRAM;

/**
 
 Credit issued by eBay for charged Global Shipping Program Fee
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_GLOBAL_SHIPPING_PROGRAM;

/**
 
 A fee charged to the seller's account if the seller ends an auction (with bids)
 early.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_AUCTION_END_EARLY;

/**
 
 A credit issued by eBay to the seller's account if a duplicate auction
 listing is ended administratively by eBay. A seller is only eligible for this
 credit if the auction listing had zero bids and was never surfaced in Search.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_AUCTION_END_EARLY;

/**
 
 The fee charged to the seller for printing out and using a FedEx shipping
 label from eBay.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_FED_EX_SHIPPING_LABEL;

/**
 
 A credit issued by eBay to reimburse the seller for a FedEx shipping label. In
 some cases, this credit may be issued to the seller as a result of an Unpaid Item
 case that the seller has won against a buyer.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FED_EX_SHIPPING_LABEL;

/**
 
 This fee is charged to the seller's account if eBay is forced to refund the buyer
 in a case where the buyer has used the eBay US Managed Returns process and return
 shipped the item to the seller, but the seller has not issued a refund to the buyer
 within seven business days after receiving the returned item.
 <br/><br/>
 This value is equal to the refund ("CreditReturnRefund") issued to the buyer.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_FEE_RETURN_REFUND;

/**
 
 A credit issued to the buyer's account by eBay in a case where the buyer has used the eBay US
 Managed Returns process and return shipped the item to the seller, but the seller
 has not issued a refund to the buyer within seven business days after receiving the
 returned item. The buyer credit amounts to the total purchase price (plus any
 shipping costs if the item was "not as described") minus the seller's restocking
 fee if one was specified under the return policy of the listing.
 <br/><br/>
 eBay then charges this expense to the seller's account, and this charge is
 attached to the "FeeReturnRefund" value.
 
*/
extern NSString *const Trading_AccountDetailEntryCodeType_CREDIT_RETURN_REFUND;
