// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import "Trading_AccountDetailEntryCodeType.h"

/**
 @file
 
   Specifies values that describe a transaction on an account. Details of
   the transaction are returned in AccountEntry. The transaction can
   be a debit or credit to the account.
 
*/

/**
 
  The reason for the charge is unknown.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_UNKNOWN = @"Unknown";

/**
 
   The fee for listing an item for sale on eBay.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_INSERTION = @"FeeInsertion";

/**
 
  The fee for a listing title in boldface font.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_BOLD = @"FeeBold";

/**
 
   The fee for adding an optional feature to a listing,
   such as a reserve fee or a listing upgrade fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_FEATURED = @"FeeFeatured";

/**
 
  (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_CATEGORY_FEATURED = @"FeeCategoryFeatured";

/**
 
  The fee charged when a listed item sells. The fee
  is a percentage of the final sale price.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_FINAL_VALUE = @"FeeFinalValue";

/**
 
 A payment by check made by a seller to eBay.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_CHECK = @"PaymentCheck";

/**
 
 A payment by credit card made by a seller to eBay.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_CC = @"PaymentCC";

/**
 
  (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_COURTESY = @"CreditCourtesy";

/**
 
  (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_NO_SALE = @"CreditNoSale";

/**
 
  (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PARTIAL_SALE = @"CreditPartialSale";

/**
 
  A refund made by eBay to the seller's credit card.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_REFUND_CC = @"RefundCC";

/**
 
 A refund made by eBay to the seller by check.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_REFUND_CHECK = @"RefundCheck";

/**
 
 A finance charge made to the seller's account, for example,
 the monthly finance charge added to an account whose balance has not been
 paid.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FINANCE_CHARGE = @"FinanceCharge";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_AW_DEBIT = @"AWDebit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_AW_CREDIT = @"AWCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_AW_MEMO = @"AWMemo";

/**
 
 A credit made by eBay for a duplicate listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_DUPLICATE_LISTING = @"CreditDuplicateListing";

/**
 
 A fee charged by eBay for a partial sale.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_PARTIAL_SALE = @"FeePartialSale";

/**
 
 A reversal of an electronic transfer payment.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_ELECTRONIC_TRANSFER_REVERSAL = @"PaymentElectronicTransferReversal";

/**
 
 A one-time payment to the account made by
 credit card.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_CC_ONCE = @"PaymentCCOnce";

/**
 
 A fee charged by eBay for a returned check.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_RETURNED_CHECK = @"FeeReturnedCheck";

/**
 
 A fee charged by eBay when a check must be redeposited
 to collect funds.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_REDEPOSIT_CHECK = @"FeeRedepositCheck";

/**
 
 A cash payment made on the seller's account.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_CASH = @"PaymentCash";

/**
 
 A credit issued by eBay for an insertion fee.
 If a listed item does not sell or results in an
 Unpaid Item (UPI) dispute, the seller can relist
 the item. If the item sells the second time, eBay
 credits the insertion fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_INSERTION = @"CreditInsertion";

/**
 
 A credit issued by eBay for the Bold listing fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_BOLD = @"CreditBold";

/**
 
 A credit issued by eBay for the Featured listing fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FEATURED = @"CreditFeatured";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_CATEGORY_FEATURED = @"CreditCategoryFeatured";

/**
 
 A credit issued by eBay for the Final Value Fee.
 Issued as a result of an Unpaid Item dispute, under
 some circumstances.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FINAL_VALUE = @"CreditFinalValue";

/**
 
 A fee charged by eBay when the seller's check does not clear
 due to insufficient funds.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_NSF_CHECK = @"FeeNSFCheck";

/**
 
 A fee charged by eBay when the seller's check does not clear
 because the account has been closed.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_RETURN_CHECK_CLOSE = @"FeeReturnCheckClose";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_MEMO = @"Memo";

/**
 
 A payment made to the account by money order.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_MONEY_ORDER = @"PaymentMoneyOrder";

/**
 
 An automatic monthly charge of the seller's invoice
 amount made by eBay to a credit card the seller has placed
 on file.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_CARD_ON_FILE = @"CreditCardOnFile";

/**
 
 A one-time payment made by a credit card
 that is not on file with eBay for automatic monthly
 payments.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_CARD_NOT_ON_FILE = @"CreditCardNotOnFile";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_INVOICED = @"Invoiced";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_INVOICED_CREDIT_CARD = @"InvoicedCreditCard";

/**
 
 A transfer from another account to this account,
 resulting in a credit to this account.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_TRANSFER_FROM = @"CreditTransferFrom";

/**
 
 A transfer from this account to another account,
 resulting in a debit to this account.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_DEBIT_TRANSFER_TO = @"DebitTransferTo";

/**
 
 A credit balance for an account's invoice period,
 meaning that the seller should not pay.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_INVOICE_CREDIT_BALANCE = @"InvoiceCreditBalance";

/**
 
 An all-purpose code for debits that are manually applied to auctions,
 for example, when the credit cannot be applied to an item number
 
*/
NSString *const Trading_AccountDetailEntryCodeType_E_BAY_DEBIT = @"eBayDebit";

/**
 
 An all-purpose code for credits that are manually applied to auctions,
 for example, when the credit cannot be applied to an item number
 
*/
NSString *const Trading_AccountDetailEntryCodeType_E_BAY_CREDIT = @"eBayCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PROMOTIONAL_CREDIT = @"PromotionalCredit";

/**
 
 A note that the credit card is not
 on file at the customer's request.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CC_NOT_ON_FILE_PER_CUST_REQ = @"CCNotOnFilePerCustReq";

/**
 
 A credit issued by eBay for an insertion
 fee when an item is relisted.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_INSERTION_FEE = @"CreditInsertionFee";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CC_PAYMENT_REJECTED = @"CCPaymentRejected";

/**
 
 A fee charged by eBay for adding a gift icon to
 a listing. The gift icon highlights the item as a good
 gift and might offer gift services, such as wrapping
 or shipping.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_GIFT_ICON = @"FeeGiftIcon";

/**
 
 A credit issued by eBay for the gift item
 fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_GIFT_ICON = @"CreditGiftIcon";

/**
 
 A fee charged by eBay for listing an item
 in the Picture Gallery. A buyer sees a picture of
 the item when browsing a category, before moving to
 the item's listing page.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_GALLERY = @"FeeGallery";

/**
 
 A fee charged by eBay for listing an item
 in the Featured section at the top of the Picture Gallery
 page.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_FEATURED_GALLERY = @"FeeFeaturedGallery";

/**
 
 A credit issued by eBay for the Gallery fee
 charged when the item was listed.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_GALLERY = @"CreditGallery";

/**
 
 A credit issued by eBay for the Featured Gallery
 fee charged when the item was listed.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FEATURED_GALLERY = @"CreditFeaturedGallery";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_ITEM_MOVE_FEE = @"ItemMoveFee";

/**
 
 A credit issued by eBay when listings are not available
 due to system downtime. The downtime can be a title search
 outage or a hard outage. See the online help for details.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_OUTAGE_CREDIT = @"OutageCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PSA = @"CreditPSA";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PCGS = @"CreditPCGS";

/**
 
 A fee charged by eBay when an item is listed with
 a reserve price. The fee is credited when the auction
 completes successfully.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_RESERVE = @"FeeReserve";

/**
 
 A credit issued by eBay for a reserve price auction
 when the auction completes successfully.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_RESERVE = @"CreditReserve";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_E_BAY_VISA_CREDIT = @"eBayVISACredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BB_ADMIN_CREDIT = @"BBAdminCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BB_ADMIN_DEBIT = @"BBAdminDebit";

/**
 
 A credit issued by eBay to a Store owner
 who has promoted items outside of eBay.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_REFERRER_CREDIT = @"ReferrerCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_REFERRER_DEBIT = @"ReferrerDebit";

/**
 
 A switch from one billing currency to another.
 The billing currency can be USD, EUR, CAD, GBP, AUD,
 JPY, or TWD.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SWITCH_CURRENCY = @"SwitchCurrency";

/**
 
 A payment made to the account by gift certificate.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_GIFT_CERTIFICATE = @"PaymentGiftCertificate";

/**
 
 A payment made to the account by wire transfer.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_WIRE_TRANSFER = @"PaymentWireTransfer";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_HOME_BANKING = @"PaymentHomeBanking";

/**
 
 A one-time payment made to the account by electronic
 transfer.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_ELECTRONIC_TRANSFER = @"PaymentElectronicTransfer";

/**
 
 A credit (addition) made by eBay to the seller's account
 when a payment needs to be adjusted.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_ADJUSTMENT_CREDIT = @"PaymentAdjustmentCredit";

/**
 
 A debit (deduction) made by eBay to the seller's account
 when a payment needs to be adjusted.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_ADJUSTMENT_DEBIT = @"PaymentAdjustmentDebit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF = @"Chargeoff";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_RECOVERY = @"ChargeoffRecovery";

/**
 
 A writeoff of the account charge by eBay
 because the seller has declared bankruptcy.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_BANKRUPTCY = @"ChargeoffBankruptcy";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_SUSPENDED = @"ChargeoffSuspended";

/**
 
 A writeoff of the account charge by eBay
 because the seller is deceased.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_DECEASED = @"ChargeoffDeceased";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_OTHER = @"ChargeoffOther";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CHARGEOFF_WACKO = @"ChargeoffWacko";

/**
 
 A reversal of a finance charge, made by eBay.
 The finance charge is added if the seller does not pay
 the monthly account balance on time.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FINANCE_CHARGE_REVERSAL = @"FinanceChargeReversal";

/**
 
 A reversal of a Final Value Fee credit, resulting
 in the fee being charged to the seller. The Final Value
 Fee can be credited as a result of an Unpaid Item Dispute.
 If the buyer later pays, the seller can request a reversal.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FVF_CREDIT_REVERSAL = @"FVFCreditReversal";

/**
 
 A fee charged for currency conversion.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FOREIGN_FUNDS_CONVERT = @"ForeignFundsConvert";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FOREIGN_FUNDS_CHECK_REVERSAL = @"ForeignFundsCheckReversal";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_EOM_RESTRICTION = @"EOMRestriction";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_ALL_FEES_CREDIT = @"AllFeesCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SET_ON_HOLD = @"SetOnHold";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_REVERT_USER_STATE = @"RevertUserState";

/**
 
 A monthly payment made by automatic direct debit to the
 seller's checking account, when the account information
 is on file.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_DIRECT_DEBIT_ON_FILE = @"DirectDebitOnFile";

/**
 
 A one-time payment made by direct debit to the seller's
 checking account, when the account information is not on file,
 but is provided for this payment.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_DIRECT_DEBIT_NOT_ON_FILE = @"DirectDebitNotOnFile";

/**
 
 A payment made by direct debit from the seller's
 checking account when the seller has requested automatic
 monthly invoice payments.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_DIRECT_DEBIT = @"PaymentDirectDebit";

/**
 
 A reversal of a payment made by direct debit
 from the seller's checking account.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_DIRECT_DEBIT_REVERSAL = @"DirectDebitReversal";

/**
 
 A reversal of a payment made by direct debit
 from a seller's checking account when an item is returned
 by the buyer.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_DIRECT_DEBIT_RETURNED_ITEM = @"DirectDebitReturnedItem";

/**
 
  A fee charged by eBay for adding a colored band to
  emphasize a listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_HIGHLIGHT = @"FeeHighlight";

/**
 
 A credit issued by eBay for a highlight fee on an
 item's listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_HIGHLIGHT = @"CreditHighlight";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BULK_USER_SUSPENSION = @"BulkUserSuspension";

/**
 
 A fee charged for a 30-day real estate
 listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_REAL_ESTATE_30_DAYS_LISTING = @"FeeRealEstate30DaysListing";

/**
 
 A credit for a 30-day real estate listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_REAL_ESTATE_30_DAYS_LISTING = @"CreditRealEstate30DaysListing";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_TRADING_LIMIT_OVERRIDE_ON = @"TradingLimitOverrideOn";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_TRADING_LIMIT_OVERRIDE_OFF = @"TradingLimitOverrideOff";

/**
 
 A fee charged to sellers who do not provide a credit card
 or checking account number to verify identify.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_EQUIFAX_REALTIME_FEE = @"EquifaxRealtimeFee";

/**
 
 A credit granted for an EquifaxRealtimeFee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_EQUIFAX_REALTIME_FEE = @"CreditEquifaxRealtimeFee";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_EQUIFAX_DEBIT = @"PaymentEquifaxDebit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYMENT_EQUIFAX_CREDIT = @"PaymentEquifaxCredit";

/**
 
 Two accounts with the same owner but different user IDs
 have been merged into one.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_MERGED = @"Merged";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_AUTO_TRADER_ON = @"AutoTraderOn";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_AUTO_TRADER_OFF = @"AutoTraderOff";

/**
 
 The option to send the seller paper invoices
 has been turned on.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAPER_INVOICE_ON = @"PaperInvoiceOn";

/**
 
 The option to send the seller paper invoices
 has been turned off.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAPER_INVOICE_OFF = @"PaperInvoiceOff";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_ACCOUNT_STATE_SWITCH = @"AccountStateSwitch";

/**
 
 An automatic reversal of a Final Value Fee
 credit.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FVF_CREDIT_REVERSAL_AUTOMATIC = @"FVFCreditReversalAutomatic";

/**
 
 A credit granted by eBay when a title search
 outage of one hour or longer occurs on the site.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_SOFT_OUTAGE = @"CreditSoftOutage";

/**
 
 A fee charged for listing a lot (one or more items) in a
 Live Auction catalog.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LA_CATALOG_FEE = @"LACatalogFee";

/**
 
 A fee charged for listing an extra item in a Live Auction.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LA_EXTRA_ITEM = @"LAExtraItem";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LA_CATALOG_ITEM_FEE_REFUND = @"LACatalogItemFeeRefund";

/**
 
 A credit for listing an item in a Live Auction catalog.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LA_CATALOG_INSERTION_REFUND = @"LACatalogInsertionRefund";

/**
 
 A Final Value Fee charged by eBay when a lot listed
 on a Live Auction is sold.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LA_FINAL_VALUE_FEE = @"LAFinalValueFee";

/**
 
 A refund of a Final Value Fee that was charged
 when a Live Auction lot was sold.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LA_FINAL_VALUE_FEE_REFUND = @"LAFinalValueFeeRefund";

/**
 
 A fee paid by the buyer to the auction house for
 a purchase in a Live Auction.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LA_BUYER_PREMIUM_PERCENTAGE_FEE = @"LABuyerPremiumPercentageFee";

/**
 
 A refund of the fee paid by a buyer to the auction
 house for a purchase in a Live Auction.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LA_BUYER_PREMIUM_PERCENTAGE_FEE_REFUND = @"LABuyerPremiumPercentageFeeRefund";

/**
 
 A fee charged for audio or video services provided
 during the sale of lots at a Live Auction.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LA_AUDIO_VIDEO_FEE = @"LAAudioVideoFee";

/**
 
 A refund for audio or video services provided at
 a Live Auction.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LA_AUDIO_VIDEO_FEE_REFUND = @"LAAudioVideoFeeRefund";

/**
 
 A fee charged for a panoramic 360-degree photo
 in a listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_IPIX_PHOTO = @"FeeIPIXPhoto";

/**
 
 A fee charged for a slide show of panoramic 360-degree
 photos.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_IPIX_SLIDE_SHOW = @"FeeIPIXSlideShow";

/**
 
 A credit granted to reverse an IPIX photo fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_IPIX_PHOTO = @"CreditIPIXPhoto";

/**
 
 A credit granted to reverse an IPIX slideshow fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_IPIX_SLIDE_SHOW = @"CreditIPIXSlideShow";

/**
 
 A fee charged for listing an item for 10 days,
 rather than one, three, five, or seven days.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_TEN_DAY_AUCTION = @"FeeTenDayAuction";

/**
 
 A credit granted to reverse a 10-day auction
 fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_TEN_DAY_AUCTION = @"CreditTenDayAuction";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_TEMPORARY_CREDIT = @"TemporaryCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_TEMPORARY_CREDIT_REVERSAL = @"TemporaryCreditReversal";

/**
 
       A fee charged for a subscription to Auction Assistant Basic.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SUBSCRIPTION_AA_BASIC = @"SubscriptionAABasic";

/**
 
       A fee charged for a subscription to Auction Assistant Pro.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SUBSCRIPTION_AA_PRO = @"SubscriptionAAPro";

/**
 
      A credit granted for a subscription fee charged for Auction Assistant Basic.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_AA_BASIC = @"CreditAABasic";

/**
 
 A credit granted for a subscription fee charged for Auction Assistant Pro.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_AA_PRO = @"CreditAAPro";

/**
 
 A fee charged by eBay for a supersized picture
 in a listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_LARGE_PICTURE = @"FeeLargePicture";

/**
 
 A credit issued by eBay for a supersized picture.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_LARGE_PICTURE = @"CreditLargePicture";

/**
 
 A fee charged by eBay for the Picture Pack feature.
 The fee differs according to the number of pictures you
 use. See the online help for details.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_PICTURE_PACK = @"FeePicturePack";

/**
 
  A partial credit issued by eBay for the Picture Pack fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PICTURE_PACK_PARTIAL = @"CreditPicturePackPartial";

/**
 
  A full credit issued by eBay for the Picture Pack fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PICTURE_PACK_FULL = @"CreditPicturePackFull";

/**
 
  A monthly subscription fee charged for an eBay Store.
   The fee can be Basic, Featured, or Anchor.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SUBSCRIPTIONE_BAY_STORES = @"SubscriptioneBayStores";

/**
 
  A credit issued by eBay for the monthly fee charged
  for an eBay store.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDITE_BAY_STORES = @"CrediteBayStores";

/**
 
 The fee charged by eBay for listing a Fixed Price item.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_INSERTION_FIXED_PRICE = @"FeeInsertionFixedPrice";

/**
 
 A credit issued by eBay for listing a Fixed Price item.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_INSERTION_FIXED_PRICE = @"CreditInsertionFixedPrice";

/**
 
  The Final Value Fee credit charged by eBay when
  a fixed price item sells.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_FINAL_VALUE_FIXED_PRICE = @"FeeFinalValueFixedPrice";

/**
 
 A credit issued by eBay for the Final Value Fee
 for a fixed price item.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FINAL_VALUE_FIXED_PRICE = @"CreditFinalValueFixedPrice";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_ELECTRONIC_INVOICE_ON = @"ElectronicInvoiceOn";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_ELECTRONIC_INVOICE_OFF = @"ElectronicInvoiceOff";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FLAG_DDDD_PENDING = @"FlagDDDDPending";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FLAG_DD_PAYMENT_CONFIRMED = @"FlagDDPaymentConfirmed";

/**
 
 The fee charged by eBay for creating a Fixed Price
 listing with a 10-day duration. Fixed Price listings
 of 1, 3, 5, and 7 days are not charged this fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FIXED_PRICE_DURATION_FEE = @"FixedPriceDurationFee";

/**
 
 A credit issued by eBay for a Fixed Price listing
 with a 10-day duration.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FIXED_PRICE_DURATION_CREDIT = @"FixedPriceDurationCredit";

/**
 
 A fee charged by eBay for listing a Buy It Now item.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BUY_IT_NOW_FEE = @"BuyItNowFee";

/**
 
 A credit issued by eBay for the fee charged for a
 Buy It Now listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BUY_IT_NOW_CREDIT = @"BuyItNowCredit";

/**
 
 A fee for scheduling a listing to start at some
 later time, up to 3 weeks after the listing is created.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_SCHEDULE = @"FeeSchedule";

/**
 
 A credit made by eBay for the fee charged for
 scheduling a listing to start after the listing is created.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_SCHEDULE = @"CreditSchedule";

/**
 
  The monthly subscription fee charged for
  Selling Manager Basic. The monthly charge is billed
  in advance.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SUBSCRIPTION_SM_BASIC = @"SubscriptionSMBasic";

/**
 
 The monthly subscription fee charged for
 Selling Manager Pro. The monthly charge is billed
 in advance.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SUBSCRIPTION_SM_BASIC_PRO = @"SubscriptionSMBasicPro";

/**
 
 A one-time credit for a free one-month
 trial of Selling Manager Basic.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_SM_BASIC = @"CreditSMBasic";

/**
 
 A one-time credit for a free one-month
 trial of Selling Manager Pro.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_SM_BASIC_PRO = @"CreditSMBasicPro";

/**
 
 The fee charged for a Good-Til-Cancelled
 listing in an eBay Store. The charge is made once
 each 30 days, until the listing ends.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_STORES_GTC_FEE = @"StoresGTCFee";

/**
 
 A credit for the fee charged for a Good-Til-Cancelled
 listing in an eBay Store.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_STORES_GTC_CREDIT = @"StoresGTCCredit";

/**
 
 The fee charged for using a Listing Designer theme and layout
 template for a listing. The fee is displayed to the seller during
 the listing process.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LISTING_DESIGNER_FEE = @"ListingDesignerFee";

/**
 
 A credit issued by eBay for a Listing Designer fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_LISTING_DESIGNER_CREDIT = @"ListingDesignerCredit";

/**
 
 The fee charged for listing an auction item
 for 10 days.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_EXTENDED_AUCTION_FEE = @"ExtendedAuctionFee";

/**
 
 A credit for the fee charged for listing an
 auction item for 10 days.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_EXTENDED_ACUTION_CREDIT = @"ExtendedAcutionCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAY_PAL_OTP_SUCC = @"PayPalOTPSucc";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAY_PAL_OTP_PEND = @"PayPalOTPPend";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAY_PAL_FAILED = @"PayPalFailed";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAY_PAL_CHARGE_BACK = @"PayPalChargeBack";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CHARGE_BACK = @"ChargeBack";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CHARGE_BACK_REVERSAL = @"ChargeBackReversal";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAY_PAL_REFUND = @"PayPalRefund";

/**
 
 An addition to the seller's eBay
 Anything Points account. Each point is
 equivalent to $0.01.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_ADDITION = @"BonusPointsAddition";

/**
 
 A reduction to the seller's eBay
 Anything Points account. Each point is
 equivalent to $0.01.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_REDUCTION = @"BonusPointsReduction";

/**
 
 An automatic payment of seller fees
 from the seller's eBay Anything Points account.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_PAYMENT_AUTOMATIC = @"BonusPointsPaymentAutomatic";

/**
 
 A one-time payment of seller fees from
 the seller's eBay Anything Points account.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_PAYMENT_MANUAL = @"BonusPointsPaymentManual";

/**
 
 A reversal of a seller fee payment made
 from the seller's eBay Anything Points account.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_PAYMENT_REVERSAL = @"BonusPointsPaymentReversal";

/**
 
 A cash payment made from the seller's eBay
 Anything Points account and credited to the seller's
 account.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BONUS_POINTS_CASH_PAYOUT = @"BonusPointsCashPayout";

/**
 
 A credit (return) to your account of Value-Added Tax
 previously paid.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VAT_CREDIT = @"VATCredit";

/**
 
  A debit to your account for a Value-Added Tax charge.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VAT_DEBIT = @"VATDebit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VAT_STATUS_CHANGE_PENDING = @"VATStatusChangePending";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VAT_STATUS_CHANGE_APPROVED = @"VATStatusChangeApproved";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VAT_STATUS_CHANGE_DENIED = @"VATStatusChange_Denied";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VAT_STATUS_DELETED_BY_CSR = @"VATStatusDeletedByCSR";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VAT_STATUS_DELETED_BY_USER = @"VATStatusDeletedByUser";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SM_PRO_LISTING_DESIGNER_FEE = @"SMProListingDesignerFee";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SM_PRO_LISTING_DESIGNER_CREDIT = @"SMProListingDesignerCredit";

/**
 
 A fee charged for the difference between an eBay Store inventory listing
 fee and an auction listing fee if a Store inventory item sells.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_STORES_SUCCESSFUL_LISTING_FEE = @"StoresSuccessfulListingFee";

/**
 
 A credit for a StoresSuccessfulListingFee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_STORES_SUCCESSFUL_LISTING_FEE_CREDIT = @"StoresSuccessfulListingFeeCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_STORES_REFERRAL_FEE = @"StoresReferralFee";

/**
 
 A credit posted to a seller's account
 for sale of Stores Inventory items by buyers
 referred to the seller's Store by printed materials
 and emails outside eBay.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_STORES_REFERRAL_CREDIT = @"StoresReferralCredit";

/**
 
 The fee charged for adding a subtitle
 to a listing. The subtitle adds information
 to the title.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SUBTITLE_FEE = @"SubtitleFee";

/**
 
 A credit of the fee charged for adding a
 subtitle to a listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SUBTITLE_FEE_CREDIT = @"SubtitleFeeCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_E_BAY_STORE_INVENTORY_SUBSCRIPTION_CREDIT = @"eBayStoreInventorySubscriptionCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_AUTO_PMNT_REQ_EXEMPT = @"AutoPmntReqExempt";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_AUTO_PMNT_REQ_REIN = @"AutoPmntReqRein";

/**
 
 The monthly fee charged for subscribing to
 Picture Manager. The fee varies according to
 the level of subscription.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PICTURE_MANAGER_SUBSCRIPTION_FEE = @"PictureManagerSubscriptionFee";

/**
 
 A credit granted for a Picture Manageer subscription
 fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PICTURE_MANAGER_SUBSCRIPTION_FEE_CREDIT = @"PictureManagerSubscriptionFeeCredit";

/**
 
 A fee charged for a basic subscription to Seller Reports.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SELLER_REPORTS_BASIC_FEE = @"SellerReportsBasicFee";

/**
 
 A credit granted for a basic subscription to Seller Reports.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SELLER_REPORTS_BASIC_CREDIT = @"SellerReportsBasicCredit";

/**
 
 A fee charged for a subscription to Seller Reports Plus.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SELLER_REPORTS_PLUS_FEE = @"SellerReportsPlusFee";

/**
 
 A credit granted for a subscription to Seller Reports Plus.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SELLER_REPORTS_PLUS_CREDIT = @"SellerReportsPlusCredit";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYPAL_ON_FILE = @"PaypalOnFile";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYPAL_ON_FILE_BY_CSR = @"PaypalOnFileByCSR";

/**
 
 (out)
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PAYPAL_OFF_FILE = @"PaypalOffFile";

/**
 
 The fee for adding a border that outlines a listing with a frame.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BORDER_FEE = @"BorderFee";

/**
 
 A credit for the border fee charged for a listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BORDER_FEE_CREDIT = @"BorderFeeCredit";

/**
 
 A fee charged to a seller for upgrading
 a listing from eBay Germany's Car, Motorcycle,
 and Special Vehicle categories so that it is also
 searchable on the mobile.de classifieds site.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_SEARCHABLE_MOBILE_DE = @"FeeSearchableMobileDE";

/**
 
 A monthly subscription fee charged for
 Sales Reports Plus.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SALES_REPORTS_PLUS_FEE = @"SalesReportsPlusFee";

/**
 
 A credit granted for a Sales Reports Plus
 monthly subscription fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_SALES_REPORTS_PLUS_CREDIT = @"SalesReportsPlusCredit";

/**
 
 A credit granted for upgrading a listing
 to make it searchable on the mobile.de platform.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_SEARCHABLE_MOBILE_DE = @"CreditSearchableMobileDE";

/**
 
 A fee charged to owners of eBay Stores
 who have a sent a marketing email to buyers,
 for the number of email recipients over
 the Store's monthly free allocation. The
 monthly allocation varies according to the type
 of Store.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_EMAIL_MARKETING_FEE = @"EmailMarketingFee";

/**
 
 A credit granted for an email marketing fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_EMAIL_MARKETING_CREDIT = @"EmailMarketingCredit";

/**
 
 A fee charged for the Picture Show
 service, which lets buyers browse or see a slide
 show of 2 or more pictures at the top of the
 item page.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_PICTURE_SHOW = @"FeePictureShow";

/**
 
 A credit granted for a Picture Show fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PICTURE_SHOW = @"CreditPictureShow";

/**
 
 A fee charged for the ProPackBundle feature pack (currently available to US and Canada eBay motor vehicle sellers).
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PRO_PACK_BUNDLE_FEE = @"ProPackBundleFee";

/**
 
 A credit granted by eBay for the ProPackBundle feature pack (currently available to US and Canada eBay motor vehicle sellers).
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PRO_PACK_BUNDLE_FEE_CREDIT = @"ProPackBundleFeeCredit";

/**
 
 A fee charged by eBay for the BasicUpgradePackBundle feature pack.
 No longer applicable to any sites (but formerly applicable to the
 Australia site, site ID 15).
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BASIC_UPGRADE_PACK_BUNDLE_FEE = @"BasicUpgradePackBundleFee";

/**
 
 A credit granted by eBay for the BasicUpgradePackBundle feature pack.
 No longer applicable to any sites (but formerly applicable to the
 Australia site, site ID 15).
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BASIC_UPGRADE_PACK_BUNDLE_FEE_CREDIT = @"BasicUpgradePackBundleFeeCredit";

/**
 
 A fee charged by eBay for the ValuePackBundle feature pack.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VALUE_PACK_BUNDLE_FEE = @"ValuePackBundleFee";

/**
 
 A credit granted by eBay for the ValuePackBundle feature pack.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VALUE_PACK_BUNDLE_FEE_CREDIT = @"ValuePackBundleFeeCredit";

/**
 
 A fee charged by eBay for the ProPackPlusBundle feature pack.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PRO_PACK_PLUS_BUNDLE_FEE = @"ProPackPlusBundleFee";

/**
 
 A credit granted by eBay for the ProPackPlusBundle feature pack.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_PRO_PACK_PLUS_BUNDLE_FEE_CREDIT = @"ProPackPlusBundleFeeCredit";

/**
 
 The final entry in an account before it is closed
 or merged with another account.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FINAL_ENTRY = @"FinalEntry";

/**
 
 Reserved for future use.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CUSTOM_CODE = @"CustomCode";

/**
 
 A fee charged for extended listing duration.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_EXTENDED_DURATION_FEE = @"ExtendedDurationFee";

/**
 
 A credit granted by eBay for extended listing duration.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_EXTENDED_DURATION_FEE_CREDIT = @"ExtendedDurationFeeCredit";

/**
 
   The fee for an international listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_INTERNATIONAL_LISTING_FEE = @"InternationalListingFee";

/**
 
   A credit issued by eBay for an international listing.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_INTERNATIONAL_LISTING_CREDIT = @"InternationalListingCredit";

/**
 
   A MarketPlace Research fee for expired subscriptions.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_EXPIRED_SUBSCRIPTION_FEE = @"MarketplaceResearchExpiredSubscriptionFee";

/**
 
   A MarketPlace Research credit for expired subscriptions.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_EXPIRED_SUBSCRIPTION_FEE_CREDIT = @"MarketplaceResearchExpiredSubscriptionFeeCredit";

/**
 
   A MarketPlace Research basic subscription fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_BASIC_SUBSCRIPTION_FEE = @"MarketplaceResearchBasicSubscriptionFee";

/**
 
   A MarketPlace Research basic subscription credit.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_BASIC_SUBSCRIPTION_FEE_CREDIT = @"MarketplaceResearchBasicSubscriptionFeeCredit";

/**
 
   A MarketPlace Research pro subscription fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_PRO_SUBSCRIPTION_FEE = @"MarketplaceResearchProSubscriptionFee";

/**
 
   Basic bundle fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BASIC_BUNDLE_FEE = @"BasicBundleFee";

/**
 
   Basic bundle fee credit.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_BASIC_BUNDLE_FEE_CREDIT = @"BasicBundleFeeCredit";

/**
 
   A MarketPlace Research pro subscription fee credit.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_MARKETPLACE_RESEARCH_PRO_SUBSCRIPTION_FEE_CREDIT = @"MarketplaceResearchProSubscriptionFeeCredit";

/**
 
   A Vehicle Local subscription fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_SUBSCRIPTION_FEE = @"VehicleLocalSubscriptionFee";

/**
 
   A Vehicle Local subscription fee credit.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_SUBSCRIPTION_FEE_CREDIT = @"VehicleLocalSubscriptionFeeCredit";

/**
 
   A Vehicle Local insertion fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_INSERTION_FEE = @"VehicleLocalInsertionFee";

/**
 
   A Vehicle Local insertion fee credit.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_INSERTION_FEE_CREDIT = @"VehicleLocalInsertionFeeCredit";

/**
 
   A Vehicle Local final value fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_FINAL_VALUE_FEE = @"VehicleLocalFinalValueFee";

/**
 
   A Vehicle Local final value fee credit.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_FINAL_VALUE_FEE_CREDIT = @"VehicleLocalFinalValueFeeCredit";

/**
 
   A Vehicle Local GTC fee.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_GTC_FEE = @"VehicleLocalGTCFee";

/**
 
   A Vehicle Local GTC fee credit.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_VEHICLE_LOCAL_GTC_FEE_CREDIT = @"VehicleLocalGTCFeeCredit";

/**
 
 eBay Motors Pro fee. Applies to eBay Motors Pro registered dealer
 applications only.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_E_BAY_MOTORS_PRO_FEE = @"eBayMotorsProFee";

/**
 
 eBay Motors Pro fee credit. Applies to eBay Motors Pro registered
 dealer applications only.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDITE_BAY_MOTORS_PRO_FEE = @"CrediteBayMotorsProFee";

/**
 
 eBay Motors Pro feature fee. Applies to eBay Motors Pro registered
 dealer applications only.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_E_BAY_MOTORS_PRO_FEATURE_FEE = @"eBayMotorsProFeatureFee";

/**
 
 eBay Motors Pro feature fee credit. Applies to eBay Motors Pro
 registered dealer applications only.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDITE_BAY_MOTORS_PRO_FEATURE_FEE = @"CrediteBayMotorsProFeatureFee";

/**
 
 A fee charged by eBay for listing an item with the
 Gallery Plus feature enabled. This feature cannot be removed
 with ReviseItem or RelistItem. However, if the feature is
 upgraded, for example, to Gallery Featured, the fee for
 Gallery Plus is refunded and a fee for Gallery Feature is
 charged instead.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_GALLERY_PLUS = @"FeeGalleryPlus";

/**
 
 A credit issued by eBay when refunding the fee for
 enabling the Gallery Plus feature. A Gallery Plus credit may
 be issued if, for example, a user upgrades their feature
 with ReviseItem or RelistItem to Gallery Featured. In this
 case, the original Gallery Plus fee is refunded and a
 Gallery Featured fee is charged instead.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_GALLERY_PLUS = @"CreditGalleryPlus";

NSString *const Trading_AccountDetailEntryCodeType_PRIVATE_LISTING = @"PrivateListing";

NSString *const Trading_AccountDetailEntryCodeType_CREDIT_PRIVATE_LISTING = @"CreditPrivateListing";

/**
 
 eBay ImmoPro Fee
 
*/
NSString *const Trading_AccountDetailEntryCodeType_IMMO_PRO_FEE = @"ImmoProFee";

/**
 
 Credit eBay ImmoPro Fee
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_IMMO_PRO_FEE = @"CreditImmoProFee";

/**
 
 eBay ImmoPro Feature Fee
 
*/
NSString *const Trading_AccountDetailEntryCodeType_IMMO_PRO_FEATURE_FEE = @"ImmoProFeatureFee";

/**
 
 Credit eBay ImmoPro Feature Fee
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_IMMO_PRO_FEATURE_FEE = @"CreditImmoProFeatureFee";

/**
 
 eBay Real Estate Pro Fee
 
*/
NSString *const Trading_AccountDetailEntryCodeType_REAL_ESTATE_PRO_FEE = @"RealEstateProFee";

/**
 
 Credit eBay Real Estate Pro Fee
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_REAL_ESTATE_PRO_FEE = @"CreditRealEstateProFee";

/**
 
 eBay Real Estate Pro Feature Fee
 
*/
NSString *const Trading_AccountDetailEntryCodeType_REAL_ESTATE_PRO_FEATURE_FEE = @"RealEstateProFeatureFee";

/**
 
 Credit eBay Real Estate Pro Feature Fee
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_REAL_ESTATE_PRO_FEATURE_FEE = @"CreditRealEstateProFeatureFee";

/**
 
 PowerSeller, PowerSeller shipping, Top-rated seller,
 eBay Stores subscription, or other subscription discount against the
 final value fee, insertion fee, subscription fee, late payment fee,
 or other fee. See AccountEntry.Title for an explanation of the
 discount and the percentage that was applied.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_DISCOUNT = @"Discount";

/**
 
 
 Reserved for future use.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FINAL_VALUE_SHIPPING = @"CreditFinalValueShipping";

/**
 
  
  Reserved for future use.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_FINAL_VALUE_SHIPPING = @"FeeFinalValueShipping";

/**
 
 The fee charged for Return Shipping.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_RETURN_SHIPPING = @"FeeReturnShipping";

/**
 
 A credit issued by eBay against a Return Shipping charge.
 Issued as a result of an Unpaid Item dispute, under
 some circumstances.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_RETURN_SHIPPING = @"CreditReturnShipping";

/**
 
 The fee charged by eBay for the Global Shipping Program.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_GLOBAL_SHIPPING_PROGRAM = @"FeeGlobalShippingProgram";

/**
 
 Credit issued by eBay for charged Global Shipping Program Fee
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_GLOBAL_SHIPPING_PROGRAM = @"CreditGlobalShippingProgram";

/**
 
 A fee charged to the seller's account if the seller ends an auction (with bids)
 early.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_AUCTION_END_EARLY = @"FeeAuctionEndEarly";

/**
 
 A credit issued by eBay to the seller's account if a duplicate auction
 listing is ended administratively by eBay. A seller is only eligible for this
 credit if the auction listing had zero bids and was never surfaced in Search.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_AUCTION_END_EARLY = @"CreditAuctionEndEarly";

/**
 
 The fee charged to the seller for printing out and using a FedEx shipping
 label from eBay.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_FED_EX_SHIPPING_LABEL = @"FeeFedExShippingLabel";

/**
 
 A credit issued by eBay to reimburse the seller for a FedEx shipping label. In
 some cases, this credit may be issued to the seller as a result of an Unpaid Item
 case that the seller has won against a buyer.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_FED_EX_SHIPPING_LABEL = @"CreditFedExShippingLabel";

/**
 
 This fee is charged to the seller's account if eBay is forced to refund the buyer
 in a case where the buyer has used the eBay US Managed Returns process and return
 shipped the item to the seller, but the seller has not issued a refund to the buyer
 within seven business days after receiving the returned item.
 <br/><br/>
 This value is equal to the refund ("CreditReturnRefund") issued to the buyer.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_FEE_RETURN_REFUND = @"FeeReturnRefund";

/**
 
 A credit issued to the buyer's account by eBay in a case where the buyer has used the eBay US
 Managed Returns process and return shipped the item to the seller, but the seller
 has not issued a refund to the buyer within seven business days after receiving the
 returned item. The buyer credit amounts to the total purchase price (plus any
 shipping costs if the item was "not as described") minus the seller's restocking
 fee if one was specified under the return policy of the listing.
 <br/><br/>
 eBay then charges this expense to the seller's account, and this charge is
 attached to the "FeeReturnRefund" value.
 
*/
NSString *const Trading_AccountDetailEntryCodeType_CREDIT_RETURN_REFUND = @"CreditReturnRefund";
