// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Allows a seller to respond to or close an Item Not Received dispute.
 This can be used to add a comment to an Unpaid Item Dispute
 only if the request version was lower than 637 when the
 dispute was created.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_AddDisputeResponseRequestType : Trading_AbstractRequestType {

@private
    NSString *_disputeID;
    NSString *_messageText;
    NSString *_disputeActivity;
    NSString *_shippingCarrierUsed;
    NSString *_shipmentTrackNumber;
    NSDate *_shippingTime;

}


/**
 
 The unique identifier of the dispute,
 returned when the dispute was created.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *disputeID;

/**
 
 The text of a comment or response being posted to the dispute. Required
 when DisputeActivity is SellerAddInformation, SellerComment, or
 SellerPaymentNotReceived; otherwise, optional.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *messageText;

/**
 
 The type of activity the seller is taking on the dispute. The allowed value is
 determined by the current value of DisputeState, returned by GetDispute or
 GetUserDisputes. Some values relate to Unpaid Item disputes and other values relate
 to buyer-created disputes known as Item Not Received or Significantly Not As
 Described disputes.
 
 
 type: string constant in Trading_DisputeActivityCodeType.h
*/
@property (nonatomic, retain) NSString *disputeActivity;

/**
 
 The shipping carrier used to ship the item in dispute. Non-alphanumeric
 characters are not allowed. This field (along with ShipmentTrackNumber) is
 required if DisputeActivity is SellerShippedItem.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingCarrierUsed;

/**
 
 The tracking number associated with one package of a shipment. The seller is
 responsible for the accuracy of the shipment tracking number, as eBay only
 verifies that the tracking number is consistent with the numbering scheme
 used by the specified shipping carrier, but cannot verify the accuracy of
 the tracking number. This field (along with ShippingCarrierUsed) is required
 if DisputeActivity is SellerShippedItem.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shipmentTrackNumber;

/**
 
 This timestamp indicates the date and time when the item under dispute was
 shipped. This field is required if DisputeActivity is SellerShippedItem.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *shippingTime;


@end
