// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_ProductSuggestionsType;
@class Trading_FeesType;

/**
 
 Returns the item ID, SKU (if any), and the estimated fees for the
 new listing (except the Final Value Fee, which isn't calculated until
 the item has sold), the start and end times of the listing,
 and other details.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_AddFixedPriceItemResponseType : Trading_AbstractResponseType {

@private
    NSString *_itemID;
    NSString *_sku;
    NSDate *_startTime;
    NSDate *_endTime;
    Trading_FeesType *_fees;
    NSString *_categoryID;
    NSString *_category2ID;
    NSMutableArray *_discountReason;
    Trading_ProductSuggestionsType *_productSuggestions;

}


/**
 
 Unique identifier for the new fixed price listing.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Item-level SKU for the new listing, if the seller specified
 Item.SKU in the request. Variation-level SKUs are not returned
 (see GetItem instead).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *sku;

/**
 
 Starting date and time for the new listing. This value is based
 on the time the listing was received and processed, or the
 time the item will be listed if the seller specified
 Item.ScheduleTime in the request.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *startTime;

/**
 
 Date and time when the new listing ends. This is the starting time
 plus the listing duration.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *endTime;

/**
 
 Child elements contain the estimated listing fees for the new item listing.
 The fees do not include the Final Value Fee (FVF), which cannot be determined
 until an item is sold.
 
 
 type : class Trading_FeesType
*/
@property (nonatomic, retain) Trading_FeesType *fees;

/**
 
 ID of the primary category in which the item was listed.
 Only returned if you set Item.CategoryMappingAllowed to true in the request
 and the ID you passed in PrimaryCategory was mapped to a new ID by eBay.
 If the primary category has not changed or if it has expired with no replacement,
 CategoryID does not return a value.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *categoryID;

/**
 
 ID of the secondary category in which the item was listed.
 Only returned if you set Item.CategoryMappingAllowed to true in the request
 and the ID you passed in SecondaryCategory was mapped to a new ID by eBay.
 If the secondary category has not changed or it has expired with no replacement,
 Category2ID does not return a value.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *category2ID;

/**
 
 The nature of the discount, if a discount is applied.
 
 
 entry type : string constant in Trading_DiscountReasonCodeType.h
*/

@property (nonatomic, retain) NSMutableArray *discountReason;

/**
 
 Provides a list of products recommended by eBay which match the item information
 provided by the seller.
 Not applicable to Half.com.
 
 
 type : class Trading_ProductSuggestionsType
*/
@property (nonatomic, retain) Trading_ProductSuggestionsType *productSuggestions;


@end
