// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_ItemType;

/**
 
 Adds a Selling Manager template.
 One product can have up to 20 templates associated with it.
 This call is subject to change without notice; the
 deprecation process is inapplicable to this call.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_AddSellingManagerTemplateRequestType : Trading_AbstractRequestType {

@private
    Trading_ItemType *_item;
    NSString *_saleTemplateName;
    NSNumber *_productID;

}


/**
 
 Contains the data in your template, i.e. the data needed to
 list an item. The item data you specify will be used
 when you list items from the template you are adding.
 
 
 type : class Trading_ItemType
*/
@property (nonatomic, retain) Trading_ItemType *item;

/**
 
 The name you provide for the template. If you don't specify
 a name, then Item.Title is used as the name.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *saleTemplateName;

/**
 
 The ID of the product with which the template will be associated.
 Before calling AddSellingManagerTemplate, you can obtain a product ID
 from the response of an AddSellingManagerProduct call.
 That is, after you add a product using AddSellingManagerProduct, a product ID is
 returned in the SellingManagerProductDetails.ProductID field.
 The GetSellingManagerTemplates
 call also returns product IDs.
 Alternatively, you can obtain information about a user's existing
 products, including the product IDs, by calling GetSellingManagerInventory.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *productID;


@end
