// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_AmountType;

/**
 
 Ends the eBay Motors listing specified by ItemID and creates a new Transaction
 Confirmation Request (TCR) for the item, thus enabling the TCR recipient to
 purchase the item. You can also use this call to see if a new TCR can be created
 for the specified item.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_AddTransactionConfirmationItemRequestType : Trading_AbstractRequestType {

@private
    NSString *_recipientUserID;
    NSString *_verifyEligibilityOnly;
    NSString *_recipientPostalCode;
    NSString *_recipientRelationType;
    Trading_AmountType *_negotiatedPrice;
    NSString *_listingDuration;
    NSString *_itemID;
    NSString *_comments;

}


/**
 
 Specifies the user to whom the seller is offering the Transaction
 Confirmation Request.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *recipientUserID;

/**
 
 If true, specifies that the seller is verifying whether a new Transaction
 Confirmation Request (TCR) can be created. Thus, if this value is passed
 as true, then no Transaction Confirmation Request is actually made. If
 VerifyEligibilityOnly is not passed, or is false, a Transaction
 Confirmation Request is actually made.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *verifyEligibilityOnly;

/**
 
 Specifies the postal code of the user to whom the seller is offering the
 Transaction Confirmation Request. Required only if the user does not meet
 the other options listed in RecipientRelationCodeType. An error is
 returned if RecipientUserID and RecipientPostalCode do not match for more
 than 3 times for a seller per day.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *recipientPostalCode;

/**
 
 Specifies the current relationship between the seller and the potential
 buyer. A seller can make a Transaction Confirmation Request (TCR) for an
 item to a potential buyer if the buyer meets one of several criteria. A
 TCR is sent by a seller to one of the following: a bidder, a best offer
 buyer, a member with an ASQ question, or any member with a postal code.
 See the values and annotations in RecipientRelationCodeType.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *recipientRelationType;

/**
 
 The amount the offer recipient must pay to buy the item
 specified in the Transaction Confirmation Request (TCR).
 A negotiated amount between the buyer and the seller.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *negotiatedPrice;

/**
 
 Specifies the length of time the item in the Transaction Confirmation
 Request (TCR) will be available for purchase.
 
 
 type: string constant in Trading_SecondChanceOfferDurationCodeType.h
*/
@property (nonatomic, retain) NSString *listingDuration;

/**
 
 The ItemID of the item that the seller wants to end in order to create a
 Transaction Confirmation Request (TCR).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Comments the seller wants to send to the recipient (bidder, best offer
 buyer, member with an ASQ question, or member with a postal code).
      
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *comments;


@end
