// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_DeliveryURLDetailType;

/**
 
 Specifies preferences about how notifications are delivered to an application.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ApplicationDeliveryPreferencesType : NSObject <PicoBindable> {

@private
    NSString *_applicationURL;
    NSString *_applicationEnable;
    NSString *_alertEmail;
    NSString *_alertEnable;
    NSString *_notificationPayloadType;
    NSString *_deviceType;
    NSString *_payloadVersion;
    NSMutableArray *_deliveryURLDetails;
    NSMutableArray *_any;

}


/**
 
 The URL to which eBay delivers all notifications sent to the application. For
 delivery to a server, the URL begins with http:// or https:// and must be well
 formed. Use a URL that is functional at the time of the call. For delivery to
 an email address, the URL begins with mailto:// and specifies a valid email
 address.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *applicationURL;

/**
 
 Enables or disables notifications and alerts. If you disable notifications, the
 application will not receive them, but its notification preferences are
 preserved.
 
 
 type: string constant in Trading_EnableCodeType.h
*/
@property (nonatomic, retain) NSString *applicationEnable;

/**
 
 The email address to which eBay sends all application markup and markdown event
 notifications. When setting the email address, input must be in the format
 mailto://youremailaddress@yoursite.com. Enable these alerts using the
 AlertEnable field.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *alertEmail;

/**
 
 <b>For SetNotificationPreferences</b>: include and set <b>AlertEnable</b> to
 'Enable' to receive application markup and markdown alerts, or set to 'Disable' to
 disable the alerts. If not included, the <b>AlertEnable</b> defaults to
 its current value.
 <br/><br/>
 <b>For GetNotificationPreferences</b>: this field's value indicates
 whether application markup and markdown alerts are enabled or disabled.
 
 
 type: string constant in Trading_EnableCodeType.h
*/
@property (nonatomic, retain) NSString *alertEnable;

/**
 
 If this field is specified, the value must be eBLSchemaSOAP.
 
 
 type: string constant in Trading_NotificationPayloadTypeCodeType.h
*/
@property (nonatomic, retain) NSString *notificationPayloadType;

/**
 
 The means of receipt of notification. In most cases, it is Platform (typical API
 calls and web interaction), so this is the default, if not specified. For
 wireless applications, use SMS. Do not test Client Alerts in production if you
 are currently using Platform Notifications.
 
 
 type: string constant in Trading_DeviceTypeCodeType.h
*/
@property (nonatomic, retain) NSString *deviceType;

/**
 
 Use this field to specify the API version for all notifications for the calling
 application. If you do not specify PayloadVersion in
 SetNotificationPreferences, the API version for notifications will be based on
 the API version specified in your SetNotificationPreferences call.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *payloadVersion;

/**
 
 Defines settings for notification URLs (including the URL name in DeliveryURLName). You
 define settings for up to 25 notification URLs (including the URL name in
 DeliveryURLName) in separate DeliveryURLDetails containers. Associate a user token with
 notification URLs by using the token in a SetNotificationPreferences request that
 specifies the URL name or names in SetNotificationPreferencesRequest.DeliveryURLName. Use
 comma-separated format to specify multiple URL names in
 SetNotificationPreferencesRequest.DeliveryURLName. Notifications will be sent to these
 URL(s) if ApplicationDeliveryPreferencesType.ApplicationEnable is set to Enable.
 
 
 entry type : class Trading_DeliveryURLDetailType
*/

@property (nonatomic, retain) NSMutableArray *deliveryURLDetails;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
