// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Applicable to sites that support the Detailed Seller Ratings feature.
 The AverageRatingDetailsType contains the average detailed seller ratings in an area. When buyers leave an overall Feedback rating (positive, neutral, or negative) for a seller, they also can leave ratings in four areas: item as described, communication, shipping time, and charges for shipping and handling. Users retrieve detailed ratings as averages of the ratings left by buyers.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_AverageRatingDetailsType : NSObject <PicoBindable> {

@private
    NSString *_ratingDetail;
    NSNumber *_rating;
    NSNumber *_ratingCount;
    NSMutableArray *_any;

}


/**
 
 The area of a specific average detailed seller rating.
 Users retrieve detailed ratings as averages of the ratings left by buyers.
 When buyers leave an overall Feedback rating (positive, neutral, or negative)
 for a seller, they also can leave ratings in four areas:
 item as described, communication, shipping time, and charges for shipping and handling.
 
 
 type: string constant in Trading_FeedbackRatingDetailCodeType.h
*/
@property (nonatomic, retain) NSString *ratingDetail;

/**
 
 An average detailed seller rating applying to the area in the corresponding RatingDetail field.
 
 
 type : NSNumber, wrapper for primitive double
*/
@property (nonatomic, retain) NSNumber *rating;

/**
 
 The number of detailed seller ratings in the area
 in the corresponding RatingDetail field.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *ratingCount;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
