// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Type defining the <b>BestOfferDetails</b> container, which consists
 of Best Offer properties associated with an item.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_BestOfferDetailsType : NSObject <PicoBindable> {

@private
    NSNumber *_bestOfferCount;
    NSNumber *_bestOfferEnabled;
    Trading_AmountType *_bestOffer;
    NSString *_bestOfferStatus;
    NSString *_bestOfferType;
    NSMutableArray *_any;

}


/**
 
 The number of Best Offers made for this item, if any. In other words, if there are
 no Best Offers made, this container will not appear in the response.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *bestOfferCount;

/**
 
 This field indicates whether or not the Best Offer feature is enabled for this item.
 A seller of a fixed-price item (in a category for which Best Offer is also enabled) can
 opt that item into the Best Offer feature. This feature enables a buyer to
 make a lower-priced binding offer on that item.
 If a listing has no active Best Offers, you can change this value (true to false, and vice versa).
 If a listing does have an active Best Offer, you cannot change the value to false.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *bestOfferEnabled;

/**
 
 This is the amount of the buyer's current Best Offer.
 This field will not appear in the <b>GetMyeBayBuying</b> response if the
 buyer has not made a Best Offer.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *bestOffer;

/**
 
 This enumeration value indicates the status of the latest
 Best Offer from the buyer. This field will not appear in the
 <b>GetMyeBayBuying</b> response if the buyer has not made a Best Offer.
 
 
 type: string constant in Trading_BestOfferStatusCodeType.h
*/
@property (nonatomic, retain) NSString *bestOfferStatus;

/**
 
 Note: this field is no longer used. The Best Offer type is only returned in the
 BestOfferCodeType field of the GetBestOffers call, and the applicable values for Best Offer
 type (BuyerBestOffer, BuyerCounterOffer, SellerCounterOffer, etc.) are defined in
 BestOfferTypeCodeType
 
 
 type: string constant in Trading_BestOfferTypeCodeType.h
*/
@property (nonatomic, retain) NSString *bestOfferType;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
