// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Information that a Live Auction seller selects when approving or denying
 a user who wants to bid on items in the seller's Live Auctions catalog.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_BidApprovalType : NSObject <PicoBindable> {

@private
    NSString *_userID;
    Trading_AmountType *_approvedBiddingLimit;
    NSString *_declinedComment;
    NSString *_status;
    NSMutableArray *_any;

}


/**
 
 User ID for the bidder to be approved.
 Only bidders who have requested approval can be approved.
 That is, the seller cannot approve a bidder who has not
 requested approval.
 (Bidders request approval via the eBay Live Auctions
 Web site UI.)
 When you are approving bidders, if you pass in multiple
 BidApproval entries with duplicate UserID values,
 the last entry with that UserID takes precedence (and the earlier
 duplicate UserID entries are ignored).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *userID;

/**
 
 Maximum amount that the seller will allow the specified user to bid.
 This field is required if the auction house has requested that the
 bidder enter an amount for the seller's approval. (The bidder requests
 a maximum bidding limit, but the seller can specify a different maximum
 bidding limit.)
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *approvedBiddingLimit;

/**
 
 Comments entered by seller when an approval request is denied.
 This is required if the seller sets Status to Denied.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *declinedComment;

/**
 
 Indicates whether the seller approves or denies the bidder's
 approval request.
 
 
 type: string constant in Trading_BidderStatusCodeType.h
*/
@property (nonatomic, retain) NSString *status;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
