// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
         Contains the data for a user who is interested in bidding on items in a Live Auctions catalog.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_BidderDetailType : NSObject <PicoBindable> {

@private
    NSString *_userID;
    NSString *_email;
    NSNumber *_feedbackScore;
    NSNumber *_uniqueNegativeFeedbackCount;
    NSNumber *_uniquePositiveFeedbackCount;
    NSNumber *_uniqueNeutralFeedbackCount;
    NSMutableArray *_any;

}


/**
 
 ID of the user requesting approval.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *userID;

/**
 
 E-mail address of the bidder.
 You cannot retrieve an email address for any user with whom
 you do not have an order relationship, regardless of
 site. Email is only returned for applicable calls when you
 are retrieving your own user data OR when you and the other
 user are in an order relationship and the call is
 being executed within a certain amount of time after the
 order line item is created.
 Returned as CDATA. When an email address can not be returned,
 the string "Invalid Request" is returned instead.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *email;

/**
 
 Aggegate feedback score for the specified user.
 Feedback score is only return if the user has not chosen to make his
 or her feeback private.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *feedbackScore;

/**
 
 Total count of negative Feedback entries received by the user, including weekly repeats.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *uniqueNegativeFeedbackCount;

/**
 
 Total count of positive Feedback entries received by the user, including weekly repeats.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *uniquePositiveFeedbackCount;

/**
 
 Total count of neutral Feedback entries received by the user, including weekly repeats.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *uniqueNeutralFeedbackCount;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
