// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Type defining the <strong>ApplyBuyerProtection</strong> container, which
 consists of details related to whether or not the item is eligibile for buyer protection
 and which of the buyer protection programs will cover the item.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_BuyerProtectionDetailsType : NSObject <PicoBindable> {

@private
    NSString *_buyerProtectionSource;
    NSString *_buyerProtectionStatus;
    NSMutableArray *_any;

}


/**
 
 This value indicates the type of buyer protection program applicable for the item.
 This field is always returned with the <strong>ApplyBuyerProtection</strong> container.
 
 
 type: string constant in Trading_BuyerProtectionSourceCodeType.h
*/
@property (nonatomic, retain) NSString *buyerProtectionSource;

/**
 
 This value indicates the item's eligibility for the buyer protection program listed
 in the <strong>ApplyBuyerProtection.BuyerProtectionSource</strong> field.
 This field is always returned with the
 <strong>ApplyBuyerProtection</strong> container.
 
 
 type: string constant in Trading_BuyerProtectionCodeType.h
*/
@property (nonatomic, retain) NSString *buyerProtectionStatus;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
