// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_ItemType;

/**
 
 Details about an item in a cart.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_CartItemType : NSObject <PicoBindable> {

@private
    Trading_ItemType *_item;
    NSNumber *_referenceID;
    NSString *_action;
    NSMutableArray *_any;

}


/**
 
 When used as input, this is the item to be added, removed or updated in the cart.
 Only ItemID and Quantity apply.
 This is only required as input if the parent container is submitted.
 When returned, this is one of the items remaining in the cart.
 
 
 type : class Trading_ItemType
*/
@property (nonatomic, retain) Trading_ItemType *item;

/**
 
 An ID created by eBay and returned along with an item, if items are returned.
 This ID must be provided on input to SetCart along with the corresponding item
 when doing a Delete or Update related to that item.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *referenceID;

/**
 
 What is to be done with the item. If the action is Delete or Update,
 ReferenceID must be provided. (It was returned with the item
 when the item was initially added to the cart.)
 This is only required if the parent container is submitted.
 
 
 type: string constant in Trading_ModifyActionCodeType.h
*/
@property (nonatomic, retain) NSString *action;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
