// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
  Type defining the <b>CategoryGroup</b> container, which defines the category
  group to which the corresponding Business Policies profile will be applied, and a flag that
  indicates whether or not that Business Policies profile is the default for that category
  group.
  <br><br>
 <span class="tablenote"><strong>Note:</strong>
 Business Policies are not yet available for use on the eBay platform.
 </span>
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_CategoryGroupType : NSObject <PicoBindable> {

@private
    NSString *_name;
    NSNumber *_isDefault;

}


/**
 
  Defines the name of the category group tied to a Business Policies profile. Valid values are
  ALL (referring to all non-motor vehicle category groups) or MOTORS_VEHICLE (referring to
  only motor vehicle category groups).
 <br><br>
 The <b>CategoryGroup</b> container is only returned in <b>GetUserPreferences</b>
 if the <b>ShowSellerProfilePreferences</b> field is included in the request
 and set to 'true'.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 Business Policies are not yet available for use on the eBay platform.
 </span>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *name;

/**
 
 Identifies that the corresponding Business Policies profile is the default for the category
 group.
 <br><br>
 The <b>CategoryGroup</b> container is only returned in <b>GetUserPreferences</b>
 if the <b>ShowSellerProfilePreferences</b> field is included in the request
 and set to 'true'.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 Business Policies are not yet available for use on the eBay platform.
 </span>
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *isDefault;


@end
