// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_NonProfitSocialAddressType;
@class Trading_NonProfitAddressType;

/**
 
 Type defining the <b>Charity</b> container, which consists of all details
 related to a nonprofit charity organization.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_CharityInfoType : NSObject <PicoBindable> {

@private
    NSString *_name;
    NSString *_mission;
    NSString *_logoURL;
    NSString *_status;
    NSString *_searchableString;
    NSNumber *_charityRegion;
    NSMutableArray *_charityDomain;
    NSString *_charityID;
    NSString *_logoURLSelling;
    NSNumber *_displayLogoSelling;
    NSNumber *_displayNameInCheckout;
    NSString *_description;
    NSNumber *_showMultipleDonationAmountInCheckout;
    NSString *_externalID;
    NSNumber *_popularityIndex;
    NSString *_ein;
    NSString *_nonProfitSecondName;
    NSMutableArray *_nonProfitAddress;
    NSMutableArray *_nonProfitSocialAddress;
    NSMutableArray *_any;
    NSString *_id;

}


/**
 
 The name of a non-profit charity organization. The <b>Name</b> field is
 required if non-registered charity organization, since these companies will not have a
 eBay Giving Works <b>CharityID</b>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *name;

/**
 
 The mission statement of a nonprofit charity organization registered with eBay Giving
 Works. The mission statement is returned in <b>GetCharities</b> and is
 displayed in item listings if the nonprofit charity organization is registered with
 eBay Giving Works.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *mission;

/**
 
 This URL indicates the location of the nonprofit charity organization's logo image. The
 image file must be JPG or GIF format, and its size cannot exceed 50 KB. This logo is
 displayed in item listings if the nonprofit charity organization is registered with
 eBay Giving Works. A standard eBay Giving Works logo is used in place of the charity
 organization's logo if the <b>LogoURL</b> or <b>LogoURLSelling</b>
 values are not provided or these value point to bad URLs or to URLs containing no images
 or images not meeting eBay logo size and format requirements. This value is returned if
 set.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *logoURL;

/**
 
 Enumeration value that indicates whether or not the charity is a valid eBay Giving Works
 nonprofit organization.
 
 
 type: string constant in Trading_CharityStatusCodeType.h
*/
@property (nonatomic, retain) NSString *status;

/**
 
 Keyword string to be used for search purposes.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *searchableString;

/**
 
 Integer value that indicates the nonprofit charity organization's region. Each nonprofit
 charity organization may be associated with only one region.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *charityRegion;

/**
 
 Integer value that indicates the domain (mission area) of the nonprofit charity
 organization. A nonprofit charity organization does not have to specify a charity
 domain, so it is possible that this field will not be returned in
 <b>GetCharities</b>. Each nonprofit charity organization can belong to as
 many as three charity domains.
 
 
 entry type : NSNumber, wrapper for primitive int
*/

@property (nonatomic, retain) NSMutableArray *charityDomain;

/**
 
 A unique identifier created by eBay and assigned to registered nonprofit charity
 organizations. This identifier can be used as a filter in the <b>GetCharities</b>
 request, and it will always be returned if the nonprofity charity organization is
 registered with eBay Giving Works.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *charityID;

/**
 
 An alternative to the <b>LogoURL</b> value. This URL indicates the location
 of the nonprofit charity organization's logo image. The image file must be JPG or GIF
 format, and its size cannot exceed 50 KB. This URL will be used if the
 <b>LogoURL</b> value points to a broken link or if that location either
 contains no image or contains an image that does not meet the eBay requirements - GIF or
 JPG file; maximum size of 50 KB. A nonprofit charity organization's logo is displayed in
 item listings if the nonprofit charity organization is registered with eBay Giving
 Works. A standard eBay Giving Works logo is used in place of the charity organization's
 logo if the Logo URL is not provided. This value is returned if set.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *logoURLSelling;

/**
 
 <b>Deprecated.</b> This field will be removed from the schema
 in a future release. Recommended to use IsFeaturedInSYI.
 This boolean value should be set to true if an alternate logo URL should
 be supplied by sellers using the eBay Sell Your Item flow. If this field
 has not been set to true, it will return the default value of false.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *displayLogoSelling;

/**
 
 <b>Deprecated.</b> This field will be removed from the schema
 in a future release. Recommended to use a combination of
 IsFeaturedInXO/DisplayAtCheckout, based on the scenario.
 Set this boolean value to true if the name of the nonprofit company should
 be shown during checkout. If this field has not been set to true,
 it will return the default value of false. If the user rolls their mouse
 over the name of the nonprofit company, they will see the nonprofit company's
 mission statement.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *displayNameInCheckout;

/**
 
 This field provides a short description about the nonprofit charity organization's
 primary purpose. "I want to support" will be added to the beginning of the contents of
 this field. For example, if the description is "the fight against cancer", then on the
 checkout page "I want to support the fight against cancer" will be displayed. The
 description may contain a maximum of 115 charecters. This value is returned if set.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *description;

/**
 
   This field must be used with the DisplayNameInCheckout field to control the options that are visible
   to a buyer during checkout. If the
   DisplayNameInCheckout field is set to True, and the ShowMultipleDonationAmountInCheckout
   field is set to False, a checkbox with the one dollar option will be displayed during checkout.
   If the DisplayNameInCheckout field is set to False, and the ShowMultipleDonationAmountInCheckout
   field is set to False, no options will be displayed during checkout.
   <br><br>
   Reserved for future use. If the DisplayNameInCheckout field is set to True, and the
   ShowMultipleDonationAmountInCheckout field is set to True, a dropdown with multiple donation amounts
   will be displayed during checkout.  If the DisplayNameInCheckout field is set to False, and the
   ShowMultipleDonationAmountInCheckout field is set to True, no options will be displayed during checkout,
   but the multiple donation amount field will be set.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showMultipleDonationAmountInCheckout;

/**
 
 A unique identifier created and used by MissionFish to identify a registered nonprofit
 charity organization. This field is only returned for charities that are registered with
 MissionFish.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *externalID;

/**
 
 An integer value that indicates a nonprofit charity organization's popularity rank in
 comparison with other registered eBay Giving Works organizations. This value is
 determined and managed by MissionFish and is based on various factors. This value is
 always returned for nonprofit organizations registered with eBay Giving Works.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *popularityIndex;

/**
 
 This value is the Employer Identification Number (EIN) of the nonprofit charity
 organization. A nonprofit company's EIN is used for tax purposes by the Internal
 Revenue Service. This value is returned if the nonprofit organization has an EIN and
 it has been set.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *ein;

/**
 
 An alternative name for the nonprofit charity organization. This value is used by
 PayPal to search for nonprofit organizations. This value is returned if set.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *nonProfitSecondName;

/**
 
 Container consisting of the address (including latitude and longitude) of a nonprofit
 charity organization. This container is always returned if it is set.
 
 
 entry type : class Trading_NonProfitAddressType
*/

@property (nonatomic, retain) NSMutableArray *nonProfitAddress;

/**
 
 Container consisting of the nonprofit charity organization's social networking site ID/handle.
 A <b>NonProfitSocialAddress</b> container will exist for each social
 networking site that the charity organization is asssociated with. Supported social
 networking sites include Facebook, Twitter, LinkedIn, Google+, MySpace, and Orkut. One
 or more of these containers are returned if set.
 
 
 entry type : class Trading_NonProfitSocialAddressType
*/

@property (nonatomic, retain) NSMutableArray *nonProfitSocialAddress;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;

/**
 (public property)
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *id;


@end
