// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_EBayPaymentMismatchDetailsType;

/**
 
 Type defining the <b>CheckoutStatus</b> container that is returned in
 <b>GetOrders</b> and <b>GetOrderTransactions</b> to indicate
 the current checkout status of the order.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_CheckoutStatusType : NSObject <PicoBindable> {

@private
    NSString *_eBayPaymentStatus;
    NSDate *_lastModifiedTime;
    NSString *_paymentMethod;
    NSString *_status;
    NSNumber *_integratedMerchantCreditCardEnabled;
    Trading_EBayPaymentMismatchDetailsType *_eBayPaymentMismatchDetails;
    NSMutableArray *_any;

}


/**
 
 This value indicates the payment status of an order.
 <br><br>
 Also applicable to Half.com orders (GetOrders only).
 
 
 type: string constant in Trading_PaymentStatusCodeType.h
*/
@property (nonatomic, retain) NSString *eBayPaymentStatus;

/**
 
 Indicates the last time that there was a change in value of the
 <b>CheckoutStatus.Status</b> field, such as 'Pending' to 'Complete'.
 <br><br>
 This field is also applicable to Half.com orders (GetOrders only).
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *lastModifiedTime;

/**
 
 The payment method that the buyer selected to pay for the order.
 <br>
 <br>
 This field is also applicable to Half.com orders (GetOrders only).
 
 
 type: string constant in Trading_BuyerPaymentMethodCodeType.h
*/
@property (nonatomic, retain) NSString *paymentMethod;

/**
 
 Indicates the status of the order. This value is subject to change based on the
 status of the checkout flow. Generally speaking, the <b>Status</b>
 field reads 'Incomplete'
 when payment has yet to be initiated, 'Pending' when payment has been initiated
 but is in process, and 'Complete' when the payment process has completed.
 <br><br>
 <b>Note</b>: If the PaymentMethod is CashOnPickup, the Status value
 will read Complete right at Checkout, even though the seller may not have been
 officially paid yet, and the eBayPaymentStatus field will read NoPaymentFailure.
 The CheckoutStatus.Status value will remain as Complete even if the seller uses
 ReviseCheckoutStatus to change the checkout status to Pending. However, the
 eBayPaymentStatus value in GetOrders will change from NoPaymentFailure to
 PaymentInProcess.
 <br><br>
 This field is also applicable to Half.com orders (GetOrders only).
 
 
 type: string constant in Trading_CompleteStatusCodeType.h
*/
@property (nonatomic, retain) NSString *status;

/**
 
 Indicates whether the item can be paid for through a payment gateway (Payflow) account.
 If IntegratedMerchantCreditCardEnabled is true, then integrated merchant credit card (IMCC) is
 enabled for credit cards because the seller has a payment gateway account.
 Therefore, if IntegratedMerchantCreditCardEnabled is true, and AmEx, Discover, or
 VisaMC is returned for an item, then on checkout, an online credit-card payment
 is processed through a payment gateway account.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *integratedMerchantCreditCardEnabled;

/**
 
 This container is returned when a buyer's payment does not match the total cost of an
 order going through the new eBay payment process. This container is only applicable for
 German and Austrian orders going through the new eBay payment process, and if the buyer
 has selected EFT as the payment method.
 
 
 type : class Trading_EBayPaymentMismatchDetailsType
*/
@property (nonatomic, retain) Trading_EBayPaymentMismatchDetailsType *eBayPaymentMismatchDetails;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
