// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_CalculatedShippingPreferencesType;
@class Trading_FlatShippingPreferencesType;

/**
 
 Type used to define all Combined Payment preferences, including preferences and
 rules for Calculated and Flat Rate shipping, a flag to allow or disallow Combined
 Payment orders, and the time period in which to allow buyers to combine multiple
 purchases from the seller into a Combined Payment order.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_CombinedPaymentPreferencesType : NSObject <PicoBindable> {

@private
    Trading_CalculatedShippingPreferencesType *_calculatedShippingPreferences;
    NSString *_combinedPaymentOption;
    NSString *_combinedPaymentPeriod;
    Trading_FlatShippingPreferencesType *_flatShippingPreferences;
    NSMutableArray *_any;

}


/**
 
 DO NOT USE THIS CONTAINER. As an alternative, use
 SetShippingDiscountProfiles to set all Calculated Shipping rules and
 preferences, and use GetShippingDiscountProfiles to retrieve the same
 information.
 
 
 type : class Trading_CalculatedShippingPreferencesType
*/
@property (nonatomic, retain) Trading_CalculatedShippingPreferencesType *calculatedShippingPreferences;

/**
 
 Specifies whether or not a seller wants to allow buyers to combine single
 order line items into a Combined Payment order. A Combined Payment order can
 be created by the buyer or seller if multiple unpaid order line items exist
 between the same buyer and seller. Often, a Combined Payment order can
 reduce shipping and handling expenses for the buyer and seller.
 
 
 type: string constant in Trading_CombinedPaymentOptionCodeType.h
*/
@property (nonatomic, retain) NSString *combinedPaymentOption;

/**
 
 DO NOT USE THIS FIELD. As an alternative, use the CombinedDuration field in
 SetShippingDiscountProfiles to specify the time period in which to allow
 buyers to combine order line items into a Combined Payment order. Use
 GetShippingDiscountProfiles to retrieve the CombinedDuration value.
     
 
 type: string constant in Trading_CombinedPaymentPeriodCodeType.h
*/
@property (nonatomic, retain) NSString *combinedPaymentPeriod;

/**
 
 DO NOT USE THIS CONTAINER. As an alternative, use
 SetShippingDiscountProfiles to set all Flat Rate Shipping rules
 and preferences, and use GetShippingDiscountProfiles to retrieve
 the same information.
 
 
 type : class Trading_FlatShippingPreferencesType
*/
@property (nonatomic, retain) Trading_FlatShippingPreferencesType *flatShippingPreferences;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
