// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
  Contains preferences describing how items similar to the one the user is
   presently viewing are promoted.
   <br><br>
 <span class="tablenote"><b>Note:</b>
 eBay Store Cross Promotions are no longer supported in the Trading API, so the
 <b>CrossPromotionPreferences</b> container and the
 <b>ShowCrossPromotionPreferences</b> flag (in
   <b>GetUserPreferences</b>) should no longer be used/set.
 </span>
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_CrossPromotionPreferencesType : NSObject <PicoBindable> {

@private
    NSNumber *_crossPromotionEnabled;
    NSString *_crossSellItemFormatSortFilter;
    NSString *_crossSellGallerySortFilter;
    NSString *_crossSellItemSortFilter;
    NSString *_upSellItemFormatSortFilter;
    NSString *_upSellGallerySortFilter;
    NSString *_upSellItemSortFilter;
    NSMutableArray *_any;

}


/**
 
 (For eBay store owners only)
 Specifies whether cross-promotions are enabled for the seller's listings.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 This field should no longer be used as eBay Store Cross Promotions are no
 longer supported in the Trading API.
 </span>
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *crossPromotionEnabled;

/**
 
 (For eBay store owners only) Specifies which items should be shown
 in cross-sell promotions (such as Buy It Now or Store Inventory items) and
 in which sequence.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 This field should no longer be used as eBay Store Cross Promotions are no
 longer supported in the Trading API.
 </span>
 
 
 type: string constant in Trading_ItemFormatSortFilterCodeType.h
*/
@property (nonatomic, retain) NSString *crossSellItemFormatSortFilter;

/**
 
 (For eBay store owners only) Specifies whether to display only items with
 gallery images and whether they should precede other items in cross-sell
 promotions.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 This field should no longer be used as eBay Store Cross Promotions are no
 longer supported in the Trading API.
 </span>
 
 
 type: string constant in Trading_GallerySortFilterCodeType.h
*/
@property (nonatomic, retain) NSString *crossSellGallerySortFilter;

/**
 
 (For eBay store owners only) Specifies how to sort items displayed in
 a cross-sell promotion.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 This field should no longer be used as eBay Store Cross Promotions are no
 longer supported in the Trading API.
 </span>
 
 
 type: string constant in Trading_ItemSortFilterCodeType.h
*/
@property (nonatomic, retain) NSString *crossSellItemSortFilter;

/**
 
 (For eBay store owners only) Specifies which items (such as Buy It Now or
 Store Inventory items) should be shown in upsell promotions and in which
 sequence.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 This field should no longer be used as eBay Store Cross Promotions are no
 longer supported in the Trading API.
 </span>
 
 
 type: string constant in Trading_ItemFormatSortFilterCodeType.h
*/
@property (nonatomic, retain) NSString *upSellItemFormatSortFilter;

/**
 
 (For eBay store owners only) Specifies whether to display only items with
 gallery images in upsell promotions and whether they should precede other items.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 This field should no longer be used as eBay Store Cross Promotions are no
 longer supported in the Trading API.
 </span>
 
 
 type: string constant in Trading_GallerySortFilterCodeType.h
*/
@property (nonatomic, retain) NSString *upSellGallerySortFilter;

/**
 
 (For eBay store owners only) Specifies how to sort items used in an upsell promotion.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 This field should no longer be used as eBay Store Cross Promotions are no
 longer supported in the Trading API.
 </span>
 
 
 type: string constant in Trading_ItemSortFilterCodeType.h
*/
@property (nonatomic, retain) NSString *upSellItemSortFilter;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
