// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import "Trading_CurrencyCodeType.h"

/**
 @file
 
 This enumeration type contains a list of standard 3-digit ISO 4217 currency codes for
 currency used in countries around the world.
 <br/><br/>
 When adding an item through <b>AddItem</b> (or related API call), the
 <b>Item.Currency</b> value will default to the currency used on the listing
 site. Otherwise, only the following currency types may be specified through an add listing
 call:
 <ul>
 <li>USD - US Dollar</li>
 <li>CAD - Canadian Dollar</li>
 <li>GBP - British Pound</li>
 <li>AUD - Australian Dollar</li>
 <li>EUR - Euro</li>
 <li>CHF - Swiss Franc</li>
 <li>CNY - Chinese Renminbi</li>
 <li>HKD - Hong Kong Dollar</li>
 <li>PHP - Philippines Peso</li>
 <li>PLN - Polish Zloty</li>
 <li>SEK - Sweden Krona</li>
 <li>SGD - Singapore Dollar</li>
 <li>TWD - Taiwanese Dollar</li>
 <li>INR - Indian Rupee</li>
 <li>MYR - Malaysian Ringgit</li>
 </ul>
 <br/>
 Other currency codes in this enumerated type may be returned in
 <b>GetAccount</b> (and other calls) based on the buyer's and/or seller's
 registration country. However, only the values listed above will be returned if you
 call <b>GeteBayDetails</b> with <b>DetailName</b> set to
 <b>CurrencyDetails</b>.
 http://www.xe.com/iso4217.htm
 
*/

/**
 
 This value is a 3-digit code for Afghani, a currency used in Afghanistan.
 
*/
NSString *const Trading_CurrencyCodeType_AFA = @"AFA";

/**
 
 This value is a 3-digit code for Lek, a currency used in Albania.
 
*/
NSString *const Trading_CurrencyCodeType_ALL = @"ALL";

NSString *const Trading_CurrencyCodeType_DZD = @"DZD";

NSString *const Trading_CurrencyCodeType_ADP = @"ADP";

NSString *const Trading_CurrencyCodeType_AOA = @"AOA";

NSString *const Trading_CurrencyCodeType_ARS = @"ARS";

NSString *const Trading_CurrencyCodeType_AMD = @"AMD";

NSString *const Trading_CurrencyCodeType_AWG = @"AWG";

NSString *const Trading_CurrencyCodeType_AZM = @"AZM";

NSString *const Trading_CurrencyCodeType_BSD = @"BSD";

NSString *const Trading_CurrencyCodeType_BHD = @"BHD";

NSString *const Trading_CurrencyCodeType_BDT = @"BDT";

NSString *const Trading_CurrencyCodeType_BBD = @"BBD";

NSString *const Trading_CurrencyCodeType_BYR = @"BYR";

NSString *const Trading_CurrencyCodeType_BZD = @"BZD";

NSString *const Trading_CurrencyCodeType_BMD = @"BMD";

NSString *const Trading_CurrencyCodeType_BTN = @"BTN";

/**
 
 Indian Rupee.
 For eBay, you can only specify this currency for listings you submit to the
 India site (site ID 203).
 
*/
NSString *const Trading_CurrencyCodeType_INR = @"INR";

NSString *const Trading_CurrencyCodeType_BOV = @"BOV";

NSString *const Trading_CurrencyCodeType_BOB = @"BOB";

NSString *const Trading_CurrencyCodeType_BAM = @"BAM";

NSString *const Trading_CurrencyCodeType_BWP = @"BWP";

NSString *const Trading_CurrencyCodeType_BRL = @"BRL";

NSString *const Trading_CurrencyCodeType_BND = @"BND";

NSString *const Trading_CurrencyCodeType_BGL = @"BGL";

NSString *const Trading_CurrencyCodeType_BGN = @"BGN";

NSString *const Trading_CurrencyCodeType_BIF = @"BIF";

NSString *const Trading_CurrencyCodeType_KHR = @"KHR";

/**
 
 Canadian Dollar.
 For eBay, you can only specify this currency for listings you submit to the
 Canada site (site ID 2)
 (Items listed on the Canada site can also specify USD.)
 
*/
NSString *const Trading_CurrencyCodeType_CAD = @"CAD";

NSString *const Trading_CurrencyCodeType_CVE = @"CVE";

NSString *const Trading_CurrencyCodeType_KYD = @"KYD";

NSString *const Trading_CurrencyCodeType_XAF = @"XAF";

NSString *const Trading_CurrencyCodeType_CLF = @"CLF";

NSString *const Trading_CurrencyCodeType_CLP = @"CLP";

NSString *const Trading_CurrencyCodeType_CNY = @"CNY";

NSString *const Trading_CurrencyCodeType_COP = @"COP";

NSString *const Trading_CurrencyCodeType_KMF = @"KMF";

NSString *const Trading_CurrencyCodeType_CDF = @"CDF";

NSString *const Trading_CurrencyCodeType_CRC = @"CRC";

NSString *const Trading_CurrencyCodeType_HRK = @"HRK";

NSString *const Trading_CurrencyCodeType_CUP = @"CUP";

NSString *const Trading_CurrencyCodeType_CYP = @"CYP";

NSString *const Trading_CurrencyCodeType_CZK = @"CZK";

NSString *const Trading_CurrencyCodeType_DKK = @"DKK";

NSString *const Trading_CurrencyCodeType_DJF = @"DJF";

NSString *const Trading_CurrencyCodeType_DOP = @"DOP";

NSString *const Trading_CurrencyCodeType_TPE = @"TPE";

NSString *const Trading_CurrencyCodeType_ECV = @"ECV";

NSString *const Trading_CurrencyCodeType_ECS = @"ECS";

NSString *const Trading_CurrencyCodeType_EGP = @"EGP";

NSString *const Trading_CurrencyCodeType_SVC = @"SVC";

NSString *const Trading_CurrencyCodeType_ERN = @"ERN";

NSString *const Trading_CurrencyCodeType_EEK = @"EEK";

NSString *const Trading_CurrencyCodeType_ETB = @"ETB";

NSString *const Trading_CurrencyCodeType_FKP = @"FKP";

NSString *const Trading_CurrencyCodeType_FJD = @"FJD";

NSString *const Trading_CurrencyCodeType_GMD = @"GMD";

NSString *const Trading_CurrencyCodeType_GEL = @"GEL";

NSString *const Trading_CurrencyCodeType_GHC = @"GHC";

NSString *const Trading_CurrencyCodeType_GIP = @"GIP";

NSString *const Trading_CurrencyCodeType_GTQ = @"GTQ";

NSString *const Trading_CurrencyCodeType_GNF = @"GNF";

NSString *const Trading_CurrencyCodeType_GWP = @"GWP";

NSString *const Trading_CurrencyCodeType_GYD = @"GYD";

NSString *const Trading_CurrencyCodeType_HTG = @"HTG";

NSString *const Trading_CurrencyCodeType_HNL = @"HNL";

/**
 
 Hong Kong Dollar.
 For eBay, you can only specify this currency for listings you submit to the
 Hong Kong site (site ID 201).
 
*/
NSString *const Trading_CurrencyCodeType_HKD = @"HKD";

NSString *const Trading_CurrencyCodeType_HUF = @"HUF";

NSString *const Trading_CurrencyCodeType_ISK = @"ISK";

NSString *const Trading_CurrencyCodeType_IDR = @"IDR";

NSString *const Trading_CurrencyCodeType_IRR = @"IRR";

NSString *const Trading_CurrencyCodeType_IQD = @"IQD";

NSString *const Trading_CurrencyCodeType_ILS = @"ILS";

NSString *const Trading_CurrencyCodeType_JMD = @"JMD";

NSString *const Trading_CurrencyCodeType_JPY = @"JPY";

NSString *const Trading_CurrencyCodeType_JOD = @"JOD";

NSString *const Trading_CurrencyCodeType_KZT = @"KZT";

NSString *const Trading_CurrencyCodeType_KES = @"KES";

/**
 
 Australian Dollar.
 For eBay, you can only specify this currency for listings you submit to the
 Australia site (site ID 15).
 
*/
NSString *const Trading_CurrencyCodeType_AUD = @"AUD";

NSString *const Trading_CurrencyCodeType_KPW = @"KPW";

NSString *const Trading_CurrencyCodeType_KRW = @"KRW";

NSString *const Trading_CurrencyCodeType_KWD = @"KWD";

NSString *const Trading_CurrencyCodeType_KGS = @"KGS";

NSString *const Trading_CurrencyCodeType_LAK = @"LAK";

NSString *const Trading_CurrencyCodeType_LVL = @"LVL";

NSString *const Trading_CurrencyCodeType_LBP = @"LBP";

NSString *const Trading_CurrencyCodeType_LSL = @"LSL";

NSString *const Trading_CurrencyCodeType_LRD = @"LRD";

NSString *const Trading_CurrencyCodeType_LYD = @"LYD";

/**
 
 Swiss Franc.
 For eBay, you can only specify this currency for listings you submit to the
 Switzerland site (site ID 193).
 
*/
NSString *const Trading_CurrencyCodeType_CHF = @"CHF";

NSString *const Trading_CurrencyCodeType_LTL = @"LTL";

NSString *const Trading_CurrencyCodeType_MOP = @"MOP";

NSString *const Trading_CurrencyCodeType_MKD = @"MKD";

NSString *const Trading_CurrencyCodeType_MGF = @"MGF";

NSString *const Trading_CurrencyCodeType_MWK = @"MWK";

/**
 
 Malaysian Ringgit.
 For eBay, you can only specify this currency for listings you submit to the
 Malaysia site (site ID 207).
 
*/
NSString *const Trading_CurrencyCodeType_MYR = @"MYR";

NSString *const Trading_CurrencyCodeType_MVR = @"MVR";

NSString *const Trading_CurrencyCodeType_MTL = @"MTL";

/**
 
 Euro.
 For eBay, you can only specify this currency for listings you submit to these sites:
 Austria (site 16), Belgium_French (site 23),
 France (site 71), Germany (site 77), Italy (site 101), Belgium_Dutch (site 123),
 Netherlands (site 146), Spain (site 186), Ireland (site 205).
 
*/
NSString *const Trading_CurrencyCodeType_EUR = @"EUR";

NSString *const Trading_CurrencyCodeType_MRO = @"MRO";

NSString *const Trading_CurrencyCodeType_MUR = @"MUR";

NSString *const Trading_CurrencyCodeType_MXN = @"MXN";

NSString *const Trading_CurrencyCodeType_MXV = @"MXV";

NSString *const Trading_CurrencyCodeType_MDL = @"MDL";

NSString *const Trading_CurrencyCodeType_MNT = @"MNT";

NSString *const Trading_CurrencyCodeType_XCD = @"XCD";

NSString *const Trading_CurrencyCodeType_MZM = @"MZM";

NSString *const Trading_CurrencyCodeType_MMK = @"MMK";

NSString *const Trading_CurrencyCodeType_ZAR = @"ZAR";

NSString *const Trading_CurrencyCodeType_NAD = @"NAD";

NSString *const Trading_CurrencyCodeType_NPR = @"NPR";

NSString *const Trading_CurrencyCodeType_ANG = @"ANG";

NSString *const Trading_CurrencyCodeType_XPF = @"XPF";

NSString *const Trading_CurrencyCodeType_NZD = @"NZD";

NSString *const Trading_CurrencyCodeType_NIO = @"NIO";

NSString *const Trading_CurrencyCodeType_NGN = @"NGN";

NSString *const Trading_CurrencyCodeType_NOK = @"NOK";

NSString *const Trading_CurrencyCodeType_OMR = @"OMR";

NSString *const Trading_CurrencyCodeType_PKR = @"PKR";

NSString *const Trading_CurrencyCodeType_PAB = @"PAB";

NSString *const Trading_CurrencyCodeType_PGK = @"PGK";

NSString *const Trading_CurrencyCodeType_PYG = @"PYG";

NSString *const Trading_CurrencyCodeType_PEN = @"PEN";

/**
 
 Philippines Peso.
 For eBay, you can only specify this currency for listings you submit to the
 Philippines site (site ID 211).
 
*/
NSString *const Trading_CurrencyCodeType_PHP = @"PHP";

/**
 
 Poland, Zloty.
 For eBay, you can only specify this currency for listings you submit to the
 Poland site (site ID 212).
 
*/
NSString *const Trading_CurrencyCodeType_PLN = @"PLN";

/**
 
 US Dollar.
 For eBay, you can only specify this currency for listings you submit to the
 US (site ID 0), eBayMotors (site 100), and Canada (site 2) sites.
 
*/
NSString *const Trading_CurrencyCodeType_USD = @"USD";

NSString *const Trading_CurrencyCodeType_QAR = @"QAR";

NSString *const Trading_CurrencyCodeType_ROL = @"ROL";

NSString *const Trading_CurrencyCodeType_RUB = @"RUB";

NSString *const Trading_CurrencyCodeType_RUR = @"RUR";

NSString *const Trading_CurrencyCodeType_RWF = @"RWF";

NSString *const Trading_CurrencyCodeType_SHP = @"SHP";

NSString *const Trading_CurrencyCodeType_WST = @"WST";

NSString *const Trading_CurrencyCodeType_STD = @"STD";

NSString *const Trading_CurrencyCodeType_SAR = @"SAR";

NSString *const Trading_CurrencyCodeType_SCR = @"SCR";

NSString *const Trading_CurrencyCodeType_SLL = @"SLL";

/**
 
 Singapore Dollar.
 For eBay, you can only specify this currency for listings you submit to the
 Singapore site (site 216).
 
*/
NSString *const Trading_CurrencyCodeType_SGD = @"SGD";

NSString *const Trading_CurrencyCodeType_SKK = @"SKK";

NSString *const Trading_CurrencyCodeType_SIT = @"SIT";

NSString *const Trading_CurrencyCodeType_SBD = @"SBD";

NSString *const Trading_CurrencyCodeType_SOS = @"SOS";

NSString *const Trading_CurrencyCodeType_LKR = @"LKR";

NSString *const Trading_CurrencyCodeType_SDD = @"SDD";

NSString *const Trading_CurrencyCodeType_SRG = @"SRG";

NSString *const Trading_CurrencyCodeType_SZL = @"SZL";

/**
 
  Swedish Krona.
  For eBay, you can only specify this currency for listings you submit to the
  Sweden site (site 218).
 
*/
NSString *const Trading_CurrencyCodeType_SEK = @"SEK";

NSString *const Trading_CurrencyCodeType_SYP = @"SYP";

/**
 
 New Taiwan Dollar. This value is not applicable since the API is not used with new eBay Taiwan site.
 
*/
NSString *const Trading_CurrencyCodeType_TWD = @"TWD";

NSString *const Trading_CurrencyCodeType_TJS = @"TJS";

NSString *const Trading_CurrencyCodeType_TZS = @"TZS";

NSString *const Trading_CurrencyCodeType_THB = @"THB";

NSString *const Trading_CurrencyCodeType_XOF = @"XOF";

NSString *const Trading_CurrencyCodeType_TOP = @"TOP";

NSString *const Trading_CurrencyCodeType_TTD = @"TTD";

NSString *const Trading_CurrencyCodeType_TND = @"TND";

NSString *const Trading_CurrencyCodeType_TRL = @"TRL";

NSString *const Trading_CurrencyCodeType_TMM = @"TMM";

NSString *const Trading_CurrencyCodeType_UGX = @"UGX";

NSString *const Trading_CurrencyCodeType_UAH = @"UAH";

NSString *const Trading_CurrencyCodeType_AED = @"AED";

/**
 
 Pound Sterling.
 For eBay, you can only specify this currency for listings you submit to the
 UK site (site ID 3).
 
*/
NSString *const Trading_CurrencyCodeType_GBP = @"GBP";

NSString *const Trading_CurrencyCodeType_USS = @"USS";

NSString *const Trading_CurrencyCodeType_USN = @"USN";

NSString *const Trading_CurrencyCodeType_UYU = @"UYU";

NSString *const Trading_CurrencyCodeType_UZS = @"UZS";

NSString *const Trading_CurrencyCodeType_VUV = @"VUV";

NSString *const Trading_CurrencyCodeType_VEB = @"VEB";

NSString *const Trading_CurrencyCodeType_VND = @"VND";

NSString *const Trading_CurrencyCodeType_MAD = @"MAD";

NSString *const Trading_CurrencyCodeType_YER = @"YER";

NSString *const Trading_CurrencyCodeType_YUM = @"YUM";

NSString *const Trading_CurrencyCodeType_ZMK = @"ZMK";

NSString *const Trading_CurrencyCodeType_ZWD = @"ZWD";

NSString *const Trading_CurrencyCodeType_ATS = @"ATS";

/**
 
 Reserved for internal or future use.
 
*/
NSString *const Trading_CurrencyCodeType_CUSTOM_CODE = @"CustomCode";
