// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Removes the association of Selling Manager automation rules
 to a template. Returns the remaining rules in the response.
 This call is subject to change without notice; the
 deprecation process is inapplicable to this call.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_DeleteSellingManagerTemplateAutomationRuleRequestType : Trading_AbstractRequestType {

@private
    NSNumber *_saleTemplateID;
    NSNumber *_deleteAutomatedListingRule;
    NSNumber *_deleteAutomatedRelistingRule;
    NSNumber *_deleteAutomatedSecondChanceOfferRule;

}


/**
 
 The ID of the template from which you want to remove automation rules.
 You can obtain a SaleTemplateID by calling GetSellingManagerInventory.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *saleTemplateID;

/**
 
 If true, the automated listing rules are removed from the template.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *deleteAutomatedListingRule;

/**
 
 If true, the automated relisting rules are removed from the template.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *deleteAutomatedRelistingRule;

/**
 
 If true, the automated second chance offer rule is removed from the template.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *deleteAutomatedSecondChanceOfferRule;


@end
