// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import "Trading_DetailNameCodeType.h"

/**
 @file
 
 The designations for the different types of information that you want returned by
 <b>GeteBayDetails</b> using <b>DetailName</b>.
 The details are returned for the specified eBay site.
 
*/

/**
 
 Lists the country code and associated name of the countries supported by
 the eBay system.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>CountryDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
*/
NSString *const Trading_DetailNameCodeType_COUNTRY_DETAILS = @"CountryDetails";

/**
 
 Lists the currencies supported by the eBay system.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>CurrencyDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b> filters are
 used in the request.
 </span>  <br/><br/>
 
*/
NSString *const Trading_DetailNameCodeType_CURRENCY_DETAILS = @"CurrencyDetails";

/**
 
 Not functional. Do not use this value.
 <br />
 Formerly, this value was used to get details about specific payment options.
 
*/
NSString *const Trading_DetailNameCodeType_PAYMENT_OPTION_DETAILS = @"PaymentOptionDetails";

/**
 
 Not functional. Do not use this value.
 
*/
NSString *const Trading_DetailNameCodeType_REGION_DETAILS = @"RegionDetails";

/**
 
 Lists the regions and locations supported by eBays shipping services.
 
*/
NSString *const Trading_DetailNameCodeType_SHIPPING_LOCATION_DETAILS = @"ShippingLocationDetails";

/**
 
 Lists the shipping services supported by the specified eBay site.
 
*/
NSString *const Trading_DetailNameCodeType_SHIPPING_SERVICE_DETAILS = @"ShippingServiceDetails";

/**
 
 Lists the available eBay sites and their associated SiteID numbers.
 
*/
NSString *const Trading_DetailNameCodeType_SITE_DETAILS = @"SiteDetails";

/**
 
 Details the different tax jurisdictions supported by the specified eBay site.
 
*/
NSString *const Trading_DetailNameCodeType_TAX_JURISDICTION = @"TaxJurisdiction";

/**
 
 Lists the different eBay URLs associated with the specified eBay site.
 
*/
NSString *const Trading_DetailNameCodeType_URL_DETAILS = @"URLDetails";

/**
 
 Lists the details of the time zones supported by the eBay system.
 
*/
NSString *const Trading_DetailNameCodeType_TIME_ZONE_DETAILS = @"TimeZoneDetails";

/**
 
 Not functional. Do not use this value.<br />
 Details about the region of origin of a listing.
 
*/
NSString *const Trading_DetailNameCodeType_REGION_OF_ORIGIN_DETAILS = @"RegionOfOriginDetails";

/**
 
 Details about maximum dispatch times.
 
*/
NSString *const Trading_DetailNameCodeType_DISPATCH_TIME_MAX_DETAILS = @"DispatchTimeMaxDetails";

/**
 
 Details about Item Specifics rules for the specified site.
 
*/
NSString *const Trading_DetailNameCodeType_ITEM_SPECIFIC_DETAILS = @"ItemSpecificDetails";

/**
 
 Lists the suggested unit-of-measurement strings to use with Item Specifics
 descriptions.
 
*/
NSString *const Trading_DetailNameCodeType_UNIT_OF_MEASUREMENT_DETAILS = @"UnitOfMeasurementDetails";

/**
 
 Lists the various shipping packages supported by the specified site.
 
*/
NSString *const Trading_DetailNameCodeType_SHIPPING_PACKAGE_DETAILS = @"ShippingPackageDetails";

/**
 
 Reserved for future use.
 
*/
NSString *const Trading_DetailNameCodeType_CUSTOM_CODE = @"CustomCode";

/**
 
 Lists the shipping carriers supported by the specified site.
 
*/
NSString *const Trading_DetailNameCodeType_SHIPPING_CARRIER_DETAILS = @"ShippingCarrierDetails";

/**
 
 Lists the minimum starting prices for the supported types of eBay listings.
 
*/
NSString *const Trading_DetailNameCodeType_LISTING_START_PRICE_DETAILS = @"ListingStartPriceDetails";

/**
 
 Lists the return policies supported by the specified eBay site.
 
*/
NSString *const Trading_DetailNameCodeType_RETURN_POLICY_DETAILS = @"ReturnPolicyDetails";

/**
 
 Details various eBay-buyer requirements.
 
*/
NSString *const Trading_DetailNameCodeType_BUYER_REQUIREMENT_DETAILS = @"BuyerRequirementDetails";

/**
 
 Details the listing features available for the specified site.
 
*/
NSString *const Trading_DetailNameCodeType_LISTING_FEATURE_DETAILS = @"ListingFeatureDetails";

/**
 
 Details the multi-variation listing rules for the site.
 
*/
NSString *const Trading_DetailNameCodeType_VARIATION_DETAILS = @"VariationDetails";

/**
 
 Lists the locations supported by the ExcludeShipToLocation feature.
 <br />
 The codes reflect the <a href=
 "http://www.iso.org/iso/country_codes/iso_3166_code_lists/english_country_names_and_code_elements.htm"
 >ISO 3166</a> location codes.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>ExcludeShippingLocationDetails</b> is included
 as a <b>DetailName</b>
 filter in the request, or if no <b>DetailName</b> filters are used in the request.
 </span>  <br/><br/>
 
*/
NSString *const Trading_DetailNameCodeType_EXCLUDE_SHIPPING_LOCATION_DETAILS = @"ExcludeShippingLocationDetails";

/**
 
 Details the recoupment policies of the site.
 
*/
NSString *const Trading_DetailNameCodeType_RECOUPMENT_POLICY_DETAILS = @"RecoupmentPolicyDetails";

/**
 
 Enumeration of the categories in which the shipping services available for the site belongs to.
 
*/
NSString *const Trading_DetailNameCodeType_SHIPPING_CATEGORY_DETAILS = @"ShippingCategoryDetails";
