// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Details about a specific maximum dispatch time, the maximum number of business
 days required to ship an item to domestic buyers after receiving a cleared
 payment.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_DispatchTimeMaxDetailsType : NSObject <PicoBindable> {

@private
    NSNumber *_dispatchTimeMax;
    NSString *_description;
    NSString *_detailVersion;
    NSDate *_updateTime;
    NSNumber *_extendedHandling;
    NSMutableArray *_any;

}


/**
 
 Integer value that indicates the maximum number of business days that the eBay site allows as a seller's handling time. The clock starts ticking the first business day after the buyer pays for the order. This means that if a buyer pays for the order on a Wednesday, the seller would have to ship the item by the next day (Thursday) if the <b>DispatchTimeMax</b> value is set to '1'. Typical values for this field are 1, 2, 3, 4, 5, 10, 15, or 20.
 <br/><br/>
 If using <b>GeteBayDetails</b> specifically to return this value, the caller sets the DetailName field in the request to <b>DispatchTimeMaxDetails</b>.
 <br/><br/>
 When creating, revising, or relisting an item, the seller cannot set the <b>Item.DispatchTimeMax</b> value higher than the value returned in this field.
 <br/><br/>
                   <span class="tablenote">
                   <strong>Note:</strong> A dispatch time value of '<code>0</code>' is not valid for use on eBay sites. With Add, Relist, Revise and Verify calls, if you need to indicate that a listing has no handling time commitment, submit <b>Item.DispatchTimeMax</b> as an empty field.
                   </span>
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *dispatchTimeMax;

/**
 
 Value and unit (e.g., 10 Days) for the maximum dispatch time.
 Useful for display purposes.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *description;

/**
 
 Returns the latest version number for this field. The version can be
 used to determine if and when to refresh cached client data.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *detailVersion;

/**
 
 Gives the time in GMT that the feature flags for the
 details were last updated. This timestamp can be used to determine
 if and when to refresh cached client data.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *updateTime;

/**
 
 A value of <code>true</code> indicates that the seller has specified a handling time of 4 business days or more (an <em>exception handling time</em>). Sellers should be aware that long handling times might adversely affect the buying decisions of potential customers.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *extendedHandling;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
