// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import "Trading_DisputeReasonCodeType.h"

/**
 @file
 
 Enumerated type that contains the top-level reasons for a buyer or seller to create a
 case against one another. These values are specified in the
 <b>DisputeReason</b> field of <b>AddDispute</b>, and are returned
 in the <b>GetUserDisputes</b> and <b>GetDispute</b> calls.
 The <b>DisputeReason</b> value will dictate what
 <b>DisputeExplanation</b> values that can be used/returned.
 
*/

/**
 
 The seller has opened a case against the buyer because the buyer has not paid for
 the order line item. A seller can open an Unpaid Item case as early as 2 days after
 the end of the auction listing. An exception to this rule occurs when the seller
 allows combined payment orders. If the seller does allow the buyer to combine orders
 and make one payment for those orders, the seller would not be able to open an Unpaid
 Item case until after the time period to combine orders expires.
 
*/
NSString *const Trading_DisputeReasonCodeType_BUYER_HAS_NOT_PAID = @"BuyerHasNotPaid";

/**
 
 With the mutual consent of the buyer, the seller is canceling the order line item.
 
*/
NSString *const Trading_DisputeReasonCodeType_TRANSACTION_MUTUALLY_CANCELED = @"TransactionMutuallyCanceled";

/**
 
 The buyer has opened a case against the seller because the item has not been
 received by the buyer. A buyer can open an Item Not Received case after the
 Estimated Delivery Date of the item has passed, or 7 days after payment if the
 Estimated Delivery Date wasn't given by the seller. This value cannot be used in
 <b>AddDispute</b>.
 
*/
NSString *const Trading_DisputeReasonCodeType_ITEM_NOT_RECEIVED = @"ItemNotReceived";

/**
 
 The buyer has opened a case against the seller because the item was received but
 does not match the item description in the listing. A buyer can open an Item
 Significantly Not As Described case immediately after receiving the item. This value
 cannot be used in <b>AddDispute</b>.
 
*/
NSString *const Trading_DisputeReasonCodeType_SIGNIFICANTLY_NOT_AS_DESCRIBED = @"SignificantlyNotAsDescribed";

/**
 
 The item was returned but no refund was given. This value cannot be used in
 <b>AddDispute</b>.
 
*/
NSString *const Trading_DisputeReasonCodeType_NO_REFUND = @"NoRefund";

/**
 
 Item was returned and seller was not paid. This value cannot be used in
 <b>AddDispute</b>.
 
*/
NSString *const Trading_DisputeReasonCodeType_RETURN_POLICY_UNPAID_ITEM = @"ReturnPolicyUnpaidItem";

/**
 
 Reserved for future or internal use.
 
*/
NSString *const Trading_DisputeReasonCodeType_CUSTOM_CODE = @"CustomCode";
