// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Contains all information about a dispute resolution. A dispute
 can have a resolution even if the seller does not receive payment.
 The resolution can have various results, including a Final Value Fee credit to
 the seller or a strike to the buyer.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_DisputeResolutionType : NSObject <PicoBindable> {

@private
    NSString *_disputeResolutionRecordType;
    NSString *_disputeResolutionReason;
    NSDate *_resolutionTime;
    NSMutableArray *_any;

}


/**
 
 The action resulting from the resolution, affecting either
 the buyer or the seller.
 
 
 type: string constant in Trading_DisputeResolutionRecordTypeCodeType.h
*/
@property (nonatomic, retain) NSString *disputeResolutionRecordType;

/**
 
 The reason for the resolution. The DisputeResolutionReason
 results in the action described by the DisputeResolutionRecordType.
 
 
 type: string constant in Trading_DisputeResolutionReasonCodeType.h
*/
@property (nonatomic, retain) NSString *disputeResolutionReason;

/**
 
 The date and time the dispute was resolved, in GMT.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *resolutionTime;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
