// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import "Trading_DisputeStateCodeType.h"

/**
 @file
 
 Defines the current state of the dispute, which determines the values
 that are valid for DisputeActivity. DisputeState is an internal value
 returned in the response. A value can apply to an Unpaid Item or Item
 Not Received dispute. A dispute filed when an item is significantly not
 as described in the product listing is a variation of an Item Not
 Received dispute.
 
*/

/**
 
 The dispute is locked and cannot be updated. For any type of
 dispute. No values of DisputeActivity are valid.
 
*/
NSString *const Trading_DisputeStateCodeType_LOCKED = @"Locked";

/**
 
 The dispute is closed. In some cases, it can be reversed with
 SellerReverseDispute. For any type of dispute. No values of
 DisputeActivity are valid.
 
*/
NSString *const Trading_DisputeStateCodeType_CLOSED = @"Closed";

/**
 
 eBay sent the buyer an Unpaid Item Reminder with a Pay Now
 option. Waiting for the buyer's first response. It is within the 7-day
 grace period. For Unpaid Item Disputes. DisputeActivity can be
 SellerAddInformation or SellerCompletedTransaction.
 
*/
NSString *const Trading_DisputeStateCodeType_BUYER_FIRST_RESPONSE_PAY_OPTION = @"BuyerFirstResponsePayOption";

/**
 
 eBay sent the buyer an Unpaid Item Reminder with no Pay Now
 option. Waiting for the buyer's first response. It is within the 7-day
 grace period. For Unpaid Item Disputes. DisputeActivity can be
 SellerAddInformation or SellerCompletedTransaction.
 
*/
NSString *const Trading_DisputeStateCodeType_BUYER_FIRST_RESPONSE_NO_PAY_OPTION = @"BuyerFirstResponseNoPayOption";

/**
 
 eBay sent the buyer an Unpaid Item Reminder with a Pay Now
 option. Waiting for the buyer's first response. The 7-day grace
 period has expired. For Unpaid Item Disputes. DisputeActivity can be
 SellerAddInformation, SellerCompletedTransaction, or
 SellerEndCommunication.
 
*/
NSString *const Trading_DisputeStateCodeType_BUYER_FIRST_RESPONSE_PAY_OPTION_LATE_RESPONSE = @"BuyerFirstResponsePayOptionLateResponse";

/**
 
 eBay sent the buyer an Unpaid Item Reminder with no Pay Now
 option. Waiting for the buyer's first response. The 7-day grace
 period has expired. For Unpaid Item Disputes. DisputeActivity can be
 SellerAddInformation, SellerCompletedTransaction, or
 SellerEndCommunication.
 
*/
NSString *const Trading_DisputeStateCodeType_BUYER_FIRST_RESPONSE_NO_PAY_OPTION_LATE_RESPONSE = @"BuyerFirstResponseNoPayOptionLateResponse";

/**
 
 The buyer and seller have communicated, and eBay offered the buyer
 a Pay Now option. For Unpaid Item Disputes. DisputeActivity
 can be SellerAddInformation, SellerCompletedTransaction,
 SellerEndCommunication, or CameToAgreementNeedFVFCredit.
 
*/
NSString *const Trading_DisputeStateCodeType_MUTUAL_COMMUNICATION_PAY_OPTION = @"MutualCommunicationPayOption";

/**
 
     The buyer and seller have communicated. eBay did not offer
     the buyer a Pay Now option. For Unpaid Item Disputes. DisputeActivity can
 be SellerAddInformation, SellerCompletedTransaction,
 SellerEndCommunication, or CameToAgreementNeedFVFCredit.
 
*/
NSString *const Trading_DisputeStateCodeType_MUTUAL_COMMUNICATION_NO_PAY_OPTION = @"MutualCommunicationNoPayOption";

/**
 
 The dispute is pending resolution. A dispute cannot be closed
 when it is in this state. For Unpaid Item Disputes.
 No values of DisputeActivity are valid.
 
*/
NSString *const Trading_DisputeStateCodeType_PENDING_RESOLVE = @"PendingResolve";

/**
 
 The buyer and seller have agreed within the grace period not
 to complete the transaction. For Unpaid Item Disputes.
 DisputeActivity can be SellerAddInformation.
 
*/
NSString *const Trading_DisputeStateCodeType_MUTUAL_WITHDRAWAL_AGREEMENT = @"MutualWithdrawalAgreement";

/**
 
 The buyer and seller have agreed not to complete the
 transaction, after the grace period. For Unpaid Item Disputes.
 DisputeActivity can be SellerAddInformation,
 SellerCompletedTransaction, or SellerEndCommunication.
 
*/
NSString *const Trading_DisputeStateCodeType_MUTUAL_WITHDRAWAL_AGREEMENT_LATE = @"MutualWithdrawalAgreementLate";

/**
 
 The buyer filed an Item Not Received dispute, and the seller
 has not responded. For Item Not Received disputes. DisputeActivity
 can be SellerOffersRefund, SellerShippedItem, or SellerComment.
 
*/
NSString *const Trading_DisputeStateCodeType_NOT_RECEIVED_NO_SELLER_RESPONSE = @"NotReceivedNoSellerResponse";

/**
 
 The buyer filed an Item Not Received dispute for an item
 significantly not as described, and the seller has not responded.
 DisputeActivity can be SellerOffersRefund or SellerComment.
 
*/
NSString *const Trading_DisputeStateCodeType_NOT_AS_DESCRIBED_NO_SELLER_RESPONSE = @"NotAsDescribedNoSellerResponse";

/**
 
 The buyer filed an Item Not Received dispute and is
 communicating with the seller. DisputeActivity can be
 SellerOffersRefund, SellerShippedItem, or SellerComment.
 
*/
NSString *const Trading_DisputeStateCodeType_NOT_RECEIVED_MUTUAL_COMMUNICATION = @"NotReceivedMutualCommunication";

/**
 
 The buyer filed an Item Not Received dispute for an item
 significantly not as described and is communicating with the seller.
 DisputeActivity can be SellerOffersRefund.
 
*/
NSString *const Trading_DisputeStateCodeType_NOT_AS_DESCRIBED_MUTUAL_COMMUNICATION = @"NotAsDescribedMutualCommunication";

/**
 
 The seller says mutual agreement has been reached and is
 waiting for the buyer to confirm, or the buyer is returning the item
 to the seller. DisputeActivity can be SellerAddInformation.
 For Unpaid Item Disputes.
 
*/
NSString *const Trading_DisputeStateCodeType_MUTUAL_AGREEMENT_OR_BUYER_RETURNING_ITEM = @"MutualAgreementOrBuyerReturningItem";

/**
 
 The claim was assigned to an adjuster.
 
*/
NSString *const Trading_DisputeStateCodeType_CLAIM_OPENED = @"ClaimOpened";

/**
 
 The buyer was contacted by eBay and asked to submit paperwork to
 support the claim.
 
*/
NSString *const Trading_DisputeStateCodeType_NO_DOCUMENTATION = @"NoDocumentation";

/**
 
 The buyer did not respond to verification or was missing paperwork.
 
*/
NSString *const Trading_DisputeStateCodeType_CLAIM_CLOSED = @"ClaimClosed";

/**
 
 The buyer is not eligible for reimbursement.
 
*/
NSString *const Trading_DisputeStateCodeType_CLAIM_DENIED = @"ClaimDenied";

/**
 
 Paperwork was received from the buyer and the claim is being investigated.
 
*/
NSString *const Trading_DisputeStateCodeType_CLAIM_PENDING = @"ClaimPending";

/**
 
 The buyer's claim was approved for reimbursement and was
 sent to accounts payable for payment.
 
*/
NSString *const Trading_DisputeStateCodeType_CLAIM_PAYMENT_PENDING = @"ClaimPaymentPending";

/**
 
 The buyer was reimbursed.
 
*/
NSString *const Trading_DisputeStateCodeType_CLAIM_PAID = @"ClaimPaid";

/**
 
 The issue has been resolved: the seller sent the item or a refund.
 
*/
NSString *const Trading_DisputeStateCodeType_CLAIM_RESOLVED = @"ClaimResolved";

/**
 
 A claim was submitted (via Web).
 
*/
NSString *const Trading_DisputeStateCodeType_CLAIM_SUBMITTED = @"ClaimSubmitted";

/**
 
 The unpaid item dispute is open.
 
*/
NSString *const Trading_DisputeStateCodeType_UNPAID_ITEM_OPEN = @"UnpaidItemOpen";

/**
 
 An unpaid item dispute filed by the Unpaid Item Assistance mechanism was
 disabled by eBay (for example, eBay detected that payment was initiated
 and the seller needs to manually handle this dispute).
 
*/
NSString *const Trading_DisputeStateCodeType_UPI_ASSISTANCE_DISABLED_BYE_BAY = @"UPIAssistanceDisabledByeBay";

/**
 
 An unpaid item dispute filed by the Unpaid Item Assistance mechanism was
 disabled by the seller (e.g. the buyer and seller have communicated
 about payment and the seller wishes to extend the time for payment
 and not let the automatic process close the dispute 4 days after the
 dispute was automatically opened).
 
*/
NSString *const Trading_DisputeStateCodeType_UPI_ASSISTANCE_DISABLED_BY_SELLER = @"UPIAssistanceDisabledBySeller";

/**
 
 Reserved for internal or future use.
 
*/
NSString *const Trading_DisputeStateCodeType_CUSTOM_CODE = @"CustomCode";
