// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Ends the specified item listing before the date and time at which it would normally end per the listing duration.&nbsp;<b>Also for Half.com</b>.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_EndItemRequestType : Trading_AbstractRequestType {

@private
    NSString *_itemID;
    NSString *_endingReason;
    NSString *_sellerInventoryID;

}


/**
 
 Unique item ID that identifies the item listing to end.
 <br><br>
 For Half.com listings, you can either specify ItemID or
 SellerInventoryID.
 <br><br>
 Applicable to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Indicates the seller's reason for ending the listing early.
 This field is required if the seller is ending the item early and
 the item did not successfully sell.
 <br><br>
 Applicable to Half.com.
 
 
 type: string constant in Trading_EndReasonCodeType.h
*/
@property (nonatomic, retain) NSString *endingReason;

/**
 
 Unique identifier that the seller specified when they listed the
 Half.com item. For Half.com items, you can either specify ItemID or
 SellerInventoryID. If you specify both ItemID and SellerInventoryID,
 they must be for the same item (otherwise an error will occur).
 <br><br>
 Applicable only to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *sellerInventoryID;


@end
