// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_ErrorType;

/**
 
 Includes the acknowledgement of date and time the auction was
 ended due to the call to EndItem.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_EndItemResponseContainerType : NSObject <PicoBindable> {

@private
    NSDate *_endTime;
    NSString *_correlationID;
    NSMutableArray *_errors;
    NSMutableArray *_any;

}


/**
 
 Indicates the date and time (returned in GMT) the specified item listing
 was ended.
 Also applicable to Half.com.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *endTime;

/**
 
 Most Trading API calls support a <b>MessageID</b> element in the request
 and a <b>CorrelationID</b> element in the response. With
 <b>EndItems</b>, the seller can pass in a different
 <b>MessageID</b> value for
 each <b>EndItemRequestContainer<b> container that is used in the request. The
 <b>CorrelationID</b> value returned under each
 <b>EndItemResponseContainer</b> container is used to correlate each
 End Item request container with its corresponding End Item response container. The same <b>MessageID</b> value that you pass into a request will
 be returned in the <b>CorrelationID</b> field in the response.
 <br>
 <br>
 If you do not pass in a <b>MessageID</b> value in the request,
 <b>CorrelationID</b> is not returned.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *correlationID;

/**
 
 A list of application-level errors or warnings (if any) that were raised
 when eBay processed the request. <br>
 <br>
 Application-level errors occur due to
 problems with business-level data on the client side or on the eBay
 server side. For example, an error would occur if the request contains
 an invalid combination of fields, or it is missing a required field,
 or the value of the field is not recognized. An error could also occur
 if eBay encountered a problem in our internal business logic while
 processing the request.<br>
 <br>
 Only returned if there were warnings or errors.
 
 
 entry type : class Trading_ErrorType
*/

@property (nonatomic, retain) NSMutableArray *errors;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
