// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Contains the seller's preferences for the email sent to the buyer after the creation of the order line item.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_EndOfAuctionEmailPreferencesType : NSObject <PicoBindable> {

@private
    NSString *_templateText;
    NSString *_logoURL;
    NSString *_logoType;
    NSNumber *_emailCustomized;
    NSNumber *_textCustomized;
    NSNumber *_logoCustomized;
    NSNumber *_copyEmail;
    NSMutableArray *_any;

}


/**
 
 The text of the custom message for the email.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *templateText;

/**
 
 The URL of the logo to include in the customized email.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *logoURL;

/**
 
 The type of logo to include in the customized email.
 
 
 type: string constant in Trading_EndOfAuctionLogoTypeCodeType.h
*/
@property (nonatomic, retain) NSString *logoType;

/**
 
 Indicates whether or not the seller wishes to send a customized email to winning buyers.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *emailCustomized;

/**
 
 Indicates whether or not the text of the customized message will be customized.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *textCustomized;

/**
 
 Indicates whether or not the seller wishes to include a logo in the customized email.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *logoCustomized;

/**
 
 Indicates whether or not the seller wishes to receive a copy of the customized
 email sent to the winning buyer.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *copyEmail;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
