// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_ErrorParameterType;

/**
 
 These are request errors (as opposed to system errors) that occur due to problems
 with business-level data (e.g., an invalid combination of arguments) that
 the application passed in.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ErrorType : NSObject <PicoBindable> {

@private
    NSString *_shortMessage;
    NSString *_longMessage;
    NSString *_errorCode;
    NSNumber *_userDisplayHint;
    NSString *_severityCode;
    NSMutableArray *_errorParameters;
    NSString *_errorClassification;
    NSMutableArray *_any;

}


/**
 
 A brief description of the condition that raised the error.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shortMessage;

/**
 
 A more detailed description of the condition that raised the error.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *longMessage;

/**
 
 A unique code that identifies the particular error condition that occurred.
 Your application can use error codes as identifiers
 in your customized error-handling algorithms. See the "Errors by Number" document.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *errorCode;

/**
 
 Indicates whether the error message text is intended to be displayed to an end user
 or intended only to be parsed by the application. If true or not present (the default),
 the message text is intended for the end user. If false, the message text is intended for
 the application, and the application should translate the error into a more appropriate message.
 Only applicable to Item Specifics errors and warnings returned from listing requests.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *userDisplayHint;

/**
 
 Indicates whether the error is a severe error (causing the request to fail)
 or an informational error (a warning) that should be communicated to the user.
 
 
 type: string constant in Trading_SeverityCodeType.h
*/
@property (nonatomic, retain) NSString *severityCode;

/**
 
 This optional element carries a list of context-specific
 error variables that indicate details about the error condition.
 These are useful when multiple instances of ErrorType are returned.
 
 
 entry type : class Trading_ErrorParameterType
*/

@property (nonatomic, retain) NSMutableArray *errorParameters;

/**
 
 API errors are divided between two classes: system errors and request errors.
 
 
 type: string constant in Trading_ErrorClassificationCodeType.h
*/
@property (nonatomic, retain) NSString *errorClassification;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
