// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 This type is deprecated as the eBay Express is no longer available.
 
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ExpressItemRequirementsType : NSObject <PicoBindable> {

@private
    NSNumber *_sellerExpressEligible;
    NSNumber *_expressOptOut;
    NSNumber *_expressApproved;
    NSNumber *_expressEligibleListingType;
    NSNumber *_expressEnabledCategory;
    NSNumber *_eligiblePayPalAccount;
    NSNumber *_domesticShippingCost;
    NSNumber *_eligibleReturnPolicy;
    NSNumber *_picture;
    NSNumber *_eligibleItemCondition;
    NSNumber *_priceAboveMinimum;
    NSNumber *_priceBelowMaximum;
    NSNumber *_eligibleCheckout;
    NSNumber *_noPreapprovedBidderList;
    NSNumber *_noCharity;
    NSNumber *_combinedShippingDiscount;
    NSNumber *_shipFromEligibleCountry;
    NSNumber *_payPalAccountAcceptsUnconfirmedAddress;
    NSMutableArray *_any;

}


/**
 
 
 If false, indicates that an item is not Express-eligible because
 the seller is not Express-eligible. Only returned if false,
 and no other settings are returned in this case.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *sellerExpressEligible;

/**
 
 
 If true, this field indicates the item was opted out of Express;
 that is, ExpressOptOut was true in the listing request.
 Only returned if true, and no other settings are returned in this case.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *expressOptOut;

/**
 
 
 If true, indicates eBay has marked the item as eligible for
 eBay Express based on direct evaluation. Only returned if true,
 and no other settings are returned in this case.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *expressApproved;

/**
 
 
 If true, indicates the item listing format is eligible for Express.
 If false, the listing format is ineligible (and the item is therefore
 ineligible).
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *expressEligibleListingType;

/**
 
 
 If true, the item's primary category is enabled for Express.
 If false, the primary category is not enabled for Express
 (and the item is therefore ineligible).
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *expressEnabledCategory;

/**
 
 
 If true, the seller has an Express-eligible PayPal account.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *eligiblePayPalAccount;

/**
 
 
 If true, domestic shipping costs are specified for the item.
 If false, they aren't specified (and the item is therefore ineligible).
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *domesticShippingCost;

/**
 
 
 If true, the item is covered by a return policy that meets
 the site's requirements for Express.
 Only returned for Express Germany. (A return policy is optional for
 Express US.)
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *eligibleReturnPolicy;

/**
 
 
 If true, the item includes a picture.
 If false, the item doesn't include a picture.
 Only returned if the category requires a picture for Express.
 Some categories waive the picture requirement.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *picture;

/**
 
 
 If true, the item specifies an eligible item condition.
 If false, the item doesn't specify an eligible item condition.
 Only returned if the category requires an item condition for Express.
 Some categories waive the item condition requirement.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *eligibleItemCondition;

/**
 
 
 If true, the price of the item is above the minimum price allowed on
 Express. That is, the StartPrice, BuyItNowPrice,
 or CurrentPrice is above the minimum.)
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *priceAboveMinimum;

/**
 
 
 If true, the price of the item is below the maximum price
 allowed on Express. (That is, the StartPrice, BuyItNowPrice,
 or CurrentPrice is below the maximum.)
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *priceBelowMaximum;

/**
 
 
 If true, indicates the item meets the site's eBay Express
 requirements for checkout. (A common case when this could be false
 would be when ThirdPartyCheckout is true but
 ThirdPartyCheckoutIntegration is false.)
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *eligibleCheckout;

/**
 
 
 If true, the item has no pre-approved bidder list.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *noPreapprovedBidderList;

/**
 
 
 If true, the item is not an eBay Giving Works item.
 Only returned if the site does not allow charity listings on Express.
 (In other words, if the site excludes charity listings from Express,
 then NoCharity=true means the item meets the eligibility requirement.)
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *noCharity;

/**
 
 
 If true, the item offers a combined shipping discount.
 Only returned if the Express site has an item-level
 combined shipping discount requirement.
 (Some Express sites only require you to accept combined payments
 at the seller level, in your My eBay preferences.)
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *combinedShippingDiscount;

/**
 
 
 If true, the country you specified for the item meets the
 specified site's shipping origin requirements for Express.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *shipFromEligibleCountry;

/**
 
 
 If true, the PayPal account for the item accepts payments
 from a buyer with an unconfirmed address. If false, the
 account blocks unconfirmed addresses (and the item is therefore
 ineligible).
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *payPalAccountAcceptsUnconfirmedAddress;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
