// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 SOAP faults are used to indicate that an infrastructure error has occurred,
 such as a problem on eBay's side with database or server going down, or a
 problem with the client or server-side SOAP framework.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_FaultDetailsType : NSObject <PicoBindable> {

@private
    NSString *_errorCode;
    NSString *_severity;
    NSString *_detailedMessage;
    NSMutableArray *_any;

}


/**
 
 Error code can be used by a receiving application to debug a SOAP response
 message that contains one or more SOAP fault details.
 Each error code is uniquely defined for each fault scenario.
 See the eBay documentation for more information.
 Your application can use error codes as identifiers
 in your customized error-handling algorithms.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *errorCode;

/**
 
 Indicates whether the error is a severe error (causing the request to fail)
 or an informational error (a warning).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *severity;

/**
 
 Description of the condition that caused the SOAP fault.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *detailedMessage;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
