// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Indicates whether the seller making the request can list with certain features.
 A seller's eligibility is determined by their feedback rating.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_FeatureEligibilityType : NSObject <PicoBindable> {

@private
    NSNumber *_qualifiesForBuyItNow;
    NSNumber *_qualifiesForBuyItNowMultiple;
    NSNumber *_qualifiedForFixedPriceOneDayDuration;
    NSNumber *_qualifiesForVariations;
    NSNumber *_qualifiedForAuctionOneDayDuration;
    NSMutableArray *_any;

}


/**
 
 Indicates whether the seller is eligible to list items with the 'BuyItNow' option.
 A value of true means that the seller is eligible; a value of false indicates that
 they are not eligible.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *qualifiesForBuyItNow;

/**
 
 Indicates whether the seller is eligible to specify the 'BuyItNow' option for
 multiple-item listings. A value of true means that the seller is eligible; a value
 of false indicates that they are not eligible.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *qualifiesForBuyItNowMultiple;

/**
 
 Indicates whether the seller is eligible to list a fixed-price item with a one-day
 listing duration. A value of true means that the seller is eligible; a value of false
 indicates that the seller is not eligible. Note that this field only controls user
 eligibility. The listing type and category must support this feature for this field to
 be applicable.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *qualifiedForFixedPriceOneDayDuration;

/**
 
 Indicates whether or not the seller is eligible to list
 multi-variation items.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *qualifiesForVariations;

/**
 
                        Indicates whether the seller is eligible to list an auction item with a one day duration on this site.
                        Limitation: the Adult-Only and  Auto Vehicle categories do not support one day auctions, so the seller
                        cannot list items in these categories as one day auctions even if the seller has the eligibility.
                     
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *qualifiedForAuctionOneDayDuration;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
