// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Identifies the name and cost of a listing feature that a member pays to eBay (or an eBay
 company). These listing feature names, fees, and possible discounts are intended only as
 an aid to help estimate the fees for a listing. Use GetAccount for an accurate final fee
 breakdown. Returned in AddItemResponseType and related response types.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_FeeType : NSObject <PicoBindable> {

@private
    NSString *_name;
    Trading_AmountType *_fee;
    Trading_AmountType *_promotionalDiscount;
    NSMutableArray *_any;

}


/**
 
 Name of the listing feature, for identification purposes. See the Trading API guide
 for a list of current listing features names and associated fees.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *name;

/**
 
 Amount of the fee that eBay will charge the member for the associated listing
 feature.
 See the eBay.com Web site online help for a current schedule of listing
 features and their associated fees.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *fee;

/**
 
 This field exists in the response when the user has selected the features that
 participate in a promotional discount. See the eBay.com Web site online help for a
 current fee schedule.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *promotionalDiscount;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
