// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Container consisting of detailed information on a Feedback entry for a specific
 order line item.
   
 
 @ingroup EBayAPIInterface
*/
@interface Trading_FeedbackDetailType : NSObject <PicoBindable> {

@private
    NSString *_commentingUser;
    NSNumber *_commentingUserScore;
    NSString *_commentText;
    NSDate *_commentTime;
    NSString *_commentType;
    NSString *_feedbackResponse;
    NSString *_followup;
    NSString *_itemID;
    NSString *_role;
    NSString *_itemTitle;
    Trading_AmountType *_itemPrice;
    NSString *_feedbackID;
    NSString *_transactionID;
    NSNumber *_commentReplaced;
    NSNumber *_responseReplaced;
    NSNumber *_followUpReplaced;
    NSNumber *_countable;
    NSNumber *_feedbackRevised;
    NSString *_orderLineItemID;
    NSMutableArray *_any;

}


/**
 
 The eBay User ID of the user who left the feedback.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *commentingUser;

/**
 
 The Feedback score of the user indicated in <b>CommentingUser</b>.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *commentingUserScore;

/**
 
 Textual comment that explains, clarifies, or justifies the Feedback rating specified
 in <b>CommentType</b>.
 <br><br>
 The comment is returned as text in the language that the comment was originally left
 in. This comment will still be displayed even if a submitted Feedback entry is
 withdrawn.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *commentText;

/**
 
 Timestamp (in GMT) indicating the date/time that the Feedback entry was submitted
 to eBay.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *commentTime;

/**
 
 This value indicates the rating of the feedback left by the user identified by
 <b>CommentingUser</b>.
 <br><br>
 A Positive rating increases a user's Feedback score, a Negative rating decreases
 a user's Feedback score, and a Neutral rating does not affect a user's Feedback
 score.
 <br><br>
 Sellers cannot leave Neutral or Negative ratings for buyers.
 
 
 type: string constant in Trading_CommentTypeCodeType.h
*/
@property (nonatomic, retain) NSString *commentType;

/**
 
 Textual comment that the recipient of the feedback may leave in response or
 rebuttal to the feedback. Responses to Feedback comments cannot be submitted or
 edited via the API.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *feedbackResponse;

/**
 
 Explanation a user can give to a response. Follow-ups to Feedback comments cannot be
 submitted or edited via the API.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *followup;

/**
 
 The unique identifier that uniquely identifies the item listing.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Indicates whether the recipient of the Feedback entry is the buyer
 or the seller for the corresponding order line item.
 
 
 type: string constant in Trading_TradingRoleCodeType.h
*/
@property (nonatomic, retain) NSString *role;

/**
 
 Name of the item listing for which feedback was provided. Returned as CDATA. This
 value can be returned as part of the Detailed Seller Ratings feature.
 Not returned if a listing ended more than 90 days ago.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemTitle;

/**
 
 The final price for the item, associated with
 the currency identified by the <b>CurrencyID</b> attribute of the <b>AmountType</b>.
 This value can be returned as part of the Detailed Seller Ratings feature.
 Not returned if a listing ended more than 90 days ago.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *itemPrice;

/**
 
 Unique identifier for the feedback entry.
 Returned for a detail level of <b>ReturnAll</b> (if the parent is returned).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *feedbackID;

/**
 
 Unique identifier for an eBay order line item for which the
 Feedback entry was left. This field is not returned if the Feedback entry was left
 for an auction listing, since all auction listings have a <b>TransactionID</b>
 value of 0.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *transactionID;

/**
 
 Flag used to indicate whether or not eBay replaced the Feedback comment with a
 message that the Feedback comment was removed.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *commentReplaced;

/**
 
 Flag used to indicate whether or not eBay replaced the response to the Feedback
 comment with a message that the response to the Feedback comment was removed.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *responseReplaced;

/**
 
 Flag used to indicate whether or not eBay replaced the follow-up to the Feedback
 comment with a message that the follow-up to the Feedback comment was removed.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *followUpReplaced;

/**
 
 The flag indicates whether or not the Feedback entry will affect the user's Feedback
 score. Only feedback left by verified users can count toward the aggregate score of
 another user. If a unverified user leaves a Feedback entry, then later
 becomes verified, that Feedback entry will still have no affect on the recipient
 user's Feedback score. Or, if a user is verified and at some later date changes to
 unverified status, the Feedback entry left while the user was verified remains
 in effect.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *countable;

/**
 
 Flag used to indicate whether or not a Feedback entry was revised (rating was
 changed).
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *feedbackRevised;

/**
 
 <b>OrderLineItemID</b> is a unique identifier for an eBay order line item and is
 based upon the concatenation of <b>ItemID</b> and <b>TransactionID</b>, with a hyphen in
 between these two IDs.
 <br>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *orderLineItemID;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
