// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_FeedbackPeriodArrayType;
@class Trading_SellerRatingSummaryArrayType;
@class Trading_SellerRoleMetricsType;
@class Trading_BuyerRoleMetricsType;

/**
 
 Specifies all feedback summary information (except Score). Contains
 FeedbackPeriodArrayType objects that each convey feedback counts for positive,
 negative, neutral, and total feedback counts - for various time periods each. Also
 conveys counts of bid retractions for the predefined time periods.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_FeedbackSummaryType : NSObject <PicoBindable> {

@private
    Trading_FeedbackPeriodArrayType *_bidRetractionFeedbackPeriodArray;
    Trading_FeedbackPeriodArrayType *_negativeFeedbackPeriodArray;
    Trading_FeedbackPeriodArrayType *_neutralFeedbackPeriodArray;
    Trading_FeedbackPeriodArrayType *_positiveFeedbackPeriodArray;
    Trading_FeedbackPeriodArrayType *_totalFeedbackPeriodArray;
    NSNumber *_neutralCommentCountFromSuspendedUsers;
    NSNumber *_uniqueNegativeFeedbackCount;
    NSNumber *_uniquePositiveFeedbackCount;
    NSNumber *_uniqueNeutralFeedbackCount;
    Trading_SellerRatingSummaryArrayType *_sellerRatingSummaryArray;
    Trading_SellerRoleMetricsType *_sellerRoleMetrics;
    Trading_BuyerRoleMetricsType *_buyerRoleMetrics;
    NSMutableArray *_any;

}


/**
 
 Bid retractions count, for multiple predefined time periods preceding
 the call. Returned if no detail level is specified.
 
 
 type : class Trading_FeedbackPeriodArrayType
*/
@property (nonatomic, retain) Trading_FeedbackPeriodArrayType *bidRetractionFeedbackPeriodArray;

/**
 
 Negative feedback entries count, for multiple predefined time periods preceding
 the call. Returned if no detail level is specified.
 
 
 type : class Trading_FeedbackPeriodArrayType
*/
@property (nonatomic, retain) Trading_FeedbackPeriodArrayType *negativeFeedbackPeriodArray;

/**
 
 Neutral feedback entries count, for multiple predefined time periods preceding
 the call. Returned if no detail level is specified.
 
 
 type : class Trading_FeedbackPeriodArrayType
*/
@property (nonatomic, retain) Trading_FeedbackPeriodArrayType *neutralFeedbackPeriodArray;

/**
 
 Positive feedback entries count, for multiple predefined time periods
 preceding the call. Returned if no detail level is specified.
 
 
 type : class Trading_FeedbackPeriodArrayType
*/
@property (nonatomic, retain) Trading_FeedbackPeriodArrayType *positiveFeedbackPeriodArray;

/**
 
 Total feedback score, for multiple predefined time periods preceding the
 call. Returned if no detail level is specified.
 
 
 type : class Trading_FeedbackPeriodArrayType
*/
@property (nonatomic, retain) Trading_FeedbackPeriodArrayType *totalFeedbackPeriodArray;

/**
 
 Number of neutral comments received from suspended users. Returned if no
 detail level is specified.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *neutralCommentCountFromSuspendedUsers;

/**
 
 Total number of negative Feedback comments, including weekly repeats. Returned if no detail level is specified.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *uniqueNegativeFeedbackCount;

/**
 
 Total number of positive Feedback comments, including weekly repeats. Returned if no detail level is specified.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *uniquePositiveFeedbackCount;

/**
 
 Total number of neutral Feedback comments, including weekly repeats. Returned if no detail level is specified.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *uniqueNeutralFeedbackCount;

/**
 
 Container for information about detailed seller ratings (DSRs)
 that buyers have left for a seller.
 Sellers have access to the number of ratings they've received, as well as
 to the averages of DSRs they've received in each
 DSR area (i.e., to the average of ratings in the item-description area, etc.).
 The DSR feature is available on the United Kingdom site
 and on the following other sites: AU (site ID 15), BEFR (site ID 23),
 BENL (site ID 123), FR (site ID 71), IE (site ID 205), IN (site ID 203),
 IT (site ID 101), and PL (site ID 212). The DSR feature is available on the other
 API-enabled country sites, including the US site (site ID 0).
 
 
 type : class Trading_SellerRatingSummaryArrayType
*/
@property (nonatomic, retain) Trading_SellerRatingSummaryArrayType *sellerRatingSummaryArray;

/**
 
 Container for information about 1 year feedback metric as seller.
 
 
 type : class Trading_SellerRoleMetricsType
*/
@property (nonatomic, retain) Trading_SellerRoleMetricsType *sellerRoleMetrics;

/**
 
 Container for information about 1 year feedback metric as buyer.
 
 
 type : class Trading_BuyerRoleMetricsType
*/
@property (nonatomic, retain) Trading_BuyerRoleMetricsType *buyerRoleMetrics;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
