// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Retrieves an authentication token for a user.&nbsp;<b>Also for Half.com</b>.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_FetchTokenRequestType : Trading_AbstractRequestType {

@private
    NSString *_secretID;
    NSString *_sessionID;

}


/**
 
 A value associated with the token retrieval request. SecretID is
 defined by the application, and is passed in the redirect URL to the
 eBay sign-in page. eBay recommends using a UUID for the secret ID
 value. You must also set Username (part of the RequesterCredentials)
 for the particular user of interest. SecretID and Username are not
 required if SessionID is present.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *secretID;

/**
 
 A value associated with the token retrieval request. eBay generates the
 session ID when the application makes a GetSessionID request. SessionID
 is passed in the redirect URL to the eBay sign-in page. The advantage
 of using SessionID is that it does not require UserID as part of the
 FetchToken request. SessionID is not required if SecretID is present.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *sessionID;


@end
