// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_PaginationResultType;
@class Trading_AccountSummaryType;
@class Trading_AccountEntriesType;

/**
 
 Returns information about an eBay seller's own account.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetAccountResponseType : Trading_AbstractResponseType {

@private
    NSString *_accountID;
    Trading_AccountSummaryType *_accountSummary;
    NSString *_currency;
    Trading_AccountEntriesType *_accountEntries;
    Trading_PaginationResultType *_paginationResult;
    NSNumber *_hasMoreEntries;
    NSNumber *_entriesPerPage;
    NSNumber *_pageNumber;

}


/**
 
 Specifies the seller's unique account number.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *accountID;

/**
 
 Contains summary data for the seller's account, such as the overall
 balance, bank account and credit card information, and amount and
 date of any past due balances. Can also contain data for
 one or more additional accounts, if the user has changed country
 of residence.
 
 
 type : class Trading_AccountSummaryType
*/
@property (nonatomic, retain) Trading_AccountSummaryType *accountSummary;

/**
 
 Indicates the currency used for monetary amounts in the report.
 
 
 type: string constant in Trading_CurrencyCodeType.h
*/
@property (nonatomic, retain) NSString *currency;

/**
 
 Contains individual account entries, according to the report's scope and date range.
 Each account entry represents one credit, debit, or administrative account action.
 
 
 type : class Trading_AccountEntriesType
*/
@property (nonatomic, retain) Trading_AccountEntriesType *accountEntries;

/**
 
 Contains the total number of pages (TotalNumberOfPages) and the total
 number of account entries (TotalNumberOfEntries) that can be returned
 on repeated calls with the same format and report criteria.
 
 
 type : class Trading_PaginationResultType
*/
@property (nonatomic, retain) Trading_PaginationResultType *paginationResult;

/**
 
 Indicates whether there are more items yet to be retrieved. Additional calls
 must be made to retrieve those items.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *hasMoreEntries;

/**
 
 Specifies the number of items that are being returned per virtual page of date.
 Value is the same as that specified in Pagination.EntriesPerPage.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *entriesPerPage;

/**
 
 Indicates which page of data was just returned. Value is the same as the value
 specified in Pagination.PageNumber. If PageNumber in the request is higher than
 the total number of pages, the call fails with an error.)
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pageNumber;


@end
