// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Retrieves sales lead information for a lead generation listing.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetAdFormatLeadsRequestType : Trading_AbstractRequestType {

@private
    NSString *_itemID;
    NSString *_status;
    NSNumber *_includeMemberMessages;
    NSDate *_startCreationTime;
    NSDate *_endCreationTime;

}


/**
 
 The unique identifier of an item listed on the eBay site.
 Returned by eBay when the item is created. This ID must correspond
 to an ad format item.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Filters the leads based on their status.
 
 
 type: string constant in Trading_MessageStatusTypeCodeType.h
*/
@property (nonatomic, retain) NSString *status;

/**
 
 Boolean which indicates whether to return mail messages for this lead in a MemberMessage node.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *includeMemberMessages;

/**
 
 Used with EndCreationTime to limit the returned leads for a user to only
 those with a creation date greater than or equal to the specified date and
 time.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *startCreationTime;

/**
 
 Used with StartCreationTime to limit the returned leads for a user to only
 those with a creation date less than or equal to the specified date and
 time.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *endCreationTime;


@end
