// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_OfferArrayType;
@class Trading_AmountType;

/**
 
 Includes the list of bidders for the requested item as part of the general item listing data. Some bidder information is anonymous, to protect bidders from fraud. If the seller makes this API call, the actual ids of all bidders on the seller's item will be returned. If a bidder makes this API call, the bidder's actual id will be returned. Information for all competing bidders or outside watchers will be returned as anonymized userIDs. See See <a href="http://developer.ebay.com/DevZone/XML/docs/WebHelp/index.htm?context=eBay_XML_API&topic=AnonymousUserInfo">Working with Anonymous User Information</a>in the eBay Web Services Guide for more information.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetAllBiddersResponseType : Trading_AbstractResponseType {

@private
    Trading_OfferArrayType *_bidArray;
    NSString *_highBidder;
    Trading_AmountType *_highestBid;
    NSString *_listingStatus;

}


/**
 
 Contains a list of OfferType objects. Each
 OfferType object represents the data for one bidder and bid.
 
 
 type : class Trading_OfferArrayType
*/
@property (nonatomic, retain) Trading_OfferArrayType *bidArray;

/**
 
 eBay user ID for the user with the highest bid (or the earliest timestamp, in the event of a tie); a second chance offer candidate.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *highBidder;

/**
 
 Bid amount offered by the HighBidder.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *highestBid;

/**
 
 Specifies an active or ended listing's status in eBay's processing workflow.
 If a listing ends with a sale (or sales), eBay needs to update the sale details (e.g., winning bidder) and other information. This processing
 can take several minutes. If you retrieve a sold item, use this listing status information to determine whether eBay has finished processing the listing so that you can be sure the winning bidder and other details are correct and complete.
 
 
 type: string constant in Trading_ListingStatusCodeType.h
*/
@property (nonatomic, retain) NSString *listingStatus;


@end
