// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_PaginationType;

/**
 
 Retrieves Best Offers.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetBestOffersRequestType : Trading_AbstractRequestType {

@private
    NSString *_itemID;
    NSString *_bestOfferID;
    NSString *_bestOfferStatus;
    Trading_PaginationType *_pagination;

}


/**
 
 The ID of the listing for which Best Offer information is to be returned.
 See the description of GetBestOffers
 for details related to who makes the request and how
 ItemID and BestOfferID can be omitted.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 The ID of the Best Offer for which information is to be returned.
 See the description of GetBestOffers
 for details related to who makes the request and how
 ItemID and BestOfferID can be omitted.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *bestOfferID;

/**
 
 This optional filter controls whether only active Best Offers are retrieved or
 all Best Offers (even Best Offers that were declined or all no longer the "best
 offer"). The "All" value can only be specified if an <b>ItemID</b>
 value is also supplied in the request.
 
 
 type: string constant in Trading_BestOfferStatusCodeType.h
*/
@property (nonatomic, retain) NSString *bestOfferStatus;

/**
 
 Specifies how to create virtual pages in the returned list (such as total
 number of entries and total number of pages to return).
 
 
 type : class Trading_PaginationType
*/
@property (nonatomic, retain) Trading_PaginationType *pagination;


@end
