// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_ItemType;
@class Trading_PaginationResultType;
@class Trading_BestOfferArrayType;
@class Trading_ItemBestOffersArrayType;

/**
 
 All Best Offers for the item according to the filter or Best Offer
 ID (or both) used in the input.
 For the notification client usage, this response includes a
 single Best Offer.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetBestOffersResponseType : Trading_AbstractResponseType {

@private
    Trading_BestOfferArrayType *_bestOfferArray;
    Trading_ItemType *_item;
    Trading_ItemBestOffersArrayType *_itemBestOffersArray;
    NSNumber *_pageNumber;
    Trading_PaginationResultType *_paginationResult;

}


/**
 
 All Best Offers for the item according to the filter or
 Best Offer id (or both) used in the input. The buyer and
 seller messages are returned only if the detail level is
 defined. Includes the buyer and seller message only if the
 ReturnAll detail level is used.
 Only returned if Best Offers have been made.
 
 
 type : class Trading_BestOfferArrayType
*/
@property (nonatomic, retain) Trading_BestOfferArrayType *bestOfferArray;

/**
 
 The item for which Best Offers are being returned.
 Only returned if Best Offers have been made.
 
 
 type : class Trading_ItemType
*/
@property (nonatomic, retain) Trading_ItemType *item;

/**
 
 A collection of details about the Best Offers received for a specific item. Empty if there are no Best Offers.
 
 
 type : class Trading_ItemBestOffersArrayType
*/
@property (nonatomic, retain) Trading_ItemBestOffersArrayType *itemBestOffersArray;

/**
 
 Specifies the number of the page of data to return in the response.
 Default is 1 for most calls. For some calls, the default is 0. Specify a
 positive value equal to or lower than the number of pages available (which you
 determine by examining the results of your initial request).
 See the documentation for other individual calls to determine the correct
 default value. For GetOrders, PageNumber is only applicable to Half.com (is not
 applicable to eBay.com).
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pageNumber;

/**
 
 Provides information about the data returned, including the number of pages and the number
 of entries.
 
 
 type : class Trading_PaginationResultType
*/
@property (nonatomic, retain) Trading_PaginationResultType *paginationResult;


@end
