// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_SiteWideCharacteristicsType;
@class Trading_CategoryArrayType;

/**
 
 Only applicable for determining whether a category is catalog-enabled.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetCategory2CSResponseType : Trading_AbstractResponseType {

@private
    Trading_CategoryArrayType *_mappedCategoryArray;
    Trading_CategoryArrayType *_unmappedCategoryArray;
    NSString *_attributeSystemVersion;
    NSMutableArray *_siteWideCharacteristicSets;

}


/**
 
 Contains data about categories that are mapped to characteristics sets.
 Use this data to determine:<br>
 - The names and IDs of the characteristics sets<br>
 - The availability of the Pre-filled Item Information feature for listings in that category
 (i.e., whether the category is catalog-enabled)<br>
 - For catalog-enabled categories, the available product search methods<br>
 - The current version information for the complete mapping<br>
 - The version information for each characteristics set
 
 
 type : class Trading_CategoryArrayType
*/
@property (nonatomic, retain) Trading_CategoryArrayType *mappedCategoryArray;

/**
 
 Contains data about categories (if any) whose characteristics set mappings have changed
 since the version specified in the request. When a characteristics set mapping
 changes, the data appears in both the UnmappedCategoryArray object
 (to indicate that the change occurred) and the MappedCategoryArray object.
 
 
 type : class Trading_CategoryArrayType
*/
@property (nonatomic, retain) Trading_CategoryArrayType *unmappedCategoryArray;

/**
 
 Current version of the mappings for the site.
 This value changes each time changes are made to the mappings.
 The current version value is not necessarily greater than the previous
 value. Therefore, when comparing versions, only compare whether the
 value has changed.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *attributeSystemVersion;

/**
 
 A list of one or more characteristics sets mapped to the category, if any. Use this
 information when working with Item Specifics (Attributes) and Pre-filled Item
 Information (Catalogs) functionality.
 
 
 entry type : class Trading_SiteWideCharacteristicsType
*/

@property (nonatomic, retain) NSMutableArray *siteWideCharacteristicSets;


@end
