// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Searches for nonprofit charity organizations that meet the
 criteria specified in the request.
 It is recommended that you use at least one input filter, because this call
 no longer returns all charities when made without filters.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetCharitiesRequestType : Trading_AbstractRequestType {

@private
    NSString *_charityID;
    NSString *_charityName;
    NSString *_query;
    NSNumber *_charityRegion;
    NSNumber *_charityDomain;
    NSNumber *_includeDescription;
    NSString *_matchType;
    NSNumber *_featured;
    NSNumber *_campaignID;

}


/**
 
 A unique identification number assigned by eBay to registered nonprofit
 charity organizations.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *charityID;

/**
 
 A name assigned to a specified nonprofit
 organization. Accepts full charity nonprofit name
 or partial name as input. For example, enter a
 CharityName of "heart" (case-insensitive) to
 return all charity nonprofits that start with
 "heart." Use with a MatchType value of "Contains"
 to return all charity nonprofits that contain the
 string "heart."
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *charityName;

/**
 
 Accepts a case-insensitive string used to
 find a nonprofit charity organization. Default
 behavior is to search the CharityName field. Use
 with an IncludeDescription value of true to
 include the Mission field in the search.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *query;

/**
 
 Region that the nonprofit charity organization is associated
 with. A specific nonprofit charity organization may be associated
 with only one region. Meaning of input values differs depending on
 the site. See GetCharities in the API Developer's Guide for the meaning
 of each input/output value. CharityRegion input value must be
 valid for that SiteID.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *charityRegion;

/**
 
 Domain (mission area) that a nonprofit charity organization
 belongs to. Nonprofit charity organizations may belong to multiple
 mission areas. Meaning of input values differs depending on the
 site.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *charityDomain;

/**
 
 Used with Query to search for charity nonprofit
 organizations. A value of true will search the Mission field as
 well as the CharityName field for a string specified in Query.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *includeDescription;

/**
 
 Indicates the type of string matching to use when a value is submitted in
 CharityName. If no value is specified, default behavior is "StartsWith."
 Does not apply to Query.
 
 
 type: string constant in Trading_StringMatchCodeType.h
*/
@property (nonatomic, retain) NSString *matchType;

/**
 
 Used to decide if the search is only for featured charities.
 A value of true will search for only featured charities.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *featured;

/**
 
 Reserved for future use.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *campaignID;


@end
