// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_PaginationType;

/**
 
 Retrieves the accumulated feedback left for a specified user or the summary
 feedback data for a specific order line item or item listing.&nbsp;<b>Also for
 Half.com</b>.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetFeedbackRequestType : Trading_AbstractRequestType {

@private
    NSString *_userID;
    NSString *_feedbackID;
    NSString *_itemID;
    NSString *_transactionID;
    NSMutableArray *_commentType;
    NSString *_feedbackType;
    Trading_PaginationType *_pagination;
    NSString *_orderLineItemID;

}


/**
 
 Specifies the user whose feedback data is to be returned. If not
 specified, then the feedback returned is for the requesting user.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *userID;

/**
 
 An ID that uniquely identifies a feedback record to be retrieved.
 Used only by the Feedback notification.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *feedbackID;

/**
 
 Unique identifier for an eBay item listing. A listing can have multiple
 order line items (transactions), but only one <b>ItemID</b>. If <b>ItemID</b> is
 specified in the <b>GetFeedback</b> request, the returned feedback records are
 restricted to the specified <b>ItemID</b>. The <b>FeedbackType</b> and <b>Pagination</b>
 fields (if included) are ignored. The maximum number of feedback records
 returned is 100.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Unique identifier for an eBay order line item (transaction). A
 <b>TransactionID</b> can be paired up with its corresponding <b>ItemID</b> and used as
 an input filter in the <b>GetFeedback</b> request. If an <b>ItemID</b>/<b>TransactionID</b>
 pair or an <b>OrderLineItemID</b> value is used to retrieve a feedback record
 on a specific order line item, the <b>FeedbackType</b> and <b>Pagination</b>
 fields (if included) are ignored.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *transactionID;

/**
 
 Returns feedback of a specified type (positive, negative, or neutral) in
 <b>FeedbackDetailArray</b>. You can include two comment types in your call if you want
 to exclude the third type from your results. If no <b>CommentType</b> is specified,
 all of the feedback types are returned.
 
 
 entry type : string constant in Trading_CommentTypeCodeType.h
*/

@property (nonatomic, retain) NSMutableArray *commentType;

/**
 
 Returns feedback that you received as a buyer or seller, or feedback you left
 for others (as either a buyer or a seller). You can include only one
 <b>FeedbackType</b> in your call. If no <b>FeedbackType</b> is specified, all of the
 available feedback is returned.
 
 
 type: string constant in Trading_FeedbackTypeCodeType.h
*/
@property (nonatomic, retain) NSString *feedbackType;

/**
 
 Controls the pagination of the result set. Child elements, <b>EntriesPerPage</b> and
 <b>PageNumber</b>, specify the maximum number of individual feedback records to return
 per call and which page of data to return. Only applicable if <b>DetailLevel</b> is
 set to <b>ReturnAll</b> and the call is returning feedback for a <b>UserID</b>. Feedback
 summary data is not paginated, but when pagination is used, it is returned
 after the last feedback detail entry.
 <br><br>
 Accepted values for <b>Pagination.EntriesPerPage</b> for GetFeedback is 25 (the
 default), 50, 100, and 200. If you specify a value of zero, or a value
 greater than 200, the call fails with an error. If you specify a value between
 one and twenty-four, the value is rounded up to 25. Values between 26 and 199
 that are not one of the accepted values are rounded down to the nearest
 accepted value.
 
 
 type : class Trading_PaginationType
*/
@property (nonatomic, retain) Trading_PaginationType *pagination;

/**
 
 <b>OrderLineItemID</b> is a unique identifier for an eBay order line item and
 is based upon the concatenation of <b>ItemID</b> and <b>TransactionID</b>, with a
 hyphen in between these two IDs. An <b>OrderLineItemID</b> can be used as an
 input filter in the <b>GetFeedback</b> request. If an <b>OrderLineItemID</b> value is
 used to retrieve a feedback record on a specific order line item, the
 <b>FeedbackType</b> and <b>Pagination</b> fields (if included) are ignored.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *orderLineItemID;


@end
