// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Returns shipping cost estimates for an item for every calculated shipping service
 that the seller has offered with the listing. This is analogous to the Shipping
 Calculator seen in both the buyer and seller web pages.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetItemShippingRequestType : Trading_AbstractRequestType {

@private
    NSString *_itemID;
    NSNumber *_quantitySold;
    NSString *_destinationPostalCode;
    NSString *_destinationCountryCode;

}


/**
 
 The item ID that uniquely identifies the item listing for which
 to retrieve the data. Required input.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Number of items sold to a single buyer and to be shipped together.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *quantitySold;

/**
 
 Destination country postal code (or zipcode, for US). Ignored if no
 country code is provided. Optional tag for some countries. More likely to
 be required for large countries.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *destinationPostalCode;

/**
 
 Destination country code. If DestinationCountryCode is US,
 a postal code is required and it represents the US zip code.
 
 
 type: string constant in Trading_CountryCodeType.h
*/
@property (nonatomic, retain) NSString *destinationCountryCode;


@end
