// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_TransactionArrayType;
@class Trading_ItemType;
@class Trading_PaginationResultType;

/**
 
 Returns an array of order line item (transaction) data for the item specified in the request.
 The results can be used to create a report of data that is commonly
 necessary for order processing.
 Zero, one, or many <b>Transaction</b> objects can be returned in the <b>TransactionArray</b>.
 The set of order line items returned is limited to those that were modified between
 the times specified in the request's <b>ModTimeFrom</b> and <b>ModTime</b> filters.
 Also returns the <b>Item</b> object that spawned the order line items.
 If pagination filters were specified in the request, returns meta-data describing
 the effects of those filters on the current response and the estimated effects if
 the same filters are used in subsequent calls.
 <br><br>
 Data from the <b>TransactionArray</b> may be used to trigger the following Platform
 Notifications: EndOfAuction, AuctionCheckoutComplete, FixedPriceEndOfTransaction,
 CheckoutBuyerRequestTotal, FixedPriceTransaction, Checkout,
 FixedPriceTransactionForSeller, FixedPriceTransactionForBuyer, ItemMarkedAsShipped,
 and ItemMarkedAsPaid. Each notification will be based on the state of the item
 (a 'snapshot' of the item) at the time the order line item was created.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetItemTransactionsResponseType : Trading_AbstractResponseType {

@private
    Trading_PaginationResultType *_paginationResult;
    NSNumber *_hasMoreTransactions;
    NSNumber *_transactionsPerPage;
    NSNumber *_pageNumber;
    NSNumber *_returnedTransactionCountActual;
    Trading_ItemType *_item;
    Trading_TransactionArrayType *_transactionArray;
    NSNumber *_payPalPreferred;

}


/**
 
 Contains the total number of pages (<b>TotalNumberOfPages</b>) and the total number
 of entries (<b>TotalNumberOfEntries</b>) that could be returned given repeated calls
 that use the same selection criteria as the call that returned this response.
 
 
 type : class Trading_PaginationResultType
*/
@property (nonatomic, retain) Trading_PaginationResultType *paginationResult;

/**
 
 Indicates whether there are additional order line items (transactions) to retrieve.
 That is, indicates whether more pages of data are available to be
 returned, given the filters that were specified in the request.
 Returns false for the last page of data.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *hasMoreTransactions;

/**
 
 Number of order line items (transactions) returned per page (per call). May be a higher value
 than <b>ReturnedTransactionCountActual</b> if the page returned is the last page
 and more than one page of data exists.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *transactionsPerPage;

/**
 
 Page number for the page of order line items the response returned.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pageNumber;

/**
 
 Number of order line items retrieved in the current page of results just returned.
 May be a lower value than <b>TransactionsPerPage</b> if the page returned is the last
 page and more than one page of data exists.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *returnedTransactionCountActual;

/**
 
 <b>Item</b> object that spawned the order line item. It is a purchase from this item's listing
 that the order line item represents.
 
 
 type : class Trading_ItemType
*/
@property (nonatomic, retain) Trading_ItemType *item;

/**
 
 List of <b>Transaction</b> objects representing the order line items resulting
 from the listing. Each <b>Transaction</b> object contains the data for one purchase
 (of one or more items in the same listing). The <b>Transaction.Item</b> field is not
 returned because the <b>Item</b> object is returned at the root level of the response.
 See the reference guide for more information about the fields that are returned.
 
 
 type : class Trading_TransactionArrayType
*/
@property (nonatomic, retain) Trading_TransactionArrayType *transactionArray;

/**
 
 Indicates whether the item's seller has the preference enabled that shows
 that the seller prefers PayPal as the method of payment for an item. This
 preference is indicated on an item's View Item page and is intended to
 influence a buyer to use PayPal
 to pay for the item.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *payPalPreferred;


@end
