// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_PaginationType;

/**
 
 Retrieves a list of the messages buyers have posted about your
 active item listings.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetMemberMessagesRequestType : Trading_AbstractRequestType {

@private
    NSString *_itemID;
    NSString *_mailMessageType;
    NSString *_messageStatus;
    NSNumber *_displayToPublic;
    NSDate *_startCreationTime;
    NSDate *_endCreationTime;
    Trading_PaginationType *_pagination;
    NSString *_memberMessageID;
    NSString *_senderID;

}


/**
 
 The ID of the item the message is about.
 <br><br>
 For ASQ messages, either the ItemID, or a date range
 (specified with StartCreationTime and EndCreationTime),
 or both must be included. ItemID is otherwise ignored.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 The type of message. Note that GetMemberMessages does not return
 messages when this field is set to AskSellerQuestion.
 
 
 type: string constant in Trading_MessageTypeCodeType.h
*/
@property (nonatomic, retain) NSString *mailMessageType;

/**
 
 The status of the message.
 
 
 type: string constant in Trading_MessageStatusTypeCodeType.h
*/
@property (nonatomic, retain) NSString *messageStatus;

/**
 
 If included in the request and set to True, only public messages (viewable
 in the Item listing) are returned. If omitted or set to False in the
 request, all messages (that match other filters in the request) are returned
 in the response.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *displayToPublic;

/**
 
 Used as beginning of date range filter. If specified,
 filters the returned messages to only those with a
 creation date greater than or equal to the specified
 date and time.
 <br><br>
 For CEM messages, StartCreationTime and EndCreationTime
 must be provided.
 <br><br>
 For ASQ messages, either the ItemID, or a date range
 (specified with StartCreationTime and EndCreationTime),
 or both must be included.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *startCreationTime;

/**
 
 Used as end of date range filter. If specified, filters
 the returned messages to only those with a creation date
 less than or equal to the specified date and time.
 <br><br>
 For CEM messages, StartCreationTime and EndCreationTime
 must be provided.
 <br><br>
 For ASQ messages, either the ItemID, or a date range
 (specified with StartCreationTime and EndCreationTime),
 or both must be included.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *endCreationTime;

/**
 
 Standard pagination argument used to reduce response.
 
 
 type : class Trading_PaginationType
*/
@property (nonatomic, retain) Trading_PaginationType *pagination;

/**
 
 An ID that uniquely identifies the message for a given user to be retrieved.
 Used for the AskSellerQuestion notification only.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *memberMessageID;

/**
 
 An eBay ID that uniquely identifies a user. For
 GetMemberMessages, this is the sender of the message. If
 included in the request, returns only messages from the
 specified sender.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *senderID;


@end
