// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_ItemType;
@class Trading_PaginatedItemArrayType;
@class Trading_BidGroupArrayType;
@class Trading_PaginatedOrderTransactionArrayType;
@class Trading_MyeBayFavoriteSellerListType;
@class Trading_MyeBayFavoriteSearchListType;
@class Trading_BuyingSummaryType;
@class Trading_UserDefinedListType;

/**
 
 Returns items from All Buying or All Favorites in the user's My eBay account.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetMyeBayBuyingResponseType : Trading_AbstractResponseType {

@private
    Trading_BuyingSummaryType *_buyingSummary;
    Trading_PaginatedItemArrayType *_watchList;
    Trading_PaginatedItemArrayType *_bidList;
    Trading_PaginatedItemArrayType *_bestOfferList;
    Trading_PaginatedOrderTransactionArrayType *_wonList;
    Trading_PaginatedItemArrayType *_lostList;
    Trading_MyeBayFavoriteSearchListType *_favoriteSearches;
    Trading_MyeBayFavoriteSellerListType *_favoriteSellers;
    NSMutableArray *_secondChanceOffer;
    Trading_BidGroupArrayType *_bidAssistantList;
    Trading_PaginatedOrderTransactionArrayType *_deletedFromWonList;
    Trading_PaginatedItemArrayType *_deletedFromLostList;
    NSMutableArray *_userDefinedList;

}


/**
 
 Contains a summary of the items the user has bid on. Returned at all detail
 levels.
 
 
 type : class Trading_BuyingSummaryType
*/
@property (nonatomic, retain) Trading_BuyingSummaryType *buyingSummary;

/**
 
 Contains the items the user is watching. Only returned if items exist that
 meet the request criteria.
 
 
 type : class Trading_PaginatedItemArrayType
*/
@property (nonatomic, retain) Trading_PaginatedItemArrayType *watchList;

/**
 
 Contains all the items the buyer has bid on.
 Only returned if items exist that meet the request criteria.
 
 
 type : class Trading_PaginatedItemArrayType
*/
@property (nonatomic, retain) Trading_PaginatedItemArrayType *bidList;

/**
 
 Contains the items the user has placed Best Offers on. Only returned if
 items exist that meet the request criteria.
 
 
 type : class Trading_PaginatedItemArrayType
*/
@property (nonatomic, retain) Trading_PaginatedItemArrayType *bestOfferList;

/**
 
 Contains the items the user has bid on and won. Only returned if items
 exist that meet the request criteria.
 
 
 type : class Trading_PaginatedOrderTransactionArrayType
*/
@property (nonatomic, retain) Trading_PaginatedOrderTransactionArrayType *wonList;

/**
 
 Contains the items the user has bid on and lost. Only returned if items
 exist that meet the request criteria.
 
 
 type : class Trading_PaginatedItemArrayType
*/
@property (nonatomic, retain) Trading_PaginatedItemArrayType *lostList;

/**
 
 Contains a list of the user's favorite searches. Only returned if the
 user has Favorite Searches. The search name, search query, and search
 elements, such as QueryKeywords, SortOrder, and Condition are returned.
 <br><br>
 You can paste the Search Query response, that comes back as a URL, into a browser
 to re-play the Favorite Search.
 <br><br>
 The search elements that are returned by this call can be used as input
 for the Shopping Web Service FindItemsAdvanced request.
 
 
 type : class Trading_MyeBayFavoriteSearchListType
*/
@property (nonatomic, retain) Trading_MyeBayFavoriteSearchListType *favoriteSearches;

/**
 
 Contains a list of the user's favorite sellers. Only returned if items
 exist that meet the request criteria.
 
 
 type : class Trading_MyeBayFavoriteSellerListType
*/
@property (nonatomic, retain) Trading_MyeBayFavoriteSellerListType *favoriteSellers;

/**
 
 Contains the list of second chance offers the user has received. Only
 returned if items exist that meet the request criteria.
 
 
 entry type : class Trading_ItemType
*/

@property (nonatomic, retain) NSMutableArray *secondChanceOffer;

/**
 
 
 Contains the items that were bid on using the Bid Assistant feature.
 
 
 type : class Trading_BidGroupArrayType
*/
@property (nonatomic, retain) Trading_BidGroupArrayType *bidAssistantList;

/**
 
 Contains the items the buyer has bid on, won, and deleted from My eBay.
 Only returned if items exist that meet the request criteria.
 
 
 type : class Trading_PaginatedOrderTransactionArrayType
*/
@property (nonatomic, retain) Trading_PaginatedOrderTransactionArrayType *deletedFromWonList;

/**
 
 Contains the items the buyer has bid on, lost, and deleted from My eBay.
 Only returned if items exist that meet the request criteria.
 
 
 type : class Trading_PaginatedItemArrayType
*/
@property (nonatomic, retain) Trading_PaginatedItemArrayType *deletedFromLostList;

/**
 
 Contains the items, searches, or sellers that the user has saved to this
 list using the "Add to list" feature.  The name of the list is given by the
 "Name" element. Returned only if UserDefineLists is specified in the request.
 
 
 entry type : class Trading_UserDefinedListType
*/

@property (nonatomic, retain) NSMutableArray *userDefinedList;


@end
