// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_MarkUpMarkDownHistoryType;
@class Trading_NotificationDetailsArrayType;
@class Trading_NotificationStatisticsType;

/**
 
 Returns an array of notifications sent to a given application identified by the appID
 (comes in the credentials). The result can be used by third-party developers troubleshoot
 issues with notifications.
 Zero, one or many notifications can be returned in the array. The set of notifications
 returned is limited to those that were sent between the StartTime and EndTime specified
 in the request. If StartTime or EndTime filters were not found in the request, then
 the response will contain the data for only one day (Now-1day). By default, maximum
 duration is limited to 3 days (Now-3days). These min (1day) and max(3days) applies
 to Notifications,MarkDownMarkUpHistory and NotificationStatistics.
 
 Notifications are sent only if the ItemID is included in the request. If there is no
 ItemID, then only Statistics and MarkDownMarkUpHistory information is included.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetNotificationsUsageResponseType : Trading_AbstractResponseType {

@private
    NSDate *_startTime;
    NSDate *_endTime;
    Trading_NotificationDetailsArrayType *_notificationDetailsArray;
    Trading_MarkUpMarkDownHistoryType *_markUpMarkDownHistory;
    Trading_NotificationStatisticsType *_notificationStatistics;

}


/**
 
 Returns the start date and time for the notification information that is
 returned by this call. The oldest date allowed for this field is Now-3days.
 Default is Now-1day.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *startTime;

/**
 
 Returns the end date and time for the notification information that is
 returned by this call. The default is Now.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *endTime;

/**
 
 List of notification objects representing the notifications sent to an
 application for the given time period. It will only be returned if ItemID
 was specified in the input request.
 
 
 type : class Trading_NotificationDetailsArrayType
*/
@property (nonatomic, retain) Trading_NotificationDetailsArrayType *notificationDetailsArray;

/**
 
 List of objects representing MarkUp or MarkDown history for a given appID
 and for given StartTime and EndTime. This node will always be returned.
 
 
 type : class Trading_MarkUpMarkDownHistoryType
*/
@property (nonatomic, retain) Trading_MarkUpMarkDownHistoryType *markUpMarkDownHistory;

/**
 
 Summary information about number of notifications that were successfully
 delivered, queued, failed, connection attempts made, connection timeouts,
 http errors for the given appID and given time period. By default, statistics
 for only one day (Now-1day) is included. Maximum time duration allowed is 3 days
 (Now-3days).
 
 
 type : class Trading_NotificationStatisticsType
*/
@property (nonatomic, retain) Trading_NotificationStatisticsType *notificationStatistics;


@end
