// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_ItemTransactionIDArrayType;
@class Trading_OrderIDArrayType;

/**
 
 Retrieves information about one or more orders based on OrderIDs, ItemIDs, or SKU values. &nbsp;<b>Also for Half.com</b>.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetOrderTransactionsRequestType : Trading_AbstractRequestType {

@private
    Trading_ItemTransactionIDArrayType *_itemTransactionIDArray;
    Trading_OrderIDArrayType *_orderIDArray;
    NSString *_platform;
    NSNumber *_includeFinalValueFees;

}


/**
 
 An array of one or more <b>ItemTransactionID</b> containers. Each
 <b>ItemTransactionID</b> container identifies an order line item
 to retrieve in the response.
 
 
 type : class Trading_ItemTransactionIDArrayType
*/
@property (nonatomic, retain) Trading_ItemTransactionIDArrayType *itemTransactionIDArray;

/**
 
 An array of one or more <b>OrderID</b> containers. Each
 <b>OrderID</b> container identifies an order to retrieve in the response.
 Up to 20 orders (using 20 <b>OrderID</b> containers) can be
 retrieved with one <b>GetOrderTransactions</b> call.
 
 
 type : class Trading_OrderIDArrayType
*/
@property (nonatomic, retain) Trading_OrderIDArrayType *orderIDArray;

/**
 
 Name of the eBay co-branded site upon which the order line item was created.
 This will serve as a filter for the orders to get emitted in the response.
 
 
 type: string constant in Trading_TransactionPlatformCodeType.h
*/
@property (nonatomic, retain) NSString *platform;

/**
 
 Indicates whether to include Final Value Fee (FVF) in the response. For most
 listing types, the Final Value Fee is returned in Transaction.FinalValueFee.
 The Final Value Fee is returned on a transaction-by-transaction basis for
 FixedPriceItem and StoresFixedPrice listing types. For all other listing
 types, the Final Value Fee is returned when the listing status is Completed.
 This value is not returned if the auction ended with Buy It Now.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *includeFinalValueFees;


@end
