// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_OrderArrayType;
@class Trading_PaginationResultType;

/**
 
 Returns the set of orders that match the order IDs or filter criteria specified.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetOrdersResponseType : Trading_AbstractResponseType {

@private
    Trading_PaginationResultType *_paginationResult;
    NSNumber *_hasMoreOrders;
    Trading_OrderArrayType *_orderArray;
    NSNumber *_ordersPerPage;
    NSNumber *_pageNumber;
    NSNumber *_returnedOrderCountActual;

}


/**
 
 Contains information regarding the pagination of
 data, including the total number of pages and the total
 number of orders.
 
 
 type : class Trading_PaginationResultType
*/
@property (nonatomic, retain) Trading_PaginationResultType *paginationResult;

/**
 
 A true value indicates that there are more orders to be
 retrieved. Additional GetOrders calls with higher page numbers or more
 entries per page must be made to retrieve these orders. If false, no more
 orders are available or no orders match the request (based on the input
 filters).
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *hasMoreOrders;

/**
 
 The set of orders that match the order IDs or filter criteria specified.
 Also applicable to Half.com (only returns orders that have not been marked as shipped).
 
 
 type : class Trading_OrderArrayType
*/
@property (nonatomic, retain) Trading_OrderArrayType *orderArray;

/**
 
 Indicates the number of orders that can be
 returned per page of data (i.e., per call). This is the same value
 specified in the Pagination.EntriesPerPage input (or the default value, if
 EntriesPerPage was not specified). This is not necessarily the actual
 number of orders returned per page (see ReturnedOrderCountActual).
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *ordersPerPage;

/**
 
 Indicates the page number of data returned in the response.
 This is the same value specified in the
 Pagination.PageNumber input. If orders are returned, the first page is 1.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pageNumber;

/**
 
 Indicates the total number of orders returned.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *returnedOrderCountActual;


@end
