// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_SIFFTASRecommendationsType;
@class Trading_ListingAnalyzerRecommendationsType;
@class Trading_RecommendationsType;
@class Trading_ProductListingDetailsType;
@class Trading_AttributeRecommendationsType;
@class Trading_ProductRecommendationsType;
@class Trading_PricingRecommendationsType;

/**
 
 Returns recommended changes or opportunities for improvement
 related to listing data that was passed in a GetItemRecommendations request.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetRecommendationsResponseContainerType : NSObject <PicoBindable> {

@private
    Trading_ListingAnalyzerRecommendationsType *_listingAnalyzerRecommendations;
    Trading_SIFFTASRecommendationsType *_sifftasRecommendations;
    Trading_PricingRecommendationsType *_pricingRecommendations;
    Trading_AttributeRecommendationsType *_attributeRecommendations;
    Trading_ProductRecommendationsType *_productRecommendations;
    NSString *_correlationID;
    Trading_RecommendationsType *_recommendations;
    Trading_ProductListingDetailsType *_productListingDetails;
    NSString *_title;
    NSMutableArray *_any;

}


/**
 
 Contains tips returned from the Listing Analyzer recommendation engine,
 if this engine was specified in the request (or if no engine was specified).
 
 
 type : class Trading_ListingAnalyzerRecommendationsType
*/
@property (nonatomic, retain) Trading_ListingAnalyzerRecommendationsType *listingAnalyzerRecommendations;

/**
 
 Reserved for future use.
 
 
 type : class Trading_SIFFTASRecommendationsType
*/
@property (nonatomic, retain) Trading_SIFFTASRecommendationsType *sifftasRecommendations;

/**
 
 Contains pricing data returned from the Product Pricing engine,
 if this engine was specified in the request (or if no engine was specified).
 
 
 type : class Trading_PricingRecommendationsType
*/
@property (nonatomic, retain) Trading_PricingRecommendationsType *pricingRecommendations;

/**
 
 Contains attribute suggestions returned from the Suggested Attributes engine,
 if this engine was specified in the request.
 The results include suggested attributes and values based on the primary category
 and a string you specify in the Query field. Suggestions may only be returned when the
 Suggested Attributes engine is specified alone. If you request recommendations by using
 multiple engines, suggested attribute data might not be returned. If attributes are returned
 with multiple values, the values are returned in order of rank (i.e., the value that best meets
 eBay's recommendation criteria is returned first).
 
 
 type : class Trading_AttributeRecommendationsType
*/
@property (nonatomic, retain) Trading_AttributeRecommendationsType *attributeRecommendations;

/**
 
 Contains zero or more product titles and IDs returned from the Suggested Attributes engine,
 if this engine was specified in the request (or if no engine was specified).
 If applicable, use one of the suggested product IDs to list the item with Pre-filled Item Information.
 
 
 type : class Trading_ProductRecommendationsType
*/
@property (nonatomic, retain) Trading_ProductRecommendationsType *productRecommendations;

/**
 
 Unique key to distinguish between recommendations for each item.
 Matches a correlation ID you defined in the request, if any.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *correlationID;

/**
 
 Contains custom Item Specifics suggestions returned from the custom
 Item Specifics recommendation engine, An Item Specific consists of
 a name/value pair, and it may be  returned as complete (with name and
 one or more values) or partial (name only).<br>
 <br>
 Only returned when RecommendationEngine=ItemSpecifics.
 
 
 type : class Trading_RecommendationsType
*/
@property (nonatomic, retain) Trading_RecommendationsType *recommendations;

/**
 
 Returns catalog product details. This information can be displayed
 to the seller prior to listing an item with a catalog product.
 Only returned when the request includes a valid eBay ProductID or ProductReferenceID (in Item.ProductListingDetails).
 
 
 type : class Trading_ProductListingDetailsType
*/
@property (nonatomic, retain) Trading_ProductListingDetailsType *productListingDetails;

/**
 
 The recommended title of the item listing.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 The maximum length of an eBay Item Title has increased to 80 characters as of
 September 2011.
 </span>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *title;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
