// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_PolicyComplianceDashboardType;
@class Trading_PowerSellerDashboardType;
@class Trading_PerformanceDashboardType;
@class Trading_BuyerSatisfactionDashboardType;
@class Trading_SellerAccountDashboardType;
@class Trading_SearchStandingDashboardType;
@class Trading_SellerFeeDiscountDashboardType;

/**
 
 Returns a brief summary of the requester's status as an eBay seller. The status
 information can help an eBay seller monitor their selling performance and keep
 their account in good standing.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetSellerDashboardResponseType : Trading_AbstractResponseType {

@private
    Trading_SearchStandingDashboardType *_searchStanding;
    Trading_SellerFeeDiscountDashboardType *_sellerFeeDiscount;
    Trading_PowerSellerDashboardType *_powerSellerStatus;
    Trading_PolicyComplianceDashboardType *_policyCompliance;
    Trading_BuyerSatisfactionDashboardType *_buyerSatisfaction;
    Trading_SellerAccountDashboardType *_sellerAccount;
    NSMutableArray *_performance;

}


/**
 
 Provides information about the visibility level you have earned for your
 listings. The higher your search standing rating, the higher your items
 will be placed in search results sorted by Best Match. Because your search
 standing rating is directly tied to your customer service record, this
 rating is an important way that eBay rewards you as a good seller--it
 encourages you to give buyers the best possible shopping experience.
 <br><br>
 This element is not returned for all sites. Beginning at the end of 2009, eBay
 stopped returning it for sellers registered on several large sites, including
 the US, German, and UK sites.
 
 
 type : class Trading_SearchStandingDashboardType
*/
@property (nonatomic, retain) Trading_SearchStandingDashboardType *searchStanding;

/**
 
 Provides information about the PowerSeller discount level you have earned,
 if any. As a PowerSeller, you can earn discounts on your monthly invoice
 Final Value Fees based on how well you're rated as a seller. Only returned
 for members of the eBay US or Canada PowerSeller program.
 
 
 type : class Trading_SellerFeeDiscountDashboardType
*/
@property (nonatomic, retain) Trading_SellerFeeDiscountDashboardType *sellerFeeDiscount;

/**
 
 Provides information about your PowerSeller status, such as whether or not
 you meet the PowerSeller requirements. Your PowerSeller status directly
 affects your discount (SellerFeeDiscount).
 <br><br>
 For eBay Germany and France, you must be a registered business seller to
 see your PowerSeller status.
 
 
 type : class Trading_PowerSellerDashboardType
*/
@property (nonatomic, retain) Trading_PowerSellerDashboardType *powerSellerStatus;

/**
 
 Rating on how well you are following eBay rules and policies in your selling
 practices, and alerts you if your account or listings have any policy
 violations.
 <br><br>
 eBay's policies and rules are guidelines that help to create a safe, fair,
 and enjoyable trading environment for all eBay members. If you violate
 certain policies, your account can be restricted without notice. This is true
 even if your status shows a good level of policy compliance. Because of this,
 understanding and following eBay's policies can help you to avoid
 restrictions on your account. Policy compliance directly affects your
 PowerSeller status.
 
 
 type : class Trading_PolicyComplianceDashboardType
*/
@property (nonatomic, retain) Trading_PolicyComplianceDashboardType *policyCompliance;

/**
 
 Rates your level of customer service. This information helps you to keep
 track of how well you are providing members with positive buying
 experiences.
 <br><br>
 This element is not returned for all sites.
 
 
 type : class Trading_BuyerSatisfactionDashboardType
*/
@property (nonatomic, retain) Trading_BuyerSatisfactionDashboardType *buyerSatisfaction;

/**
 
 The status of your latest eBay invoice. Includes any alerts issued to your
 account to help you identify possible problems.
 
 
 type : class Trading_SellerAccountDashboardType
*/
@property (nonatomic, retain) Trading_SellerAccountDashboardType *sellerAccount;

/**
 
 Provides information about the seller's performance within different eBay
 regions. A seller's performance rating can be Top-Rated, Above Standard,
 Standard, and Below Standard.
 
 
 entry type : class Trading_PerformanceDashboardType
*/

@property (nonatomic, retain) NSMutableArray *performance;


@end
