// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_ItemArrayType;

/**
 
 Contains the items returned by the call. Items for which a seller event has
 occurred (and that meet any filters specified as input) are returned in an
 ItemArrayType object, within which are zero, one, or multiple ItemType objects.
 Each ItemType object contains the detail data for one item listing.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetSellerEventsResponseType : Trading_AbstractResponseType {

@private
    NSDate *_timeTo;
    Trading_ItemArrayType *_itemArray;

}


/**
 
 Indicates the latest (most recent) date for any date-based filtering specified as
 input. Specifically, this field contains the value you specified in the StartTimeTo, EndTimeTo, or ModTimeTo filter, if you used a time filter in the request. If no time filter was specified, TimeTo returns the current time.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *timeTo;

/**
 
 Collection of items whose last modified time matches
 the filters specified in the request.
 Returns empty if no items were modified within the
 time range of the request.
 If 1 to 2999 items are returned, then the results are
 complete. If 3000 or more items are returned, it usually means
 additional items exist within the time range you requested,
 but they were not all returned. To retrieve complete results,
 use a smaller time range in the request so that fewer than
 3000 are returned per response.
 
 
 type : class Trading_ItemArrayType
*/
@property (nonatomic, retain) Trading_ItemArrayType *itemArray;


@end
