// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_SKUArrayType;
@class Trading_PaginationType;

/**
 
 Retrieves order line item (transaction) information for the user for which the
 call is made, and not for any other user.&nbsp;<b>Also for
 Half.com</b>. (To retrieve order line items for another seller's listings, use
 GetItemTransactions.)
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetSellerTransactionsRequestType : Trading_AbstractRequestType {

@private
    NSDate *_modTimeFrom;
    NSDate *_modTimeTo;
    Trading_PaginationType *_pagination;
    NSNumber *_includeFinalValueFee;
    NSNumber *_includeContainingOrder;
    Trading_SKUArrayType *_skuArray;
    NSString *_platform;
    NSNumber *_numberOfDays;
    NSString *_inventoryTrackingMethod;
    NSNumber *_includeCodiceFiscale;

}


/**
 
 The ModTimeFrom and ModTimeTo fields specify a date range for retrieving
 order line items associated with the seller. The ModTimeFrom
 field is the starting date range. All of the seller's order line items that were
 last modified within this date range are returned in the output. The
 maximum date range that may be specified is 30 days. This field is not
 applicable if the NumberOfDays date filter is used.
 <br><br>
 If you don't specify a ModTimeFrom/ModTimeTo filter, the NumberOfDays
 time filter is used and it defaults to 30 (days).
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *modTimeFrom;

/**
 
 The ModTimeFrom and ModTimeTo fields specify a date range for retrieving
 order line items associated with the seller. The ModTimeTo
 field is the ending date range. All of the seller's order line items that were last
 modified within this date range are returned in the output. The maximum
 date range that may be specified is 30 days. If the ModTimeFrom field is
 used and the ModTimeTo field is omitted, the ModTimeTo value defaults to
 the present time or to 30 days past the ModTimeFrom value (if
 ModTimeFrom value is more than 30 days in the past). This field is not
 applicable if the NumberOfDays date filter is used.
 <br><br>
 If you don't specify a ModTimeFrom/ModTimeTo filter, the NumberOfDays
 time filter is used and it defaults to 30 (days).
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *modTimeTo;

/**
 
 Child elements control pagination of the output. Use EntriesPerPage property to
 control the number of transactions to return per call and PageNumber property to
 specify the page of data to return.
 
 
 type : class Trading_PaginationType
*/
@property (nonatomic, retain) Trading_PaginationType *pagination;

/**
 
 Indicates whether to include Final Value Fee (FVF) in the response. For most
 listing types, the Final Value Fee is returned in Transaction.FinalValueFee.
 The Final Value Fee is returned for each order line item.
 <br>
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *includeFinalValueFee;

/**
 
 Include this field and set it to True if you want the ContainingOrder
 container to be returned in the response under each Transaction node.
 For single line item orders, the ContainingOrder.OrderID value takes the
 value of the OrderLineItemID value for the order line item. For Combined
 Payment orders, the ContainingOrder.OrderID value will be shared by at
 least two order line items (transactions) that are part of the same
 order.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *includeContainingOrder;

/**
 
 Container for a set of SKUs.
 Filters (reduces) the response to only include order line items
 for listings that include any of the specified SKUs.
 If multiple listings include the same SKU, order line items for
 all of them are returned (assuming they also match the other
 criteria in the GetSellerTransactions request).<br>
 <br>
 You can combine SKUArray with InventoryTrackingMethod.
 For example, if you also pass in InventoryTrackingMethod=SKU,
 the response only includes order line items for listings that
 include InventoryTrackingMethod=SKU and one of the
 requested SKUs.
 
 
 type : class Trading_SKUArrayType
*/
@property (nonatomic, retain) Trading_SKUArrayType *skuArray;

/**
 
 Name of the eBay co-branded site upon which the order line item was made.
 This will serve as a filter for the order line items to get emitted in the response.
 
 
 type: string constant in Trading_TransactionPlatformCodeType.h
*/
@property (nonatomic, retain) NSString *platform;

/**
 
 NumberOfDays enables you to specify the number of days' worth of new and modified
 order line items that you want to retrieve. The call response contains the
 order line items whose status was modified within the specified number of days since
 the API call was made. NumberOfDays is often preferable to using the ModTimeFrom
 and ModTimeTo filters because you only need to specify one value. If you use
 NumberOfDays, then ModTimeFrom and ModTimeTo are ignored. For this field, one day
 is defined as 24 hours.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *numberOfDays;

/**
 
 Filters the response to only include order line items for listings
 that match this InventoryTrackingMethod setting. <br>
 <br>
 To track items by seller-defined SKU values instead of by Item IDs, the
 <b>InventoryTrackingMethod</b> must be included and set to 'SKU'
 in the <b>AddFixedPriceItem</b> (or <b>ReviseFixedPriceItem</b>
 or <b>RelistFixedPriceItem</b>) call.
 <br>
 <br>
 You can combine SKUArray with InventoryTrackingMethod.
 For example, if you set this to SKU and you also pass in
 SKUArray, the response only includes order line items for listings
 that include InventoryTrackingMethod=SKU and one of the
 requested SKUs.
 
 
 type: string constant in Trading_InventoryTrackingMethodCodeType.h
*/
@property (nonatomic, retain) NSString *inventoryTrackingMethod;

/**
 
 If this flag is included in the request and set to 'true', the buyer's Codice Fiscale
 number is returned in the response (if provided by the buyer).
 <br/><br/>
 This field is only applicable to Italian sellers. The Codice Fiscale number is unique
 for each Italian citizen and is used for tax purposes.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *includeCodiceFiscale;


@end
