// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_SellingManagerSearchType;
@class Trading_PaginationType;

/**
 
       Retrieves a paginated list containing details of a user's Selling Manager inventory.
 This call is subject to change without notice; the deprecation process is
 inapplicable to this call.
     
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetSellingManagerInventoryRequestType : Trading_AbstractRequestType {

@private
    NSString *_sort;
    NSNumber *_folderID;
    Trading_PaginationType *_pagination;
    NSString *_sortOrder;
    Trading_SellingManagerSearchType *_search;
    NSNumber *_storeCategoryID;
    NSMutableArray *_filter;

}


/**
 
 Sets the sorting method for the results.
 
 
 type: string constant in Trading_SellingManagerProductSortCodeType.h
*/
@property (nonatomic, retain) NSString *sort;

/**
 
 Specifies the inventory folder containing the requested inventory information.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *folderID;

/**
 
 Details about how many Products to return per page and which page to view.
 
 
 type : class Trading_PaginationType
*/
@property (nonatomic, retain) Trading_PaginationType *pagination;

/**
 
 Order to be used for sorting retrieved product lists.
 
 
 type: string constant in Trading_SortOrderCodeType.h
*/
@property (nonatomic, retain) NSString *sortOrder;

/**
 
   Specifies types and values to search for in the seller's listings.
  
 
 type : class Trading_SellingManagerSearchType
*/
@property (nonatomic, retain) Trading_SellingManagerSearchType *search;

/**
 
   Specifies a store category whose products will be returned.
  
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *storeCategoryID;

/**
 
   Container for the list of filters that can be applied to the inventory information requested.
  
 
 entry type : string constant in Trading_SellingManagerInventoryPropertyTypeCodeType.h
*/

@property (nonatomic, retain) NSMutableArray *filter;


@end
