// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_SellingManagerSearchType;
@class Trading_TimeRangeType;
@class Trading_PaginationType;

/**
 
   Returns a Selling Manager user's sold listings.
 <br><br>
 This call is subject to change without notice; the deprecation process is
 inapplicable to this call.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetSellingManagerSoldListingsRequestType : Trading_AbstractRequestType {

@private
    Trading_SellingManagerSearchType *_search;
    NSNumber *_storeCategoryID;
    NSMutableArray *_filter;
    NSNumber *_archived;
    NSString *_sort;
    NSString *_sortOrder;
    Trading_PaginationType *_pagination;
    Trading_TimeRangeType *_saleDateRange;

}


/**
 
   Search filters for sold listings.
  
 
 type : class Trading_SellingManagerSearchType
*/
@property (nonatomic, retain) Trading_SellingManagerSearchType *search;

/**
 
   Listings with this store category ID will be listed.
  
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *storeCategoryID;

/**
 
   This holds the list of filters that can be applicable for sold listings.
  
 
 entry type : string constant in Trading_SellingManagerSoldListingsPropertyTypeCodeType.h
*/

@property (nonatomic, retain) NSMutableArray *filter;

/**
 
 Requests listing records that are more than 90 days old. Records are archived between 90
 and 120 days after being created, and thereafter can only be retrieved using this tag.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *archived;

/**
 
 Field to be used to sort the response.
 
 
 type: string constant in Trading_SellingManagerSoldListingsSortTypeCodeType.h
*/
@property (nonatomic, retain) NSString *sort;

/**
 
 Order to be used for sorting the requested listings.
 
 
 type: string constant in Trading_SortOrderCodeType.h
*/
@property (nonatomic, retain) NSString *sortOrder;

/**
 
 Details about how many listings to return per page and which page to view.
 
 
 type : class Trading_PaginationType
*/
@property (nonatomic, retain) Trading_PaginationType *pagination;

/**
 
   Specifies the earliest (oldest) and latest (most recent) dates to use in a date
 range filter based on item start time. A time range can be up to 120
 days.
  
 
 type : class Trading_TimeRangeType
*/
@property (nonatomic, retain) Trading_TimeRangeType *saleDateRange;


@end
