// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_FlatShippingDiscountType;
@class Trading_ShippingInsuranceType;
@class Trading_CalculatedHandlingDiscountType;
@class Trading_PromotionalShippingDiscountDetailsType;
@class Trading_CalculatedShippingDiscountType;

/**
 
 Response to call of GetShippingDiscountProfiles.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetShippingDiscountProfilesResponseType : Trading_AbstractResponseType {

@private
    NSString *_currencyID;
    Trading_FlatShippingDiscountType *_flatShippingDiscount;
    Trading_CalculatedShippingDiscountType *_calculatedShippingDiscount;
    NSNumber *_promotionalShippingDiscount;
    Trading_CalculatedHandlingDiscountType *_calculatedHandlingDiscount;
    Trading_PromotionalShippingDiscountDetailsType *_promotionalShippingDiscountDetails;
    Trading_ShippingInsuranceType *_shippingInsurance;
    Trading_ShippingInsuranceType *_internationalShippingInsurance;
    NSString *_combinedDuration;

}


/**
 
 The three-digit code of the currency to be used for shipping cost discounts and
 insurance for combined payment orders. A discount profile can only be associated
 with a listing if the <b>CurrencyID</b> value of the profile matches the
 <b>Item.Currency</b> value specified in a listing.
 
 
 type: string constant in Trading_CurrencyCodeType.h
*/
@property (nonatomic, retain) NSString *currencyID;

/**
 
 Details of an individual discount profile defined by the
 user for flat rate shipping--one for each profile defined by the user.
 Empty if no shipping discount profiles were defined.
 
 
 type : class Trading_FlatShippingDiscountType
*/
@property (nonatomic, retain) Trading_FlatShippingDiscountType *flatShippingDiscount;

/**
 
 Details of an individual discount profile defined by the
 user for calculated shipping--one for each profile defined by the user.
 Empty if no shipping discount profiles were defined.
 
 
 type : class Trading_CalculatedShippingDiscountType
*/
@property (nonatomic, retain) Trading_CalculatedShippingDiscountType *calculatedShippingDiscount;

/**
 
 Indicates whether the user defined a promotional discount (the discount is active
 as soon as it exists).
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *promotionalShippingDiscount;

/**
 
 This container is used by the seller to specify/modify packaging and handling discounts that are applied
 for combined payment orders. This container is only returned if it is set for the Shipping Discount Profile.
 
 
 type : class Trading_CalculatedHandlingDiscountType
*/
@property (nonatomic, retain) Trading_CalculatedHandlingDiscountType *calculatedHandlingDiscount;

/**
 
 The data for the specific promotional shipping discount.
 Returned only if it has been defined.
 
 
 type : class Trading_PromotionalShippingDiscountDetailsType
*/
@property (nonatomic, retain) Trading_PromotionalShippingDiscountDetailsType *promotionalShippingDiscountDetails;

/**
 
 The data for the domestic insurance for combined payment.
 Returned only if it has been defined.
 
 
 type : class Trading_ShippingInsuranceType
*/
@property (nonatomic, retain) Trading_ShippingInsuranceType *shippingInsurance;

/**
 
 The data for the international insurance for combined payment.
 Returned only if it has been defined.
 
 
 type : class Trading_ShippingInsuranceType
*/
@property (nonatomic, retain) Trading_ShippingInsuranceType *internationalShippingInsurance;

/**
 
 This field indicates the number of days after the sale of an
 item in which the buyer or seller can combine multiple and mutual order
 line items into one Combined Payment order. In a Combined Payment order,
 the buyer makes one payment for all order line items, hence only unpaid
 order line items can be combined into a Combined Payment order.
 
 
 type: string constant in Trading_CombinedPaymentPeriodCodeType.h
*/
@property (nonatomic, retain) NSString *combinedDuration;


@end
