// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_StoreLogoArrayType;
@class Trading_StoreThemeArrayType;
@class Trading_StoreSubscriptionArrayType;

/**
 
 Contains the current list of options for Store configurations.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetStoreOptionsResponseType : Trading_AbstractResponseType {

@private
    Trading_StoreThemeArrayType *_basicThemeArray;
    Trading_StoreThemeArrayType *_advancedThemeArray;
    Trading_StoreLogoArrayType *_logoArray;
    Trading_StoreSubscriptionArrayType *_subscriptionArray;
    NSNumber *_maxCategories;
    NSNumber *_maxCategoryLevels;

}


/**
 
 The current set of basic themes. Each basic theme definition
 specifies a valid color scheme for the theme.
 
 
 type : class Trading_StoreThemeArrayType
*/
@property (nonatomic, retain) Trading_StoreThemeArrayType *basicThemeArray;

/**
 
 The current set of advances themes. Unlike basic themes, you
 can use any colorscheme with an advanced theme. These themes
 are suitable for more advanced customization.
 
 
 type : class Trading_StoreThemeArrayType
*/
@property (nonatomic, retain) Trading_StoreThemeArrayType *advancedThemeArray;

/**
 
 The current set of Store logos. These logos are used in the Store header.
 
 
 type : class Trading_StoreLogoArrayType
*/
@property (nonatomic, retain) Trading_StoreLogoArrayType *logoArray;

/**
 
 The current set of eBay Store subscription tiers and corresponding
 subscription prices.
 
 
 type : class Trading_StoreSubscriptionArrayType
*/
@property (nonatomic, retain) Trading_StoreSubscriptionArrayType *subscriptionArray;

/**
 
 The maximum number of categories in this store.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *maxCategories;

/**
 
 The maximum number of category levels in this store.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *maxCategoryLevels;


@end
