// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Retrieves configuration information for the eBay store owned by the specified
 UserID, or by the caller.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetStoreRequestType : Trading_AbstractRequestType {

@private
    NSNumber *_categoryStructureOnly;
    NSNumber *_rootCategoryID;
    NSNumber *_levelLimit;
    NSString *_userID;

}


/**
 
  If this is set to True, only the category structure of the store is
  returned. If this is not specified or set to False, the complete store
  configuration is returned.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *categoryStructureOnly;

/**
 
 Specifies the category ID for the topmost category to return (along with
 the subcategories under it, the value of the LevelLimit property
 determining how deep). This tag is optional. If RootCategoryID is not
 specified, then the category tree starting at that root Category is
 returned.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *rootCategoryID;

/**
 
  Specifies the limit for the number of levels of the category hierarchy
  to return, where the given root category is level 1 and its children are
  level 2. Only categories at or above the level specified are returned.
  This tag is optional. If LevelLimit is not set, the complete category
  hierarchy is returned. Stores support category hierarchies up to 3
  levels only.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *levelLimit;

/**
 
 Specifies the user whose store data is to be returned. If not specified,
 then the store returned is that for the requesting user.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *userID;


@end
