// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Returns contact information for a specified user, given that a bidding relationship
 (as either a buyer or seller) exists between the caller and the user.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetUserContactDetailsRequestType : Trading_AbstractRequestType {

@private
    NSString *_itemID;
    NSString *_contactID;
    NSString *_requesterID;

}


/**
 
 An eBay item ID that uniquely identifies a currently active item.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 An eBay ID that uniquely identifies a given user for whom the caller is seeking
 information. This is the user's eBay username. Either a seller's or bidder's
 username can be specified here, as long as a bidding relationship exists between
 the requester and the user specified by this field. That is, a bidder must be
 bidding on the seller's active item, or have made an offer on the item via Best
 Offer.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *contactID;

/**
 
 An eBay ID that uniquely identifies the person who is making the call. This is the
 requester's eBay username. Either a seller's or bidder's username can be specified
 here, as long as a bidding relationship exists between the requester and the
 user for whom information is being requested.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *requesterID;


@end
