// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_PaginationType;

/**
 
 Requests a list of disputes the requester is involved in as buyer or seller.
 eBay Buyer Protection Item Not Received and Significantly Not As Described cases
 are not returned with this call. To retrieve eBay Buyer Protection cases, the
 getUserCases call of the Resolution Case Management API must be used instead.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetUserDisputesRequestType : Trading_AbstractRequestType {

@private
    NSString *_disputeFilterType;
    NSString *_disputeSortType;
    NSDate *_modTimeFrom;
    NSDate *_modTimeTo;
    Trading_PaginationType *_pagination;

}


/**
 
 An inclusive filter that isolates the returned disputes to a certain
 type such as Item Not Received or Unpaid Item disputes. eBay Buyer
 Protection cases are not retrieved with this call, even if the
 ItemNotReceivedDisputes filter is included in the request.
 
 
 type: string constant in Trading_DisputeFilterTypeCodeType.h
*/
@property (nonatomic, retain) NSString *disputeFilterType;

/**
 
 The value and sequence to use to sort the returned disputes.
 
 
 type: string constant in Trading_DisputeSortTypeCodeType.h
*/
@property (nonatomic, retain) NSString *disputeSortType;

/**
 
 A filter that retrieves disputes whose DisputeModifiedTime is later
 than or equal to this value. Specify the time value in GMT.
 See the eBay Web Services documentation for information about specifying time values.
 For more precise control of the date range filter, it is a good practice to also
 specify ModTimeTo. Otherwise, the end of the date range is the present time.
 Filtering by date range is optional. You can use date range filters in combination
 with other filters like DisputeFilterType to control the amount of data returned.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *modTimeFrom;

/**
 
 A filter that retrieves disputes whose DisputeModifiedTime is earlier
 than or equal to this value. Specify the time value in GMT.
 See the eBay Web Services documentation for information about specifying time values.
 For more precise control of the date range filter, it is a good practice to also
 specify ModTimeFrom. Otherwise, all available disputes modified prior to the ModTimeTo value are returned.
 Filtering by date range is optional. You can use date range filters in combination
 with other filters like DisputeFilterType to control the amount of data returned.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *modTimeTo;

/**
 
 The virtual page number of the result set to display. A result set has a number of disputes
 divided into virtual pages, with 200 disputes per page. The response can only display one page.
 The first page in the result set is number 1. Required. If not specified, a warning is returned
 and Pagination.PageNumber is set to 1 by default.
 
 
 type : class Trading_PaginationType
*/
@property (nonatomic, retain) Trading_PaginationType *pagination;


@end
