// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_DisputeFilterCountType;
@class Trading_PaginationResultType;
@class Trading_DisputeArrayType;

/**
 
 Returns a list of disputes that involve the calling user
 as buyer or seller, in response to a GetUserDisputesRequest.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetUserDisputesResponseType : Trading_AbstractResponseType {

@private
    NSString *_startingDisputeID;
    NSString *_endingDisputeID;
    Trading_DisputeArrayType *_disputeArray;
    NSNumber *_itemsPerPage;
    NSNumber *_pageNumber;
    NSMutableArray *_disputeFilterCount;
    Trading_PaginationResultType *_paginationResult;

}


/**
 
 The index of the first dispute in the current result set, relative
 to the total number of disputes available.
 Primarily useful for interpreting paginated results.
 For example, if 228 disputes are available and
 200 results are returned per page: The first page returns
 a StartingDisputeID value of 1 and the second page returns a
 StartingDisputeID value of 201.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *startingDisputeID;

/**
 
 The index of the last dispute in the current result set, relative
 to the total number of disputes available.
 Primarily useful for interpreting paginated results.
 For example, if 228 disputes are available and
 200 results are returned per page: The first page returns
 an EndingDisputeID value of 200 and the second page returns an
 EndingDisputeID value of 228.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *endingDisputeID;

/**
 
 The array of disputes returned.
 
 
 type : class Trading_DisputeArrayType
*/
@property (nonatomic, retain) Trading_DisputeArrayType *disputeArray;

/**
 
 The number of disputes on each virtual page in the result set.
 The virtual page returned is determined by PageNumber.
 Default is 200.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *itemsPerPage;

/**
 
 The page of the total result set returned in the call. The entire result set
 is virtual and the call returns only one page of it.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pageNumber;

/**
 
 The number of disputes that involve the requester as
 buyer or seller and match a given filter type.
 
 
 entry type : class Trading_DisputeFilterCountType
*/

@property (nonatomic, retain) NSMutableArray *disputeFilterCount;

/**
 
 The result of the pagination, including the total number
 of virtual pages in the result set and the total number of
 disputes returned.
 
 
 type : class Trading_PaginationResultType
*/
@property (nonatomic, retain) Trading_PaginationResultType *paginationResult;


@end
