// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Retrieves the specified user preferences for the authenticated caller.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetUserPreferencesRequestType : Trading_AbstractRequestType {

@private
    NSNumber *_showBidderNoticePreferences;
    NSNumber *_showCombinedPaymentPreferences;
    NSNumber *_showCrossPromotionPreferences;
    NSNumber *_showSellerPaymentPreferences;
    NSNumber *_showEndOfAuctionEmailPreferences;
    NSNumber *_showSellerFavoriteItemPreferences;
    NSNumber *_showProStoresPreferences;
    NSNumber *_showEmailShipmentTrackingNumberPreference;
    NSNumber *_showRequiredShipPhoneNumberPreference;
    NSNumber *_showSellerExcludeShipToLocationPreference;
    NSNumber *_showUnpaidItemAssistancePreference;
    NSNumber *_showPurchaseReminderEmailPreferences;
    NSNumber *_showUnpaidItemAssistanceExclusionList;
    NSNumber *_showSellerProfilePreferences;
    NSNumber *_showSellerReturnPreferences;
    NSNumber *_showGlobalShippingProgramPreference;
    NSNumber *_showDispatchCutoffTimePreferences;

}


/**
 
 If included and set to true, the seller's preference for receiving contact
 information for unsuccessful bidders is returned in the response.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showBidderNoticePreferences;

/**
 
 If included and set to true, the seller's combined payment preferences are
 returned in the response.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 The CombinedPaymentPreferences.CombinedPaymentOption field is the only
 preference that should be managed with the GetUserPreferences and
 SetUserPreferences calls. All other Combined Payment preferences should be
 managed with the SetDiscountProfiles and GetDiscountProfiles calls.
 </span>
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showCombinedPaymentPreferences;

/**
 
 This container should no longer be used as eBay Store Cross Promotions are no
 longer supported in the Trading API. This container will be removed from the
 Trading WSDL and API Call Reference docs in a future release.
 <br><br>
 If included and set to true, the seller's cross-promotion preferences are
 returned in the response. These preferences are only applicable for eBay
 Store owners.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showCrossPromotionPreferences;

/**
 
 If included and set to true, the seller's payment preferences are returned
 in the response.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showSellerPaymentPreferences;

/**
 
 If included and set to true, the seller's preferences for the end-of-auction
 email sent to the winning bidder is returned in the response. These
 preferences are only applicable for auction listings.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showEndOfAuctionEmailPreferences;

/**
 
 If included and set to true, the seller's favorite item preferences are
 returned in the response.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showSellerFavoriteItemPreferences;

/**
 
 If included and set to true, the seller's ProStores preferences are
 returned in the response.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showProStoresPreferences;

/**
 
 If included and set to true, the seller's preference for sending an email to
 the buyer with the shipping tracking number is returned in the response.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showEmailShipmentTrackingNumberPreference;

/**
 
 If included and set to true, the seller's preference for requiring that the
 buyer supply a shipping phone number upon checkout is returned in the
 response. Some shipping carriers require the receiver's phone number.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showRequiredShipPhoneNumberPreference;

/**
 
 If included and set to true, all of the seller's excluded shipping locations
 are returned in the response. The returned list mirrors the seller's current
 Exclude shipping locations list in My eBay's Shipping Preferences. An
 excluded shipping location in My eBay can be an entire geographical region
 (such as Middle East) or only an individual country (such as Iraq). Sellers
 can override these default settings for an individual listing by using the
 Item.ShippingDetails.ExcludeShipToLocation field in the AddItem family of
 calls.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showSellerExcludeShipToLocationPreference;

/**
 
 If included and set to true, the seller's Unpaid Item Assistant preferences
 are returned in the response. The Unpaid Item Assistant automatically opens
 an Unpaid Item dispute on the behalf of the seller.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 To return the list of buyers excluded from the Unpaid Item Assistant
 mechanism, the ShowUnpaidItemAssistanceExclusionList field must also be
 included and set to true in the request. Excluded buyers can be viewed in
 the UnpaidItemAssistancePreferences.ExcludedUser field.
 </span>
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showUnpaidItemAssistancePreference;

/**
 
 If included and set to true, the seller's preference for sending a purchase
 reminder email to buyers is returned in the response.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showPurchaseReminderEmailPreferences;

/**
 
 If included and set to true, the list of eBay user IDs on the Unpaid Item
 Assistant Excluded User list is returned through the
 UnpaidItemAssistancePreferences.ExcludedUser field in the response. For
 excluded users, an Unpaid Item dispute is not automatically filed through
 the UPI Assistance mechanism. The Excluded User list is managed through the
 SetUserPreferences call.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 To return the list of buyers excluded from the Unpaid Item Assistant
 mechanism, the ShowUnpaidItemAssistancePreference field must also be
 included and set to true in the request.
 </span>
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showUnpaidItemAssistanceExclusionList;

/**
 
 If this flag is included and set to true, the seller's Business Policies profile information is
 returned in the response. This information includes a flag that indicates whether or
 not the seller has opted into Business Policies, as well as Business Policies profiles
 (payment, shipping, and return policy) active on the seller's account.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 Business Policies are not yet available for use on the eBay platform.
 </span>
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showSellerProfilePreferences;

/**
 
 If this flag is included and set to true, the seller's eBay Return Center
 preference information will be returned.
 <br><br>
 eBay managed returns are currently only available on the US site. The eBay
 Return Center pilot launched on July 10, 2012. The eBay Return Center full
 launch is scheduled for early August 2012.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showSellerReturnPreferences;

/**
 
 If this flag is included and set to true, the seller's preference for offering the Global Shipping Program to international buyers will be returned in <strong>OfferGlobalShippingProgramPreference</strong>.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showGlobalShippingProgramPreference;

/**
 
 If this flag is included and set to true, the seller's same day handling cut off time is returned in <strong>DispatchCutoffTimePreference</strong>.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *showDispatchCutoffTimePreferences;


@end
