// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_PurchaseReminderEmailPreferencesType;
@class Trading_EndOfAuctionEmailPreferencesType;
@class Trading_SellerExcludeShipToLocationPreferencesType;
@class Trading_BidderNoticePreferencesType;
@class Trading_ProStoresCheckoutPreferenceType;
@class Trading_SellerPaymentPreferencesType;
@class Trading_CrossPromotionPreferencesType;
@class Trading_SellerFavoriteItemPreferencesType;
@class Trading_UnpaidItemAssistancePreferencesType;
@class Trading_SellerProfilePreferencesType;
@class Trading_CombinedPaymentPreferencesType;
@class Trading_SellerReturnPreferencesType;
@class Trading_DispatchCutoffTimePreferencesType;

/**
 
 Contains some or all of the authenticated user's preferences. The preferences are
 grouped in sets and are returned according to the flag settings in the request.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetUserPreferencesResponseType : Trading_AbstractResponseType {

@private
    Trading_BidderNoticePreferencesType *_bidderNoticePreferences;
    Trading_CombinedPaymentPreferencesType *_combinedPaymentPreferences;
    Trading_CrossPromotionPreferencesType *_crossPromotionPreferences;
    Trading_SellerPaymentPreferencesType *_sellerPaymentPreferences;
    Trading_SellerFavoriteItemPreferencesType *_sellerFavoriteItemPreferences;
    Trading_EndOfAuctionEmailPreferencesType *_endOfAuctionEmailPreferences;
    NSNumber *_emailShipmentTrackingNumberPreference;
    NSNumber *_requiredShipPhoneNumberPreference;
    Trading_ProStoresCheckoutPreferenceType *_proStoresPreference;
    Trading_UnpaidItemAssistancePreferencesType *_unpaidItemAssistancePreferences;
    Trading_SellerExcludeShipToLocationPreferencesType *_sellerExcludeShipToLocationPreferences;
    Trading_PurchaseReminderEmailPreferencesType *_purchaseReminderEmailPreferences;
    NSNumber *_sellerThirdPartyCheckoutDisabled;
    Trading_SellerProfilePreferencesType *_sellerProfilePreferences;
    Trading_SellerReturnPreferencesType *_sellerReturnPreferences;
    NSNumber *_offerGlobalShippingProgramPreference;
    Trading_DispatchCutoffTimePreferencesType *_dispatchCutoffTimePreference;

}


/**
 
 Container consisting of the seller's preference for receiving contact
 information for unsuccessful bidders. This container is returned when
 <b>ShowBidderNoticePreferences</b> is included and set to 'true' in
 the request. This preference is only applicable for auction listings.
 
 
 type : class Trading_BidderNoticePreferencesType
*/
@property (nonatomic, retain) Trading_BidderNoticePreferencesType *bidderNoticePreferences;

/**
 
 Container consisting of the seller's combined payment preferences. This
 container is returned when <b>ShowCombinedPaymentPreferences</b>
 is included and set to 'true' in the request.
 <br>
 <span class="tablenote"><strong>Note:</strong>
 Calculated and flat-rate shipping preferences are no longer managed using the
 <b>SetUserPreferences</b> and <b>GetUserPreferences</b> calls.
 Instead,use the
 <b>SetDiscountProfiles</b> and <b>GetDiscountProfiles</b>
 calls to manage shipping discounts for combined payment orders.
 </span>
 
 
 type : class Trading_CombinedPaymentPreferencesType
*/
@property (nonatomic, retain) Trading_CombinedPaymentPreferencesType *combinedPaymentPreferences;

/**
 
 This container is no longer supported as eBay Store Cross Promotions are no
 longer supported in the Trading API. This container will be removed from the
 Trading WSDL and API Call Reference docs in a future release.
 <br><br>
 Container consisting of the seller's cross-promotion preferences. This
 container is returned when <b>ShowCrossPromotionPreferences</b> is
 included and set to 'true' in the request. These preferences are only applicable
 for eBay Store owners.
 
 
 type : class Trading_CrossPromotionPreferencesType
*/
@property (nonatomic, retain) Trading_CrossPromotionPreferencesType *crossPromotionPreferences;

/**
 
 Container consisting of the seller's payment preferences. This container is
 returned when <b>ShowSellerPaymentPreferences</b> is included and
 set to 'true' in the request.
 
 
 type : class Trading_SellerPaymentPreferencesType
*/
@property (nonatomic, retain) Trading_SellerPaymentPreferencesType *sellerPaymentPreferences;

/**
 
 Container consisting of the seller's preferences for displaying items on a
 buyer's Favorite Sellers' Items page or Favorite Sellers' Items digest. This
 container is returned when <b>ShowSellerFavoriteItemPreferences</b>
 is included and set to 'true' in the request.
 
 
 type : class Trading_SellerFavoriteItemPreferencesType
*/
@property (nonatomic, retain) Trading_SellerFavoriteItemPreferencesType *sellerFavoriteItemPreferences;

/**
 
 Container consisting of the seller's preferences for the end-of-auction email
 sent to the winning bidder. This container is returned when
 <b>ShowEndOfAuctionEmailPreferences</b> is included and set to
 'true' in the request. These preferences are only applicable for auction
 listings.
 
 
 type : class Trading_EndOfAuctionEmailPreferencesType
*/
@property (nonatomic, retain) Trading_EndOfAuctionEmailPreferencesType *endOfAuctionEmailPreferences;

/**
 
 Container consisting of the seller's preference for sending an email to the
 buyer with the shipping tracking number. This container is returned when
 <b>ShowEmailShipmentTrackingNumberPreference</b> is included and set
 to 'true' in the request.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *emailShipmentTrackingNumberPreference;

/**
 
 Container consisting of the seller's preference for requiring that the
 buyer supply a shipping phone number upon checkout. Some shipping carriers
 require the receiver's phone number. This container is returned when
 <b>ShowRequiredShipPhoneNumberPreference</b> is included and set
 to 'true' in the request.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *requiredShipPhoneNumberPreference;

/**
 
 Container consisting of the seller's ProStores preferences. This container
 is returned when <b>ShowProStoresPreference</b> is included and
 set to 'true' in the request.
 
 
 type : class Trading_ProStoresCheckoutPreferenceType
*/
@property (nonatomic, retain) Trading_ProStoresCheckoutPreferenceType *proStoresPreference;

/**
 
 Container consisting of a seller's Unpaid Item Assistant preferences. The
 Unpaid Item Assistant automatically opens an Unpaid Item dispute on the
 behalf of the seller. This container is returned if
 <b>ShowUnpaidItemAssistancePreference</b> is included and set to
 'true' in the request.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 To return the list of buyers excluded from the Unpaid Item Assistant
 mechanism, the <b>ShowUnpaidItemAssistanceExclusionList</b> field
 must also be included and set to 'true' in the request. Excluded buyers can be
 viewed in the <b>UnpaidItemAssistancePreferences.ExcludedUser</b>
 field.
 </span>
 
 
 type : class Trading_UnpaidItemAssistancePreferencesType
*/
@property (nonatomic, retain) Trading_UnpaidItemAssistancePreferencesType *unpaidItemAssistancePreferences;

/**
 
 Container consisting of a list of the seller's excluded shipping locations.
 The returned list mirrors the seller's current Exclude shipping locations
 list in My eBay's shipping preferences. An excluded shipping location in My
 eBay can be an entire geographical region (such as Middle East) or only an
 individual country (such as Iraq). Sellers can override these default
 settings for an individual listing by using the
 <b>Item.ShippingDetails.ExcludeShipToLocation</b> field in the
 Add/Revise/Relist calls. This container is returned if the
 <b>ShowSellerExcludeShipToLocationPreference</b> field is included
 and set to 'true' in the request.
 
 
 type : class Trading_SellerExcludeShipToLocationPreferencesType
*/
@property (nonatomic, retain) Trading_SellerExcludeShipToLocationPreferencesType *sellerExcludeShipToLocationPreferences;

/**
 
 Container consisting of a seller's preference for sending a purchase reminder
 email to buyers. This container is returned if the
 <b>ShowPurchaseReminderEmailPreferences</b> field is included and
 set to 'true' in the request.
  
 
 type : class Trading_PurchaseReminderEmailPreferencesType
*/
@property (nonatomic, retain) Trading_PurchaseReminderEmailPreferencesType *purchaseReminderEmailPreferences;

/**
 
 This flag is set with the
 <b>SellerThirdPartyCheckoutDisabled</b> field of the
 <b>SetUserPreferences</b> call, and is used to disable the
 use of a third-party application to handle the checkout flow for a seller.
 If true, Third-Party Checkout is disabled and any checkout flow initiated on
 the seller's application is redirected to the eBay checkout flow. This field
 is only returned if the <b>SellerThirdPartyCheckoutDisabled</b>
 field has been set with the <b>SetUserPreferences</b> call.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *sellerThirdPartyCheckoutDisabled;

/**
 
 Parent response container consisting of high-level information for all
 Business Policies profiles defined for the user's account. This container is
 returned if <b>ShowSellerProfilePreferences</b> is included and
 set to 'true' in the <b>GetUserPreferences</b> request (and one or
 more Business Policies profiles are defined for the user's account).
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 Business Policies are not yet available for use on the eBay platform.
 </span>
 
 
 type : class Trading_SellerProfilePreferencesType
*/
@property (nonatomic, retain) Trading_SellerProfilePreferencesType *sellerProfilePreferences;

/**
 
 Container consisting of a seller's eBay Return Center preferences. This
 container is returned if <b>ShowSellerReturnPreferences</b> is
 included and set to true in the request.
 
 
 type : class Trading_SellerReturnPreferencesType
*/
@property (nonatomic, retain) Trading_SellerReturnPreferencesType *sellerReturnPreferences;

/**
 
 This flag indicates whether the seller has opted in to the Global Shipping Program and is able to offer global shipping to international buyers. Returned when <strong>ShowGlobalShippingProgramPreference</strong> is included and set to true.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *offerGlobalShippingProgramPreference;

/**
 
 Contains information about a seller's order cut off time preferences for same day shipping. If the seller specifies a value of <code>0</code> in <strong>Item.DispatchTimeMax</strong> to offer same day handling when listing an item, the seller's shipping time commitment depends on the order cut off time set for the listing site, as indicated by <strong>DispatchCutoffTimePreference.CutoffTime</strong>.
    
 
 type : class Trading_DispatchCutoffTimePreferencesType
*/
@property (nonatomic, retain) Trading_DispatchCutoffTimePreferencesType *dispatchCutoffTimePreference;


@end
