// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Retrieves data pertaining to a single eBay user. Callers can use this call to
 return their own user data or the data of another eBay user. Unless the caller
 passes in an ItemID that identifies a current or past common order, not all
 data (like email addresses) will be returned in the User object.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetUserRequestType : Trading_AbstractRequestType {

@private
    NSString *_itemID;
    NSString *_userID;
    NSNumber *_includeExpressRequirements;
    NSNumber *_includeFeatureEligibility;

}


/**
 
 Specify the item ID for a successfully concluded listing in which the
 requestor and target user were participants (one as seller and the other
 as buyer). Necessary to return certain data (like an email address). Not
 necessary if the requestor is retrieving their own data. ItemID is an
 optional input.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Specify the user whose data you want returned by the call. UserID is
 optional. If not specified, eBay returns data pertaining to the
 requesting user (as specified with the eBayAuthToken).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *userID;

/**
 
 Indicates if the response should include detailed information relating to
 whether a user qualifies to list an item on Express. To list an item on
 Express, a user must qualify based on conditions described in the eBay
 Web Services Guide.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *includeExpressRequirements;

/**
 
 If IncludeFeatureEligibility is true, the response includes a
 FeatureEligibility node. (The FeatureEligibility node indicates whether
 the seller can list with certain features.)
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *includeFeatureEligibility;


@end
