// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Retrieves details for VeRO reason codes and their descriptions. You can specify a
 reason code ID to get details for a specific reason on the site specified in the
 request header. If ReasonCodeID is not passed in the request, all reason codes are
 returned. Set ReturnAllSites to true to retrieve reason codes for all sites.
 You must be a member of the Verified Rights Owner (VeRO) Program to use this call.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetVeROReasonCodeDetailsRequestType : Trading_AbstractRequestType {

@private
    NSNumber *_reasonCodeID;
    NSNumber *_returnAllSites;

}


/**
 
  Unique identifier for a reason code. If this ReasonCodeID is passed then
  only details of this ReasonCodeID will be returned. If no reason code is
  specified, all reason codes are returned.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *reasonCodeID;

/**
 
  Set to true to retrieve reason codes for all sites. If not specified,
  reason codes are returned for the site specified in the request header
  only.
  If ReasonCodeID is specified, this parameter is ignored.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *returnAllSites;


@end
