// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_PaginationResultType;
@class Trading_VeROReportedItemDetailsType;

/**
 
 Contains status information for items reported by the VeRO Program member.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetVeROReportStatusResponseType : Trading_AbstractResponseType {

@private
    Trading_PaginationResultType *_paginationResult;
    NSNumber *_hasMoreItems;
    NSNumber *_itemsPerPage;
    NSNumber *_pageNumber;
    NSNumber *_veROReportPacketID;
    NSString *_veROReportPacketStatus;
    Trading_VeROReportedItemDetailsType *_reportedItemDetails;

}


/**
 
 Contains information regarding the pagination of data (if pagination is
 used), including total number of pages and total number of entries.
 
 
 type : class Trading_PaginationResultType
*/
@property (nonatomic, retain) Trading_PaginationResultType *paginationResult;

/**
 
 If true, there are more items yet to be retrieved. Additional
 calls with higher page numbers or more items per page must
 be made to retrieve these items. Not returned if no items match the
 request.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *hasMoreItems;

/**
 
 Indicates the maximum number of ItemType objects that can be returned in
 ReportedItemDetails for any given call.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *itemsPerPage;

/**
 
 Indicates the page of data returned by the current call. For instance,
 for the first set of items can be returned, this field has a value of
 one.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pageNumber;

/**
 
 The packet ID for status being returned.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *veROReportPacketID;

/**
 
 Status of the packet.
 
 
 type: string constant in Trading_VeROReportPacketStatusCodeType.h
*/
@property (nonatomic, retain) NSString *veROReportPacketStatus;

/**
 
 Contains the list of the reported item details.
 Returns empty if no items are available that match the request.
 
 
 type : class Trading_VeROReportedItemDetailsType
*/
@property (nonatomic, retain) Trading_VeROReportedItemDetailsType *reportedItemDetails;


@end
