// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_PaginationType;

/**
 
 Retrieves a list of active Want It Now posts that match specified keywords
 and/or a specific category ID. The response contains the following data:
 CategoryID, PostID, StartTime, ResponseCount, Site, and Title. To get the post
 description (Description), you must use GetWantItNowPost to retrieve individual
 posts.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GetWantItNowSearchResultsRequestType : Trading_AbstractRequestType {

@private
    NSString *_categoryID;
    NSString *_query;
    NSNumber *_searchInDescription;
    NSNumber *_searchWorldwide;
    Trading_PaginationType *_pagination;

}


/**
 
 Limits the result set to just those Want It Now posts listed in the
 specified category. Defaults to all categories if no category ID is
 specified. If the specified category ID does not match an existing
 category for the site, an invalid-category error message is returned.
 Controls the set of listings to return (not the details to return for each
 listing).
 You must specify a Query and/or a CategoryID in the request.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *categoryID;

/**
 
 Specifies a search string. The search string consists of one or more
 keywords to search for in the listing title. Note that the post
 description will also be searched if SearchInDescription is enabled.
 By default, requests return a list of Want It Now posts that include all
 of the keywords specified in the Query. All words used in the query,
 including "and," "or," and "the,"  will be treated as keywords. You can,
 however, use modifiers and wildcards (e.g., +, -, and *) in the Query
 field to create more complex searches. Be careful when using spaces before
 or after modifiers and wildcards (+, -, or *), as the spaces can affect
 the query logic.
 See the eBay Web Services Guide for a list of valid search keyword query
 operators and examples.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *query;

/**
 
 If true, include the description field of Want It Now posts in the keyword search. Want
 It Now posts returned are those where specified search keywords appear in
 either the description or the title. This is the default behavior if SearchInDescription
 is not specified. If false, only the title will be searched. SearchInDescription is an
 optional input.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *searchInDescription;

/**
 
 If true, the search applies to all eBay sites. If false, the search is
 limited to the site specified in the URL query string when the call is
 made.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *searchWorldwide;

/**
 
 Controls the pagination of the result set. Child elements specify the
 maximum number of item listings to return per call and which page of data
 to return.
 
 
 type : class Trading_PaginationType
*/
@property (nonatomic, retain) Trading_PaginationType *pagination;


@end
