// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_ShippingPackageDetailsType;
@class Trading_DispatchTimeMaxDetailsType;
@class Trading_RegionOfOriginDetailsType;
@class Trading_ExcludeShippingLocationDetailsType;
@class Trading_SiteBuyerRequirementDetailsType;
@class Trading_ListingFeatureDetailsType;
@class Trading_UnitOfMeasurementDetailsType;
@class Trading_TaxJurisdictionType;
@class Trading_CountryDetailsType;
@class Trading_ShippingCategoryDetailsType;
@class Trading_RecoupmentPolicyDetailsType;
@class Trading_ItemSpecificDetailsType;
@class Trading_ShippingLocationDetailsType;
@class Trading_PaymentOptionDetailsType;
@class Trading_CurrencyDetailsType;
@class Trading_URLDetailsType;
@class Trading_ShippingCarrierDetailsType;
@class Trading_ShippingServiceDetailsType;
@class Trading_ReturnPolicyDetailsType;
@class Trading_ListingStartPriceDetailsType;
@class Trading_TimeZoneDetailsType;
@class Trading_VariationDetailsType;
@class Trading_RegionDetailsType;
@class Trading_SiteDetailsType;

/**
 
 Details about a specified site in response to <b>GeteBayDetailsRequest</b>.
 If no <b>DetailName</b>
 field is identified in the request, all elements of <b>GeteBayDetailsResponse</b> are
 returned. Otherwise, eBay returns only the elements corresponding to the specified
 <b>DetailName</b> fields. <b>UpdateTime</b> gives the time of modification of the most recently
 modified <b>DetailName</b>.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_GeteBayDetailsResponseType : Trading_AbstractResponseType {

@private
    NSMutableArray *_countryDetails;
    NSMutableArray *_currencyDetails;
    NSMutableArray *_dispatchTimeMaxDetails;
    NSMutableArray *_paymentOptionDetails;
    NSMutableArray *_regionDetails;
    NSMutableArray *_shippingLocationDetails;
    NSMutableArray *_shippingServiceDetails;
    NSMutableArray *_siteDetails;
    NSMutableArray *_taxJurisdiction;
    NSMutableArray *_urlDetails;
    NSMutableArray *_timeZoneDetails;
    NSMutableArray *_itemSpecificDetails;
    NSMutableArray *_unitOfMeasurementDetails;
    NSMutableArray *_regionOfOriginDetails;
    NSMutableArray *_shippingPackageDetails;
    NSMutableArray *_shippingCarrierDetails;
    Trading_ReturnPolicyDetailsType *_returnPolicyDetails;
    NSMutableArray *_listingStartPriceDetails;
    NSMutableArray *_buyerRequirementDetails;
    NSMutableArray *_listingFeatureDetails;
    Trading_VariationDetailsType *_variationDetails;
    NSMutableArray *_excludeShippingLocationDetails;
    NSDate *_updateTime;
    NSMutableArray *_recoupmentPolicyDetails;
    NSMutableArray *_shippingCategoryDetails;

}


/**
 
 Lists the country code and associated name of the countries supported by
 the eBay system, regardless of the site specified in the request.
 
 
 entry type : class Trading_CountryDetailsType
*/

@property (nonatomic, retain) NSMutableArray *countryDetails;

/**
 
 Lists the currencies supported by the eBay system, regardless of the site
 specified in the request.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>CurrencyDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b> filters are
 used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_CurrencyDetailsType
*/

@property (nonatomic, retain) NSMutableArray *currencyDetails;

/**
 
 A dispatch time specifies the maximum number of business days a seller commits
 to for shipping an item to domestic buyers after receiving a cleared payment.
 Returns all dispatch times in the system, regardless of the site specified in
 the request.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>DispatchTimeMaxDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_DispatchTimeMaxDetailsType
*/

@property (nonatomic, retain) NSMutableArray *dispatchTimeMaxDetails;

/**
 
 <b>Deprecated </b><br />
 Use <b>GetCategoryFeatures</b> instead, and pass in
 <b>PaymentMethods</b> as a <b>FeatureID</b> value in the request.
 
 
 entry type : class Trading_PaymentOptionDetailsType
*/

@property (nonatomic, retain) NSMutableArray *paymentOptionDetails;

/**
 
 No longer returned; replaced by <b>ShippingLocationDetails</b>.
 
 
 entry type : class Trading_RegionDetailsType
*/

@property (nonatomic, retain) NSMutableArray *regionDetails;

/**
 
 Lists the regions and locations supported by eBay's shipping services. Returns
 all shipping locations supported by eBay, regardless of the site specified in
 the request.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>ShippingLocationDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_ShippingLocationDetailsType
*/

@property (nonatomic, retain) NSMutableArray *shippingLocationDetails;

/**
 
 Lists the shipping services supported by the specified eBay site. Returns only
 the shipping services that are applicable to the site specified in the
 request.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>ShippingServiceDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_ShippingServiceDetailsType
*/

@property (nonatomic, retain) NSMutableArray *shippingServiceDetails;

/**
 
 Lists all available eBay sites and their associated SiteID numbers.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>SiteDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_SiteDetailsType
*/

@property (nonatomic, retain) NSMutableArray *siteDetails;

/**
 
 Details the different tax jurisdictions or tax regions applicable to the
 site specified in the request.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>TaxJurisdiction</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_TaxJurisdictionType
*/

@property (nonatomic, retain) NSMutableArray *taxJurisdiction;

/**
 
 Lists eBay URLs that are applicable to the site specified in the request.\
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>URLDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request
 </span>  <br/><br/>
 
 
 entry type : class Trading_URLDetailsType
*/

@property (nonatomic, retain) NSMutableArray *urlDetails;

/**
 
 Lists the details of the time zones supported by the eBay system.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>TimeZoneDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_TimeZoneDetailsType
*/

@property (nonatomic, retain) NSMutableArray *timeZoneDetails;

/**
 
 The site's validation rules (e.g., string lengths) for custom Item Specifics.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>ItemSpecificDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_ItemSpecificDetailsType
*/

@property (nonatomic, retain) NSMutableArray *itemSpecificDetails;

/**
 
 Lists the suggested unit-of-measurement strings to use with Item Specifics
 descriptions.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>UnitOfMeasurementDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_UnitOfMeasurementDetailsType
*/

@property (nonatomic, retain) NSMutableArray *unitOfMeasurementDetails;

/**
 
 No longer returned.
 
 
 entry type : class Trading_RegionOfOriginDetailsType
*/

@property (nonatomic, retain) NSMutableArray *regionOfOriginDetails;

/**
 
 Lists the various shipping packages supported by the specified site.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
   This container is only returned if <b>ShippingPackageDetails</b> is included as a
   <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
   filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_ShippingPackageDetailsType
*/

@property (nonatomic, retain) NSMutableArray *shippingPackageDetails;

/**
 
 Lists the shipping carriers supported by the specified site.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>ShippingCarrierDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_ShippingCarrierDetailsType
*/

@property (nonatomic, retain) NSMutableArray *shippingCarrierDetails;

/**
 
 Lists the return policies supported by the eBay site specified in the request.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>ReturnPolicyDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 type : class Trading_ReturnPolicyDetailsType
*/
@property (nonatomic, retain) Trading_ReturnPolicyDetailsType *returnPolicyDetails;

/**
 
 Lists the minimum starting prices for the supported types of eBay listings.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>ListingStartPriceDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_ListingStartPriceDetailsType
*/

@property (nonatomic, retain) NSMutableArray *listingStartPriceDetails;

/**
 
 Details various eBay-buyer requirements.
 
 
 entry type : class Trading_SiteBuyerRequirementDetailsType
*/

@property (nonatomic, retain) NSMutableArray *buyerRequirementDetails;

/**
 
 Details the listing features available for the site specified in the request.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>ListingFeatureDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_ListingFeatureDetailsType
*/

@property (nonatomic, retain) NSMutableArray *listingFeatureDetails;

/**
 
 Site-level validation rules for multi-variation listings (for example, the
 maximum number of variations per listing). Use <b>GetCategoryFeatures</b> to
 determine which categories on a site support variations. Use
 <b>GetCategorySpecifics</b> for rules related to recommended or required variation
 specifics.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>VariationDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 type : class Trading_VariationDetailsType
*/
@property (nonatomic, retain) Trading_VariationDetailsType *variationDetails;

/**
 
 Lists the locations supported by the <b>ExcludeShipToLocation</b> feature. These are
 locations that a seller can list as areas where they will not ship an item.
 <br />
 The codes reflect the <a href=
 "http://www.iso.org/iso/country_codes/iso_3166_code_lists/english_country_names_and_code_elements.htm"
 >ISO 3166</a> location codes.
 
 
 entry type : class Trading_ExcludeShippingLocationDetailsType
*/

@property (nonatomic, retain) NSMutableArray *excludeShippingLocationDetails;

/**
 
 The time of the most recent modification to any feature detail. If specific
 feature details are passed in the request, gives the most recent modification time
 of those feature details.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *updateTime;

/**
 
 Details the recoupment policies for the site specified in the request.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>RecoupmentPolicyDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 
 
 entry type : class Trading_RecoupmentPolicyDetailsType
*/

@property (nonatomic, retain) NSMutableArray *recoupmentPolicyDetails;

/**
 
 A shipping service category supported for the site.
 <br/><br/>
 <span class="tablenote"><b>Note: </b>
 This container is only returned if <b>ShippingCategoryDetails</b> is included as a
 <b>DetailName</b> filter in the request, or if no <b>DetailName</b>
 filters are used in the request.
 </span>  <br/><br/>
 Each shipping service supported for a site is automatically categorized by eBay into one of the
 shipping categories available for that site depending on how the shipping service shipping time
 aligns with the shipping times specified by eBay for each category.
 <br><br>
 Notice that you cannot specify a ShippingCategory
 as an input to any API call - eBay does this categorizing automatically. ShippingCategory is read-only data
 that is returned in the <b>ShippingServiceDetails</b> container. One possible use of this data is to segregate shipping
 services by ShippingCategory in a pick list. (For an example of this, see the Services pulldown menu in the
 Give buyers shipping details form in the eBay Sell Your Item flow.)
 <br><br>
 One way to populate the picklist would be to call <b>GeteBayDetails</b>
 with <b>DetailName</b> set to <b>ShippingServiceDetails</b>.
 Then sort these results by ShippingCategory and populate the picklist.
 
 
 entry type : class Trading_ShippingCategoryDetailsType
*/

@property (nonatomic, retain) NSMutableArray *shippingCategoryDetails;


@end
