// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
         Container consisting of shipping costs and other details related to an international
 shipping service. If one or more international shipping services are provided, the
 seller must specify at least one domestic shipping service as well.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_InternationalShippingServiceOptionsType : NSObject <PicoBindable> {

@private
    NSString *_shippingService;
    Trading_AmountType *_shippingServiceCost;
    Trading_AmountType *_shippingServiceAdditionalCost;
    NSNumber *_shippingServicePriority;
    NSMutableArray *_shipToLocation;
    Trading_AmountType *_shippingInsuranceCost;
    Trading_AmountType *_importCharge;
    NSMutableArray *_any;

}


/**
 
 An international shipping service being offered by the seller to ship an item to
 a buyer. For a list of valid values, call <b>GeteBayDetails</b>
 with <b>DetailName</b> set to <b>ShippingServiceDetails</b>.
 To view the full list of International shipping service options in the response,
 look for the ShippingService fields in the ShippingServiceDetails containers that
 contain a InternationalService=true field, as this indicates that the ShippingService
 value is an International shipping service option.
 The ShippingServiceDetails.ValidForSellingFlow flag must
 also be present. Otherwise, that particular shipping service option is no longer
 valid and cannot be offered to buyers through a listing.
 <br><br>
 For flat and calculated shipping.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingService;

/**
 
 The meaning of this element depends on the call and on whether flat
 or calculated shipping has been selected. (For example, it could be the cost
 to ship a single item, the cost to ship all items, or the cost to ship just
 the first of many items, with ShippingServiceAdditionalCost accounting for the
 rest.) When returned by GetItemShipping, it includes the packaging and
 handling cost. For flat and calculated shipping.
 <br>
 <br>
 If a shipping service has been specified, GetItem returns the shipping service
 cost, even if the cost is zero. Otherwise, cost is not returned.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *shippingServiceCost;

/**
 
 The cost of shipping each additional item beyond the first item. For input,
 this is required if the listing is for multiple items. For single-item
 listings, it should be zero (or is defaulted to zero if not provided).
 For flat shipping only.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *shippingServiceAdditionalCost;

/**
 
 This integer value controls the order (relative to other shipping services) in
 which the corresponding ShippingService will appear in the View Item and
 Checkout page. Sellers can specify up to five international shipping services
 (with five InternationalShippingServiceOption containers), so valid values are
 1, 2, 3, 4, and 5. A shipping service with a ShippingServicePriority value of 1
 appears at the top. Conversely, a shipping service with a
 ShippingServicePriority value of 5 appears at the bottom of a list of five
 shipping service options.
 <br><br>
 This field is applicable to Flat and Calculated shipping. This field is not
 applicable to Half.com listings.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *shippingServicePriority;

/**
 
 An international location or region to where the item seller will ship the item.
 Use <b>GeteBayDetails</b> with <b>DetailName</b> set to
 <b>ShippingLocationDetails</b> to determine which locations are valid per site.
 In the GeteBayDetails response, look for the ShippingLocationDetails.ShippingLocation fields.
 For the AddItem family of calls, this field is required if any
 international shipping service is specified.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *shipToLocation;

/**
 
 The insurance cost associated with shipping a single item with this shipping
 service. Exception: for GetItemShipping, this is proportional to QuantitySold. If
 the item has not yet been sold, insurance information cannot be calculated and the
 value is 0.00. For calculated shipping only.
 <br><br>
 Valid only on the following sites: AU, FR, and IT
 <br>
 Also applicable to Half.com (for GetOrders).
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *shippingInsuranceCost;

/**
 
 The total cost of customs and taxes for the international leg of an order shipped using the Global Shipping Program. This amount is calculated and supplied for each item by the international shipping provider when a buyer views the item properties.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *importCharge;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
