// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_NameValueListType;

/**
 
 All information corresponding to an individual compatibility by application.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ItemCompatibilityType : NSObject <PicoBindable> {

@private
    NSNumber *_delete;
    NSMutableArray *_nameValueList;
    NSString *_compatibilityNotes;
    NSMutableArray *_any;

}


/**
 
 Removes individual parts compatibility nodes from the compatibility list. Set
 to true within the compatibility to delete.
 <br><br>
 This field can only be used when revising an item or template.
 <br>
 If the listing has bids or ends within 12 hours, you cannot delete item
 compatibilities.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *delete;

/**
 
 A name-value pair describing a single compatible application. The
 allowed names and values are specific to the primary category in which the
 item is listed. For example, when listing in a Parts & Accessories
 category, where the applications are vehicles, the allowed names might include
 Year, Make, and Model, and the values would correspond to specific vehicles in
 eBay's catalog.
 <br><br>
 The K type vehicle number is supported in the DE, UK, and AU eBay sites to specify
 parts compatibility. To use a K type number to specify item compatiblities,
 set the Name field to "KType" and set the corresponding Value field to the
 K type number.
 
 
 entry type : class Trading_NameValueListType
*/

@property (nonatomic, retain) NSMutableArray *nameValueList;

/**
 
 The seller may optionally enter any notes pertaining to the compatibility
 being specified. Use this field to specify the placement of the part on a
 vehicle or the type of vehicle a part fits.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *compatibilityNotes;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
