// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Applicable to sites that support the Detailed Seller Ratings feature.
 The ItemRatingDetailsType contains detailed seller ratings for an order line item in one area. When buyers leave an overall Feedback rating (positive, neutral, or negative) for a seller, they also can leave ratings in four areas: item as described, communication, shipping time, and charges for shipping and handling. Users retrieve detailed ratings as averages of the ratings left by buyers.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ItemRatingDetailsType : NSObject <PicoBindable> {

@private
    NSString *_ratingDetail;
    NSNumber *_rating;
    NSMutableArray *_any;

}


/**
 
 The area of a specific detailed seller rating for an order line item.
 When buyers leave an overall Feedback rating (positive, neutral, or negative)
 for a seller, they also can leave ratings in four areas: item as described,
 communication, shipping time, and charges for shipping and handling.
 
 
 type: string constant in Trading_FeedbackRatingDetailCodeType.h
*/
@property (nonatomic, retain) NSString *ratingDetail;

/**
 
 A detailed seller rating for an order line item applied to the area
 in the corresponding RatingDetail field. Valid input values are
 numerical integers 1 though 5.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *rating;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
