// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import "Trading_ItemSortTypeCodeType.h"

/**
 @file
 
 Indicates the field and direction (ascending or
 descending) by which to sort a returned list of items.
 
*/

/**
 
 Sort by Item ID (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_ITEM_ID = @"ItemID";

/**
 
 Sort by price (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_PRICE = @"Price";

/**
 
 Sort by start price (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_START_PRICE = @"StartPrice";

/**
 
 Sort by item title (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_TITLE = @"Title";

/**
 
 Sort by number of bids on the item (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_BID_COUNT = @"BidCount";

/**
 
 Sort by quantity (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_QUANTITY = @"Quantity";

/**
 
 Sort by listing start time (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_START_TIME = @"StartTime";

/**
 
 Sort by listing end time (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_END_TIME = @"EndTime";

/**
 
 Sort by the seller's user ID, in alphabetical order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_SELLER_USER_ID = @"SellerUserID";

/**
 
 Sort by the time left for the item's listing,
 in ascending order: active items, good-til-cancelled items,
 and completed items.
 
*/
NSString *const Trading_ItemSortTypeCodeType_TIME_LEFT = @"TimeLeft";

/**
 
 Sort by listing duration (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_LISTING_DURATION = @"ListingDuration";

/**
 
 Sort by listing type (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_LISTING_TYPE = @"ListingType";

/**
 
 Sort by current price (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_CURRENT_PRICE = @"CurrentPrice";

/**
 
 Sort by reserve price (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_RESERVE_PRICE = @"ReservePrice";

/**
 
 Sort by maximum bid price (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_MAX_BID = @"MaxBid";

/**
 
 Sort by number of bidders (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_BIDDER_COUNT = @"BidderCount";

/**
 
 Sort by the user ID of the highest bidder (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_HIGH_BIDDER_USER_ID = @"HighBidderUserID";

/**
 
 Sort by the user ID of the buyer (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_BUYER_USER_ID = @"BuyerUserID";

/**
 
 Sort by the buyer's postal code (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_BUYER_POSTAL_CODE = @"BuyerPostalCode";

/**
 
 Sort by the buyer's email address, in alphabetical order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_BUYER_EMAIL = @"BuyerEmail";

/**
 
 Sort by the seller's email address, in alphabetical order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_SELLER_EMAIL = @"SellerEmail";

/**
 
 Sort by total price (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_TOTAL_PRICE = @"TotalPrice";

/**
 
 Sort by the number of items being watched (ascending). The WatchCount of an item is the number of watches that buyers have placed on an item using their eBay accounts.
 
*/
NSString *const Trading_ItemSortTypeCodeType_WATCH_COUNT = @"WatchCount";

/**
 
 Sort by the number of Best Offers (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_BEST_OFFER_COUNT = @"BestOfferCount";

/**
 
 Sort by the number of questions (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_QUESTION_COUNT = @"QuestionCount";

/**
 
 Sort by the cost indicated for shipping (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_SHIPPING_SERVICE_COST = @"ShippingServiceCost";

/**
 
 Sort by type of feedback received, positive, negative, or neutral.
 In ascending order - negative, neutral, positive.
 
*/
NSString *const Trading_ItemSortTypeCodeType_FEEDBACK_RECEIVED = @"FeedbackReceived";

/**
 
 Sort by type of feedback received, positive, negative, or neutral.
 In ascending order - negative, neutral, positive.
 
*/
NSString *const Trading_ItemSortTypeCodeType_FEEDBACK_LEFT = @"FeedbackLeft";

/**
 
 Sort by user ID, in alphabetical order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_USER_ID = @"UserID";

/**
 
 Sort by the number of items sold (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_QUANTITY_SOLD = @"QuantitySold";

/**
 
 Sort items with Best Offers first.
 
*/
NSString *const Trading_ItemSortTypeCodeType_BEST_OFFER = @"BestOffer";

/**
 
 Sort by the number of items available (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_QUANTITY_AVAILABLE = @"QuantityAvailable";

/**
 
 Sort by the number of items purchased (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_QUANTITY_PURCHASED = @"QuantityPurchased";

/**
 
 Sort by the platform on which the item was won (eBay items last).
 
*/
NSString *const Trading_ItemSortTypeCodeType_WON_PLATFORM = @"WonPlatform";

/**
 
 Sort by the platform on which the item was sold (eBay items last).
 
*/
NSString *const Trading_ItemSortTypeCodeType_SOLD_PLATFORM = @"SoldPlatform";

/**
 
 Sort by the duration of the listing (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_LISTING_DURATION_DESCENDING = @"ListingDurationDescending";

/**
 
 Sort by the listing type (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_LISTING_TYPE_DESCENDING = @"ListingTypeDescending";

/**
 
 Sort by the current price of the listed item (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_CURRENT_PRICE_DESCENDING = @"CurrentPriceDescending";

/**
 
 Sort by the listing's reserve price (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_RESERVE_PRICE_DESCENDING = @"ReservePriceDescending";

/**
 
 Sort by the highest bid on the item (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_MAX_BID_DESCENDING = @"MaxBidDescending";

/**
 
 Sort by number of bidders (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_BIDDER_COUNT_DESCENDING = @"BidderCountDescending";

/**
 
 Sort by the user ID of the highest bidder (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_HIGH_BIDDER_USER_ID_DESCENDING = @"HighBidderUserIDDescending";

/**
 
 Sort by the user ID of the buyer, in reverse
 alphabetical order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_BUYER_USER_ID_DESCENDING = @"BuyerUserIDDescending";

/**
 
 Sort by the buyer's postal code, in descending
 order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_BUYER_POSTAL_CODE_DESCENDING = @"BuyerPostalCodeDescending";

/**
 
 Sort by the buyer's email address, in
 reverse alphabetical order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_BUYER_EMAIL_DESCENDING = @"BuyerEmailDescending";

/**
 
 Sort by the seller's email address,
 in reverse alphabetical order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_SELLER_EMAIL_DESCENDING = @"SellerEmailDescending";

/**
 
 Sort by the total price of the order, (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_TOTAL_PRICE_DESCENDING = @"TotalPriceDescending";

/**
 
 Sort by watch count (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_WATCH_COUNT_DESCENDING = @"WatchCountDescending";

/**
 
 Sort by number of questions (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_QUESTION_COUNT_DESCENDING = @"QuestionCountDescending";

/**
 
 Sort by the cost of shipping (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_SHIPPING_SERVICE_COST_DESCENDING = @"ShippingServiceCostDescending";

/**
 
 Sort by type of feedback received, positive, negative, or neutral.
 In descending order - positive, neutral, negative.
 
*/
NSString *const Trading_ItemSortTypeCodeType_FEEDBACK_RECEIVED_DESCENDING = @"FeedbackReceivedDescending";

/**
 
 Sort by type of feedback received, positive, negative, or neutral.
 In descending order - positive, neutral, negative.
 
*/
NSString *const Trading_ItemSortTypeCodeType_FEEDBACK_LEFT_DESCENDING = @"FeedbackLeftDescending";

/**
 
 Sort by user ID, in descending order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_USER_ID_DESCENDING = @"UserIDDescending";

/**
 
 Sort by the number of items sold, in descending order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_QUANTITY_SOLD_DESCENDING = @"QuantitySoldDescending";

/**
 
 Sort items by the number of Best Offers on an item, in descending order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_BEST_OFFER_COUNT_DESCENDING = @"BestOfferCountDescending";

/**
 
 Sort items by the number there are available, in descending order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_QUANTITY_AVAILABLE_DESCENDING = @"QuantityAvailableDescending";

/**
 
 Sort items by the number that have been purchased, in descending order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_QUANTITY_PURCHASED_DESCENDING = @"QuantityPurchasedDescending";

/**
 
 Sort items with Best Offers last.
 
*/
NSString *const Trading_ItemSortTypeCodeType_BEST_OFFER_DESCENDING = @"BestOfferDescending";

/**
 
 Sort by Item ID (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_ITEM_ID_DESCENDING = @"ItemIDDescending";

/**
 
 Sort by price (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_PRICE_DESCENDING = @"PriceDescending";

/**
 
 Sort by start price (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_START_PRICE_DESCENDING = @"StartPriceDescending";

/**
 
 Sort by item title (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_TITLE_DESCENDING = @"TitleDescending";

/**
 
 Sort by number of bids on the item (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_BID_COUNT_DESCENDING = @"BidCountDescending";

/**
 
 Sort by the quantity of items sold (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_QUANTITY_DESCENDING = @"QuantityDescending";

/**
 
 Sort by listing start time (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_START_TIME_DESCENDING = @"StartTimeDescending";

/**
 
 Sort by listing end time (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_END_TIME_DESCENDING = @"EndTimeDescending";

/**
 
 Sort by seller user ID, in reverse alphabetical order.
 
*/
NSString *const Trading_ItemSortTypeCodeType_SELLER_USER_ID_DESCENDING = @"SellerUserIDDescending";

/**
 
 Sort by time left on the listing, in descending
 order: completed items, good-til-cancelled items,
 and active items.
 
*/
NSString *const Trading_ItemSortTypeCodeType_TIME_LEFT_DESCENDING = @"TimeLeftDescending";

/**
 
 Sort by the platform on which the item was won.
 
*/
NSString *const Trading_ItemSortTypeCodeType_WON_PLATFORM_DESCENDING = @"WonPlatformDescending";

/**
 
 Sort by the platform on which the item was sold.
 
*/
NSString *const Trading_ItemSortTypeCodeType_SOLD_PLATFORM_DESCENDING = @"SoldPlatformDescending";

/**
 
 Sort by the lead (emails) count (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_LEAD_COUNT = @"LeadCount";

/**
 
 Sort by the new lead (new emails) count (ascending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_NEW_LEAD_COUNT = @"NewLeadCount";

/**
 
 Sort by the lead count (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_LEAD_COUNT_DESCENDING = @"LeadCountDescending";

/**
 
 Sort by the new contact count (descending).
 
*/
NSString *const Trading_ItemSortTypeCodeType_NEW_LEAD_COUNT_DESCENDING = @"NewLeadCountDescending";

/**
 
 The pay-per-lead feature is no longer available, so this value is no longer
 applicable.
 
*/
NSString *const Trading_ItemSortTypeCodeType_CLASSIFIED_AD_PAY_PER_LEAD_FEE = @"ClassifiedAdPayPerLeadFee";

/**
 
 The pay-per-lead feature is no longer available, so this value is no longer
 applicable.
 
*/
NSString *const Trading_ItemSortTypeCodeType_CLASSIFIED_AD_PAY_PER_LEAD_FEE_DESCENDING = @"ClassifiedAdPayPerLeadFeeDescending";

/**
 
 Reserved for internal or future use.
 
*/
NSString *const Trading_ItemSortTypeCodeType_CUSTOM_CODE = @"CustomCode";
