// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_ItemRatingDetailArrayType;

/**
 
 Enables a buyer and seller to leave feedback for their order partner at the
 conclusion of a successful order. Feedback is left at the order line item level,
 so multiple line item orders may have multiple Feedback entries.&nbsp;<b>
 Also for Half.com</b>.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_LeaveFeedbackRequestType : Trading_AbstractRequestType {

@private
    NSString *_itemID;
    NSString *_commentText;
    NSString *_commentType;
    NSString *_transactionID;
    NSString *_targetUser;
    Trading_ItemRatingDetailArrayType *_sellerItemRatingDetailArray;
    NSString *_orderLineItemID;

}


/**
 
 Unique identifier for an eBay item listing. A listing can have multiple
 order line items, but only one <b>ItemID</b>. Unless an
 <b>OrderLineItemID</b> is specified in the <b>LeaveFeedback</b> request, the <b>ItemID</b> is
 required along with the <b>TargetUser</b> to identify an order line item
 existing between the caller and the <b>TargetUser</b> that requires feedback. A
 Feedback entry will be posted for this order line item. If there are
 multiple order line items between the two order partners that still
 require feedback, the <b>TransactionID</b> will also be required to isolate the
 targeted order line item. Feedback cannot be left for order line items
 with creation dates more than 60 days in the past.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Textual comment that explains, clarifies, or justifies the Feedback rating
 specified in <b>CommentType</b>.
 <br><br>
 This comment will still be displayed even if submitted Feedback is withdrawn.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *commentText;

/**
 
 
 type: string constant in Trading_CommentTypeCodeType.h
*/
@property (nonatomic, retain) NSString *commentType;

/**
 
 Unique identifier for an eBay order line item (transaction). If there
 are multiple order line items between the two order partners that still
 require feedback, the <b>TransactionID</b> is required along with the
 corresponding <b>ItemID</b> and <b>TargetUser</b> to isolate the targeted order line
 item. If an <b>OrderLineItemID</b> is included in the response to identify a
 specific order line item, none of the preceding fields (<b>ItemID</b>,
 <b>TransactionID</b>, <b>TargetUser</b>) are needed. Feedback cannot be left for order
 line items with creation dates more than 60 days in the past.
 
 </span>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *transactionID;

/**
 
 This eBay User ID identifies the recipient user for whom the feedback is being
 left.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *targetUser;

/**
 
 Container for detailed seller ratings (DSRs). If a buyer is providing DSRs,
 they are specified in this container. Sellers have access to the number of
 ratings they've received, as well as to the averages of the DSRs they've
 received in each DSR area (i.e., to the average of ratings in the
 item-description area, etc.).
 
 
 type : class Trading_ItemRatingDetailArrayType
*/
@property (nonatomic, retain) Trading_ItemRatingDetailArrayType *sellerItemRatingDetailArray;

/**
 
 <b>OrderLineItemID</b> is a unique identifier for an eBay order line item and
 is based upon the concatenation of <b>ItemID</b> and <b>TransactionID</b>, with a
 hyphen in between these two IDs. If an <b>OrderLineItemID</b> is included in
 the request, the <b>ItemID</b>, <b>TransactionID</b>, and <b>TargetUser</b> fields are not
 required. Feedback cannot be left for order line items with creation
 dates more than 60 days in the past.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *orderLineItemID;


@end
