// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Contains the IDs for the Listing Designer theme and template (if either are
 used) associated with an item, which can optionally be used to enhance the
 appearance of the item's description. Cannot be used with Photo Display.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ListingDesignerType : NSObject <PicoBindable> {

@private
    NSNumber *_layoutID;
    NSNumber *_optimalPictureSize;
    NSNumber *_themeID;
    NSMutableArray *_any;

}


/**
 
 Identifies the Layout template to use when displaying the
 item's description. Call GetDescriptionTemplates for valid IDs.
 Set to false in GetDescriptionTemplates (or do not specify
 LayoutID) to get the standard layout. If a Listing Designer
 layout is used (except standard layout), PhotoDisplayType must
 be false (or not be specified).
 When relisting an item, LayoutID is removed from the listing if you specify
 ListingDesignerType without LayoutID. Alternatively, to remove this value
 when revising or relisting an item, use DeletedField.
   
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *layoutID;

/**
 
 If true, indicates that the item's picture will be enlarged to fit description
 of the item.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *optimalPictureSize;

/**
 
 ID for the Listing Designer theme template to use when
 displaying the item's description.
 When relisting, if you specify ListingDesignerType without
 ThemeID, ThemeID is removed from the listing. Alternatively, to remove
 this value when revising or relisting an item, use DeletedField.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *themeID;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
