// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Various details about a listing. Some of the details are calculated or derived after
 an item is listed. The details in this type include the start and end time and
 the converted (localized) prices. The details in this type also include
 input values applicable to the Best Offer feature.
 Additional details in this type include flags indicating if a seller
 specified fields whose values are not visible to the requesting user.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ListingDetailsType : NSObject <PicoBindable> {

@private
    NSNumber *_adult;
    NSNumber *_bindingAuction;
    NSNumber *_checkoutEnabled;
    Trading_AmountType *_convertedBuyItNowPrice;
    Trading_AmountType *_convertedStartPrice;
    Trading_AmountType *_convertedReservePrice;
    NSNumber *_hasReservePrice;
    NSString *_relistedItemID;
    NSString *_secondChanceOriginalItemID;
    NSDate *_startTime;
    NSDate *_endTime;
    NSString *_viewItemURL;
    NSNumber *_hasUnansweredQuestions;
    NSNumber *_hasPublicMessages;
    NSNumber *_buyItNowAvailable;
    NSString *_sellerBusinessType;
    Trading_AmountType *_minimumBestOfferPrice;
    NSString *_minimumBestOfferMessage;
    NSString *_localListingDistance;
    NSString *_tcrOriginalItemID;
    NSString *_viewItemURLForNaturalSearch;
    NSNumber *_payPerLeadEnabled;
    Trading_AmountType *_bestOfferAutoAcceptPrice;
    NSMutableArray *_any;

}


/**
 
 If true, the item is listed in a Mature category. Users must accept
 the Mature Category agreement on the eBay site to retrieve
 items listed in Mature categories. (Users do not need to sign
 this agreement to be able to list items in Mature Categories.)
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *adult;

/**
 
 Applicable for Real Estate auctions only. If true, buyers and sellers
 are expected to follow through on the sale. If false, bids for the
 Real Estate auction are only expressions of interest.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *bindingAuction;

/**
 
 This flag indicates whether or not the seller's Checkout Enabled preference is turned on (at account level or at
 listing level). This preference is managed through Payment Preferences in My eBay. If this preference is enabled,
 a Pay Now button will appear in checkout flow pages and in the email notifications that are sent to buyers. This
 preferance is enabled by default if PayPal is one of the payment methods.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *checkoutEnabled;

/**
 
 Converted value of the BuyItNowPrice in the currency of
 the site that returned this response.
 For active items, refresh this value every 24 hours to
 pick up the current conversion rates.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *convertedBuyItNowPrice;

/**
 
 Converted value of the StartPrice in the currency of
 the site that returned this response.
 For active items, refresh this value every 24 hours to
 pick up the current conversion rates.<br>
 <br>
 In multi-variation listings, this value matches the lowest-priced
 variation that is still available for sale.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *convertedStartPrice;

/**
 
 Converted value of the ReservePrice in the currency of the
 site that returned this response. Only returned for listings with
 a reserve price when the requesting user is the listing's seller.
 For active items, refresh this value every 24 hours to
 pick up the current conversion rates.
 Not applicable to Fixed Price and Store Inventory listings.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *convertedReservePrice;

/**
 
 If true, the seller specified a value in ReservePrice.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *hasReservePrice;

/**
 
 Indicates the new item ID for a re-listed item. When an item is
 re-listed, the item ID for the new item is added to the
 old listing, so buyers can navigate to
 the new listing. This value only appears when the old listing is
 retrieved. The RelistedItemID of the original item should reflect the last relist.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *relistedItemID;

/**
 
 The item ID for the original listing from which a second chance offer
 is made. This value is only returned when the data for the second chance
 offer listing is retrieved.
 Output only.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *secondChanceOriginalItemID;

/**
 
 The StartTime value returned by non-search calls such as
 GetItem is the time stamp (in GMT) for when
 the item was listed.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *startTime;

/**
 
 Time stamp (in GMT) when the listing is scheduled to end
 (calculated based on the values of StartTime and ListingDuration)
 or the actual end time if the item has ended.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *endTime;

/**
 
 The URL of the Web page where a user can view the listing.
 On the US site, this is called the "View Item" page.
 If you enabled affiliate tracking in a search-related call
 (for example, if you used the AffiliateTrackingDetails container
 in an applicable call), ViewItemURL contains
 a string that includes affiliate tracking information
 (see the <a href=
 "https://www.ebaypartnernetwork.com" target="_blank">eBay Partner Network</a>).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *viewItemURL;

/**
 
       Indicates whether the item has any unanswered questions. Use
 GetMemberMessages to retrieve unanswered questions for the item if this flag
 indicates that there are any.
     
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *hasUnansweredQuestions;

/**
 
       Indicates whether the item has any publicly displayed messages. Use
 GetMemberMessages to retrieve public messages for the item if this flag
 indicates that there are any.
     
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *hasPublicMessages;

/**
 
 This flag indicates whether the Buy It Now feature is available for an auction listing.
 As a general rule, once an auction listing has bids (and the high bid exceeds the
 reserve price, if any), the Buy It Now feature becomes disabled for the listing.
 <br><br>
 On some sites, the Buy It Now feature for an auction may remain available for
 certain categories even after a bid is placed. See the "Longer Lasting Buy It Now"
 link below for more details and the latest list of eBay US categories that support
 this behavior. The eBay Spain site supports this behavior for all categories.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *buyItNowAvailable;

/**
 
 Type of seller account. This value is not returned for most sites.
 This value is not returned for the German site
 (site ID 77) or eBay Motors site (site ID 100).
 
 
 type: string constant in Trading_SellerBusinessCodeType.h
*/
@property (nonatomic, retain) NSString *sellerBusinessType;

/**
 
 Specifies the minimum acceptable Best Offer price. If a buyer
 submits a Best Offer that is below this value, the offer is automatically
 declined by the seller. Applies only to items listed in categories that
 support the Best Offer Auto-Decline feature. Best Offer must be enabled
 for the item, and only the seller who listed the item can see this value.
 To remove this value when revising or relisting an item, use DeletedField.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *minimumBestOfferPrice;

/**
 
 Specifies the message sent from the seller to the buyer when a
 submitted Best Offer is automatically declined by the seller. A Best Offer
 is automatically declined if it does not meet the minimum acceptable best
 offer price specified by the seller with MinimumBestOfferPrice. Applies only
 to items listed in categories that support the Best Offer Auto-Decline
 feature. Best Offer must be enabled for the item.
 To remove this value when revising or relisting an item, use DeletedField.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *minimumBestOfferMessage;

/**
 
 Specifies a distance (in miles) used as the radius of the area about the
 supplied postal code that constitutes the local market. Use
 GetCategoryFeatures to determine the local listing distances supported by
 a given site, category, and Local Market subscription level.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *localListingDistance;

/**
 
 Indicates the item ID of the original item listing from which a
 Transaction Confirmation Request (TCR) was created. This value is only
 returned when the data for a TCR is retrieved.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *tcrOriginalItemID;

/**
 
 This URL takes you to the same View Item page as ViewItemURL,
 but this URL is optimized to support natural search.
 That is, this URL is designed to make items on eBay easier to find via
 popular Internet search engines. The URL includes the item title along with other optimizations. To
 note, "?" (question mark) optimizes to "_W0QQ", "&" (ampersand) optimizes
 to "QQ", and "=" (equals sign) optimizes to "Z".
 <br><br>
 If you are an eBAy affiliate, use this URL to promote your affiliate
 information.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 This URL may include additional query parameters that don't appear in ViewItemURL
 and vice versa. You should not modify the query syntax.  For example, eBay won't
 recognize the URL if you change QQ to ?.
 </span>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *viewItemURLForNaturalSearch;

/**
 
 The pay-per-lead feature is no longer available, and this field is scheduled to
 be removed from the WSDL.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *payPerLeadEnabled;

/**
 
 The price at which Best Offers are automatically accepted. Similar in use to
 MinimumBestOfferPrice. If a buyer submits a Best Offer that is above this value, the
 offer is automatically accepted by the seller. Applies only to items listed in
 categories that support the BestOfferAutoAcceptPrice feature. Best Offer must be
 enabled for the item, and only the seller who listed the item will see
 BestOfferAutoAcceptPrice in a call response. On the US eBay Motors site (site ID
 100), you cannot use the API to add a minimum Best Offer price. For a ReviseItem call
 with site ID 100, prior use of a minimum Best Offer price on eBay.com is ignored.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *bestOfferAutoAcceptPrice;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
