// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Details about feature availability for the site.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ListingFeatureDetailsType : NSObject <PicoBindable> {

@private
    NSString *_boldTitle;
    NSString *_border;
    NSString *_highlight;
    NSString *_giftIcon;
    NSString *_homePageFeatured;
    NSString *_featuredFirst;
    NSString *_featuredPlus;
    NSString *_proPack;
    NSString *_detailVersion;
    NSDate *_updateTime;
    NSMutableArray *_any;

}


/**
 
 Defines the availability of the BoldTitle feature for the site.
 
 
 type: string constant in Trading_BoldTitleCodeType.h
*/
@property (nonatomic, retain) NSString *boldTitle;

/**
 
 Defines the availability of the Picture Border feature for the site.
 <br>
 <br>
 <span class="tablenote"><b>Note:</b>
 The Picture Border feature is no longer available on the US site.
 </span>
 
 
 type: string constant in Trading_BorderCodeType.h
*/
@property (nonatomic, retain) NSString *border;

/**
 
 Defines the availability of the Highlight feature for the site.
 
 
 type: string constant in Trading_HighlightCodeType.h
*/
@property (nonatomic, retain) NSString *highlight;

/**
 
 Defines the availability of the Gift Icon feature for the site.
 
 
 type: string constant in Trading_GiftIconCodeType.h
*/
@property (nonatomic, retain) NSString *giftIcon;

/**
 
 Defines the availability of the HomePageFeatured feature for the site.
 
 
 type: string constant in Trading_HomePageFeaturedCodeType.h
*/
@property (nonatomic, retain) NSString *homePageFeatured;

/**
 
 Defines the availability of FeaturedFirst for the site.
 If FeaturedFirst is available for a site, then this field also
 is used to determine if FeaturedFirst is available only for
 PowerSellers, or only for top-rated sellers.
 If you make a GeteBayDetails call to site 100 (US eBay Motors),
 the value returned only applies to the Parts and Accessories category.
 
 
 type: string constant in Trading_FeaturedFirstCodeType.h
*/
@property (nonatomic, retain) NSString *featuredFirst;

/**
 
 Defines the availability of FeaturedPlus for site, including whether it is only available for
 certain seller groups such as PowerSeller or TopRatedSeller.
 
 
 type: string constant in Trading_FeaturedPlusCodeType.h
*/
@property (nonatomic, retain) NSString *featuredPlus;

/**
 
 Defines the availability of ProPack for the site.
 If ProPack is available for a site, this field also is used to determine if ProPack is
 available only for PowerSellers, or only for top-rated sellers.
 If you make a GeteBayDetails call to site 100 (US eBay Motors),
 the value returned only applies to the Parts and Accessories category.
 
 
 type: string constant in Trading_ProPackCodeType.h
*/
@property (nonatomic, retain) NSString *proPack;

/**
 
 Returns the current version of details.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *detailVersion;

/**
 
 Gives the time in GMT that the feature flags for the
 details were last updated.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *updateTime;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
