// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Type defining the <b>ListingStartPriceDetails</b> container returned in
 <b>GeteBayDetails</b>. The <b>ListingStartPriceDetails</b>
 container lists the minimum start price for auction listings, the minimum sale price
 for fixed-price listings, and the minimum percentage value that a Buy It Now price for
 an auction listing must be above the minimum start price for that same listing.
 <br><br>
 The <b>ListingStartPriceDetails</b> container is returned if
 <b>ListingStartPriceDetails</b> is included as a <b>DetailName</b>
 filter in the request, or if no lt;b>DetailName</b> filters are used in the request.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ListingStartPriceDetailsType : NSObject <PicoBindable> {

@private
    NSString *_description;
    NSString *_listingType;
    Trading_AmountType *_startPrice;
    NSString *_detailVersion;
    NSDate *_updateTime;
    NSNumber *_minBuyItNowPricePercent;
    NSMutableArray *_any;

}


/**
 
 This value is a string description of the listing type for which the pricing data
 is intended, such as "Pricing for the auction-like listings".
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *description;

/**
 
 This value indicates the listing type of the listing, and is a value defined in
 <b>ListingTypeCodeType</b> enumerated type. The only possible values for
 this field are 'Chinese' (auction listing) and 'FixedPriceItem'.
 
 
 type: string constant in Trading_ListingTypeCodeType.h
*/
@property (nonatomic, retain) NSString *listingType;

/**
 
 For auction listings, the <b>StartPrice</b> indicates the lowest dollar
 value that can be set for the item's Starting bid.
 <br><br>
 For fixed-price listings, the <b>StartPrice</b> indicates the lowest
 dollar value that can be set for the item's sale price.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *startPrice;

/**
 
 Returns the latest version number for this field. The version can be used to
 determine if and when to refresh cached client data.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *detailVersion;

/**
 
 Gives the time in GMT that the feature flags for the
 details were last updated. This timestamp can be used to determine
 if and when to refresh cached client data.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *updateTime;

/**
 
 This field is only returned and applicable for auction listings.
 <br><br>
 This float value indicates the minimum percentage value that a Buy It Now price for
 an auction listing must be above the Starting bid price for that same listing.
 <br><br>
 On the US eBay Motors site (Site ID 100), this field only applies to the Parts and
 Accessories categories.
 
 
 type : NSNumber, wrapper for primitive float
*/
@property (nonatomic, retain) NSNumber *minBuyItNowPricePercent;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
