// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Describes an individual mark-up or mark-down event. eBay will automatically
 mark an application as down if attempts to deliver a notification fail
 repeatedly. eBay may mark an application down manually under certain
 circumstances.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_MarkUpMarkDownEventType : NSObject <PicoBindable> {

@private
    NSString *_type;
    NSDate *_time;
    NSString *_reason;
    NSMutableArray *_any;

}


/**
 
 Whether the application has been marked up or marked down.
 
 
 type: string constant in Trading_MarkUpMarkDownEventTypeCodeType.h
*/
@property (nonatomic, retain) NSString *type;

/**
 
 Time when the application was marked up or marked down.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *time;

/**
 
 Describes how the application was marked down, automatically or
 manually. When an application is automatically marked down, eBay will
 ping the application periodically, and if communication is restored, eBay
 will automatically mark the application up. If your application is marked
 down manually, you must contact eBay Developer Support to get your
 application marked up. A Reason is not provided for mark up events.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *reason;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
