// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_ValueRecommendationType;
@class Trading_RecommendationValidationRulesType;

/**
 
 Defines details about recommended names and values for custom Item Specifics.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_NameRecommendationType : NSObject <PicoBindable> {

@private
    NSString *_name;
    Trading_RecommendationValidationRulesType *_validationRules;
    NSMutableArray *_valueRecommendation;
    NSString *_helpURL;
    NSString *_source;
    NSString *_helpText;
    NSMutableArray *_any;

}


/**
 
 A recommended Item Specific name.
 Always returned when NameRecommendation is returned.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *name;

/**
 
 Constraints that eBay places on this Item Specific.
 Always returned when NameRecommendation is returned.
 As a general rule, AddItem and related calls will not be blocked
 if you don't use eBay's recommendations, except where specified
 in this documentation.
 
 
 type : class Trading_RecommendationValidationRulesType
*/
@property (nonatomic, retain) Trading_RecommendationValidationRulesType *validationRules;

/**
 
 A recommended value (if any) for the Item Specific name.
 Only returned when a recommended value is available in the system.<br>
 <br>
 If an Item Specific has value dependencies (i.e., if it has value recommendations that contain Relationship), then
 all of its value recommendations are returned.
 If it has no dependencies, then the maximum number of
 value recommendations that can be returned is limited by the number
 you specified in MaxValuesPerName.
 
 
 entry type : class Trading_ValueRecommendationType
*/

@property (nonatomic, retain) NSMutableArray *valueRecommendation;

/**
 
 A page on the eBay Web site with context-specific help tips that
 provide useful information about this Item Specific.
 Only returned when an applicable page is available in the system.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *helpURL;

/**
 
 Reserved for future use.
 
 
 type: string constant in Trading_ItemSpecificSourceCodeType.h
*/
@property (nonatomic, retain) NSString *source;

/**
 
 Help-text defines the purpose of the tag.
 The help text will be shown only when it is available for the particular tag
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *helpText;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
