// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 A name and corresponding value (a name/value pair).
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_NameValueListType : NSObject <PicoBindable> {

@private
    NSString *_name;
    NSMutableArray *_value;
    NSString *_source;
    NSMutableArray *_any;

}


/**
 
 A name in a name/value pair.<br>
 <br>
 <b>For the AddItem and AddFixedPriceItem families of
 calls:</b> In the Item.ItemSpecifics context, this can be any
 name that the seller wants to use. However, to help buyers find
 items more easily, it is a good idea to try to use a recommended
 name when possible (see GetCategorySpecifics or
 GetItemRecommendations).
 You can't specify the same name twice within the same listing.<br>
 <br>
 <b>For the AddFixedPriceItem family of calls:</b>
 In the VariationSpecifics context, this can be any name that
 the seller wants to use, unless the VariationsEnabled flag
 is false for the name in the GetCategorySpecifics response.
 For example, for some categories eBay may recommend that you only
 use "Brand" as a shared name at the Item level, not in variations.<br>
 <br>
 <b>For GetCategorySpecifics and GetItemRecommendations:</b>
 This is a recommended (popular) name to use for items in the
 specified category (e.g., "Brand" might be recommended,
 not "Manufacturer").
 </span>
 <br>
 <br>
 <b>For PlaceOffer:</b> Required if the item being
 purchased includes Item Variations.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *name;

/**
 
 A value associated with the name.<br>
 <br>
 <b>For the AddItem family of calls:</b>
 If you specify multiple values for Item Specifics,
 eBay only stores the first one,
 unless GetCategorySpecifics or GetItemRecommendations indicates
 that the corresponding name supports multiple values.<br>
 <br>
 <b>For the AddFixedPriceItem family of calls:</b>
 If you specify multiple values for Item Specifics or
 Variation Specifics,
 eBay only stores the first one,
 unless GetCategorySpecifics or GetItemRecommendations indicates
 that the corresponding name supports multiple values.<br>
 <br>
 In VariationSpecificSet, you typically specify multiple
 Value fields for each name. For example, if Name=Size,
 you would specify all size values that you wan to offer in the
 listing.<br>
 <br>
 <b>For GetCategorySpecifics and GetItemRecommendations:</b> The most highly recommended values are returned first. For these calls,
 Value is only returned when recommended values are available.<br>
 <br>
 <b>For PlaceOffer:</b> Required if the item being
 purchased includes Item Variations.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *value;

/**
 
 The origin of this Item Specific. Only returned if the source is not
 custom Item Specifics.
 
 
 type: string constant in Trading_ItemSpecificSourceCodeType.h
*/
@property (nonatomic, retain) NSString *source;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
