// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Type defining the <b>NonProfitAddress</b> container, which consists of the
 address (including latitude and longitude) of a nonprofit charity organization.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_NonProfitAddressType : NSObject <PicoBindable> {

@private
    NSString *_addressLine1;
    NSString *_addressLine2;
    NSString *_city;
    NSString *_state;
    NSString *_zipCode;
    NSNumber *_latitude;
    NSNumber *_longitude;
    NSString *_addressType;
    NSMutableArray *_any;

}


/**
 
 The street address of a nonprofit charity organization.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *addressLine1;

/**
 
 The second line (if needed) of a nonprofit charity organization. This field is often
 used for a suite number, floor number, or P.O. Box.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *addressLine2;

/**
 
 The city in which a nonprofit charity organization is located.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *city;

/**
 
 The state in which a nonprofit charity organization is located.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *state;

/**
 
 The zip code of a nonprofit charity organization.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *zipCode;

/**
 
 The latitude value of a nonprofit charity organization. Latitude and longitude
 coordinates pinpoint the location of the organization relative to the earth, and are
 useful for search purposes. The <b>Latitude</b> and <b>Longitude</b>
 fields are only returned in <b>GetCharities</b> if set by the organization.
 
 
 type : NSNumber, wrapper for primitive double
*/
@property (nonatomic, retain) NSNumber *latitude;

/**
 
 The longitude value of a nonprofit charity organization. Latitude and longitude
 coordinates pinpoint the location of the organization relative to the earth, and are
 useful for search purposes. The <b>Latitude</b> and <b>Longitude</b>
 fields are only returned in <b>GetCharities</b> if set by the organization.
 
 type : NSNumber, wrapper for primitive double
*/
@property (nonatomic, retain) NSNumber *longitude;

/**
 
 Enumeration value that indicates whether or not a nonprofit charity organization is
 registered with eBay Giving Works. See the <a href="http://pages.ebay.com/help/sell/nonprofit.html#certify">Certifying your
 organization with MissionFish</a> help topic for more information on registering with
 MissionFish and the benefits that come with being a registered eBay Giving Works
 organization.
  
 
 type: string constant in Trading_AddressTypeCodeType.h
*/
@property (nonatomic, retain) NSString *addressType;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
