// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_UserType;
@class Trading_AmountType;

/**
 
 Contains information pertaining to an offer made on an item listing and
 the current bidding or purchase state of the listing.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_OfferType : NSObject <PicoBindable> {

@private
    NSString *_action;
    NSString *_currency;
    NSString *_itemID;
    Trading_AmountType *_maxBid;
    NSNumber *_quantity;
    NSNumber *_secondChanceEnabled;
    NSString *_siteCurrency;
    NSDate *_timeBid;
    Trading_AmountType *_highestBid;
    Trading_AmountType *_convertedPrice;
    NSString *_transactionID;
    Trading_UserType *_user;
    NSNumber *_userConsent;
    NSNumber *_bidCount;
    NSString *_message;
    NSString *_bestOfferID;
    Trading_AmountType *_myMaxBid;
    NSMutableArray *_any;

}


/**
 
 Indicates the type of offer being made on the specified listing.
 If the item is Best Offer enabled and the buyer
 makes a Best Offer (or a counter offer), then after
 the <b>PlaceOffer</b> call,
 the buyer can get the status of the Best Offer
 (and of a possible seller-counter-offer, etc.)
 using the <b>GetBestOffers</b> call. See the
 Trading Web Services Guide for information
 about best-offer enabled items and
 about <b>GetBestOffers</b>.
 
 
 type: string constant in Trading_BidActionCodeType.h
*/
@property (nonatomic, retain) NSString *action;

/**
 
 Three-digit currency code for the currency used for the auction. Valid values can
 be viewed in the <b>CurrencyCodeType</b> code list.
 
 
 type: string constant in Trading_CurrencyCodeType.h
*/
@property (nonatomic, retain) NSString *currency;

/**
 
 The unique identifier of an item listed on the eBay site.
 Returned by eBay when the item is created.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Amount of the offer placed. For auction listings, the amount
 bid on the item (subject to outbid by other buyers). For fixed-price
 listings, the fixed sale price at which the item is purchased. For
 auction listings with an active Buy It Now option, this amount
 will be either the Buy It Now price for purchase or the amount of a bid,
 depending on the offer type (as specified in <b>Action</b>). For <b>PlaceOffer</b>,
 the <b>CurrencyID</b> attribute is ignored if provided. Regarding Value-Added Tax (VAT):
 Even if VAT applies, you do not need to add VAT to the <b>MaxBid</b> value.
 If VAT applies to the listing, the seller can specify a VAT percent value
 when they list the item.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *maxBid;

/**
 
 Specifies the number of items from the specified listing the user
 tendering the offer intends to purchase, bid on, or make a Best Offer on.
 For auctions, the value may not
 exceed one. For multi-item listings, must be greater than zero and not
 exceeding the number of items offered for sale in the listing.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *quantity;

/**
 
 Indicates the user's preference to accept second chance offers. If true,
 the user is willing to be the recipient of second chance offers.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *secondChanceEnabled;

/**
 
 Unique ID identifying the currency in which the localized offer amounts are
 expressed.
 
 
 type: string constant in Trading_CurrencyCodeType.h
*/
@property (nonatomic, retain) NSString *siteCurrency;

/**
 
 Date and time the offer or bid was placed.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *timeBid;

/**
 
 Amount the highest bidder has bid on the item. Applicable to only
 auction listings where there is progressive bidding
 and winning bidders are determined based on the highest bid.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *highestBid;

/**
 
 Localized amount for the item's current price.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *convertedPrice;

/**
 
 The unique identifier of the order line item (transaction). An order line item
 is created when a winning bidder commits to purchasing an
 item.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *transactionID;

/**
 
 Bidder information. See the schema documentation for <b>UserType</b> for details
 on its properties and their meanings.
 
 
 type : class Trading_UserType
*/
@property (nonatomic, retain) Trading_UserType *user;

/**
 
 If true, confirms that the bidder read and agrees to eBay's
 privacy policy. Applies if the subject item is in a category
 that requires user consent. If user consent (that is,
 confirmation that a bidder read and agrees to eBay's privacy
 policy) is required for a category that the subject item is in,
 this value must be true for a bid to occur.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *userConsent;

/**
 
 Total number of offers the user has made on the item.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *bidCount;

/**
 
 A message from the buyer to the seller. Applies if the buyer
 is using <b>PlaceOffer</b> to perform a best-offer-related
 action (Best Offer, counter offer, etc.).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *message;

/**
 
 The ID of a Best Offer on an item. Must be specified as input to <b>PlaceOffer</b> only if a
 buyer is accepting or declining a seller's counter offer (and is not required for a
 buyer's offer or counter offer).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *bestOfferID;

/**
 
 Maximum bid placed by the user making the call.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *myMaxBid;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
