// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>

/**
 @file
 
 Specifies the payment status of an order, as
 seen by the buyer and seller.
 
 
 @ingroup EBayAPIInterface
*/

/**
 
 The buyer has not completed checkout, but has not paid through PayPal or
 PaisaPay (but please also see the documentation for PaymentHoldStatus and its applicable values).
 The buyer might have paid using another method, but the payment
 might not have been received or cleared.
 Important: Please see the documentation for PaymentHoldStatus and its applicable values.
 PaymentHoldStatus contains the current status of a hold on a PayPal payment.
 
*/
extern NSString *const Trading_PaidStatusCodeType_NOT_PAID;

/**
 
 The buyer has not completed the checkout process and so has not made payment.
 
*/
extern NSString *const Trading_PaidStatusCodeType_BUYER_HAS_NOT_COMPLETED_CHECKOUT;

/**
 
 The buyer has made a PayPal payment, but the seller has not yet received it.
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAYMENT_PENDING_WITH_PAY_PAL;

/**
 
 The buyer has made a PayPal payment, and the payment is complete.
 But please also see the documentation for PaymentHoldStatus and its applicable values.
 PaymentHoldStatus contains the current status of a hold on a PayPal payment.
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAID_WITH_PAY_PAL;

/**
 
 The order is marked as paid by either buyer or seller.
 
*/
extern NSString *const Trading_PaidStatusCodeType_MARKED_AS_PAID;

/**
 
 The buyer has made an escrow payment, but the seller has not yet received it.
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAYMENT_PENDING_WITH_ESCROW;

/**
 
 The buyer has made an escrow payment, and the seller has received payment.
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAID_WITH_ESCROW;

/**
 
 The buyer has made an escrow payment, but has cancelled the payment.
 
*/
extern NSString *const Trading_PaidStatusCodeType_ESCROW_PAYMENT_CANCELLED;

/**
 
 The buyer has paid with PaisaPay, but the payment is still being processed.
 The seller has not yet received payment.
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAYMENT_PENDING_WITH_PAISA_PAY;

/**
 
 The buyer has paid with PaisaPay, and the payment is complete.
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAID_WITH_PAISA_PAY;

/**
 
 The buyer has made a payment other than PayPal, escrow, or PaisaPay, but the
 payment is still being processed.
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAYMENT_PENDING;

/**
 
 Payment Pending With PaisaPay Escrow
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAYMENT_PENDING_WITH_PAISA_PAY_ESCROW;

/**
 
 Paid With PaisaPay Escrow
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAID_WITH_PAISA_PAY_ESCROW;

/**
 
 Paisa Pay Not Paid
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAISA_PAY_NOT_PAID;

/**
 
 Refunded
 
*/
extern NSString *const Trading_PaidStatusCodeType_REFUNDED;

/**
 
 WaitingForCODPayment
 
*/
extern NSString *const Trading_PaidStatusCodeType_WAITING_FOR_COD_PAYMENT;

/**
 
 PaidCOD
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAID_COD;

/**
 
 Reserved for future use.
 
*/
extern NSString *const Trading_PaidStatusCodeType_CUSTOM_CODE;

/**
 
 Paid
 
*/
extern NSString *const Trading_PaidStatusCodeType_PAID;
