// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_SellerDashboardAlertType;

/**
 
 Type defining the <b>Performance</b> container returned in the
 <b>GetSellerDashboard</b> response. The <b>Performance</b>
 container consists of the seller's overall selling performance rating on all eBay sites
 on which the seller is sellling, as well as any alerts related to performance.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_PerformanceDashboardType : NSObject <PicoBindable> {

@private
    NSMutableArray *_site;
    NSString *_status;
    Trading_SellerDashboardAlertType *_alert;
    NSMutableArray *_any;

}


/**
 
 The eBay site(s) on which the seller's performance is being evaluated.
 <br />
 A seller's performance status is evaluated for three specific regions: US,
 UK/Ireland, and Germany/Switzerland/Austria. The <b>Site</b> field is
 repeated to show all sites in each region, if applicable.
 
 
 entry type : string constant in Trading_SiteCodeType.h
*/

@property (nonatomic, retain) NSMutableArray *site;

/**
 
 This field indicates the seller's performance rating. This rating is an overall
 performance for the eBay site(s) found in the <b>Site</b> field(s).
 
 
 type: string constant in Trading_PerformanceStatusCodeType.h
*/
@property (nonatomic, retain) NSString *status;

/**
 
 The <b>Performance.Alert</b> container is only returned if eBay has
 posted one or more informational or warning messages related to the seller's
 performance rating.
 
 
 type : class Trading_SellerDashboardAlertType
*/
@property (nonatomic, retain) Trading_SellerDashboardAlertType *alert;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
