// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>

/**
 @file
 
 Specifies the type of image display used in a listing. Some options are
 only available if images are hosted through eBay Picture Services (EPS).
 Cannot be used with Listing Designer layouts (specified in Item.ListingDesigner).
 
 
 @ingroup EBayAPIInterface
*/

/**
 
 No special image display options. Valid for US Motors listings.
 
*/
extern NSString *const Trading_PhotoDisplayCodeType_NONE;

extern NSString *const Trading_PhotoDisplayCodeType_SLIDE_SHOW;

/**
 
 Increase the size of each image and allow buyers to enlarge images
 further. Only available for site-hosted (EPS) images. Not valid for US Motors
 listings. For all sites that do not automatically upgrade SuperSize to
 PicturePack (see note below), specifying no SuperSize-qualified images is now
 accepted in the request.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 SuperSize is automatically upgraded to PicturePack for the same SuperSize
 fee on the US Motors Parts & Accessories Category and US (site ID 0)
 and CA (site ID 2) and CAFR (site ID 210). This upgrade applies
 only to EPS images.
 </span>
 <br><br>
 
*/
extern NSString *const Trading_PhotoDisplayCodeType_SUPER_SIZE;

/**
 
 Increase the number of images displayed. This is only available for
 images hosted with eBay. See GetCategoryFeatures and the
 online Help (on the eBay site) for additional information.
 <br><br>
 Picture Pack applies to all sites
 (including USMotors), except for NL (site ID 146). You can specify a minimum of
 one EPS picture, or no SuperSize-qualified EPS pictures in the request. For
 the NL site, PicturePack is replaced with SuperSize.
 
*/
extern NSString *const Trading_PhotoDisplayCodeType_PICTURE_PACK;

extern NSString *const Trading_PhotoDisplayCodeType_SITE_HOSTED_PICTURE_SHOW;

extern NSString *const Trading_PhotoDisplayCodeType_VENDOR_HOSTED_PICTURE_SHOW;

/**
 
 This is valid for US Motors listing only. For other listings, use SuperSize.
 
*/
extern NSString *const Trading_PhotoDisplayCodeType_SUPER_SIZE_PICTURE_SHOW;

/**
 
 Reserved for internal or future use.
 
*/
extern NSString *const Trading_PhotoDisplayCodeType_CUSTOM_CODE;
