// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_VariationSpecificPictureSetType;

/**
 
 Defines variation-specific pictures associated with one
 VariationSpecificName (e.g., Color) whose values differ across variations.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_PicturesType : NSObject <PicoBindable> {

@private
    NSString *_variationSpecificName;
    NSMutableArray *_variationSpecificPictureSet;
    NSMutableArray *_any;

}


/**
 
 One aspect of the variations that will be illustrated in the
 pictures for all variations. For example, if each variation
 is visually distinguished by color and the pictures show
 the different colors available, then specify "Color" as the name.
 The name must match one of the names specified in the
 <b>VariationSpecifics</b> container.
 <br><br>
 This field is required in each <b>Item.Variations.Pictures</b> container that is used.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *variationSpecificName;

/**
 
 A container consisting of one or more picture URLs associated with a variation
 specific value (e.g., color=blue). For example, suppose a listing contains blue
 and black color variations, and <b>VariationSpecificName= Color</b>.
 In this case, one picture set could contain pictures of the blue shirts (e.g.,
 front view, back view, and close-up of a trim detail), and another picture set
 could contain pictures of the black shirts.
 <br><br>
 A variation specific picture set can consist of up to 12 images hosted by eBay
 Picture Services (EPS). However, only one picture may be used if that picture is
 hosted outside of eBay. eBay Picture Services and self-hosted images can never
 be combined into the same variation specific picture set.
 <br><br>
 At least one picture set is required if the <b>Pictures</b> node
 is present in the request. You are not required to provide pictures
 for all values that correspond to the variation specific name.
 For example, a listing could have pictures depicting the blue and
 black color variations, but not the pink variations.
 
 
 entry type : class Trading_VariationSpecificPictureSetType
*/

@property (nonatomic, retain) NSMutableArray *variationSpecificPictureSet;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
