// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_SellingStatusType;
@class Trading_BestOfferType;

/**
 
 The <b>PlaceOffer</b> response notifies you about the success and result
 of the call.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_PlaceOfferResponseType : Trading_AbstractResponseType {

@private
    Trading_SellingStatusType *_sellingStatus;
    NSString *_transactionID;
    Trading_BestOfferType *_bestOffer;
    NSString *_orderLineItemID;

}


/**
 
 Indicates the current bidding/purchase state of the item listing regarding
 the offer extended using <b>PlaceOffer</b>. See the schema documentation for
 the <b>SellingStatus</b> object, the properties of which contain such
 post-offer information as the current high bidder, the current price for
 the item, and the bid increment.
 
 
 type : class Trading_SellingStatusType
*/
@property (nonatomic, retain) Trading_SellingStatusType *sellingStatus;

/**
 
 Unique identifier for an eBay order line item (transaction). The
 <b>TransactionID</b> field is only returned if the <b>Offer.Action</b> field was set
 to <b>Purchase</b> in the input and the purchase was successful. A Purchase
 action in <b>PlaceOffer</b> can be used for a fixed-price listing, or for an
 auction listing where the Buy It Now option is available.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *transactionID;

/**
 
 Container consisting of the status for a Best Offer. This container is
 only returned if applicable based on the listing and the value set for
 <b>Offer.Action</b> field in the request.
 
 
 type : class Trading_BestOfferType
*/
@property (nonatomic, retain) Trading_BestOfferType *bestOffer;

/**
 
 <b>OrderLineItemID</b> is a unique identifier for an eBay order line item and
 is based upon the concatenation of <b>ItemID</b> and <b>TransactionID</b>, with a
 hyphen in between these two IDs. The <b>OrderLineItemID</b> field is only
 returned if the <b>Offer.Action</b> field is set to <b>Purchase</b> in the input and
 the purchase is successful. A Purchase action in <b>PlaceOffer</b> can be used
 for a fixed-price listing, or for an auction listing where the Buy It
 Now option is available.
 <br>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *orderLineItemID;


@end
