// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Identifies an individual product suggestion. The product details include the EPID, Title, Stock photo url and if it is
 an exact match.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ProductSuggestionType : NSObject <PicoBindable> {

@private
    NSString *_title;
    NSString *_epid;
    NSString *_stockPhoto;
    NSNumber *_recommended;
    NSMutableArray *_any;

}


/**
 
 The title of the product from the eBay catalog.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *title;

/**
 
 The product reference Id of the product
 The eBay Product ID, a global reference ID for an eBay catalog product. The
 ePID is a fixed reference to a product (regardless of version).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *epid;

/**
 
 Fully qualified URL for a stock image (if any) that is associated with the
 eBay catalog product. The URL is for the image eBay usually displays in
 product search results (usually 70px tall). It may be helpful to calculate the
 dimensions of the photo programmatically before displaying it.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *stockPhoto;

/**
 
 If true, indicates that the product is an exact match, suitable for listing
 the item.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *recommended;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
