// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_CharacteristicsSetType;
@class Trading_AmountType;

/**
 
 This type is deprecated as <b>GetProduct*</b> calls were deprecated.
 
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ProductType : NSObject <PicoBindable> {

@private
    Trading_CharacteristicsSetType *_characteristicsSet;
    NSString *_detailsURL;
    NSNumber *_numItems;
    Trading_AmountType *_minPrice;
    Trading_AmountType *_maxPrice;
    NSString *_productReferenceID;
    NSMutableArray *_any;
    NSString *_productID;
    NSString *_stockPhotoURL;
    NSString *_title;

}


/**
 
 
 A set of characteristics that describe the product in a standardized way.
 In responses, only the attributes and values that applicable for the
 specified product are returned.
 
 
 type : class Trading_CharacteristicsSetType
*/
@property (nonatomic, retain) Trading_CharacteristicsSetType *characteristicsSet;

/**
 
 
 Fully qualified URL for optional information about the product,
 such as a movie's description or film credits. This information
 is hosted through the eBay site and cannot be edited.
 Applications can include this URL as a link in product search results
 so that end users can view additional descriptive details about the product.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *detailsURL;

/**
 
 
 Total number of active listings on the specified eBay site
 that were pre-filled based on this product.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *numItems;

/**
 
 
 Lowest current price of active and ended listings on the specified eBay site that were
 pre-filled based on this product. The value is in the specified site's currency.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *minPrice;

/**
 
 
 Highest current price of active and ended listings on the specified eBay site that were
 pre-filled based on this product. The value is in the specified site's currency.
 Round numbers (such as 15.0) may only show one zero after the decimal (as with any double in the schema).
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *maxPrice;

/**
 
 
 eBay's global reference ID for a catalog product.
 On the eBay Web site, this is known as the "ePID". A reference ID is
 a fixed reference to a product (regardless of version).
 One reference ID can be associated with multiple ProductID values.
 The value should start with "EPID", for example "EPID30971438"
 (without quotes).
 You can find reference IDs for products by using FindProducts in the Shopping API. You can also find the ePID on eBay's Web site.
 <br><br>
 If the primary and secondary categories are both catalog-enabled,
 this ID should correspond to the primary category
 (not the secondary category).<br>
 <br>
 Some sites (such as eBay US, Germany, Austria, and Switzerland) are updating,
 replacing, deleting, or merging some products (as a result of migrating from one
 catalog data provider to another). If you specify one of these products in a request,
 the call may return the product with a warning, or it may return an error if the
 product has been deleted.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *productReferenceID;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;

/**
 (public property)
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *productID;

/**
 (public property)
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *stockPhotoURL;

/**
 (public property)
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *title;


@end
