// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_PromotionDetailsType;

/**
 
 This type is deprecated as Cross Promotions are no longer supported in the APIs.
 
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_PromotedItemType : NSObject <PicoBindable> {

@private
    NSString *_itemID;
    NSString *_pictureURL;
    NSNumber *_position;
    NSString *_selectionType;
    NSString *_title;
    NSString *_listingType;
    NSMutableArray *_promotionDetails;
    NSString *_timeLeft;
    NSMutableArray *_any;

}


/**
 
 
   The unique ID of the item for which there is a promotion.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 
 URL for an image hosted by eBay Picture Services (EPS) or self-hosted for
 the promoted item, if any.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *pictureURL;

/**
 
 
 The ordinal position of the cross-promoted item
 in the display. If the display is from top to bottom,
 1 is at top. If the display is from left to right, 1
 is at left.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *position;

/**
 
 
 The manner in which the cross-promoted item was chosen
 to be associated with the referring item. Output only.
 
 
 type: string constant in Trading_PromotionItemSelectionCodeType.h
*/
@property (nonatomic, retain) NSString *selectionType;

/**
 
 
 The item title of the promoted item that is displayed in the
 referring item's page.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 The maximum length of an eBay Item Title has increased to 80 characters as of
 September 2011.
 </span>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *title;

/**
 
 
 The listing type under which the cross-promoted item
 is being offered.<br>
 <br>
 <span class="tablenote"><b>Note:</b>
 Lead generated items are only cross-promoted if they are in the classified
 ad format (ListingSubtype=ClassifiedAd).
 </span>
 
 
 type: string constant in Trading_ListingTypeCodeType.h
*/
@property (nonatomic, retain) NSString *listingType;

/**
 
 
 Contains the details about the promoted item for a given PromotionPriceType. Output only.
 Returned with request versions 485 or higher.
 
 
 entry type : class Trading_PromotionDetailsType
*/

@property (nonatomic, retain) NSMutableArray *promotionDetails;

/**
 
 
 Time left before the listing for the cross-promoted item ends. Output only.
 The duration is represented in the ISO 8601 duration format (PnYnMnDTnHnMnS).
 See Data Types in the eBay Web Services guide for information about this
 format.
 For ended listings, the time left is PT0S (zero seconds).
 
 
 type : NSString, wrapper for primitive duration
*/
@property (nonatomic, retain) NSString *timeLeft;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
