// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_ItemIDArrayType;

/**
 
 Details for a single promotional sale.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_PromotionalSaleType : NSObject <PicoBindable> {

@private
    NSNumber *_promotionalSaleID;
    NSString *_promotionalSaleName;
    Trading_ItemIDArrayType *_promotionalSaleItemIDArray;
    NSString *_status;
    NSString *_discountType;
    NSNumber *_discountValue;
    NSDate *_promotionalSaleStartTime;
    NSDate *_promotionalSaleEndTime;
    NSString *_promotionalSaleType;
    NSMutableArray *_any;

}


/**
 
 Unique ID of a promotional sale (discount and/or free shipping) for items.
 This field is an input field only for the SetPromotionalSale call
 and only if you are not adding a new promotional sale.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *promotionalSaleID;

/**
 
 Name of a promotional sale for items.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *promotionalSaleName;

/**
 
 Items covered by a promotional sale.
 
 
 type : class Trading_ItemIDArrayType
*/
@property (nonatomic, retain) Trading_ItemIDArrayType *promotionalSaleItemIDArray;

/**
 
 Status of a promotional sale for items.
 
 
 type: string constant in Trading_PromotionalSaleStatusCodeType.h
*/
@property (nonatomic, retain) NSString *status;

/**
 
 Type of a promotional sale discount for items (for example, percentage).
 Applies to price discount sales only.
 
 
 type: string constant in Trading_DiscountCodeType.h
*/
@property (nonatomic, retain) NSString *discountType;

/**
 
 Value of a promotional sale discount for items, a percentage discount
 or a fixed amount reduction. Percentage discounts must be at least 5% and
 cannot exceed 75% of the original listing price. Fixed amount discounts
 will be in the currency of the original listing.
 Applies to price discount sales only.
 
 
 type : NSNumber, wrapper for primitive double
*/
@property (nonatomic, retain) NSNumber *discountValue;

/**
 
 Start date of a promotional sale for items. Promotional sales can start
 immediately or be scheduled to start at a later date. Some sites require
 items to have been listed for a specific duration before they can be added
 to a promotional sale (for example, on the US site, items must have been
 listed for a day before they can be added to a promotional sale).
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *promotionalSaleStartTime;

/**
 
 End date of a promotional sale discount for items. Maximum listing durations
 vary by site from 14 days to 45 days. The minimum promotional sale duration is 1 day for most sites, but 3 days on some sites.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *promotionalSaleEndTime;

/**
 
 Type of promotional sale: price discount, free shipping, or both.
 
 
 type: string constant in Trading_PromotionalSaleTypeCodeType.h
*/
@property (nonatomic, retain) NSString *promotionalSaleType;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
