// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Specifies the type of reminders for which you want information.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_RemindersType : NSObject <PicoBindable> {

@private
    NSNumber *_paymentToSendCount;
    NSNumber *_feedbackToReceiveCount;
    NSNumber *_feedbackToSendCount;
    NSNumber *_outbidCount;
    NSNumber *_paymentToReceiveCount;
    NSNumber *_secondChanceOfferCount;
    NSNumber *_shippingNeededCount;
    NSNumber *_relistingNeededCount;
    NSNumber *_totalNewLeadsCount;
    NSNumber *_docsForCCProcessingToSendCount;
    NSNumber *_rteToProcessCount;
    NSNumber *_itemReceiptToConfirmCount;
    NSNumber *_refundOnHoldCount;
    NSNumber *_refundCancelledCount;
    NSNumber *_shippingDetailsToBeProvidedCount;
    NSNumber *_itemReceiptConfirmationToReceiveCount;
    NSNumber *_refundInitiatedCount;
    NSNumber *_pendingRTERequestCount;
    NSNumber *_declinedRTERequestCount;
    NSMutableArray *_any;

}


/**
 
 The number of reminders requesting that the buyer send payment.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *paymentToSendCount;

/**
 
 The number of reminders that feedback has not yet been received by the buyer or seller.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *feedbackToReceiveCount;

/**
 
 The number of reminders that feedback has not yet been sent by the buyer or seller.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *feedbackToSendCount;

/**
 
 The number of reminders advising the buyer that the buyer has been
 outbid.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *outbidCount;

/**
 
 The number of reminders that the seller has not yet received a payment.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *paymentToReceiveCount;

/**
 
 The number of reminders requesting that the seller review second
 chance offers.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *secondChanceOfferCount;

/**
 
 The number of reminders advising the seller that shipping is
 needed.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *shippingNeededCount;

/**
 
 The number of reminders advising the seller that relisting is needed.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *relistingNeededCount;

/**
 The number of new leads the seller has recieved.
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *totalNewLeadsCount;

/**
 
 The number of reminders advising the buyer to send documents for credit card processing.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *docsForCCProcessingToSendCount;

/**
 
 The number of reminders requesting the buyer to process request time extension submitted by the seller.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *rteToProcessCount;

/**
 
 The number of reminders requesting the Buyer to confirm item receipt to seller.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *itemReceiptToConfirmCount;

/**
 
 The number of reminders to the buyer on refund on hold.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *refundOnHoldCount;

/**
 
 The number of reminders to the buyer on refund cancelled.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *refundCancelledCount;

/**
 
 The number of reminders requesting the seller to provide shipping details
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *shippingDetailsToBeProvidedCount;

/**
 
 The number of reminders to the seller on item receipt confirmation pending from buyer
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *itemReceiptConfirmationToReceiveCount;

/**
 
 The number of reminders to the seller on refunds initiated
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *refundInitiatedCount;

/**
 
 The number of reminders to the seller on pending shipping time extension requests with the buyer
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pendingRTERequestCount;

/**
 
 The number of reminders to the seller on declined shipping time extension requests by the buyer
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *declinedRTERequestCount;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
