// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_AmountType;

/**
 
 Enables the seller of a Best Offer item to accept, decline, or counter offers
 made by bidders. Best offers can be declined in bulk, using the same message
 from the seller to the bidders of all rejected offers.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_RespondToBestOfferRequestType : Trading_AbstractRequestType {

@private
    NSString *_itemID;
    NSMutableArray *_bestOfferID;
    NSString *_action;
    NSString *_sellerResponse;
    Trading_AmountType *_counterOfferPrice;
    NSNumber *_counterOfferQuantity;

}


/**
 
 Specifies the item for which the BestOffer data is to be returned.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 The ID of a Best Offer for the item.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *bestOfferID;

/**
 
 The action taken on the Best Offer by the seller (e.g.,
 Accept, Decline, or Counter). Bulk Accept and Bulk
 Counter are not supported. That is, you cannot accept or
 counter multiple offers in a single call. You can,
 however, decline multiple offers in a single call.
 
 
 type: string constant in Trading_BestOfferActionCodeType.h
*/
@property (nonatomic, retain) NSString *action;

/**
 
 A comment from the seller to the buyer.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *sellerResponse;

/**
 
 The counter offer price. When Action is set to Counter,
 you must specify the amount for the counter offer with
 CounterOfferPrice. The value of CounterOfferPrice cannot
 exceed the Buy It Now price for a single quantity item.
 The value of CounterOfferPrice may exceed the Buy It Now
 price if the value for CounterOfferQuantity is greater
 than 1.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *counterOfferPrice;

/**
 
 The quantity of items in the counter offer. When Action is set to
 Counter you must specify the quantity of items for the
 counter offer with CounterOfferQuantity.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *counterOfferQuantity;


@end
