// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Used to reply to feedback that has been left for a user, or to post a
 follow-up comment to a feedback comment the user has left for someone else.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_RespondToFeedbackRequestType : Trading_AbstractRequestType {

@private
    NSString *_feedbackID;
    NSString *_itemID;
    NSString *_transactionID;
    NSString *_targetUserID;
    NSString *_responseType;
    NSString *_responseText;
    NSString *_orderLineItemID;

}


/**
 
 A unique identifier for a Feedback record. Buying and selling partners
 leave feedback for one another after the completion of an order.
 Feedback is left at the order line item (transaction) level, so a
 Feedback comment for each line item in a Combined Payment order is
 expected from the buyer and seller. A unique <b>FeedbackID</b> is created
 whenever a buyer leaves feedback for a seller, and vice versa. A
 <b>FeedbackID</b> is created by eBay when feedback is left through the eBay
 site, or through the <b>LeaveFeedback</b> call. <b>FeedbackIDs</b> can be retrieved
 with the <b>GetFeedback</b> call. In the <b>RespondToFeedback</b> call, <b>FeedbackID</b> can
 be used as an input filter to respond to a specific Feedback comment.
 Since Feedback is always linked to a unique order line item, an
 <b>ItemID</b>/<b>TransactionID</b> pair or an <b>OrderLineItemID</b> can also be used to
 respond to a Feedback comment.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *feedbackID;

/**
 
 Unique identifier for an eBay item listing. A listing can have multiple
 order line items (transactions), but only one <b>ItemID</b>. An <b>ItemID</b> can be
 paired up with a corresponding <b>TransactionID</b> and used as an input filter
 to respond to a Feedback comment in the <b>RespondToFeedback</b> call. Unless
 the specific Feedback record is identified by a <b>FeedbackID</b> or an
 <b>OrderLineItemID</b> in the request, an <b>ItemID</b>/<b>TransactionID</b> pair is
 required.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Unique identifier for an eBay order line item (transaction). A
 <b>TransactionID</b> can be paired up with its corresponding <b>ItemID</b> and used as
 an input filter to respond to a Feedback comment in the
 <b>RespondToFeedback</b> call. Unless the specific Feedback record is
 identified by a <b>FeedbackID</b> or an <b>OrderLineItemID</b> in the request, an
 <b>ItemID</b>/<b>TransactionID</b> pair is required.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *transactionID;

/**
 
 The eBay user ID of the caller's order partner. The caller is either
 replyting to or following up on this user's Feedback comment.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *targetUserID;

/**
 
 Specifies whether the response is a reply or a follow-up to a Feedback
 comment left by the user identified in the <b>TargetUserID</b> field.
 
 
 type: string constant in Trading_FeedbackResponseCodeType.h
*/
@property (nonatomic, retain) NSString *responseType;

/**
 
 Textual comment that the user who is subject of feedback may leave in
 response or rebuttal to the Feedback comment. Alternatively, when the
 <b>ResponseType</b> is <b>FollowUp</b>, this value contains the text of the follow-up
 comment.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *responseText;

/**
 
 <b>OrderLineItemID</b> is a unique identifier for an eBay order line item and
 is based upon the concatenation of <b>ItemID</b> and <b>TransactionID</b>, with a
 hyphen in between these two IDs. Since Feedback is always linked to a
 unique order line item, an <b>OrderLineItemID</b> can be used to respond
 to a Feedback comment.
 <br><br>
 Unless an <b>ItemID</b>/<b>TransactionID</b> pair or a <b>FeedbackID</b> is used to identify
 a Feedback record, the <b>OrderLineItemID</b> must be specified.
 <br>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *orderLineItemID;


@end
