// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_ProductFamilyType;
@class Trading_ProductFinderConstraintType;

/**
 
 This type is deprecated as <b>GetProduct*</b> calls were deprecated.
 
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ResponseAttributeSetType : NSObject <PicoBindable> {

@private
    NSNumber *_approximatePages;
    NSNumber *_attributeSetID;
    NSNumber *_hasMore;
    NSMutableArray *_productFamilies;
    NSMutableArray *_productFinderConstraints;
    NSNumber *_tooManyMatchesFound;
    NSNumber *_totalProducts;
    NSMutableArray *_any;

}


/**
 
 
 As calculating the potentially large number of pages can affect this call's
 performance, and since the actual number of products returned per page can
 vary in each response, we cannot provide a precise total page count.
 Therefore, this is an estimated page count based on TotalProducts and other
 factors, such as the number of records eBay's search engine has examined so
 far in the product database. Once PageNumber approaches or exceeds this
 page count, we examine more records in the database and we may recalculate
 this value. If you estimate the number of pages yourself by using
 TotalProducts, EntriesPerPage, and MaxChildrenPerFamily (which is also an
 approximate value), your result will not necessarily match
 ApproximatePages.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *approximatePages;

/**
 
 
 Numeric value that identifies the attribute set in a language-independent way.
 Unique across all eBay sites. Corresponds to a characteristic set associated
 with the current set of search results.
 Always returned when AttributeSet is returned.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *attributeSetID;

/**
 
 
 If true, the query results contain additional pages (higher than the current
 page number). You can retrieve more results by incrementing the PageNumber
 value that was passed in the request.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *hasMore;

/**
 
 
 ProductFamilies represents one product family. Multiple ProductFamilies
 properties can be returned. A product family identifies a group of related
 products. For example, the movie "My Favorite Movie: The Sequel" might be
 released on DVD, but there might be several editions of the DVD (e.g., in
 different languages) with different ISBN numbers. All variations are part of
 the same product family ("My Favorite Movie: The Sequel" in the DVD format).
 See "Limit the Quantity of Products Returned Per Family" in the eBay Web
 Services Guide. Always returned when AttributeSet is returned.
 
 
 entry type : class Trading_ProductFamilyType
*/

@property (nonatomic, retain) NSMutableArray *productFamilies;

/**
 
 
 A list of attributes (constraints) that were specified in the search request.
 This information is useful when multiple queries were specified in a
 GetProductSearchResults request. Use this information to map each query to
 each result in the response object. Applicable when the search request was
 constructed based on a product finder.
 
 
 entry type : class Trading_ProductFinderConstraintType
*/

@property (nonatomic, retain) NSMutableArray *productFinderConstraints;

/**
 
 
 If too many search results match the query, the TooManyMatchesFound tag is
 returned with a value of true, and a warning is returned. If this occurs, it
 may be a good idea to ask the user to specify more details to narrow the
 search (e.g., specify "My Favorite Movie" instead of "My").
 Always returns false for GetProductFamilyMembers.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *tooManyMatchesFound;

/**
 
 
 The total quantity of products that match the query (within
 the characteristic set). This can exceed the actual number of products
 returned in the current virtual page. Always returned when AttributeSet is
 returned.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *totalProducts;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
