// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Type defining the <b>ReturnPolicyDetails.ReturnsWithin</b> container that
 is returned in <b>GeteBayDetails</b>. This container contains the values
 that may be used in the <b>ReturnPolicy.ReturnsWithinOption</b> field of
 Add/Revise/Relist API calls.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ReturnsWithinDetailsType : NSObject <PicoBindable> {

@private
    NSString *_returnsWithinOption;
    NSString *_description;
    NSMutableArray *_any;

}


/**
 
 Value indicates the number of days that a buyer has to return an item from the day they
 receive the item. This value can be passed in the Add/Revise/Relist family of API calls.
 <br/>
 <br/>
 <span class="tablenote"><b>Note:</b>
 As of version 771, listings created, revised, or relisted with
 deprecated <b>RefundOption</b> and/or
 <b>ReturnsWithinOption</b> values (using Add/Revise/Relist family of
 API calls) will be blocked.
 <br/><br/>
 For <b>ReturnsWithinOption</b>, the deprecated values are <b>Days_3</b>
 and <b>Days_7</b>. Instead of these deprecated values, the seller must offer a
 14-day, 30-day, or 60-day return window.
 </span>
 <br/>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *returnsWithinOption;

/**
 
 Display string that applications can use to present ReturnsWithinOption in
 a more user-friendly format (such as in a drop-down list).
 Not applicable as input to the AddItem family of calls. (Use ReturnsWithinOption instead.)
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *description;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
