// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_InventoryFeesType;
@class Trading_InventoryStatusType;

/**
 
 Returns the Item ID or SKU with changed Price and Quantity for the revised listing.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ReviseInventoryStatusResponseType : Trading_AbstractResponseType {

@private
    NSMutableArray *_inventoryStatus;
    NSMutableArray *_fees;

}


/**
 
 Confirms the quantity and price associated with a listing
 or variation that was revised.
 
 
 entry type : class Trading_InventoryStatusType
*/

@property (nonatomic, retain) NSMutableArray *inventoryStatus;

/**
 
 Child elements contain the estimated listing fees for a
 listing that was revised. Use the ItemID to correlate the
 Fees data with the InventoryStatus data in the response.
 The fees do not include the Final Value Fee (FVF),
 which can't be determined until the listing has sales.<br>
 <br>
 If you revise a variation in a multi-variation listing,
 the fees are for the entire listing. The insertion fee and
 listing fee are affected by the highest priced variation
 in the listing (which is not necessarily the variation that
 you passed in the request).<br>
 <br>
 Also note that the call returns only one Fees node per listing.
 For example, if you revise 4 variations from the same
 multi-variation listing, the response includes 4
 InventoryStatus nodes and 1 Fees node.
 
 
 entry type : class Trading_InventoryFeesType
*/

@property (nonatomic, retain) NSMutableArray *fees;


@end
