// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_MyMessagesMessageIDArrayType;
@class Trading_MyMessagesAlertIDArrayType;

/**
 
 Sets the read state for messages, sets the flagged state of messages,
 and moves messages into and out of folders.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ReviseMyMessagesRequestType : Trading_AbstractRequestType {

@private
    Trading_MyMessagesMessageIDArrayType *_messageIDs;
    Trading_MyMessagesAlertIDArrayType *_alertIDs;
    NSNumber *_read;
    NSNumber *_flagged;
    NSNumber *_folderID;

}


/**
 
 Contains a list of up to 10 MessageID values.
 <br><br>
 MessageIDs must be included in
 the request. Messages in the Sent box cannot be moved,
 marked as Read, or Flagged.
 
 
 type : class Trading_MyMessagesMessageIDArrayType
*/
@property (nonatomic, retain) Trading_MyMessagesMessageIDArrayType *messageIDs;

/**
 
 This field will be deprecated in an upcoming release.
 This field formerly contained a list of up to 10 AlertID values.
 <br><br>
 Alerts cannot be flagged. Alerts cannot be
 moved into a new folder until they have been resolved.
 <br><br>
 Resolve alerts by marking Read (if no action is
 required), or by using ActionURL (if action is
 required).
 
 
 type : class Trading_MyMessagesAlertIDArrayType
*/
@property (nonatomic, retain) Trading_MyMessagesAlertIDArrayType *alertIDs;

/**
 
 Changes the read states of all
 messages specified in a request.
 At least one of the following
 must be specified in the
 request: Read, Flagged, or FolderID.
 Messages in the Sent box cannot be moved,
 marked as Read, or Flagged.
 <br><br>
 Note that messages retrieved
 with the API are not automatically marked Read,
 and must be marked Read with this call.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *read;

/**
 
 Changes the flagged states of all messages specified in
 a request by their MessageID values. At least one of
 Read, Flagged, or FolderID must be specified in the
 request. Messages in the Sent box cannot be moved,
 marked as Read, or Flagged.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *flagged;

/**
 
 An ID that uniquely identifies the My Messages folder to
 move messages into. At least one of Read,
 Flagged, or FolderID must be specified in the request.
 <br><br>
 Messages
 in the Sent box cannot be moved, marked as Read, or
 Flagged.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *folderID;


@end
