// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_FeesType;
@class Trading_SellingManagerProductDetailsType;

/**
 
 Returns the template ID and the estimated fees for the revised listing.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ReviseSellingManagerTemplateResponseType : Trading_AbstractResponseType {

@private
    NSNumber *_saleTemplateID;
    Trading_FeesType *_fees;
    NSString *_categoryID;
    NSString *_category2ID;
    NSNumber *_verifyOnly;
    NSString *_saleTemplateName;
    Trading_SellingManagerProductDetailsType *_sellingManagerProductDetails;

}


/**
 
 This sale template ID uniquely identifies the template that was revised
 in the request. This sale template ID should match the
 template ID specified in the request.
 specified for the call.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *saleTemplateID;

/**
 
 Child elements contain the estimated listing fees for the revised item
 listing. The fees do not include the Final Value Fee (FVF), which cannot
 be determined until an item is sold. Revising an item does not itself
 incur a fee. However, certain item properties are fee-based and result
 in the return of fees in the call's response.
 Not applicable to Half.com.
 
 
 type : class Trading_FeesType
*/
@property (nonatomic, retain) Trading_FeesType *fees;

/**
 
 ID of the primary category in which the item was listed.
 Only returned if you set Item.CategoryMappingAllowed to true in the request
 and the ID passed in Item.PrimaryCategory was mapped to a new ID by eBay.
 If the primary category has not changed or it has expired with no replacement,
 CategoryID does not return a value.
 Not applicable to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *categoryID;

/**
 
 ID of the secondary category in which the item was listed.
 Only returned if you set Item.CategoryMappingAllowed to true in the request
 and the ID passed in Item.SecondaryCategory was mapped to a new ID by eBay.
 If the secondary category has not changed or it has expired with no replacement,
 Category2ID does not return a value.
 Not applicable to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *category2ID;

/**
 
 Instead of revising, only verifies the template.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *verifyOnly;

/**
 
 The name of the sale template.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *saleTemplateName;

/**
 
 The details of the product that this template belongs to.
 
 
 type : class Trading_SellingManagerProductDetailsType
*/
@property (nonatomic, retain) Trading_SellingManagerProductDetailsType *sellingManagerProductDetails;


@end
