// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Type that defines the <b>SellerDiscount</b> container, which contains the ID,
 name, and amount of the seller discount.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellerDiscountType : NSObject <PicoBindable> {

@private
    NSNumber *_campaignID;
    NSString *_campaignDisplayName;
    Trading_AmountType *_itemDiscountAmount;
    Trading_AmountType *_shippingDiscountAmount;
    NSMutableArray *_any;

}


/**
 
  Unique identifier for a seller discount campaign. This ID is automatically
  created when the seller creates the discount campaign. This field is always returned
  with the <b>SellerDiscount</b> container.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *campaignID;

/**
 
  The name of the seller discount campaign. A name can be associated with a seller discount
  campaign when the seller uses the <b>createCampaigns</b> or
  <b>updateCampaigns</b> calls of the Order Size Discounts API.
  The name for a discount campaign is optional, so this field will only be
  returned with the <b>SellerDiscount</b> container if defined
  for the seller discount campaign.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *campaignDisplayName;

/**
 
  The dollar amount of the order line item discount. The original purchase price (denoted
  in <b>OriginalItemPrice</b>) will be reduced by this value. The amount of the
  item discount will depend on the rules defined in the the seller discount
  campaign.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *itemDiscountAmount;

/**
 
 The dollar amount of the shipping discount applied to the order line item. Note that
 shipping discounts have not yet been enabled for seller discount campaigns, so this
 field will not be returned until shipping discounts are enabled.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *shippingDiscountAmount;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
