// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Container consisting for the list of locations to where the seller will not ship items.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellerExcludeShipToLocationPreferencesType : NSObject <PicoBindable> {

@private
    NSMutableArray *_excludeShipToLocation;
    NSMutableArray *_any;

}


/**
 
 One ExcludeShipToLocation field is returned for each region or country excluded
 as a possible shipping location in the seller's My eBay Shipping Preferences.
 Sellers can also exclude Alaska/Hawaii and Army Post Office/Fleet Post Office as
 possible shipping locations. For excluded countries, "http://www.iso.org/iso/country_codes/iso_3166_code_lists/english_country_names_and_code_elements.htm">ISO 3166</a>
 country codes are returned.
 <br><br>
 Domestically, the seller can specify Alaska/Hawaii, US Protectorates (including
 American Samoa, Guam, Mariana Island, Marshall Islands, Micronesia, Palau,
 Puerto Rico, and U.S. Virgin Islands) as places he/she will not ship to.
 Internationally, the sellers can exclude entire regions (including Africa, Asia,
 Central America and Caribbean, Europe, Middle East, North America, Oceania,
 Southeast Asia, and South America) or specific countries within those regions.
 <br><br>
 If a buyer's primary ship-to location is a location that you have listed as
 an excluded ship-to location (or if the buyer does not have a primary ship-to
 location), they will receive an error message if they attempt to buy or place
 a bid on your item.
 <br><br>
 To see the valid exclude ship-to locations for a specified site, call
 GeteBayDetails with DetailName set to ExcludeShippingLocationDetails. Repeat
 GeteBayDetails for each site on which you list.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 To enable your default Exclude Ship-To List, you must enable Exclude
 Shipping Locations and Buyer Requirements in your My eBay Site Preferences.
 For details, see the KnowledgeBase Article <a href=
 "https://ebay.custhelp.com/cgi-bin/ebay.cfg/php/enduser/std_adp.php?p_faqid=1495"
 >HowTo: ExcludeShipToLocation</a>.
 </span>
 Code denoting a location to where the seller will not ship.
 <br>
 The codes reflect the <a href=
 "http://www.iso.org/iso/country_codes/iso_3166_code_lists/english_country_names_and_code_elements.htm"
 >ISO 3166</a> location codes.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *excludeShipToLocation;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
