// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Type defining the <b>SellerPaymentProfile</b> container, which is used in an
 Add/Revise/Relist Trading API call to reference a Business Policies payment profile.
 <br/><br/>
 <span class="tablenote"><b>Note:</b>
 Business Policies are not yet available for use on the eBay platform.
 <span/>
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellerPaymentProfileType : NSObject <PicoBindable> {

@private
    NSNumber *_paymentProfileID;
    NSString *_paymentProfileName;
    NSMutableArray *_any;

}


/**
 
 The unique identifier of a Business Policies payment profile. A <b>PaymentProfileID</b>
 and/or a <b>PaymentProfileName</b> value is used in the Add/Revise/Relist
 call to reference and use the payment policy values of a Business Policies payment
 profile. If both fields are provided and their values don't match, the <b>PaymentProfileID</b>
 takes precedence.
 <br/><br/>
 In the "Get" calls, the <b>PaymentProfileID</b> value will always be
 returned if the listing is using a Business Policies payment profile, and the <b>PaymentProfileName</b>
 value will be returned if a name is assigned to the payment profile.
 <br/><br/>
 <span class="tablenote"><b>Note:</b>
 Business Policies are not yet available for use on the eBay platform.
 <span/>
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *paymentProfileID;

/**
 
 The name of a Business Policies payment profile. A <b>PaymentProfileID</b>
 and/or a <b>PaymentProfileName</b> value is used in the Add/Revise/Relist
 call to reference and use the payment policy values of a Business Policies payment
 profile. If both fields are provided and their values don't match, the <b>PaymentProfileID</b>
 takes precedence.
 <br/><br/>
 In the "Get" calls, the <b>PaymentProfileID</b> value will always be
 returned if the listing is using a Business Policies payment profile, and the <b>PaymentProfileName</b>
 value will be returned if a name is assigned to the payment profile.
 <br/><br/>
 <span class="tablenote"><b>Note:</b>
 Business Policies are not yet available for use on the eBay platform.
 <span/>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *paymentProfileName;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
