// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_ExternalProductIDType;
@class Trading_AmountType;

/**
 
 A payment between Half.com and a seller. The financial value of a payment is
 typically based on an amount that a buyer paid to Half.com for one order line
 item, plus the buyer's shipping cost, minus Half.com's commission.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellerPaymentType : NSObject <PicoBindable> {

@private
    NSString *_itemID;
    NSString *_transactionID;
    NSString *_orderID;
    NSString *_sellerInventoryID;
    NSString *_privateNotes;
    Trading_ExternalProductIDType *_externalProductID;
    NSString *_title;
    NSString *_paymentType;
    Trading_AmountType *_transactionPrice;
    Trading_AmountType *_shippingReimbursement;
    Trading_AmountType *_commission;
    Trading_AmountType *_amountPaid;
    NSDate *_paidTime;
    NSString *_orderLineItemID;
    NSMutableArray *_any;

}


/**
 
 Unique identifier for the Half.com item listing.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Unique identifier for a Half.com order line item (transaction). An order
 line item is created once there is a commitment from a buyer to purchase an
 item. Along with its corresponding <b>ItemID</b>, a <b>TransactionID</b> is used and
 referenced during an order checkout flow and after checkout has been
 completed.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *transactionID;

/**
 
 A unique identifier that identifies a single line item or multiple line item
 (Combined Payment) Half.com order.
 <br><br>
 For a single line item order, the <b>OrderID</b> value is identical to the
 <b>OrderLineItemID</b> value that is generated upon creation of the order line
 item. For a Combined Payment order, the <b>OrderID</b> value is created by eBay
 when the buyer or seller (sharing multiple, common order line items)
 combines multiple order line items into a Combined Payment order through
 the Half.com site.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *orderID;

/**
 
 An ID that the seller specified when they listed the Half.com item, if any.
 It can be used for the seller's SKU. Note that <b>SellerInventoryID</b> is not
 returned if no ID was specified. (Note: The SKU field used for eBay.com
 listings is not applicable to Half.com listings.)
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *sellerInventoryID;

/**
 
 A text note that the seller specified for the Half.com item, if any. Only
 visible to the seller. Not returned if the seller specified no notes.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *privateNotes;

/**
 
 Contains an ISBN, UPC, or EAN value from the catalog product associated with
 the Half.com item. All Half.com items are listed with Pre-filled Item
 Information.
 
 
 type : class Trading_ExternalProductIDType
*/
@property (nonatomic, retain) Trading_ExternalProductIDType *externalProductID;

/**
 
 The title of the item listing as it appears on Half.com.
 <br><br>
 <span class="tablenote"><b>Note:</b>
 The maximum length of an eBay Item Title has increased to 80 characters as of
 September 2011.
 </span>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *title;

/**
 
 Indicates whether the payment is for a Half.com sale or a refund.
 
 
 type: string constant in Trading_PaymentTypeCodeType.h
*/
@property (nonatomic, retain) NSString *paymentType;

/**
 
 Price of the order line item (transaction) before shipping and other costs.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *transactionPrice;

/**
 
 The adjusted shipping cost that Half.com pays the seller. For a multiple
 line item (Combined Payment) order, the total shipping cost may be less than
 the cost to ship the items individually, which makes the adjustment
 necessary. The shipping cost may also be adjusted due to Half.com handling
 charges.
 <br><br>
 <b>Note</b>: Due to the way shipping costs are calculated, this
 value may be different for identical items in different orders.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *shippingReimbursement;

/**
 
 Amount of commission charged by Half.com.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *commission;

/**
 
 Total amount paid by buyer for the Half.com order.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *amountPaid;

/**
 
 The time and date when Half.com created the payment. Half.com creates a
 payment when the buyer pays for an order. This time is specified
 in GMT (not Pacific time). See "Time Values" in the eBay Web Services guide
 for information about converting between GMT and other time zones.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *paidTime;

/**
 
 A unique identifier for a Half.com order line item. This field is created as
 soon as there is a commitment to buy from the seller, and its value is based
 upon the concatenation of <b>ItemID</b> and <b>TransactionID</b>, with a hyphen in between
 these two IDs. For a single line item order, the <b>OrderLineItemID</b> value is
 identical to the <b>OrderID</b> value.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *orderLineItemID;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
