// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"



/**
 
 Enables a seller to "reverse" an Unpaid Item dispute that has been closed, for
 example, if buyer and seller reach an agreement. The seller's Final Value Fee
 credit and the buyer's strike are both reversed, if applicable.
 The dispute might have resulted
 in a strike to the buyer and a Final Value Fee credit to the seller. A buyer and
 seller sometimes come to agreement after a dispute has been closed. In particular,
 the seller might discover that the buyer actually paid, or the buyer might agree
 to pay the seller's fees in exchange for having the strike removed.
 <br><br>
 A dispute can only be reversed if it was closed with DisputeActivity set to
 SellerEndCommunication, CameToAgreementNeedFVFCredit, or
 MutualAgreementOrNoBuyerResponse.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellerReverseDisputeRequestType : Trading_AbstractRequestType {

@private
    NSString *_disputeID;
    NSString *_disputeResolutionReason;

}


/**
 
 The unique identifier of the dispute that was returned when the dispute was created.
 The dispute must be an Unpaid Item dispute that the seller opened.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *disputeID;

/**
 
 The reason the dispute is being reversed.
 
 
 type: string constant in Trading_DisputeResolutionReasonCodeType.h
*/
@property (nonatomic, retain) NSString *disputeResolutionReason;


@end
