// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_UserAgreementInfoType;

/**
 
 Type defining the <b>SellereBayPaymentProcessConsent</b> container, which is returned to all DE and
 AT sellers, and consists of details of the seller's account status regarding the new eBay payment process.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellereBayPaymentProcessConsentCodeType : NSObject <PicoBindable> {

@private
    NSNumber *_payoutMethodSet;
    NSString *_payoutMethod;
    NSMutableArray *_userAgreementInfo;
    NSMutableArray *_any;

}


/**
 
 Flag to indicate whether or not a DE or AT seller has set the payout method type on the account.
 This field is always returned with the <b>SellereBayPaymentProcessConsent</b> container.
                 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *payoutMethodSet;

/**
 
 Enumeration value that indicates the account type that the DE or AT seller has selected as their
 default seller payout account. Once a DE or AT seller has accepted the supplemental user agreement
 for the new eBay payment process, that seller must set the default payout account in My eBay
 preferences. eBay will distribute seller payouts to this account. This field will not be returned if
 <b>PayoutMethodSet</b>='false'.
                 
 
 type: string constant in Trading_PayoutMethodType.h
*/
@property (nonatomic, retain) NSString *payoutMethod;

/**
 
                   Container consisting of details related to the current status of a DE or AT seller signing the required
                   supplemental user agreement for the new eBay payment process. This container will always be returned
                   to DE and AT sellers and the child values that are returned will be dependent on the current <b>SellereBayPaymentProcessStatus</b>
                   value for the seller's account.
                   <br><br>
                   If the seller lists items on both the DE and AT sites, a <b>UserAgreementInfo</b> container
                   will be returned for each site, with the sites being distinguished by the <b>UserAgreementInfo.Site</b>
 value (either 'Germany' or 'Austria').
                 
 
 entry type : class Trading_UserAgreementInfoType
*/

@property (nonatomic, retain) NSMutableArray *userAgreementInfo;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
