// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Type defining the Alert container, which contains summary information on one type of
 Selling Manager alert.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellingManagerAlertType : NSObject <PicoBindable> {

@private
    NSString *_alertType;
    NSString *_soldAlert;
    NSString *_inventoryAlert;
    NSString *_automationAlert;
    NSString *_paisaPayAlert;
    NSString *_generalAlert;
    NSNumber *_durationInDays;
    NSNumber *_count;
    NSMutableArray *_any;

}


/**
 
 This field indicates the type of Selling Manager alert returned to the seller. This
 field is always returned with the <b>Alert</b> container in the
 <b>GetSellingManagerAlerts</b> response.
 
 
 type: string constant in Trading_SellingManagerAlertTypeCodeType.h
*/
@property (nonatomic, retain) NSString *alertType;

/**
 
 This value indicates an alert related to a sold item. This field is only returned
 if <b>AlertType</b>='Sold'.
 
 
 type: string constant in Trading_SellingManagerSoldListingsPropertyTypeCodeType.h
*/
@property (nonatomic, retain) NSString *soldAlert;

/**
 
 This value indicates an alert related to the seller's inventory, such as a
 restocking alert. This field is only returned if
 <b>AlertType</b>='Inventory'.
 
 
 type: string constant in Trading_SellingManagerInventoryPropertyTypeCodeType.h
*/
@property (nonatomic, retain) NSString *inventoryAlert;

/**
 
 This value indicates an alert related to listing automation, and may be received
 when a listing does not conform to listing automation rules. This field is only
 returned if <b>AlertType</b>='Automation'.
 
 
 type: string constant in Trading_SellingManagerAutomationPropertyTypeCodeType.h
*/
@property (nonatomic, retain) NSString *automationAlert;

/**
 
 This value indicates an alert related to a PaisaPay issue. This field is only
 returned if <b>AlertType</b>='PaisaPay'.
 
 
 type: string constant in Trading_SellingManagerPaisaPayPropertyTypeCodeType.h
*/
@property (nonatomic, retain) NSString *paisaPayAlert;

/**
 
 This value indicates a general alert was received, such as negative feedback
 received or an unpaid item dispute. This field is only returned if <b>
 AlertType</b>='General'.
 
 
 type: string constant in Trading_SellingManagerGeneralPropertyTypeCodeType.h
*/
@property (nonatomic, retain) NSString *generalAlert;

/**
 
 Represents the duration for which this alert is computed. This field is only
 returned if the alert is based on duration.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *durationInDays;

/**
 
 This field indicates the number of items affected by the alert. This field is not
 returned if the count is 0.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *count;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
