// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 Defines the options available for an Automated Listing Rule that
 keeps a fixed number of items on the site
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellingManagerAutoListAccordingToScheduleType : NSObject <PicoBindable> {

@private
    NSMutableArray *_dayOfWeek;
    NSNumber *_listingPeriodInWeeks;
    NSDate *_listAtSpecificTimeOfDay;
    NSDate *_startTime;
    NSDate *_endTime;
    NSNumber *_maxActiveItemCount;
    NSNumber *_listingHoldInventoryLevel;
    NSMutableArray *_any;

}


/**
 
 The day of the week on which items should be listed.
 
 
 entry type : string constant in Trading_DayOfWeekCodeType.h
*/

@property (nonatomic, retain) NSMutableArray *dayOfWeek;

/**
 
 The number of weeks between rule executions.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *listingPeriodInWeeks;

/**
 
 The time at which items should be listed.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *listAtSpecificTimeOfDay;

/**
 
 The date from which the rule is active.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *startTime;

/**
 
 The date after which the rule is disabled.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *endTime;

/**
 
 The number of current, listed items required for the rule to no longer be run.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *maxActiveItemCount;

/**
 
 Sets a minimum inventory level for listings of associated products
 to occur.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *listingHoldInventoryLevel;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
