// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Defines the options available for an automated listing rule that
 keeps a minimum number of items on the site.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellingManagerAutoListMinActiveItemsType : NSObject <PicoBindable> {

@private
    NSNumber *_minActiveItemCount;
    NSDate *_listTimeFrom;
    NSDate *_listTimeTo;
    NSNumber *_spacingIntervalInMinutes;
    NSNumber *_listingHoldInventoryLevel;
    NSMutableArray *_any;

}


/**
 
 The minimum number of listings that should be active on the site.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *minActiveItemCount;

/**
 
 The start time of the time interval during which new listings should start.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *listTimeFrom;

/**
 
 The end time of the time interval during which new listings should start.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *listTimeTo;

/**
 
 Provides a number of minutes for spacing start times of listings.
 Used when you list multiple items at the same time. Delays subsequent
 listings by the specified number of minutes.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *spacingIntervalInMinutes;

/**
 
 Sets a minimum inventory level for listings of associated products
 to occur.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *listingHoldInventoryLevel;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
