// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_SellingManagerAutoListAccordingToScheduleType;
@class Trading_SellingManagerAutoListMinActiveItemsType;

/**
 
 Provides information about an automated listing rule.
 Automated listing rules cannot be combined with automated relisting rules.
 A template can have one set of information per automated listing rule specified.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellingManagerAutoListType : NSObject <PicoBindable> {

@private
    NSNumber *_sourceSaleTemplateID;
    Trading_SellingManagerAutoListMinActiveItemsType *_keepMinActive;
    Trading_SellingManagerAutoListAccordingToScheduleType *_listAccordingToSchedule;
    NSMutableArray *_any;

}


/**
 
 The source template ID for the rule that was retrieved.
 In the case of automated listing rules retrieved for an item, even if the item
 does not have an associated automation rule, an automated listing rule is
 inherited from the source template.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *sourceSaleTemplateID;

/**
 
 Specifies an automated listing rule that keeps a minimum number of listings on the site.
 
 
 type : class Trading_SellingManagerAutoListMinActiveItemsType
*/
@property (nonatomic, retain) Trading_SellingManagerAutoListMinActiveItemsType *keepMinActive;

/**
 
 Specifies an automated listing rule that lists items according to a specified schedule.
 
 
 type : class Trading_SellingManagerAutoListAccordingToScheduleType
*/
@property (nonatomic, retain) Trading_SellingManagerAutoListAccordingToScheduleType *listAccordingToSchedule;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
