// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_BestOfferDetailsType;

/**
 
 Provides information about an automated relisting rule.
 Automated relisting rules cannot be combined with automated listing rules.
 A template can have one set of information per automated relisting rule specified.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellingManagerAutoRelistType : NSObject <PicoBindable> {

@private
    NSString *_type;
    NSString *_relistCondition;
    NSNumber *_relistAfterDays;
    NSNumber *_relistAfterHours;
    NSDate *_relistAtSpecificTimeOfDay;
    Trading_BestOfferDetailsType *_bestOfferDetails;
    NSNumber *_listingHoldInventoryLevel;
    NSMutableArray *_any;

}


/**
 
 The type of auto-relist rule for the item.
 
 
 type: string constant in Trading_SellingManagerAutoRelistTypeCodeType.h
*/
@property (nonatomic, retain) NSString *type;

/**
 
 The condition under which relist occurs.
 
 
 type: string constant in Trading_SellingManagerAutoRelistOptionCodeType.h
*/
@property (nonatomic, retain) NSString *relistCondition;

/**
 
 Used when RelistCondition equals RelistAfterDaysHours; specifies
 the number days after the item ends that it should be relisted.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *relistAfterDays;

/**
 
 Used when RelistCondition equals RelistAfterDaysHours; specifies
 the number hours after the item ends that it should be relisted.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *relistAfterHours;

/**
 
 Used when RelistCondition equals RelistAtSpecificTimeOfDay; specifies the time
 of day the item should be relisted.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *relistAtSpecificTimeOfDay;

/**
 
 Specifies whether Best Offer should be enabled on the auto-relisted item.
 
 
 type : class Trading_BestOfferDetailsType
*/
@property (nonatomic, retain) Trading_BestOfferDetailsType *bestOfferDetails;

/**
 
 Specifies that item is not listed if inventory levels on the associated
 product are at or below the specified level.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *listingHoldInventoryLevel;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
