// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_AmountType;

/**
 
 Defines the options available for an automated
 second chance offer rule.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SellingManagerAutoSecondChanceOfferType : NSObject <PicoBindable> {

@private
    NSString *_secondChanceOfferCondition;
    Trading_AmountType *_amount;
    NSNumber *_profitPercent;
    NSString *_duration;
    NSNumber *_listingHoldInventoryLevel;
    NSMutableArray *_any;

}


/**
 
 The condition under which a second chance offer should be sent.
 
 
 type: string constant in Trading_SellingManagerAutoSecondChanceOfferTypeCodeType.h
*/
@property (nonatomic, retain) NSString *secondChanceOfferCondition;

/**
 
 Used when SecondChanceOfferCondition is equal to
 BidsGreaterThanAmount or BidsGreaterThanCostPlusAmount. Specifies
 the amount associated with the SecondChanceOfferCondition.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *amount;

/**
 
 Used when SecondChanceOfferCondition is equal
 to BidsGreaterThanCostPlusPercentage to specify the amount of profit
 associated with the SecondChanceOfferCondition.
 
 
 type : NSNumber, wrapper for primitive float
*/
@property (nonatomic, retain) NSNumber *profitPercent;

/**
 
 Specifies the length of time the second chance offer listing will be active.
 The recipient bidder has that much time to purchase the item or the offer expires.
 
 
 type: string constant in Trading_SecondChanceOfferDurationCodeType.h
*/
@property (nonatomic, retain) NSString *duration;

/**
 
 Do not list if inventory levels on the associated product
 are at or below the specified amount.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *listingHoldInventoryLevel;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
