// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_ApplicationDeliveryPreferencesType;
@class Trading_NotificationEnableArrayType;
@class Trading_NotificationUserDataType;
@class Trading_NotificationEventPropertyType;

/**
 
 Manages notification and alert preferences for applications and users.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SetNotificationPreferencesRequestType : Trading_AbstractRequestType {

@private
    Trading_ApplicationDeliveryPreferencesType *_applicationDeliveryPreferences;
    Trading_NotificationEnableArrayType *_userDeliveryPreferenceArray;
    Trading_NotificationUserDataType *_userData;
    NSMutableArray *_eventProperty;
    NSString *_deliveryURLName;

}


/**
 
 Specifies application-level event preferences that have been enabled,
 including the URL to which notifications should be delivered and whether
 notifications should be enabled or disabled (although the
 UserDeliveryPreferenceArray input property specifies specific
 notification subscriptions).
 
 
 type : class Trading_ApplicationDeliveryPreferencesType
*/
@property (nonatomic, retain) Trading_ApplicationDeliveryPreferencesType *applicationDeliveryPreferences;

/**
 
 Specifies events and whether or not they are enabled.
 
 
 type : class Trading_NotificationEnableArrayType
*/
@property (nonatomic, retain) Trading_NotificationEnableArrayType *userDeliveryPreferenceArray;

/**
 
 Specifies user data for notification settings, such as mobile phone number.
 
 
 type : class Trading_NotificationUserDataType
*/
@property (nonatomic, retain) Trading_NotificationUserDataType *userData;

/**
 
 Characteristics or details of an event such as type, name and value.
 Currently can only be set for wireless applications.
 
 
 entry type : class Trading_NotificationEventPropertyType
*/

@property (nonatomic, retain) NSMutableArray *eventProperty;

/**
 
 Specifies up to 25 ApplicationDeliveryPreferences.DeliveryURLDetails.DeliveryURLName
 to associate with a user token sent in a SetNotificationPreferences request. To
 specify multiple DeliveryURLNames, create separate instances of
 ApplicationDeliveryPreferences.DeliveryURLDetails.DeliveryURLName, and then enable
 up to 25 DeliveryURLNames by including them in comma-separated format in this field.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *deliveryURLName;


@end
