// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_ItemIDArrayType;

/**
 
 Defines the <b>SetPromotionalSaleListings</b> call request.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SetPromotionalSaleListingsRequestType : Trading_AbstractRequestType {

@private
    NSNumber *_promotionalSaleID;
    NSString *_action;
    Trading_ItemIDArrayType *_promotionalSaleItemIDArray;
    NSNumber *_storeCategoryID;
    NSNumber *_categoryID;
    NSNumber *_allFixedPriceItems;
    NSNumber *_allStoreInventoryItems;
    NSNumber *_allAuctionItems;

}


/**
 
 The unique identifier of the seller's promotional sale. Based on the <b>Action</b>
 value, listings will either be added to or removed from the promotional sale.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *promotionalSaleID;

/**
 
 This required field determines whether you are adding (specify 'Add') or
 removing (specify 'Delete) one or more listings from the promotional sale
 identified by the <b>PromotionalSaleID</b> value in the request.
 <br><br>
 If you specify 'Delete', you must include one or more <b>ItemID</b>
 values under the <b>PromotionalSaleItemIDArray</b> container, and
 you cannot use the other filter options in the request. If you specify 'Add',
 you can add one or more listings using any of the filtering options in the
 request. Active auction listings that have one or more bids cannot be added to
 or removed from a promotional sale.
 
 
 type: string constant in Trading_ModifyActionCodeType.h
*/
@property (nonatomic, retain) NSString *action;

/**
 
 Container consisting of one or more <b>ItemID</b> values. Based on
 the <b>Action</b> value, the listings identified by these
 <b>ItemID</b> values are either added to or removed from the
 promotional sale.
 <br><br>
 This container is required if listings are being removed (<b>Action</b>='Delete')
 from the promotional sale.
   
 
 type : class Trading_ItemIDArrayType
*/
@property (nonatomic, retain) Trading_ItemIDArrayType *promotionalSaleItemIDArray;

/**
 
 If a <b>StoreCategoryID</b> value is included in the call request,
 all active items in this store category are added to the promotional sale. This
 field cannot be used if the <b>Action</b> field is set to 'Delete'.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *storeCategoryID;

/**
 
 If a <b>CategoryID</b> value is included in the call request,
 all active items in this eBay category are added to the promotional sale. This
 field cannot be used if the <b>Action</b> field is set to 'Delete'.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *categoryID;

/**
 
 If this field is included and set to 'true' in the call request, all fixed-price
 listings are added to the promotional sale. This field cannot be used if the
 <b>Action</b> field is set to 'Delete'.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *allFixedPriceItems;

/**
 
 If this field is included and set to 'true' in the call request, all store inventory
 items are added to the promotional sale. This field cannot be used if the
 <b>Action</b> field is set to 'Delete'.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *allStoreInventoryItems;

/**
 
 If this field is included and set to 'true' in the call request, all auction
 listings are added to the promotional sale. This field cannot be used if the
 <b>Action</b> field is set to 'Delete'.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *allAuctionItems;


@end
