// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_FeedbackCommentArrayType;

/**
 
 Enables Selling Manager subscribers to store standard feedback comments that can
 be left for their buyers. Selling Manager Pro subscribers can also specify what
 events, if any, will trigger an automated feedback to buyers.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SetSellingManagerFeedbackOptionsRequestType : Trading_AbstractRequestType {

@private
    NSString *_automatedLeaveFeedbackEvent;
    Trading_FeedbackCommentArrayType *_storedComments;

}


/**
 
 Specifies the event that will trigger automated feedback to the buyer.
 Applies to Selling Manager Pro subscribers only.
 
 
 type: string constant in Trading_AutomatedLeaveFeedbackEventCodeType.h
*/
@property (nonatomic, retain) NSString *automatedLeaveFeedbackEvent;

/**
 
 Contains a set of comments from which one can be selected to leave
 feedback for a buyer. If automated feedback is used, a comment is
 selected from the set randomly. Automated feedback applies to Selling
 Manager Pro subscribers only. Stored comments cannot be replaced or
 edited individually. Submitting a stored comments array replaces all
 existing stored comments.
 <br>
 
 
 type : class Trading_FeedbackCommentArrayType
*/
@property (nonatomic, retain) Trading_FeedbackCommentArrayType *storedComments;


@end
