// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_SellingManagerAutoSecondChanceOfferType;
@class Trading_SellingManagerAutoRelistType;

/**
 
 Revises, or adds to, the set of Selling Manager automation
 rules associated with an item.
 <br>
 <br>
 This call is subject to change without notice; the
 deprecation process is inapplicable to this call.
 <br>
 <br>
 Using this call, you can add an autolist rule.
 You also can add a second chance offer
 rule (restricted to auction items and auction templates).
 Note that autorelist rules can only be set on templates.
 An autorelist rule for an item is inherited from a template.
 <br>
 <br>
 This call also enables you to specify particular information about automation
 rules.
 <br>
 <br>
 If a node is not passed in the call, the setting for the corresponding
 automation rule remains unchanged.
 <br>
 <br>
 Although this call can revise (overwrite) an existing rule,
 this call cannot delete an automation rule.
 (Instead, use DeleteSellingManagerItemAutomationRule.)
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SetSellingManagerItemAutomationRuleRequestType : Trading_AbstractRequestType {

@private
    NSString *_itemID;
    Trading_SellingManagerAutoRelistType *_automatedRelistingRule;
    Trading_SellingManagerAutoSecondChanceOfferType *_automatedSecondChanceOfferRule;

}


/**
 
 The item ID whose automation rules you want to change.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 The information for the automated relisting rule to be associated with the item.
 
 
 type : class Trading_SellingManagerAutoRelistType
*/
@property (nonatomic, retain) Trading_SellingManagerAutoRelistType *automatedRelistingRule;

/**
 
 The information for the automated second chance offer rule to be associated with the item.
 
 
 type : class Trading_SellingManagerAutoSecondChanceOfferType
*/
@property (nonatomic, retain) Trading_SellingManagerAutoSecondChanceOfferType *automatedSecondChanceOfferRule;


@end
