// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_SellingManagerAutoSecondChanceOfferType;
@class Trading_SellingManagerAutoRelistType;
@class Trading_SellingManagerAutoListType;

/**
 
 Revises, or adds to, the Selling Manager automation
 rules associated with a template.
 <br>
 <br>
 This call is subject to change without notice; the
 deprecation process is inapplicable to this call.
 <br>
 <br>
 Using this call, you can add either an autorelist rule or
 an autolist rule, but not both.
 You also can add a second chance
 offer rule (restricted to auction items and auction templates).
 <br>
 <br>
 This call also enables you to specify particular information about automation
 rules.
 <br>
 <br>
 If a node is not passed in the call, the setting for the corresponding
 automation rule remains unchanged.
 <br>
 <br>
 Although this call can revise (overwrite) an existing rule,
 this call cannot delete an automation rule.
 (Instead, use DeleteSellingManagerTemplateAutomationRule.)
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SetSellingManagerTemplateAutomationRuleRequestType : Trading_AbstractRequestType {

@private
    NSNumber *_saleTemplateID;
    Trading_SellingManagerAutoListType *_automatedListingRule;
    Trading_SellingManagerAutoRelistType *_automatedRelistingRule;
    Trading_SellingManagerAutoSecondChanceOfferType *_automatedSecondChanceOfferRule;

}


/**
 
 The ID of the Selling Manager template whose automation rules
 you want to change. You can obtain a SaleTemplateID by calling
 GetSellingManagerInventory.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *saleTemplateID;

/**
 
 The information for the automated listing rule to be associated with the template.
 
 
 type : class Trading_SellingManagerAutoListType
*/
@property (nonatomic, retain) Trading_SellingManagerAutoListType *automatedListingRule;

/**
 
 The information for the automated relisting rule to be associated with the template.
 
 
 type : class Trading_SellingManagerAutoRelistType
*/
@property (nonatomic, retain) Trading_SellingManagerAutoRelistType *automatedRelistingRule;

/**
 
 The information for the automated second chance offer rule to be associated with the template.
 
 
 type : class Trading_SellingManagerAutoSecondChanceOfferType
*/
@property (nonatomic, retain) Trading_SellingManagerAutoSecondChanceOfferType *automatedSecondChanceOfferRule;


@end
