// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_StoreCustomCategoryArrayType;

/**
 
 Returns the status of the processing progress for changes to the category
 structure for a store.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SetStoreCategoriesResponseType : Trading_AbstractResponseType {

@private
    NSNumber *_taskID;
    NSString *_status;
    Trading_StoreCustomCategoryArrayType *_customCategory;

}


/**
 
 The task ID associated with the category structure change request. For a
 simple change, the SetStoreCategories call is processed synchronously.
 That is, simple changes are made immediately and then the response is
 returned. For synchronous processing, the task ID in the response is 0.
 If the category structure changes affect many listings, the changes will
 be processed asynchronously and the task ID will be a positive number.
 Use the non-zero task ID with GetStoreCategoryUpdateStatus to monitor
 the status of asynchronously processed changes.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *taskID;

/**
 
 When a category structure change is processed synchronously, the status
 is returned as Complete or Failed. For asynchronously processed changes,
 the status is reported as Pending. Use GetStoreCategoryUpdateStatus to
 monitor the status of asynchronously processed changes.
 
 
 type: string constant in Trading_TaskStatusCodeType.h
*/
@property (nonatomic, retain) NSString *status;

/**
 
 Contains data for store categories that you have created.
 
 
 type : class Trading_StoreCustomCategoryArrayType
*/
@property (nonatomic, retain) Trading_StoreCustomCategoryArrayType *customCategory;


@end
