// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_NameValueListArrayType;

/**
 
 Enables users to add, replace, and delete My eBay notes for
 items that are being tracked in the My eBay All Selling and
 All Buying areas.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SetUserNotesRequestType : Trading_AbstractRequestType {

@private
    NSString *_itemID;
    NSString *_action;
    NSString *_noteText;
    NSString *_transactionID;
    Trading_NameValueListArrayType *_variationSpecifics;
    NSString *_sku;
    NSString *_orderLineItemID;

}


/**
 
 ID of the item to which the My eBay note will be
 attached. Notes can only be added to items that are
 currently being tracked in My eBay.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 The seller must include this field and set it to 'AddOrUpdate' to add a new
 user note or update an existing user note, or set it to 'Delete' to delete a
 an existing user note.
 
 
 type: string constant in Trading_SetUserNotesActionCodeType.h
*/
@property (nonatomic, retain) NSString *action;

/**
 
 Text of the note. Maximum 250 characters. Required only
 if the Action is <b>AddOrUpdate</b>. This note text will
 completely replace any existing My eBay note for the
 specified item.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *noteText;

/**
 
 Unique identifier for the order line item (transaction) to which the My
 eBay note will be attached. Notes can only be added to order line items
 that are currently being tracked in My eBay. Buyers can
 view user notes made on order line items in the
 <b>PrivateNotes</b> field of the <b>WonList</b> container in <b>GetMyeBayBuying</b>, and
 sellers can view user notes made on order line items in
 the <b>PrivateNotes</b> field of the <b>SoldList</b> and <b>DeletedFromSoldList</b>
 containers in <b>GetMyeBaySellinging</b>.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *transactionID;

/**
 
 Container consisting of name-value pairs that identify (match) one
 variation within a fixed-price, multi-variation listing. The specified
 name-value pair(s) must exist in the listing specified by either the
 <b>ItemID</b> or <b>SKU</b> values specified in the request. If a specific order line
 item is targeted in the request with an
 <b>ItemID</b>/<b>TransactionID</b> pair or an <b>OrderLineItemID</b> value, any specified
 <b>VariationSpecifics</b> container is ignored by the call.
 
 
 type : class Trading_NameValueListArrayType
*/
@property (nonatomic, retain) Trading_NameValueListArrayType *variationSpecifics;

/**
 
 SKU value of the item variation to which the My eBay note will be
 attached. Notes can only be added to items that are currently being
 tracked in My eBay. A SKU (stock keeping unit) value is defined by and
 used by the seller to identify a variation within a fixed-price, multi-
 variation listing. The SKU value is assigned to a variation of an item
 through the <b>Variations.Variation.SKU</b> element.
 <br>
 <br>
 This field can only be used if the <b>Item.InventoryTrackingMethod</b> field
 (set with the <b>AddFixedPriceItem</b> or <b>RelistFixedPriceItem</b> calls) is set to
 SKU.
 <br>
 <br>
 If a specific order line item is targeted in the request
 with an <b>ItemID</b>/<b>TransactionID</b> pair or an <b>OrderLineItemID</b> value, any
 specified <b>SKU</b> is ignored by the call.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *sku;

/**
 
 A unique identifier for an eBay order line item. This field is created as
 soon as there is a commitment to buy from the seller, and its value is
 based upon the concatenation of <b>ItemID</b> and <b>TransactionID</b>, with a hyphen in
 between these two IDs. <b>OrderLineItemID</b> can be used in the input instead of
 an <b>ItemID</b>/<b>TransactionID</b> pair to identify an order line item.
 <br>
 <br>
 Notes can only be added to order line items that are currently being
 tracked in My eBay. Buyers can view user notes made on order line items in
 the <b>PrivateNotes</b> field of the <b>WonList</b> container in <b>GetMyeBayBuying</b>, and
 sellers can view user notes made on order line items in the <b>PrivateNotes</b>
 field of the <b>SoldList</b> and <b>DeletedFromSoldList</b> containers in
 <b>GetMyeBaySellinging</b>.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *orderLineItemID;


@end
