// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_PurchaseReminderEmailPreferencesType;
@class Trading_SellerFavoriteItemPreferencesType;
@class Trading_CrossPromotionPreferencesType;
@class Trading_UnpaidItemAssistancePreferencesType;
@class Trading_EndOfAuctionEmailPreferencesType;
@class Trading_CombinedPaymentPreferencesType;
@class Trading_DispatchCutoffTimePreferencesType;
@class Trading_BidderNoticePreferencesType;
@class Trading_SellerPaymentPreferencesType;

/**
 
 Defines the <b>SetUserPreferences</b> request container.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SetUserPreferencesRequestType : Trading_AbstractRequestType {

@private
    Trading_BidderNoticePreferencesType *_bidderNoticePreferences;
    Trading_CombinedPaymentPreferencesType *_combinedPaymentPreferences;
    Trading_CrossPromotionPreferencesType *_crossPromotionPreferences;
    Trading_SellerPaymentPreferencesType *_sellerPaymentPreferences;
    Trading_SellerFavoriteItemPreferencesType *_sellerFavoriteItemPreferences;
    Trading_EndOfAuctionEmailPreferencesType *_endOfAuctionEmailPreferences;
    NSNumber *_emailShipmentTrackingNumberPreference;
    NSNumber *_requiredShipPhoneNumberPreference;
    Trading_UnpaidItemAssistancePreferencesType *_unpaidItemAssistancePreferences;
    Trading_PurchaseReminderEmailPreferencesType *_purchaseReminderEmailPreferences;
    NSNumber *_sellerThirdPartyCheckoutDisabled;
    Trading_DispatchCutoffTimePreferencesType *_dispatchCutoffTimePreference;

}


/**
 
 Container consisting of the seller's preference for receiving contact
 information for unsuccessful bidders. This preference is only applicable for
 auction listings.
 
 
 type : class Trading_BidderNoticePreferencesType
*/
@property (nonatomic, retain) Trading_BidderNoticePreferencesType *bidderNoticePreferences;

/**
 
 Container consisting of the seller's preference for allowing combined payment
 on multiple orders shared between the same seller and buyer.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 Calculated and flat-rate shipping preferences are no longer set using this
 call. Instead, use the <b>SetShippingDiscountProfiles</b> call to
 set the shipping discounts for combined payment orders.
 </span>
 <br>
 <span class="tablenote"><strong>Note:</strong>
 A seller's combined payment preferences can take up to 7 days to
 have any logical or functional effect on eBay.
 </span>
 
 
 type : class Trading_CombinedPaymentPreferencesType
*/
@property (nonatomic, retain) Trading_CombinedPaymentPreferencesType *combinedPaymentPreferences;

/**
 
 This container should no longer be used as eBay Store Cross Promotions are no
 longer supported in the Trading API. This container will be removed from the
 Trading WSDL and API Call Reference docs in a future release.
 <br><br>
 Container consisting of the seller's cross-promotion preferences. These
 preferences are only applicable for eBay Store owners. One or more
 preferences may be set or modified under this field.
 
 
 type : class Trading_CrossPromotionPreferencesType
*/
@property (nonatomic, retain) Trading_CrossPromotionPreferencesType *crossPromotionPreferences;

/**
 
 Container consisting of the seller's payment preferences. One or more
 preferences may be set or modified under this field. Payment preferences
 specified in a <b>SetUserPreferences</b> call override the settings
 in My eBay payment preferences.
 
 
 type : class Trading_SellerPaymentPreferencesType
*/
@property (nonatomic, retain) Trading_SellerPaymentPreferencesType *sellerPaymentPreferences;

/**
 
 Container consisting of the seller's preferences for displaying items on a
 buyer's Favorite Sellers' Items page or Favorite Sellers' Items digest. One
 or more preferences may be set or modified under this field.
 
 
 type : class Trading_SellerFavoriteItemPreferencesType
*/
@property (nonatomic, retain) Trading_SellerFavoriteItemPreferencesType *sellerFavoriteItemPreferences;

/**
 
 Container consisting of the seller's preferences for the end-of-auction
 email sent to the winning bidder. These preferences allow the seller to
 customize the Email that is sent to buyer at the end of the auction. One or
 more preferences may be set or modified under this field. These preferences
 are only applicable for auction listings.
 
 
 type : class Trading_EndOfAuctionEmailPreferencesType
*/
@property (nonatomic, retain) Trading_EndOfAuctionEmailPreferencesType *endOfAuctionEmailPreferences;

/**
 
 Flag that controls whether the shipment's tracking number is sent by Email
 from the seller to the buyer.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *emailShipmentTrackingNumberPreference;

/**
 
 Flag that controls whether the buyer is required to provide a shipping phone
 number upon checkout. Some shipping carriers require the receiver's phone
 number.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *requiredShipPhoneNumberPreference;

/**
 
 Container consisting of a seller's Unpaid Item Assistant preferences. The
 Unpaid Item Assistant automatically opens an Unpaid Item dispute on the
 behalf of the seller. One or more preferences may be set or modified under
 this field.
 
 
 type : class Trading_UnpaidItemAssistancePreferencesType
*/
@property (nonatomic, retain) Trading_UnpaidItemAssistancePreferencesType *unpaidItemAssistancePreferences;

/**
 
 Container consisting of a seller's preference for sending a purchase
 reminder email to buyers.
 
 
 type : class Trading_PurchaseReminderEmailPreferencesType
*/
@property (nonatomic, retain) Trading_PurchaseReminderEmailPreferencesType *purchaseReminderEmailPreferences;

/**
 
 A flag used to disable the use of a third-party application to handle the
 checkout flow for a seller. If set to true, Third-Party Checkout is disabled
 and any checkout flow initiated on the seller's application is redirected to
 the eBay checkout flow.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *sellerThirdPartyCheckoutDisabled;

/**
 
                         Contains information about a seller's order cut off time preferences for same day shipping. If the seller specifies a value of <code>0</code> in <strong>Item.DispatchTimeMax</strong> to offer same day handling when listing an item, the seller's shipping time commitment depends on the order cut off time set for the listing site, as indicated by <strong>DispatchCutoffTimePreference.CutoffTime</strong>.
 
 
 type : class Trading_DispatchCutoffTimePreferencesType
*/
@property (nonatomic, retain) Trading_DispatchCutoffTimePreferencesType *dispatchCutoffTimePreference;


@end
