// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 This type defines the <b>ShippingCategoryDetails</b> container. When the <b>DetailName</b> field
 is set to ShippingCategoryDetails in a GeteBayDetails request, one
 <b>ShippingCategoryDetails</b> container is returned for each valid shipping category
 used on the eBay site. Besides being useful to view the list of valid shipping
 categories, this container is also useful to discover when the last update to
 shipping categories was made by eBay.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ShippingCategoryDetailsType : NSObject <PicoBindable> {

@private
    NSString *_shippingCategory;
    NSString *_description;
    NSString *_detailVersion;
    NSDate *_updateTime;
    NSMutableArray *_any;

}


/**
 
 Indicates the shipping category. Shipping categories include the following:
 ECONOMY, STANDARD, EXPEDITED, ONE_DAY, PICKUP, OTHER, and NONE. International
 shipping services are generally grouped into the NONE category. For more
 information on these shipping categories, and which services fall into which
 category, see the
 <a href="http://pages.ebay.com/sellerinformation/shipping/chooseservice.html">Shipping Basics</a> page on the eBay Shipping Center site.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingCategory;

/**
 
 Display string that applications can use to present a list of shipping categories in
 a more user-friendly format (such as in a drop-down list). This field is localized
 per site.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *description;

/**
 
 The current version number for shipping categories. Sellers can compare this
 version number to their version number to determine if and when to refresh
 cached client data.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *detailVersion;

/**
 
 Indicates the time of the last version update.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *updateTime;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
