// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_InsuranceDetailsType;
@class Trading_FlatShippingDiscountType;
@class Trading_InternationalShippingServiceOptionsType;
@class Trading_ShipmentTrackingDetailsType;
@class Trading_PromotionalShippingDiscountDetailsType;
@class Trading_SalesTaxType;
@class Trading_TaxTableType;
@class Trading_RateTableDetailsType;
@class Trading_CalculatedShippingRateType;
@class Trading_ShippingServiceOptionsType;
@class Trading_CalculatedShippingDiscountType;
@class Trading_AmountType;

/**
 
 Type defining the ShippingDetails container, which contains the shipping-related
 details for an item (pre-checkout) or order (post-checkout).
 <br/><br/>
             <span class="tablenote">
             <strong>IMPORTANT:</strong> To avoid loss of shipping details when revising a listing, you must include all <strong>ShippingDetails</strong> fields that were originally provided. Do not omit any tag, even if its value does not change. Omitting a shipping field when revising an item will remove that detail from the listing.
             </span>
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ShippingDetailsType : NSObject <PicoBindable> {

@private
    NSNumber *_allowPaymentEdit;
    NSNumber *_applyShippingDiscount;
    NSNumber *_globalShipping;
    Trading_CalculatedShippingRateType *_calculatedShippingRate;
    NSNumber *_changePaymentInstructions;
    Trading_AmountType *_insuranceFee;
    NSString *_insuranceOption;
    NSNumber *_insuranceWanted;
    NSNumber *_paymentEdited;
    NSString *_paymentInstructions;
    Trading_SalesTaxType *_salesTax;
    NSString *_shippingRateErrorMessage;
    NSString *_shippingRateType;
    NSMutableArray *_shippingServiceOptions;
    NSMutableArray *_internationalShippingServiceOption;
    NSString *_shippingType;
    NSNumber *_sellingManagerSalesRecordNumber;
    NSNumber *_thirdPartyCheckout;
    Trading_TaxTableType *_taxTable;
    NSNumber *_getItFast;
    NSString *_shippingServiceUsed;
    Trading_AmountType *_defaultShippingCost;
    Trading_InsuranceDetailsType *_insuranceDetails;
    Trading_InsuranceDetailsType *_internationalInsuranceDetails;
    NSString *_shippingDiscountProfileID;
    Trading_FlatShippingDiscountType *_flatShippingDiscount;
    Trading_CalculatedShippingDiscountType *_calculatedShippingDiscount;
    NSNumber *_promotionalShippingDiscount;
    NSString *_internationalShippingDiscountProfileID;
    Trading_FlatShippingDiscountType *_internationalFlatShippingDiscount;
    Trading_CalculatedShippingDiscountType *_internationalCalculatedShippingDiscount;
    NSNumber *_internationalPromotionalShippingDiscount;
    Trading_PromotionalShippingDiscountDetailsType *_promotionalShippingDiscountDetails;
    Trading_AmountType *_codCost;
    NSMutableArray *_excludeShipToLocation;
    NSNumber *_sellerExcludeShipToLocationsPreference;
    NSMutableArray *_shipmentTrackingDetails;
    Trading_RateTableDetailsType *_rateTableDetails;
    NSMutableArray *_any;

}


/**
 
 This field is no longer returned and has been replaced by the ShippingDetails.PaymentEdited field.
 <br><br>
 Not applicable to Half.com.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *allowPaymentEdit;

/**
 
 No longer used. To be deprecated in late 2010.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *applyShippingDiscount;

/**
 
 Indicates whether eBay's Global Shipping Program is offered for the listing. If the value of <strong>GlobalShipping</strong> is True, the Global Shipping Program is the default international shipping option for the listing, and eBay sets the international shipping service to International Priority Shipping. If the value of <strong>GlobalShipping</strong> is False, the seller is responsible for specifying an international shipping service for the listing if desired.
 <br/><br/>
 When calling <strong>RelistFixedPriceItem</strong>, <strong>RelistItem</strong>, <strong>ReviseFixedPriceItem</strong> or <strong>ReviseItem</strong>, you can omit this field if its value doesn't need to change.
 <br/><br/>
 Before using this field for a listing, ensure that the seller and the item being listed are eligible for the Global Shipping Program.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *globalShipping;

/**
 
 Details pertinent to one or more items for which calculated shipping has been
 offered by the seller, such as package dimension and weight and
 packaging/handling costs. If your call specifies a large-dimension item listed
 with UPS, see <a href=
 "http://ebay.custhelp.com/cgi-bin/ebay.cfg/php/enduser/std_adp.php?p_faqid=1159"
 >Dimensional Weight limit on UPS shipping services results in failure of
 shipping calculator</a>.
 <br><br>
 Not applicable to Half.com.
 
 
 type : class Trading_CalculatedShippingRateType
*/
@property (nonatomic, retain) Trading_CalculatedShippingRateType *calculatedShippingRate;

/**
 
 Whether the seller specified payment and shipping instructions during checkout
 (for example, to update the details of an order). Valid for flat and calculated
 shipping.
 <br><br>
 Not applicable to Half.com.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *changePaymentInstructions;

/**
 
 Cost of shipping insurance set by the seller. If the buyer bought more than one
 of this item, this is the insurance for just a single item. Exception: for
 GetItemShipping, this is proportional to QuantitySold. Value should be greater
 than 0.00 if InsuranceOption is Optional or Required. For flat shipping only.
 Optional as input and only allowed if ChangePaymentInstructions is true. This
 field is ignored when InsuranceOption is not specified in the request.
 <br><br>
 Valid only on the following sites: FR and IT
 <br>
 Applicable to Half.com for GetOrders.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *insuranceFee;

/**
 
 Whether the seller offers shipping insurance and, if so, whether the insurance is
 optional or required. Optional as input and only allowed if
 ChangePaymentInstructions is true. If this field is not included in the request,
 values specified in the InsuranceFee field will be ignored.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 Note that sellers are responsible for the items they sell until they safely
 arrive in their customers' hands, and that offering buyer-paid insurance
 (either as an optional or required service) infers that the buyer is somehow
 responsible for the safe delivery of the items they purchase. This notion can
 reduce buyer confidence in the marketplace and the practice of including buyer-
 paid shipping insurance in your item listings is discouraged.
 </span>
 <br>
 This field is only returned if the value is other than NotOffered.
 <br><br>
 Valid only on the following sites: FR and IT
 <br>
 If you include buyer-paid shipping insurance for an item listed on one
 of the sites that supports this option, a buyer on a site that does not support
 buyer-paid shipping insurance can still purchase the item. In these cases, the
 buyer is responsible for all the shipping insurance terms that have been outlined
 in the item listing.
 <br><br>
 Applicable to Half.com
 
 
 type: string constant in Trading_InsuranceOptionCodeType.h
*/
@property (nonatomic, retain) NSString *insuranceOption;

/**
 
 Whether or not the buyer selected to pay for insurance as an option offered by
 the seller. This only has a value after the buyer has gone through checkout and
 selected the insurance preference.
 <br><br>
 Valid only on the following sites: FR and IT
 <br>
 Applicable to Half.com for GetOrders.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *insuranceWanted;

/**
 
 Whether the seller allows the buyer to edit the payment amount for the order.
 (Sellers enable this property in their My eBay user preferences on the eBay site.)
 <br><br>
 Not applicable to Half.com.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *paymentEdited;

/**
 
 Payment instructions (or message) from the seller to the buyer. These
 instructions appear on eBay's View Item page and on eBay's checkout page when the
 buyer pays for the item.
 <br><br>
 Sellers usually use this field to specify payment instructions, how soon the item
 will shipped, feedback instructions, and other reminders that the buyer should be
 aware of when they bid on or buy an item. This field can be specified regardless
 of the shipping type eBay only allows 500 characters as input, but due to the way
 the eBay Web site UI treats characters, this field can return more than 500
 characters in the response. Characters like & and ' (apostrophe/single quote)
 count as 5 characters each. Use DeletedField to remove this value when revising
 or relisting an item.
 <br><br>
 Applicable to eBay Motors (usually used to elaborate on the return policy).
 <br>
 Not applicable to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *paymentInstructions;

/**
 
 Sales tax details. US (site 0) and Motors (site 100) sites only, excluding vehicle listings. Flat and calculated shipping.
 <br><br>
 Applicable to Half.com (for GetOrders).
 
 
 type : class Trading_SalesTaxType
*/
@property (nonatomic, retain) Trading_SalesTaxType *salesTax;

/**
 
 For most applicable calls, returns the words No Error or returns an error message
 related to an attempt to calculate shipping rates. For calculated shipping only.
 <br><br>
 The message text explains that a postal code is needed to calculate
 shipping. Only returned when ItemDetails is set to Fine.
 <br><br>
 Not applicable to Half.com or eBay Motors vehicle listings.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingRateErrorMessage;

/**
 
 A shipping rate scale for shipping through UPS that affects the shipping cost
 calculated for UPS (lower if ShippingRateType is DailyPickup). ShippingRateType
 is only returned if ShippingService is one of the UPS shipping services. For
 calculated shipping only.
 <br><br>
 Not applicable to Half.com or eBay Motors vehicle listings.
 
 
 type: string constant in Trading_ShippingRateTypeCodeType.h
*/
@property (nonatomic, retain) NSString *shippingRateType;

/**
 
 Shipping costs and options related to domestic shipping services offered by the
 seller. Flat and calculated shipping. Required if
 InternationalShippingServiceOption is specified.
 <br><br>
 For flat shipping, a maximum shipping cost may apply when listing. See Shipping
 documentation for details about Maximum Flat Rate Shipping Costs.
 <br><br>
 If you specify multiple ShippingServiceOptions nodes, the repeating nodes must be
 contiguous. For example, you can insert InternationalShippingServiceOption nodes
 after a list of repeating ShippingServiceOptions nodes, but not between them:
 <br><br>
 &lt;ShippingServiceOptions&gt;...&lt;/ShippingServiceOptions&gt;<br>
 &lt;ShippingServiceOptions&gt;...&lt;/ShippingServiceOptions&gt;<br>
 &lt;ShippingServiceOptions&gt;...&lt;/ShippingServiceOptions&gt;<br>
 &lt;InternationalShippingServiceOption&gt;...&lt;/InternationalShippingServiceOption&gt;<br>
 &lt;InternationalShippingServiceOption&gt;...&lt;/InternationalShippingServiceOption&gt;
 <br><br>
 If you specify ShippingDetails when you revise or relist an item but you omit
 ShippingServiceOptions, eBay will drop the domestic shipping services from the
 listing. This may also have unintended side effects, as other fields that depend
 on this data may be dropped as well. To retain the shipping services and
 dependent fields when you modify other shipping details, it may be simplest to
 specify all ShippingDetails that you still want to include in the listing.
 <br><br>
 A seller can offer up to four domestic shipping services and up to five
 international shipping services. All specified domestic and international
 shipping services must be the same shipping type (for example, Flat versus
 Calculated).
 <br><br>
 For GetItemShipping, results are filtered:  if any service is not available
 in the buyer's region, it is removed. If no services remain after this
 filtering, a warning is returned.
 <br><br>
 Not applicable to Half.com or eBay Motors vehicle listings.
 
 
 entry type : class Trading_ShippingServiceOptionsType
*/

@property (nonatomic, retain) NSMutableArray *shippingServiceOptions;

/**
 
 Shipping costs and options related to an international shipping service. If used, at least one domestic shipping service must also be provided in ShippingServiceOptions.
 <br><br>
 If you specify multiple InternationalShippingServiceOption nodes, the repeating nodes must be contiguous. That is, you cannot insert other nodes between InternationalShippingServiceOption nodes.
 <br><br>
 All specified domestic and international shipping services must be the same shipping type (for example, Flat versus Calculated).
 <br><br>
 A seller can offer up to four domestic shipping services and up to five international shipping services. However, if the seller is opted in to the Global Shipping Program, only four other international shipping services may be offered (regardless of whether or not Global Shipping is offered for the listing).
 <br><br>
 If you specify ShippingDetails when you revise or relist an item but you omit InternationalShippingServiceOption, eBay will drop the international shipping services (except the Global Shipping Program) from the listing. This may also have unintended side effects, as other fields that depend on this data may be dropped as well. To retain the shipping services and dependent fields when you modify other shipping details, it may be simplest to specify all ShippingDetails that you still want to include in the listing.
 <br><br>
 For GetItemShipping, results are filtered:  if any service is not available in the buyer's region, it is removed. If no services remain after this filtering, a warning is returned.
 <br><br>
 Not applicable to Half.com or eBay Motors vehicle listings.
 
 
 entry type : class Trading_InternationalShippingServiceOptionsType
*/

@property (nonatomic, retain) NSMutableArray *internationalShippingServiceOption;

/**
 
 The shipping cost model offered by the seller. This is not returned for
 various calls since shipping type can be deduced: if a CalculatedShippingRate
 structure is returned by the call, the shipping type is Calculated. Otherwise,
 it is one of the other non-Calculated shipping types.
 <br><br>
 <b>GetItemShipping and GetItemTransactions</b>:
 If the type was a mix of flat and calculated services, this is
 set simply to Flat or Calculated because it is the buyer's
 selection that results in one of these.
 <br><br>
 Not applicable to Half.com.
 
 
 type: string constant in Trading_ShippingTypeCodeType.h
*/
@property (nonatomic, retain) NSString *shippingType;

/**
 
 The sale record ID. Applicable to Selling Manager users.
 When an item is sold, Selling Manager generates a sale record.
 A sale record contains buyer information, shipping, and other information.
 A sale record is displayed in the Sold view in Selling Manager.
 Each sale record has a sale record ID. In the following calls,
 the value for the sale record ID is in the SellingManagerSalesRecordNumber field:
 GetItemTransactions, GetSellerTransactions, GetOrders, GetOrderTransactions.
 In the Selling Manager calls, the value for the sale record ID is in the
 SaleRecordID field. The sale record ID can be for a single or a multiple line item order.
 <br>
 Applicable to Half.com (for GetOrders).
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *sellingManagerSalesRecordNumber;

/**
 
 As of July 1, 2011, third-party applications can no longer be used for
 checkout. All purchased items must go through the eBay Checkout flow.
 <br><br>
 This field can no longer be passed into the Add Item family of calls.
 <br><br>
 This field will be returned in some calls (that return the ShippingDetails
 container) if it was set to True at listing time (for listings created before
 July 1, 2011). If this field was set to True at listing time, the user must
 include this field and set it to False in the Relist and Revise Item family of
 calls. Otherwise, the caller may get an error.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *thirdPartyCheckout;

/**
 
 Tax details for a jurisdiction, such as a state or province. If no tax table
 is associated with the item, a tax table is not returned.
 <br><br>
 For GetItem, a tax table is returned if it exists when:
 <br>
 - DetailLevel is set to ReturnAll or ItemReturnDescription (in this case,
 the value of IncludeTaxTable does not matter).
 <br>
 - IncludeTaxTable is set to true and DetailLevel is not set or it is set
 to ItemReturnAttributes.
 <br><br>
 Not applicable to Half.com.
 
 
 type : class Trading_TaxTableType
*/
@property (nonatomic, retain) Trading_TaxTableType *taxTable;

/**
 
 Indicates whether the seller has opted the listing into the Get It Fast
 feature. If GetItFast is true and if at least one of the domestic shipping
 services offered by the seller is an expedited shipping service, every shipping
 service offered by the seller is considered a Get It Fast service, and the
 seller commits to delivering the item to the buyer-selected shipping service
 within one day.
 <br><br>
 Applicable to Half.com for GetOrders.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *getItFast;

/**
 
 The shipping service actually used by the seller to ship the item(s) to the
 buyer.
 <br><br>
 Not applicable to Half.com.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingServiceUsed;

/**
 
 The default shipping cost for the item. If the seller specified
 multiple shipping services, this is the "first" shipping service
 as specified by the seller when they listed the item.
 <br><br>
 Not applicable to Half.com.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *defaultShippingCost;

/**
 
 Container for domestic insurance information.
 <br><br>
 Note that there are fields named InsuranceFee and InsuranceOption at the same
 level as this container. These were once used for representing both domestic and
 international insurance details. If this (newer) container is provided on input
 and if ShippingDetails.InsuranceFee or ShippingDetails.InsuranceOption are also
 provided, those two (older fields) are ignored. If this container is omitted on
 input, its InsuranceFee and InsuranceOption subfields are set to match whatever
 (the older fields) ShippingDetails.InsuranceFee and
 ShippingDetails.InsuranceOption are set to. For flat and calculated shipping,
 depending on which subfields are used.
 <br><br>
 Valid only on the following sites: FR and IT
 
 
 type : class Trading_InsuranceDetailsType
*/
@property (nonatomic, retain) Trading_InsuranceDetailsType *insuranceDetails;

/**
 
 Container for international insurance information.
 <br><br>
 Note that there are fields named InsuranceFee and InsuranceOption at the same
 level as this container. These were once used for representing both domestic
 and international insurance details. If this (newer) container is provided on
 input and if ShippingDetails.InsuranceFee or ShippingDetails.InsuranceOption
 are also provided, those two (older fields) are ignored. If this container is
 omitted on input, its InsuranceFee and InsuranceOption subfields are set to
 match whatever (the older fields) are set to for flat and calculated shipping,
 depending on which subfields are used.
 <br><br>
 Valid only on the following sites: FR and IT
 
 
 type : class Trading_InsuranceDetailsType
*/
@property (nonatomic, retain) Trading_InsuranceDetailsType *internationalInsuranceDetails;

/**
 
 On input, this is the ID of the shipping discount to offer for the domestic
 shipping services (where the shipping discount is either of type
 FlatShippingDiscount or CalculatedShippingDiscount). On output, this is the ID
 of the shipping discount offered and corresponds to whichever is returned:
 FlatShippingDiscount or CalculatedShippingDiscount. Only returned if the
 calling user is the seller.  If the user created a shipping discount profile,
 use the ShippingDiscountProfileID.
 <br><br>
 In the RelistItem and ReviseItem family of calls, you can remove the existing
 ShippingDiscountProfileID associated with the item by supplying a value of 0 (zero).
 <br><br>
 Only returned if the calling user is the seller.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingDiscountProfileID;

/**
 
 If a flat rate shipping discount was offered for the domestic shipping
 services, this contains the details of the flat rate shipping discount.
 Otherwise, it is not returned. Only returned if the calling user is the seller.
 
 
 type : class Trading_FlatShippingDiscountType
*/
@property (nonatomic, retain) Trading_FlatShippingDiscountType *flatShippingDiscount;

/**
 
 If a calculated shipping discount was offered for the domestic shipping
 services, this contains the details of the calculated shipping discount.
 Otherwise, it is not returned. Only returned if the calling user is the seller.
 
 
 type : class Trading_CalculatedShippingDiscountType
*/
@property (nonatomic, retain) Trading_CalculatedShippingDiscountType *calculatedShippingDiscount;

/**
 
 On input, this specifies whether to offer the promotional shipping discount for
 the domestic shipping services of this listing (only applicable if the seller
 has a promotional shipping discount in effect at the moment).
 <br><br>
 Returned on output only if the seller is making the call. This indicates
 whether the promotional shipping discount is being offered for the domestic
 shipping services of this listing (if the listing is still active--this is only
 possible if the seller has a promotional shipping discount in effect at the
 moment) or whether the discount was offered at the time the listing ended.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *promotionalShippingDiscount;

/**
 
 On input, this is the ID of the shipping discount to offer for the
 international shipping services (where the shipping discount is either
 of type FlatShippingDiscount or CalculatedShippingDiscount).
 <br><br>
 In the RelistItem and ReviseItem family of calls, you can remove the existing
 InternationalShippingDiscountProfileID associated with the item by supplying a
 value of 0 (zero).
 <br><br>
 Returned on output only if the seller is making the call. The value is
 the ID of the shipping discount offered and corresponds to whichever
 is returned: FlatShippingDiscount or CalculatedShippingDiscount.
 <br><br>
 If the user created a shipping discount profile, use
 InternationalShippingDiscountProfileID.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *internationalShippingDiscountProfileID;

/**
 
 This value is returned only if the seller is making the call. If a flat
 rate shipping discount was offered for the international shipping
 services, this contains the details of the flat rate shipping discount.
 Otherwise, it is not returned.
 
 
 type : class Trading_FlatShippingDiscountType
*/
@property (nonatomic, retain) Trading_FlatShippingDiscountType *internationalFlatShippingDiscount;

/**
 
 This value is returned only if the seller is making the call. If a
 calculated shipping discount was offered for the international shipping
 services, this contains the details of the calculated shipping
 discount. Otherwise, it is not returned.
 
 
 type : class Trading_CalculatedShippingDiscountType
*/
@property (nonatomic, retain) Trading_CalculatedShippingDiscountType *internationalCalculatedShippingDiscount;

/**
 
 On input, this specifies whether to offer the promotional shipping
 discount for the listing's international shipping services (only
 applicable if the seller has a promotional shipping discount in effect
 at the moment).
 <br><br>
 Returned on output only if the seller is making the call. This value
 indicates whether the promotional shipping discount is being offered
 for the international shipping services of this listing (if the listing
 is still active--this is only possible if the seller has a promotional
 shipping discount in effect at the moment) or whether the discount was
 offered at the time the listing ended.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *internationalPromotionalShippingDiscount;

/**
 
 This value is returned only if the seller is making the call. Contains details of
 the promotional shipping discount, if such is being offered while the listing is
 active or if it was offered at the time the listing ended.
 
 
 type : class Trading_PromotionalShippingDiscountDetailsType
*/
@property (nonatomic, retain) Trading_PromotionalShippingDiscountDetailsType *promotionalShippingDiscountDetails;

/**
 
 This dollar value indicates the money due from the buyer upon delivery of the item.
 <br><br>
 This field should only be specified in the request if 'COD' (cash-on-delivery) is a
 valid payment method for the site and it is included as a <b>PaymentMethods</b>
 value in the same request.
 <br><br>
 This field is only returned if set for the listing.
 <br><br>
 To see if 'COD' is a supported payment method for a site, call <b>GeteBayDetails</b>
 with the <b>DetailName</b> field set to 'PaymentOptionDetails'. Look for
 a value of 'COD' in one of the <b>PaymentOptionDetails.PaymentOption</b>
 fields in the response.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *codCost;

/**
 
 Use this field to specify an international country or region, or a special domestic
 location, such as 'PO Box' (in US) or 'Packstation' (in DE), to where you
 will not ship the associated item. Repeat this element in the call request for each
 location that you want to exclude as a shipping destination for your item.
 <br><br>
 Set ShipToRegistrationCountry to true to have your ExcludeShipToLocation
 settings applied to your listing. The locations you have excluded display in
 the Shipping and Handling section of your item listing.
 <br><br>
 If a buyer's primary ship-to location is a location that you have listed as
 an excluded ship-to location (or if the buyer does not have a primary ship-to
 location), they will receive an error message if they attempt to buy or place
 a bid on your item.
 <br><br>
 The exclude ship-to location values are eBay regions and countries. To see
 the valid exclude ship-to locations for a specified site, call <b>GeteBayDetails</b>
 with <b>DetailName</b> set to <b>ExcludeShippingLocationDetails</b>,
 and then look for the ExcludeShippingLocationDetails.Location fields in the response.
 Repeat <b>GeteBayDetails</b> for each site on which you list.
 <br><br>
 This field works in conjunction with Item.ShipToLocations to create a set of
 international countries and regions to where you will, and will not, ship.
 You can list a region in the ShipToLocations field, then exclude specific
 countries within that region with this field (for example, you can specify
 Africa in ShipToLocations, yet exclude Chad with a ExcludeShipToLocation
 setting). In addition, if your ShipToLocations is Worldwide, you can use
 this field to specify both regions and countries that you want to exclude
 from your shipping destinations.
 <br><br>
 You can specify a default set of locations to where you will not ship in My
 eBay. If you create an Exclude Ship-To List, it is, by default, in effect
 when you list items. However, if you specify any value in this field on
 input, it nullifies the default settings in your Exclude Ship-To List. (If
 you use ExcludeShipToLocation when you list an item, you will need to list
 all the locations to where you will not ship the associated item, regardless
 of the default settings in your Exclude Ship-To List.)
 <br><br>
 Specify NONE in this field to override the default Exclude Ship-To List you
 might have set up in My eBay and indicate that you do not want to exclude any
 shipping locations from the respective item listing.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 To enable your default Exclude Ship-To List, you must enable Exclude
 Shipping Locations and Buyer Requirements in your My eBay Site Preferences.
 For details, see the KnowledgeBase Article <a href=
 "https://ebay.custhelp.com/cgi-bin/ebay.cfg/php/enduser/std_adp.php?p_faqid=1495"
 >HowTo: ExcludeShipToLocation</a>.
 </span>
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *excludeShipToLocation;

/**
 
 Sellers can set up a global Exclude Ship-To List through their My eBay account.
 The Exclude Ship-To List defines the countries to where the seller does not
 ship, by default.
 <br><br>
 This flag returns true if the Exclude Ship-To List is enabled by the seller for
 the associated item. If false, the seller's Exclude Ship-To List is either not
 set up, or it has been overridden by the seller when they listed the item with
 ExcludeShipToLocation fields.
 <br><br>
 In the response, ExcludeShipToLocation fields detail the locations to where the
 seller will not ship the item, regardless of the value returned in this field.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *sellerExcludeShipToLocationsPreference;

/**
 
 Container for the shipping carrier and tracking information associated with the
 shipment of an order.
 <br><br>
 As each package has a unique tracking number, this container should be
 repeated for each package in the order.
 <br>
 <br>
 <span class="tablenote"><b>Note:</b>
 Starting June 20, 2012 Top-rated sellers must have a record of uploading shipment tracking
 information (through site or through API) for at least 90 percent of their order line
 items (purchased by U.S. buyers) to keep their status as Top-rated sellers. For more
 information on changes to eBay's Top-rated seller program, see the
 <a href="http://pages.ebay.com/sellerinformation/news/eTRSupdate.html">2012 Spring Seller Update</a> page.
 </span>
 <br>
 
 
 entry type : class Trading_ShipmentTrackingDetailsType
*/

@property (nonatomic, retain) NSMutableArray *shipmentTrackingDetails;

/**
 
    This container specifies the shipping rate tables that are to be applied to this listing. Shipping rate tables enable sellers to tailor the flat shipping rates offered for an item to fit the shipping destination. They can specify a shipping rate for a large <em>base</em> region, then define alternative rates or surcharges for shipping to other <em>extended</em> regions within the base region.
    <br><br>
 
    Prerequisites for applying shipping rate tables:
    <ul>
    <li>The shipping type for the listing must be Flat. </li>
    <li>The seller must have previously configured a shipping rate table in My eBay site preferences. </li>
    </ul>
 
                   In a domestic shipping rate table, sellers can specify an alternative shipping rate for each shipping service category, for each of several extended domestic regions within their country. For example, in the US the shipping categories are Economy, Standard, Expedited and One-day. The extended regions are Alaska and Hawaii, US Protectorates, and Army/Fleet Post Offices.
    <br><br>
 
                   In an international shipping rate table, sellers can specify an alternative shipping rate for each shipping service category, for each country in a given base region. The international rate table has nine base regions: Africa, Asia, Central America and Caribbean, Europe, Middle East, North America, Oceania, Southeast Asia, and South America.
 
          You can use the GetUser call to determine if the seller has configured a shipping rate table. If the domestic shipping rate table is available for this seller, the <strong>User.SellerInfo.DomesticRateTable</strong> field will be <code>true</code>. If the international shipping rate table is available for this seller, the <strong>User.SellerInfo.InternationalTable</strong> field will be <code>true</code>.
    <br><br>
 
 <span class="tablenote">
    <strong>Note:</strong> You can use <strong>RateTableDetails</strong> to apply a shipping rate table to a listing or remove it from a listing. However, the details of a shipping rate table configuration can only be viewed and modified on the eBay website, not by using the API.
    </span>
 
    Sellers use a dropdown list to specify the alternative shipping rate applied by the rate table as one of the following:
    <ul>
    <li>A flat amount per item </li>
    <li>A flat surcharge (domestic rate tables only) </li>
    <li>A surcharge by weight </li>
    </ul>
 
                   This selection applies to the entire table; there is no mixing and matching by region or shipping category.
    <br><br>
 
                   If you are applying a shipping rate table that specifies a surcharge by weight, you must specify the item weight in the <strong>ShippingDetails.CalculatedShippingRate</strong> container's <strong>WeightMajor</strong> and <strong>WeightMinor</strong> fields, even though this is a flat rate listing. Do not use any other fields in the <strong>CalculatedShippingRate</strong> container because those are not supported in this scenario.
    <br><br>
 
                   <span class="tablenote">
    <strong>Note:</strong> There is currently no way to determine through the API whether a seller's rate table specifies a surcharge by weight, so your application must make it clear to the seller that item weight must be supplied if the seller has specified a surcharge by weight. If the required weight values are not supplied, a default weight of one unit (1 lb or 1 kg, depending on locale) is used as the basis for the surcharge.
    </span>
 
    This container is returned from the GetItem family of calls only for the seller who listed the item.
    <br><br>
 
    You can find more information about using shipping rate tables in the Shipping chapter of the Trading API User's Guide.
    
 
 type : class Trading_RateTableDetailsType
*/
@property (nonatomic, retain) Trading_RateTableDetailsType *rateTableDetails;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
