// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Details about type of package used to ship an item.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_ShippingPackageDetailsType : NSObject <PicoBindable> {

@private
    NSNumber *_packageID;
    NSString *_description;
    NSString *_shippingPackage;
    NSNumber *_defaultValue;
    NSNumber *_dimensionsSupported;
    NSString *_detailVersion;
    NSDate *_updateTime;
    NSMutableArray *_any;

}


/**
 
 Numeric identifier.
 Some applications use this ID to look up shipping packages more efficiently.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *packageID;

/**
 
 Display string that applications can use to present a list of shipping package
 options in a more user-friendly format (such as in a drop-down list).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *description;

/**
 
 A supported value for the site that can be used in the
 <b>Item.ShippingPackageDetails.ShippingPackage</b> or
 <b>Item.ShippingDetails.CalculatedShippingRate.ShippingPackage</b> fields
 of an Add/Revise/Relist API call.
 
 
 type: string constant in Trading_ShippingPackageCodeType.h
*/
@property (nonatomic, retain) NSString *shippingPackage;

/**
 
 Indicates if the package type is the default for the specified site.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *defaultValue;

/**
 
 This field is returned as 'true' if the shipping package supports the use of
 package dimensions.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *dimensionsSupported;

/**
 
 Returns the latest version number for this field. The version can be
 used to determine if and when to refresh cached client data.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *detailVersion;

/**
 
 Gives the time in GMT that the feature flags for the details were last
 updated. This timestamp can be used to determine if and when to refresh
 cached client data.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *updateTime;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
