// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>

/**
 @file
 
 A shipping service used to ship an item. Applications should not depend on the
 completeness of ShippingServiceCodeType. Instead, applications should call
 GeteBayDetails, with a DetailName value of ShippingServiceDetails, to return the
 complete list of shipping services. To check for the shipping services available
 for a specific site, specify the site ID in the header. It is possible that some of
 the returned shipping services can no longer be used in the AddItem family of
 calls. To distinguish between the valid and invalid shipping services, look for the
 ValidForSellingFlow flag in the ShippingServiceDetails node. If this flag is not
 returned for a specific shipping service, that shipping service can no longer be
 used in the AddItem family of calls.
 
 
 @ingroup EBayAPIInterface
*/

/**
 
 UPS Ground
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_GROUND;

/**
 
 UPS 3rd Day
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_3_RD_DAY;

/**
 
 UPS 2nd Day
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_2_ND_DAY;

/**
 
 UPS Next Day
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_NEXT_DAY;

/**
 
 USPS Priority
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY;

/**
 
 USPS Parcel Select
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PARCEL;

/**
 
 USPS Media
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_MEDIA;

/**
 
 USPS First Class
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_FIRST_CLASS;

/**
 
 Standard shipping method
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SHIPPING_METHOD_STANDARD;

/**
 
 Reserved for internal or future use
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SHIPPING_METHOD_EXPRESS;

/**
 
 USPS Express Mail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL;

/**
 
 UPS Next Day Air
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_NEXT_DAY_AIR;

/**
 
 UPS Next Day Air
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_2_DAY_AIR_AM;

/**
 
 USPS Express Mail Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_FLAT_RATE_ENVELOPE;

/**
 
 USPS Express Mail Padded Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_PADDED_FLAT_RATE_ENVELOPE;

/**
 
 USPS Priority Mail Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_FLAT_RATE_ENVELOPE;

/**
 
 USPS Priority Mail Small Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_SMALL_FLAT_RATE_BOX;

/**
 
 USPS Priority Mail Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_FLAT_RATE_BOX;

/**
 
 USPS Priority Mail Large Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_LARGE_FLAT_RATE_BOX;

/**
 
 USPS Priority Mail Padded Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_PADDED_FLAT_RATE_ENVELOPE;

/**
 
 USPS Priority Mail Legal Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_LEGAL_FLAT_RATE_ENVELOPE;

/**
 
 USPS Priority Mail Legal Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_LEGAL_FLAT_RATE_ENVELOPE;

/**
 
 USPS Priority Mail Regional Box A
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_REGIONAL_BOX_A;

/**
 
 USPS Priority Mail Regional Box B
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_REGIONAL_BOX_B;

/**
 
 USPS Priority Mail Regional Box C
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_REGIONAL_BOX_C;

/**
 
 USPS Express Mail Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_FLAT_RATE_BOX;

/**
 
 Other (see description)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_OTHER;

/**
 
 Local Delivery/Pickup
 
*/
extern NSString *const Trading_ShippingServiceCodeType_LOCAL_DELIVERY;

/**
 
 Not Selected
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NOT_SELECTED;

/**
 
 International Not Selected
 
*/
extern NSString *const Trading_ShippingServiceCodeType_INTERNATIONAL_NOT_SELECTED;

/**
 
 Standard International Flat Rate Shipping
 
*/
extern NSString *const Trading_ShippingServiceCodeType_STANDARD_INTERNATIONAL;

/**
 
 Expedited International Flat Rate Shipping
 
*/
extern NSString *const Trading_ShippingServiceCodeType_EXPEDITED_INTERNATIONAL;

/**
 
 USPS Global Express Mail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_GLOBAL_EXPRESS;

/**
 
 USPS Global Priority Mail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_GLOBAL_PRIORITY;

/**
 
 USPS Economy Parcel Post
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_ECONOMY_PARCEL;

/**
 
 USPS Economy Letter Post
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_ECONOMY_LETTER;

/**
 
 USPS Airmail Letter Post
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_AIRMAIL_LETTER;

/**
 
 USPS Airmail Parcel Post
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_AIRMAIL_PARCEL;

/**
 
 UPS Worldwide Express Plus
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS_PLUS;

/**
 
 UPS Worldwide Express
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS;

/**
 
 UPS Worldwide Expedited
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPEDITED;

/**
 
 UPS Worldwide Saver
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_WORLDWIDE_SAVER;

/**
 
 UPS Standard To Canada
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_STANDARD_TO_CANADA;

/**
 
 USPS Express Mail International Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_INTERNATIONAL_FLAT_RATE_ENVELOPE;

/**
 
 USPS Express Mail International Padded Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_INTERNATIONAL_PADDED_FLAT_RATE_ENVELOPE;

/**
 
 USPS Priority Mail International Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_FLAT_RATE_ENVELOPE;

/**
 
 USPS Priority Mail International Small Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_SMALL_FLAT_RATE_BOX;

/**
 
 USPS Priority Mail International Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_FLAT_RATE_BOX;

/**
 
 USPS Priority Mail International Large Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_LARGE_FLAT_RATE_BOX;

/**
 
 USPS Priority Mail International Padded Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_PADDED_FLAT_RATE_ENVELOPE;

/**
 
 USPS Priority Mail International Legal Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_LEGAL_FLAT_RATE_ENVELOPE;

/**
 
 USPS Priority Mail International Legal Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_INTERNATIONAL_LEGAL_FLAT_RATE_ENVELOPE;

/**
 
 USPS Express Mail International Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_INTERNATIONAL_FLAT_RATE_BOX;

/**
 
 Other International Shipping (see description)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_OTHER_INTERNATIONAL;

/**
 
 Standardversand (unversichert)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_STANDARD_DISPATCH;

/**
 
 Versicherter Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_INSURED_DISPATCH;

extern NSString *const Trading_ShippingServiceCodeType_AT_WRITING;

extern NSString *const Trading_ShippingServiceCodeType_AT_COD;

/**
 
 Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_EXPRESS_OR_COURIER;

/**
 
 Versicherter Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_INSURED_EXPRESS_OR_COURIER;

extern NSString *const Trading_ShippingServiceCodeType_AT_SPECIAL_DISPATCH;

extern NSString *const Trading_ShippingServiceCodeType_AT_INSURED_SPECIAL_DISPATCH;

/**
 
 Sonstige (Siehe Artikelbeschreibung)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_SONSTIGE;

/**
 
 Unversicherter Versand International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_UNVERSICHERTER_VERSAND_INTERNATIONAL;

/**
 
 Versicherter Versand International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_VERSICHERTER_VERSAND_INTERNATIONAL;

/**
 
 Sonstiger Versand International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_SONSTIGER_VERSAND_INTERNATIONAL;

/**
 
 Unversicherter Express Versand International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_UNVERSICHERTER_EXPRESS_VERSAND_INTERNATIONAL;

/**
 
 Versicherter Express Versand International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_VERSICHERTER_EXPRESS_VERSAND_INTERNATIONAL;

/**
 
 Sparversand aus dem Ausland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_ECONOMY_DELIVERY_FROM_ABROAD;

/**
 
 Standardversand aus dem Ausland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_STANDARD_DELIVERY_FROM_ABROAD;

/**
 
 Expressversand aus dem Ausland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_EXPRESS_DELIVERY_FROM_ABROAD;

/**
 
 Versand mit Nachverfolgung aus dem Ausland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_TRACKED_DELIVERY_FROM_ABROAD;

/**
 
 Regular
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_REGULAR;

/**
 
 Express
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS;

/**
 
 Registered
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED;

/**
 
 Courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_COURIER;

/**
 
 Other
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_OTHER;

/**
 
 EMS International Courier - Parcels
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EMS_INTERNATIONAL_COURIER_PARCELS;

/**
 
 EMS International Courier - Documents
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EMS_INTERNATIONAL_COURIER_DOCUMENTS;

/**
 
 Express Post International - Documents
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_POST_INTERNATIONAL_DOCUMENTS;

/**
 
 Air Mail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_AIR_MAIL_INTERNATIONAL;

/**
 
 Economy Air
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_ECONOMY_AIR_INTERNATIONAL;

/**
 
 Sea Mail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_SEA_MAIL_INTERNATIONAL;

/**
 
 Standard International Flat Rate Postage
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_STANDARD_INTERNATIONAL;

/**
 
 Expedited international flat rate postage
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EXPEDITED_INTERNATIONAL;

/**
 
 Other international postage
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_OTHER_INTERNATIONAL;

/**
 
 Australia Post Registered Post International Padded Bag 1 kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_AUS_POST_REGISTERED_POST_INTERNATIONAL_PADDED_BAG_1_KG;

/**
 
 Australia Post Registered Post International Padded Bag 500 g
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_AUS_POST_REGISTERED_POST_INTERNATIONAL_PADDED_BAG_500_G;

/**
 
 Australia Post Registered Post International Parcel
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_AUS_POST_REGISTERED_POST_INTERNATIONAL_PARCEL;

/**
 
 Expedited delivery from outside Australia
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EXPEDITED_DELIVERY_FROM_OUTSIDE_AU;

/**
 
 Economy delivery from outside Australia
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_ECONOMY_DELIVERY_FROM_OUTSIDE_AU;

/**
 
 Standard Delivery From Outside AU
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_STANDARD_DELIVERY_FROM_OUTSIDE_AU;

/**
 
 Australian Air Express Metro 15 kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_AUSTRALIAN_AIR_EXPRESS_METRO_15_KG;

/**
 
 Australian Air Express Flat Rate 5 kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_AUSTRALIAN_AIR_EXPRESS_FLAT_RATE_5_KG;

/**
 
 Australian Air Express Flat Rate 3 kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_AUSTRALIAN_AIR_EXPRESS_FLAT_RATE_3_KG;

/**
 
 Australian Air Express Flat Rate 1 kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_AUSTRALIAN_AIR_EXPRESS_FLAT_RATE_1_KG;

/**
 
 Express delivery (1-3 business days) in Australia
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_DELIVERY;

/**
 
 Standard delivery (1-6 business days) in Australia
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_STANDARD_DELIVERY;

/**
 
 eBay/Australian Post 3 kg Flat Rate Satchel
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_E_BAY_AUS_POST_3_KG_FLAT_RATE_SATCHEL;

/**
 
 eBay/Australian Post 500 g Flat Rate Satchel
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_E_BAY_AUS_POST_500_G_FLAT_RATE_SATCHEL;

/**
 
 Freight delivery in Australia. Used for heavy and bulky items.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_FREIGHT;

extern NSString *const Trading_ShippingServiceCodeType_BEFR_STANDARD_DELIVERY;

extern NSString *const Trading_ShippingServiceCodeType_BEFR_PRIORITY_DELIVERY;

extern NSString *const Trading_ShippingServiceCodeType_BEFR_PARCEL_POST;

extern NSString *const Trading_ShippingServiceCodeType_BEFR_REGISTERED_MAIL;

extern NSString *const Trading_ShippingServiceCodeType_BEFR_OTHER;

/**
 
 De Post
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_DE_POST_INTERNATIONAL;

/**
 
 UPS
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_UPS_INTERNATIONAL;

/**
 
 FedEx
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_FED_EX_INTERNATIONAL;

/**
 
 DHL
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_DHL_INTERNATIONAL;

/**
 
 TPG Post/TNT (Netherlands)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_TPG_POST_TNT_INTERNATIONAL;

/**
 
 Frais de livraison internationale fixes
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_STANDARD_INTERNATIONAL;

/**
 
 Frais fixes pour livraison internationale express
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_EXPEDITED_INTERNATIONAL;

/**
 
 Autres livraisons internationales (voir description)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_OTHER_INTERNATIONAL;

/**
 
 La Poste (France)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_INTERNATIONAL;

/**
 La Poste - livraison standard (1 a 2 jours ouvrables)
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_STANDARD_SHIPPING;

/**
 La Poste - envoi recommande (1 jour ouvrable)
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_CERTIFIED_SHIPPING;

/**
 La Poste - Taxipost LLS (2 jours ouvrables)
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_TAXIPOST_LLS;

/**
 La Poste - Taxipost 24h (1 jour ouvrable)
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_TAXIPOST_24_H;

/**
 Autres livraisons
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_TAXIPOST_SECUR;

/**
 La Poste - livraison standard
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_POST_INTERNATIONAL_STANDARD;

/**
 La Poste - envoi recommande
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_POST_INTERNATIONAL_REGISTERED;

/**
 TNT
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_TNT_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_BEFR_ECONOMY_DELIVERY_FROM_ABROAD;

extern NSString *const Trading_ShippingServiceCodeType_BEFR_STANDARD_DELIVERY_FROM_ABROAD;

extern NSString *const Trading_ShippingServiceCodeType_BEFR_EXPRESS_DELIVERY_FROM_ABROAD;

extern NSString *const Trading_ShippingServiceCodeType_BEFR_TRACKED_DELIVERY_FROM_ABROAD;

/**
 
 Standard Delivery
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_STANDARD_DELIVERY;

/**
 
 Priority Delivery
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_PRIORITY_DELIVERY;

/**
 
 Parcel Post
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_PARCEL_POST;

/**
 
 Registered Mail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_REGISTERED_MAIL;

/**
 
 Other Shipping Service
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_OTHER;

/**
 
 De Post
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_INTERNATIONAL;

/**
 
 UPS
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_UPS_INTERNATIONAL;

/**
 
 FedEx
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_FED_EX_INTERNATIONAL;

/**
 
 DHL
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DHL_INTERNATIONAL;

/**
 
 TPG Post/TNT (Netherlands)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_TPG_POST_TNT_INTERNATIONAL;

/**
 
 Standard International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_STANDARD_INTERNATIONAL;

/**
 
 Expedited International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_EXPEDITED_INTERNATIONAL;

/**
 
 Other International Shipping Services
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_OTHER_INTERNATIONAL;

/**
 
 La Poste (France)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_LA_POSTE_INTERNATIONAL;

/**
 De Post - standaardverzending (1 tot 2 werkdagen)
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_STANDARD_SHIPPING;

/**
 De Post - aangetekende zending (1 werkdag)
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_CERTIFIED_SHIPPING;

/**
 De Post - Taxipost LLS (2 werkdagen)
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_TAXIPOST_LLS;

/**
 De Post - Taxipost 24u (1 werkdag)
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_TAXIPOST_24_H;

/**
 De Post - Taxipost Secur (1 werkdag)
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_TAXIPOST_SECUR;

/**
 Andere verzending
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_OTHER_SHIPPING_METHODS;

/**
 De Post - standaardverzending
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_POST_INTERNATIONAL_STANDARD;

/**
 De Post - aangetekende zending
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_POST_INTERNATIONAL_REGISTERED;

/**
 TNT
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_TNT_INTERNATIONAL;

/**
 Voordelige verzending uit het buitenland
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_ECONOMY_DELIVERY_FROM_ABROAD;

/**
 Standaardverzending uit het buitenland
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_STANDARD_DELIVERY_FROM_ABROAD;

/**
 Express verzending uit het buitenland
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_EXPRESS_DELIVERY_FROM_ABROAD;

/**
 Verzending uit het buitenland met internationale tracking
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_TRACKED_DELIVERY_FROM_ABROAD;

/**
 
 Standard Delivery
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_STANDARD_DELIVERY;

extern NSString *const Trading_ShippingServiceCodeType_CA_EXPEDITED_DELIVERY;

/**
 
 Canada Post Lettermail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_LETTERMAIL;

/**
 
 Canada Post Regular Parcel
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_REGULAR_PARCEL;

/**
 
 Canada Post Expedited Parcel
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_EXPEDITED_PARCEL;

extern NSString *const Trading_ShippingServiceCodeType_CA_POST_XPRESSPOST;

/**
 
 Canada Post Priority Courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_PRIORITY_COURIER;

/**
 
 Canada Post Expedited Flat Rate Box
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CANADA_POST_EXPEDITED_FLAT_RATE_BOX;

/**
 
 Canada Post Expedited Flat Rate Box.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_EXPEDITED_FLAT_RATE_BOX;

/**
 
 Standard International Flat Rate Shipping
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_STANDARD_INTERNATIONAL;

/**
 
 Expedited International Flat Rate Shipping
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_EXPEDITED_INTERNATIONAL;

/**
 
 Other International Shipping (see description)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_OTHER_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_CA_POST_EXPEDITED_PARCEL_USA;

extern NSString *const Trading_ShippingServiceCodeType_CA_POST_SMALL_PACKETS_USA;

extern NSString *const Trading_ShippingServiceCodeType_CA_POST_XPRESSPOST_USA;

extern NSString *const Trading_ShippingServiceCodeType_CA_POST_XPRESSPOST_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_CA_POST_INTERNATIONAL_PARCEL_SURFACE;

extern NSString *const Trading_ShippingServiceCodeType_CA_POST_INTERNATIONAL_PARCEL_AIR;

/**
 
 Small Packets - International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_SMALL_PACKETS_INTERNATIONAL;

/**
 
 Purolator International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_PUROLATOR_INTERNATIONAL;

/**
 
 Canada Post Small Packets - USA - Ground
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_SMALL_PACKETS_USA_GROUND;

/**
 
 Canada Post Small Packets - USA - Air
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_SMALL_PACKETS_USA_AIR;

/**
 
 Small Packets - International - Ground
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_SMALL_PACKETS_INTERNATIONAL_GROUND;

/**
 
 Small Packets - International - Air
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_SMALL_PACKETS_INTERNATIONAL_AIR;

/**
 
 Canada Post USA Letter-post
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_USA_LETTER_POST;

/**
 
 Canada Post International Letter-post
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_INTERNATIONAL_LETTER_POST;

/**
 
 Canada Post Expedited Flat Rate Box USA.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_EXPEDITED_FLAT_RATE_BOX_USA;

/**
 
 UPS Express Canada
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_UPS_EXPRESS_CANADA;

/**
 
 UPS Express Saver Canada
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_UPS_EXPRESS_SAVER_CANADA;

/**
 
 UPS Expedited Canada
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_UPS_EXPEDITED_CANADA;

/**
 
 UPS Standard Canada
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_UPS_STANDARD_CANADA;

/**
 
 UPS Express United States
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_UPS_EXPRESS_UNITED_STATES;

/**
 
 UPS Expedited United States
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_UPS_EXPEDITED_UNITED_STATES;

/**
 
 UPS 3 Day Select United States
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_UPS_3_DAY_SELECT_UNITED_STATES;

/**
 
 UPS Standard United States
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_UPS_STANDARD_UNITED_STATES;

/**
 
 UPS Worldwide Express
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_UPS_WORLD_WIDE_EXPRESS;

/**
 
 UPS Worldwide Expedited
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_UPS_WORLD_WIDE_EXPEDITED;

/**
 
 Canada Post Priority Worldwide
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_PRIORITY_WORLDWIDE;

/**
 
 Canada Post Expedited Flat Rate Box USA
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CANADA_POST_EXPEDITED_FLAT_RATE_BOX_USA;

/**
 
 Freight
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_FREIGHT;

/**
 
 Standardversand (A-Post/Priority)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_STANDARD_DISPATCH_A_POST;

/**
 
 Standardversand (B-Post/Economy)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_STANDARD_DISPATCH_B_POST;

/**
 
 Versicherter Versand (z.B. Assurance/Fragile)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_INSURED_DISPATCH;

extern NSString *const Trading_ShippingServiceCodeType_CH_WRITING;

extern NSString *const Trading_ShippingServiceCodeType_CH_COD;

/**
 
 Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_EXPRESS_OR_COURIER;

/**
 
 Versicherter Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_INSURED_EXPRESS_OR_COURIER;

extern NSString *const Trading_ShippingServiceCodeType_CH_SPECIAL_DISPATCH;

extern NSString *const Trading_ShippingServiceCodeType_CH_INSURED_SPECIAL_DISPATCH;

/**
 
 Sonstige (Siehe Artikelbeschreibung)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_SONSTIGE;

/**
 
 Sonstiger Versand (Siehe Artikelbeschreibung)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_SONSTIGER_VERSAND_INTERNATIONAL;

/**
 
 ECONOMY Sendungen
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_ECONOMY_SENDUNGEN_INTERNATIONAL;

/**
 
 PRIORITY Sendungen
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_PRIORITY_SENDUNGEN_INTERNATIONAL;

/**
 
 URGENT Sendungen
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_URGENT_SENDUNGEN_INTERNATIONAL;

/**
 
 Sparversand aus dem Ausland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_ECONOMY_DELIVERY_FROM_ABROAD;

/**
 
 Standardversand aus dem Ausland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_STANDARD_DELIVERY_FROM_ABROAD;

/**
 
 Expressversand aus dem Ausland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_EXPRESS_DELIVERY_FROM_ABROAD;

/**
 
 Versand mit Nachverfolgung aus dem Ausland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_TRACKED_DELIVERY_FROM_ABROAD;

extern NSString *const Trading_ShippingServiceCodeType_CN_PERSONAL_DELIVERY;

extern NSString *const Trading_ShippingServiceCodeType_CN_REGULAR_PACKAGE;

extern NSString *const Trading_ShippingServiceCodeType_CN_DELIVERY_COMPANY_EXPRESS;

extern NSString *const Trading_ShippingServiceCodeType_CN_POST_OFFICE_EXPRESS;

extern NSString *const Trading_ShippingServiceCodeType_CN_OTHERS;

extern NSString *const Trading_ShippingServiceCodeType_CN_FAST_POST_OFFICE;

extern NSString *const Trading_ShippingServiceCodeType_CN_EXPRESS_DELIVERY_SAME_CITY;

extern NSString *const Trading_ShippingServiceCodeType_CN_EXPRESS_DELIVERY_OTHER_CITIES;

extern NSString *const Trading_ShippingServiceCodeType_CN_STANDARD_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_CN_EXPEDITED_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_CN_OTHER_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_CN_COD_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_CN_STANDARD_MAILING_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_CN_REGULAR_LOGISTICS_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_CN_EMS_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_CN_OTHERS_INTERNATIONAL;

/**
 
 Unversicherter Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_STANDARD_DISPATCH;

/**
 
 Versicherter Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_INSURED_DISPATCH;

extern NSString *const Trading_ShippingServiceCodeType_DE_WRITING;

extern NSString *const Trading_ShippingServiceCodeType_DE_COD;

/**
 
 Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_EXPRESS_OR_COURIER;

/**
 
 Versicherter Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_INSURED_EXPRESS_OR_COURIER;

extern NSString *const Trading_ShippingServiceCodeType_DE_SPECIAL_DISPATCH;

extern NSString *const Trading_ShippingServiceCodeType_DE_INSURED_SPECIAL_DISPATCH;

/**
 
 Unversicherter Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_UNVERSICHERTER_VERSAND;

/**
 
 Deutsche Post Brief
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF;

/**
 
 eBay DHL Paket 24/7 (Abgabe und Lieferung an Packstation)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_E_BAY_DHL_PAKET_24_X_7;

/**
 
 DHL Postpaket
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DHL_POSTPAKET;

extern NSString *const Trading_ShippingServiceCodeType_DE_DHL_PACKCHEN;

/**
 
 Deutsche Post Warensendung
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_WARENSENDUNG;

extern NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BUCHERSENDUNG;

/**
 
 Hermes Paket (unversichert)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_UNVERSICHERT;

/**
 
 Hermes Paket (versichert)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_VERSICHERT;

/**
 
 iloxx Transport XXL
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_TRANSPORT_XXL;

extern NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_UBERNACHT_EXPRESS;

/**
 
 iloxx Standard
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_STANDARD;

/**
 
 Sonstige (Siehe Artikelbeschreibung)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_SONSTIGE;

/**
 
 Unversicherter Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_UNVERSICHERTER_VERSAND_INTERNATIONAL;

/**
 
 Versicherter Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_VERSICHERTER_VERSAND_INTERNATIONAL;

/**
 
 DHL Postpaket International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DHL_POSTPAKET_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_DE_DHL_PACKCHEN_INTERNATIONAL;

/**
 
 Sonstiger Versand (Siehe Artikelbeschreibung)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_SONSTIGER_VERSAND_INTERNATIONAL;

/**
 
 Unversicherter Express - Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_UNVERSICHERTER_EXPRESS_VERSAND_INTERNATIONAL;

/**
 
 Versicherter Express - Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_VERSICHERTER_EXPRESS_VERSAND_INTERNATIONAL;

/**
 
 Deutsche Post Brief (Land)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF_LAND_INTERNATIONAL;

/**
 
 Deutsche Post Brief (Luft)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF_LUFT_INTERNATIONAL;

/**
 
 iloxx Europa
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_EUROPA_INTERNATIONAL;

/**
 
 iloxx World Wide
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_WORLD_WIDE_INTERNATIONAL;

/**
 Paketversand
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_PAKET;

/**
 Expressversand
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_EXPRESS;

/**
 DHL Paket
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DHL_PAKET;

/**
 Deutsche Post Buecher-/Warensendung
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DP_BUECHER_WARENSENDUNG;

/**
 Hermes Paket
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET;

/**
 iloxx Transport
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_TRANSPORT;

/**
 Sonstige
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_SONSTIGE_DOMESTIC;

/**
 Einschreiben (inkl. aller Gebuehren)
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_EINSCHREIBEN;

/**
 Nachnahme (inkl. aller Gebuehren)
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_NACHNAME;

/**
 Sonderversand
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_SPECIAL_DELIVERY;

/**
 UPS
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_UPS;

/**
 DPD
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DPD;

/**
 GLS
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_GLS;

/**
 Paketversand
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_PAKET_INTERNATIONAL;

/**
 DHL Paket International
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DHL_PAKET_INTERNATIONAL;

/**
 Sonstige
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_SONSTIGE_INTERNATIONAL;

/**
 Expressversand
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_EXPRESS_INTERNATIONAL;

/**
 Deutsche Post Brief
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DP_BRIEF_INTERNATIONAL;

/**
 iloxx Transport International
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_TRANSPORT_INTERNATIONAL;

/**
 Hermes Paket International
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_INTERNATIONAL;

/**
 UPS International
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_UPS_INTERNATIONAL;

/**
 DPD International
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DPD_INTERNATIONAL;

/**
 GLS International
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_GLS_INTERNATIONAL;

/**
 
 eBay Hermes Paket Shop2Shop (Kaeufer erhaelt E-Mail von Hermes bei Zustellung)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_E_BAY_HERMES_PAKET_SHOP_2_SHOP_KAEUFER;

/**
 
 Hermes Paket Shop2Shop (Kaeufer erhaelt E-Mail von Hermes bei Zustellung)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_SHOP_2_SHOP_KAEUFER;

/**
 
 eBay Hermes Paket Shop2Shop
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_E_BAY_HERMES_PAKET_SHOP_2_SHOP;

/**
 
 Hermes Paket Shop2Shop
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_SHOP_2_SHOP;

/**
 
 Hermes Paket Sperrgut
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_SPERRGUT;

/**
 
 eBay Hermes Paket Sperrgut Shop2Shop (Abgabe und Zustellung im Paketshop)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_E_BAY_HERMES_PAKET_SPERRGUT_SHOP_2_SHOP;

/**
 
 DHL Paeckchen Packstation
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DHL_PAECKCHEN_PACKSTATION;

/**
 
 DHL Paket Packstation
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DHL_PAKET_PACKSTATION;

/**
 
 eBay DHL Paeckchen
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_E_BAY_DHL_PAECKCHEN;

/**
 
 DHL Star-Paeckchen
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DHL_STAR_PAECKCHEN;

/**
 
 Versand mit Nachverfolgung aus dem Ausland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_TRACKED_DELIVERY_FROM_ABROAD;

/**
 
 Cartas nacionales hasta 20 gr
 
*/
extern NSString *const Trading_ShippingServiceCodeType_ES_CARTAS_NACIONALES_HASTA_20;

extern NSString *const Trading_ShippingServiceCodeType_ES_CARTAS_NACIONALES_DE_MAS_20;

/**
 
 Cartas internacionales hasta 20 gr
 
*/
extern NSString *const Trading_ShippingServiceCodeType_ES_CARTAS_INTERNACIONALES_HASTA_20;

/**
 
 Cartas internacionales de mas de 20 gr
 
*/
extern NSString *const Trading_ShippingServiceCodeType_ES_CARTAS_INTERNACIONALES_DE_MAS_20;

/**
 
 Paquete Azul (nacional) hasta 2 kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_ES_PAQUETE_AZUL_HASTA_2_KG;

extern NSString *const Trading_ShippingServiceCodeType_ES_PAQUETE_AZUL_DE_MAS_2_KG;

extern NSString *const Trading_ShippingServiceCodeType_ES_PAQUETE_INTERNACIONAL_ECONOMICO;

extern NSString *const Trading_ShippingServiceCodeType_ES_URGENTE;

extern NSString *const Trading_ShippingServiceCodeType_ES_OTROS;

extern NSString *const Trading_ShippingServiceCodeType_ES_STANDARD_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_ES_EXPEDITED_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_ES_OTHER_INTERNATIONAL;

/**
 
 Cartas y tarjetas postales internacionales
 
*/
extern NSString *const Trading_ShippingServiceCodeType_ES_CARTAS_POSTAL_INTERNATIONAL;

/**
 
 Ems postal expres internacional
 
*/
extern NSString *const Trading_ShippingServiceCodeType_ES_EMS_POSTAL_EXPRESS_INTERNATIONAL;

/**
 
 Paquete internacional economico
 
*/
extern NSString *const Trading_ShippingServiceCodeType_ES_ECONOMY_PACKET_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_ES_ECONOMY_DELIVERY_FROM_ABROAD;

extern NSString *const Trading_ShippingServiceCodeType_ES_STANDARD_DELIVERY_FROM_ABROAD;

extern NSString *const Trading_ShippingServiceCodeType_ES_EXPRESS_DELIVERY_FROM_ABROAD;

extern NSString *const Trading_ShippingServiceCodeType_ES_TRACKED_DELIVERY_FROM_ABROAD;

/**
 
 Entrega a un Kiala point hasta 8 kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_ES_ENTREGA_KIALA_8_KG;

/**
 
 Chronoposte International Classic
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOSTE_INTERNATIONAL_CLASSIC;

/**
 
 Coliposte Colissimo Direct
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_COLIPOSTE_COLISSIMO_DIRECT;

/**
 
 DHL Express Europack
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_DHL_EXPRESS_EUROPACK;

/**
 
 UPS Standard
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_UPS_STANDARD;

/**
 
 Lettre
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_POST_OFFICE_LETTER;

/**
 
 Lettre avec suivi
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_POST_OFFICE_LETTER_FOLLOWED;

extern NSString *const Trading_ShippingServiceCodeType_FR_POST_OFFICE_LETTER_RECOMMENDED;

/**
 
 Colissimo
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_COLIPOSTE_COLISSIMO;

extern NSString *const Trading_ShippingServiceCodeType_FR_COLIPOSTE_COLISSIMO_RECOMMENDED;

/**
 
 Contre remboursement
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_UPS_STANDARD_AGAINST_REFUND;

/**
 
 Autre mode d'envoi de courrier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_AUTRE;

/**
 
 Ecopli
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_ECOPLI;

extern NSString *const Trading_ShippingServiceCodeType_FR_COLIECO;

/**
 
 Autre mode d'envoi de colis
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_AUTE_MODE_DENVOI_DE_COLIS;

/**
 
 Remise en main propre
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_REMISE_EN_MAIN_PROPRE;

extern NSString *const Trading_ShippingServiceCodeType_FR_STANDARD_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_FR_EXPEDITED_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_FR_OTHER_INTERNATIONAL;

/**
 
 La Poste - Courrier International Prioritaire
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_INTERNATIONAL_PRIORITY_COURIER;

/**
 
 La Poste - Courrier International Economique
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_INTERNATIONAL_ECONOMY_COURIER;

/**
 
 La Poste - Colissimo International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_COLISSIMO_INTERNATIONAL;

/**
 
 La Poste - Colis Economique International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_COLIS_ECONOMIQUE_INTERNATIONAL;

/**
 
 La Poste - Colissimo Emballage International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_COLISSIMO_EMBALLAGE_INTERNATIONAL;

/**
 
 Chronopost Classic International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOST_CLASSIC_INTERNATIONAL;

/**
 
 Chronopost Premium International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOST_PREMIUM_INTERNATIONAL;

/**
 
 UPS Standard
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_UPS_STANDARD_INTERNATIONAL;

/**
 
 UPS Express
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_UPS_EXPRESS_INTERNATIONAL;

/**
 
 DHL
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_DHL_INTERNATIONAL;

/**
 
 La Poste Lettre Max
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_LETTER_MAX;

/**
 
 Livraison en Relais Kiala
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_KIALA_DELIVERY;

extern NSString *const Trading_ShippingServiceCodeType_FR_TRACKED_DELIVERY_FROM_ABROAD;

/**
 
 National - Regular
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IN_REGULAR;

/**
 
 National - Express
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IN_EXPRESS;

/**
 
 National - COD
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IN_NATIONAL_COD;

/**
 
 Local - Courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IN_COURIER;

/**
 
 Local - COD
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IN_LOCAL_COD;

/**
 
 International - Standard
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IN_STANDARD_INTERNATIONAL;

/**
 
 International - Expedited
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IN_EXPEDITED_INTERNATIONAL;

/**
 
 International - other
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IN_OTHER_INTERNATIONAL;

/**
 
 Flat Rate COD
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IN_FLAT_RATE_COD;

/**
 
 Buyer picks up and pays
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IN_BUYER_PICKS_UP_AND_PAYS;

/**
 
 Posta ordinaria
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_REGULAR_MAIL;

/**
 
 Posta prioritaria
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_PRIORITY_MAIL;

/**
 
 Posta raccomandata
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_MAIL_REGISTERED_LETTER;

/**
 
 Posta raccomandata con contrassegno
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_MAIL_REGISTERED_LETTER_WITH_MARK;

/**
 
 Posta assicurata
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_INSURED_MAIL;

/**
 
 Posta celere
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_QUICK_MAIL;

/**
 
 Pacco ordinario
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_REGULAR_PACKAGE;

/**
 
 Pacco celere 1
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_QUICK_PACKAGE_1;

/**
 
 Pacco celere 3
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_QUICK_PACKAGE_3;

/**
 
 Corriere espresso
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_EXPRESS_COURIER;

/**
 
 Paccocelere Maxi
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_EXPRESS_PACKAGE_MAXI;

/**
 
 Spedizione internazionale standard a prezzo fisso
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_STANDARD_INTERNATIONAL;

/**
 
 Spedizione internazionale celere a prezzo fisso
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_EXPEDITED_INTERNATIONAL;

/**
 
 Altre spedizioni internazionali (vedi descrizione)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_OTHER_INTERNATIONAL;

/**
 
 Spedizione tracciata dall estero
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_TRACKED_DELIVERY_FROM_ABROAD;

/**
 
 Standaardverzending
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_STANDARD_DELIVERY;

/**
 
 Pakketpost
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_PARCEL_POST;

/**
 
 Verzending met ontvangstbevestiging
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_REGISTERED_MAIL;

/**
 
 Andere verzendservice
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_OTHER;

/**
 
 TPG Post/TNT
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_TPG_POST_TNT_INTERNATIONAL;

/**
 
 UPS
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_UPS_INTERNATIONAL;

/**
 
 FedEx
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_FED_EX_INTERNATIONAL;

/**
 
 DHL
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_DHL_INTERNATIONAL;

/**
 
 DPD (Germany)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_DPDGBR_INTERNATIONAL;

/**
 
 GLS (Business only)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_GLS_BUSINESS_INTERNATIONAL;

/**
 
 Vaste kosten standaard internationale verzending
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_STANDARD_INTERNATIONAL;

/**
 
 Vaste kosten versnelde internationale verzending
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_EXPEDITED_INTERNATIONAL;

/**
 
 Andere internationale verzending (zie beschrijving)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_OTHER_INTERNATIONAL;

/**
 
 Voordelige verzending uit het buitenland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_ECONOMY_DELIVERY_FROM_ABROAD;

/**
 
 Standaardverzending uit het buitenland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_STANDARD_DELIVERY_FROM_ABROAD;

/**
 
 Verzending per expresse uit het buitenland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_EXPRESS_DELIVERY_FROM_ABROAD;

/**
 
 Verzending met internationale tracering uit het buitenland
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_TRACKED_DELIVERY_FROM_ABROAD;

extern NSString *const Trading_ShippingServiceCodeType_TW_REGISTERED_MAIL;

extern NSString *const Trading_ShippingServiceCodeType_TW_UNREGISTERED_MAIL;

extern NSString *const Trading_ShippingServiceCodeType_TW_COD;

extern NSString *const Trading_ShippingServiceCodeType_TW_DWELLING_MATCH_POST;

extern NSString *const Trading_ShippingServiceCodeType_TW_DWELLING_MATCH_COD;

extern NSString *const Trading_ShippingServiceCodeType_TW_SELF_PICKUP;

extern NSString *const Trading_ShippingServiceCodeType_TW_PARCEL_POST;

extern NSString *const Trading_ShippingServiceCodeType_TW_EXPRESS_MAIL;

extern NSString *const Trading_ShippingServiceCodeType_TW_OTHER;

extern NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_LETTER_POST;

extern NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_PARCEL_POST;

extern NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_REGISTERED_LETTER_POST;

extern NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_REGISTERED_PARCEL_POST;

extern NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_EMS;

extern NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_OCEAN_SHIPPING_PARCEL;

/**
 
 FedEx International Priority
 
*/
extern NSString *const Trading_ShippingServiceCodeType_TW_FED_EX_INTERNATIONAL_PRIORITY;

/**
 
 FedEx International Economy
 
*/
extern NSString *const Trading_ShippingServiceCodeType_TW_FED_EX_INTERNATIONAL_ECONOMY;

/**
 
 UPS Worldwide Expedited
 
*/
extern NSString *const Trading_ShippingServiceCodeType_TW_UPS_WORLDWIDE_EXPEDITED;

/**
 
 UPS Worldwide Express
 
*/
extern NSString *const Trading_ShippingServiceCodeType_TW_UPS_WORLDWIDE_EXPRESS;

/**
 
 UPS Worldwide Express Plus
 
*/
extern NSString *const Trading_ShippingServiceCodeType_TW_UPS_WORLDWIDE_EXPRESS_PLUS;

extern NSString *const Trading_ShippingServiceCodeType_TW_OTHER_INTERNATIONAL;

/**
 
 Royal Mail 1st Class Standard
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_FIRST_CLASS_STANDARD;

/**
 
 Royal Mail 2nd Class Standard
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SECOND_CLASS_STANDARD;

/**
 
 Royal Mail 1st Class Recorded
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_FIRST_CLASS_RECORDED;

/**
 
 Royal Mail 2nd Class Recorded
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SECOND_CLASS_RECORDED;

/**
 
 Royal Mail Special Delivery
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SPECIAL_DELIVERY;

/**
 
 Royal Mail Standard Parcels
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_STANDARD_PARCEL;

/**
 
 Parcelforce 24
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_PARCELFORCE_24;

/**
 
 Parcelforce 48
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_PARCELFORCE_48;

/**
 
 Other Courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER;

/**
 
 myHermes - door to door service
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_MY_HERMES_DOOR_TO_DOOR_SERVICE;

/**
 
 Collect+ : drop at store-delivery to door
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_COLLECT_DROP_AT_STORE_DELIVERY_TO_DOOR;

/**
 
 Seller's Standard Rate
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_SELLERS_STANDARD_RATE;

/**
 
 Collection in Person
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_COLLECT_IN_PERSON;

/**
 
 Sellers Standard International Rate
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_SELLERS_STANDARD_INTERNATIONAL_RATE;

/**
 
 Royal Mail Airmail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_AIRMAIL_INTERNATIONAL;

/**
 
 Royal Mail Airsure
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_AIRSURE_INTERNATIONAL;

/**
 
 Royal Mail Surface Mail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SURFACE_MAIL_INTERNATIONAL;

/**
 
 Royal Mail International Signed-for
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_INTERNATIONAL_SIGNED_FOR;

/**
 
 Royal Mail HM Forces Mail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_HM_FORCES_MAIL_INTERNATIONAL;

/**
 
 Parcelforce International Datapost
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_INTERNATIONAL_DATAPOST;

/**
 
 Parcelforce Ireland 24
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_IRELAND_24_INTERNATIONAL;

/**
 
 Parcelforce Euro 48
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_EURO_48_INTERNATIONAL;

/**
 
 Parcelforce International Scheduled
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_INTERNATIONAL_SCHEDULED;

/**
 
 Other courier or delivery service
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER_OR_DELIVERY_INTERNATIONAL;

/**
 
 Collect in person
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_COLLECT_IN_PERSON_INTERNATIONAL;

/**
 
 Parcelforce Global Express
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_INTL_EXPRESS;

/**
 
 Parcelforce Global Value
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_INTL_VALUE;

/**
 
 Parcelforce Global Economy (Not available for destinations in Europe)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_INTL_ECONOMY;

/**
 
 Tracked delivery from outside abroad
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_TRACKED_DELIVERY_FROM_ABROAD;

/**
 
 International tracked postage
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_INTL_TRACKED_POSTAGE;

/**
 
 Seller's standard rate
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_SELLERS_STANDARD_RATE;

/**
 
 First Class Letter Service
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_FIRST_CLASS_LETTER_SERVICE;

/**
 
 SwiftPost National
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_SWIFT_POST_NATIONAL;

/**
 
 Registered Post
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_REGISTERED_POST;

/**
 
 EMS SDS Courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_EMSSDS_COURIER;

/**
 
 Economy SDS Courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_ECONOMY_SDS_COURIER;

/**
 
 Other courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_OTHER_COURIER;

/**
 
 Collection in person
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_COLLECTION_IN_PERSON;

/**
 
 Seller's Standard International Rate
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_SELLERS_STANDARD_RATE_INTERNATIONAL;

/**
 
 International Economy Service
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_INTERNATIONAL_ECONOMY_SERVICE;

/**
 
 International Priority Service
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_INTERNATIONAL_PRIORITY_SERVICE;

/**
 
 SwiftPost Express
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_SWIFT_POST_EXPRESS_INTERNATIONAL;

/**
 
 SwiftPost International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_SWIFT_POST_INTERNATIONAL;

/**
 
 EMS SDS Courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_EMSSDS_COURIER_INTERNATIONAL;

/**
 
 Economy SDS Courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_ECONOMY_SDS_COURIER_INTERNATIONAL;

/**
 
 Other courier or delivery service
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_OTHER_COURIER_INTERNATIONAL;

/**
 
 International collection in person
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_COLLECTION_IN_PERSON_INTERNATIONAL;

/**
 
 Economy delivery from abroad
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_ECONOMY_DELIVERY_FROM_ABROAD;

/**
 
 Standard delivery from abroad
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_STANDARD_DELIVERY_FROM_ABROAD;

/**
 
 Express delivery from abroad
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_EXPRESS_DELIVERY_FROM_ABROAD;

/**
 
 Tracked delivery from abroad
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_TRACKED_DELIVERY_FROM_ABROAD;

/**
 
 Domestic Regular shipping
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PL_DOMESTIC_REGULAR;

/**
 
 Domestic Special shipping
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PL_DOMESTIC_SPECIAL;

/**
 
 Przesylka z zagranicy - ekonomiczna
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PL_ECONOMY_DELIVERY_FROM_ABROAD;

/**
 
 Przesylka z zagranicy - standardowa
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PL_STANDARD_DELIVERY_FROM_ABROAD;

/**
 
 Przesylka z zagranicy - ekspresowa
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PL_EXPRESS_DELIVERY_FROM_ABROAD;

/**
 
 Przesylka z zagranicy - miedzynarodowa ze sledzeniem
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PL_TRACKED_DELIVERY_FROM_ABROAD;

/**
 
 Service associated with FreightQuote.com
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FREIGHT_SHIPPING;

extern NSString *const Trading_ShippingServiceCodeType_FREIGHT_OTHER_SHIPPING;

/**
 
 Service associated with any freight service other than FreightQuote.com
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FREIGHT;

/**
 
 Freight Shipping International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FREIGHT_SHIPPING_INTERNATIONAL;

extern NSString *const Trading_ShippingServiceCodeType_USPS_GROUND;

/**
 
 Overnight flat rate shipping service (domestic only)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SHIPPING_METHOD_OVERNIGHT;

/**
 
 Reserved for internal or future use
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CUSTOM_CODE;

/**
 
 USPS Priority Flat Rate Envelope
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_FLAT_RATE_ENVELOPE;

/**
 
 USPS Priority Flat Rate Box
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_FLAT_RATE_BOX;

/**
 
 USPS Global Priority Mail Small Envelope
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_GLOBAL_PRIORITY_SMALL_ENVELOPE;

/**
 
 USPS Global Priority Mail Large Envelope
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_GLOBAL_PRIORITY_LARGE_ENVELOPE;

/**
 
 USPS Express Mail Flat Rate Envelope
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_FLAT_RATE_ENVELOPE;

/**
 
 UPS Worldwide Express Box 10 Kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS_BOX_10_KG;

/**
 
 UPS Worldwide Express Box 25 Kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS_BOX_25_KG;

/**
 
 UPS Worldwide Express Plus Box 10 Kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS_PLUS_BOX_10_KG;

/**
 
 UPS Worldwide Express Plus box 25 Kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS_PLUS_BOX_25_KG;

/**
 
 Local pick up only
 
*/
extern NSString *const Trading_ShippingServiceCodeType_HK_LOCAL_PICK_UP_ONLY;

/**
 
 Local courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_HK_LOCAL_COURIER;

/**
 
 Domestic regular shipping
 
*/
extern NSString *const Trading_ShippingServiceCodeType_HK_DOMESTIC_REGULAR_SHIPPING;

/**
 
 Domestic special shipping
 
*/
extern NSString *const Trading_ShippingServiceCodeType_HK_DOMESTIC_SPECIAL_SHIPPING;

/**
 
 International regular shipping
 
*/
extern NSString *const Trading_ShippingServiceCodeType_HK_INTERNATIONAL_REGULAR_SHIPPING;

/**
 
 International special shipping
 
*/
extern NSString *const Trading_ShippingServiceCodeType_HK_INTERNATIONAL_SPECIAL_SHIPPING;

/**
 
 Local pick up only
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SG_LOCAL_PICK_UP_ONLY;

/**
 
 Local courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SG_LOCAL_COURIER;

/**
 
 Domestic standard mail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SG_DOMESTIC_STANDARD_MAIL;

/**
 
 Domestic non standard mail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SG_DOMESTIC_NON_STANDARD_MAIL;

/**
 
 Domestic Speedpost Islandwide
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SG_DOMESTIC_SPEEDPOST_ISLANDWIDE;

/**
 
 International standard mail
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SG_INTERNATIONAL_STANDARD_MAIL;

/**
 
 International Express Mail Service (EMS)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SG_INTERNATIONAL_EXPRESS_MAIL_SERVICE;

/**
 
 International courier (DHL, FedEx, UPS)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SG_INTERNATIONAL_COURIER;

/**
 
 De Post zending - NON PRIOR (2 werkdagen)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_NONPRIOR;

/**
 
 De Post zending - PRIOR (1 werkdag)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_PRIOR;

/**
 
 De Post zending - aangetekend (1 werkdag)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_AANGETEKEND;

/**
 
 Kilopost pakje (2 werkdagen)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_KILOPOST_PAKJE;

/**
 
 Taxipost (express)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_TAXIPOST;

/**
 
 Kiala afhaalpunt (1 tot 4 werkdagen)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_KIALA_AFHAALPUNT;

/**
 
 Vaste kosten standaard verzending
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_VASTE_KOSTEN_STANDAARD_VERZENDING;

/**
 
 Vaste kosten versnelde verzending
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_VASTE_KOSTEN_VERSNELDE_VERZENDING;

/**
 
 Verzekerde verzending
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_VERZEKERDE_VERZENDING;

/**
 
 La Poste envoi NON PRIOR (2 jours ouvrables)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_ENVOI_NONPRIOR;

/**
 
 La Poste envoi PRIOR (1 jour ouvrable)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_ENVOI_PRIOR;

/**
 
 La Poste envoi recommande (1 jour ouvrable)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_ENVOI_RECOMMANDE;

/**
 
 Paquet Kilopost (2 jours ouvrables)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_PAQUET_KILOPOST;

/**
 
 Taxipost (express)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_TAXIPOST;

/**
 
 Point retrait Kiala (1 a 4 jours ouvrables)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_POINT_RETRAIT_KIALA;

/**
 
 Livraison standard - prix forfaitaire
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_STANDARD_PRIXFOR_FAITAIRE;

/**
 
 Livraison express - prix forfaitaire
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_EXPRESS_PRIXFOR_FAITAIRE;

/**
 
 Livraison securisee
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_SECURISE;

/**
 
 De Post zending - PRIOR
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_PRIOR_INTERNATIONAL;

/**
 
 De Post zending - NON PRIOR
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_NONPRIOR_INTERNATIONAL;

/**
 
 De Post zending - aangetekend
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_AANGETEKEND_INTERNATIONAL;

/**
 
 Kilopost pakje Internationaal
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_KILOPOST_PAKJE_INTERNATIONAL;

/**
 
 Taxipost expressverzending
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_TAXIPOST_EXPRESSVERZENDING;

/**
 
 Verzekerde verzending
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_VERZEKERDE_VERZENDING_INTERNATIONAL;

/**
 
 La Poste envoie PRIOR
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTEENVOIE_PRIOR;

/**
 
 La Poste envoie NON PRIOR
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTEENVOIE_NONPRIOR;

/**
 
 La Poste envoie recommande
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTEENVOIE_RECOMMANDE;

/**
 
 Paquet  Kilopost Internationale
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_PAQUET_KILOPOST_INTERNATIONALE;

/**
 
 BEFR_Express Taxipost
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_EXPRESS_TAXIPOST;

/**
 
 Livraison standard internationale - prix forfaitaire
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_STANDARD_INTERNATIONALE_PRIXFOR_FAITAIRE;

/**
 
 Livraison express internationale - prix forfaitaire
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_EXPRESS_INTERNATIONALE_PRIXFOR_FAITAIRE;

/**
 
 Livraison securisee
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_SECURISE_INTERNATIONAL;

/**
 
 Chronopost
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOST;

/**
 
 Royal Mail Special Delivery Next Day
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SPECIAL_DELIVERY_NEXT_DAY;

/**
 
 Canada Post Light Packet International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_LIGHT_PACKET_INTERNATIONAL;

/**
 
 Canada Post Light Packet USA
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_POST_LIGHT_PACKET_USA;

/**
 
 DHL
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PL_DHL_INTERNATIONAL;

/**
 
 Przesylka zagraniczna - zwykla
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PL_INTERNATIONAL_REGULAR;

/**
 
 Przesylka zagraniczna - priorytetowa
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PL_INTERNATIONAL_SPECIAL;

/**
 
 UPS
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PL_UPS_INTERNATIONAL;

/**
 
 Normes de livraison postale
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_STANDARD_DELIVERY;

/**
 
 Expedition acceleree
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_EXPEDITED_DELIVERY;

/**
 
 Postes Canada, Poste-lettres
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_LETTERMAIL;

/**
 
 Postes Canada, Colis standard
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_REGULAR_PARCEL;

/**
 
 Postes Canada, Colis acceleres
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_EXPEDITED_PARCEL;

/**
 
 Postes Canada, Xpresspost
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_XPRESSPOST;

/**
 
 Postes Canada, Messageries prioritaires
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_PRIORITY_COURIER;

/**
 
 Expedition standard - International, tarif fixe
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_STANDARD_INTERNATIONAL;

/**
 
 Expedition acceleree - International, tarif fixe
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_EXPEDITED_INTERNATIONAL;

/**
 
 Autres services d'expedition internationale (voir description)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_OTHER_INTERNATIONAL;

/**
 
 Postes Canada, Colis acceleres - E.U.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_EXPEDITED_PARCEL_USA;

/**
 
 Postes Canada, Petits paquets - E.U.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_SMALL_PACKETS_USA;

/**
 
 Postes Canada, Xpresspost - E.U.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_XPRESSPOST_USA;

/**
 
 Postes Canada, Xpresspost - International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_XPRESSPOST_INTERNATIONAL;

/**
 
 Postes Canada, Colis international de surface
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_INTERNATIONAL_PARCEL_SURFACE;

/**
 
 Postes Canada, Colis-avion - International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_INTERNATIONAL_PARCEL_AIR;

/**
 
 Petits paquets - International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_SMALL_PACKETS_INTERNATIONAL;

/**
 
 Purolator International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_PUROLATOR_INTERNATIONAL;

/**
 
 Postes Canada, Petits paquets - E.U. service de surface
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_SMALL_PACKETS_USA_GROUND;

/**
 
 Postes Canada, Petits paquets - E.U. par avion
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_SMALL_PACKETS_USA_AIR;

/**
 
 Petits paquets - International, courrier-surface
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_SMALL_PACKETS_INTERNATIONAL_GROUND;

/**
 
 Petits paquets - International, courrier-avion
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_SMALL_PACKETS_INTERNATIONAL_AIR;

/**
 
 Postes Canada, Poste aux lettres - E.U.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_USA_LETTER_POST;

/**
 
 Postes Canada, Poste aux lettres - International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_POST_INTERNATIONAL_LETTER_POST;

/**
 
 UPS Express Saver
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_EXPRESS_CANADA;

/**
 
 UPS Express Saver Canada
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_EXPRESS_SAVER_CANADA;

/**
 
 UPS Expedited Canada
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_EXPEDITED_CANADA;

/**
 
 UPS Standard au Canada
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_STANDARD_CANADA;

/**
 
 UPS Express Etats-Unis
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_EXPRESS_UNITED_STATES;

/**
 
 UPS Expedited Etats-Unis
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_EXPEDITED_UNITED_STATES;

/**
 
 3Day Select aux Etats-Unis
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_3_DAY_SELECT_UNITED_STATES;

/**
 
 UPS Standard aux Etats-Unis
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_STANDARD_UNITED_STATES;

/**
 
 UPS Worlwide Express
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_WORLD_WIDE_EXPRESS;

/**
 
 UPS Worlwide Expedited
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_WORLD_WIDE_EXPEDITED;

/**
 
 Royal Mail Special Delivery 9:00 am
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SPECIAL_DELIVERY_9_AM;

/**
 
 USPS First Class Mail Intl / First Class Package Intl Service
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_FIRST_CLASS_MAIL_INTERNATIONAL;

/**
 
 USPS Priority Mail International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL;

/**
 
 USPS Express Mail International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_INTERNATIONAL;

/**
 
 Standardpauschale fur internationalen Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_STANDARD_INTERNATIONAL;

/**
 
 Expresspauschale fur internationalen Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_EXPEDITED_INTERNATIONAL;

/**
 
 Sonstiger Versand (Siehe Artikelbeschreibung)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_SONSTIGER_VERSAND_SIEHE_ARTIKELBESCHREIBUNG;

/**
 
  International Standard FixedRate for Taiwan
 
*/
extern NSString *const Trading_ShippingServiceCodeType_TW_STANDARD_INTERNATIONAL_FIXED_RATE;

/**
 
  International Express FixedRate for Taiwan
 
*/
extern NSString *const Trading_ShippingServiceCodeType_TW_EXPEDITED_INTERNATIONAL_FIXED_RATE;

/**
 
 USPS Global Express Guaranteed
 
*/
extern NSString *const Trading_ShippingServiceCodeType_USPS_GLOBAL_EXPRESS_GUARANTEED;

/**
 
 Regular with Insurance
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_REGULAR_WITH_INSURANCE;

/**
 
 Express with Insurance
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_WITH_INSURANCE;

/**
 
 Deutsche Post Warensendung
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_WARENSENDUNG_INTERNATIONAL;

/**
 
 Deutsche Post Byendung
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BYENDUNG;

/**
 
 Hermes Paket (unversichert)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_UNVERSICHERT_INTERNATIONAL;

/**
 
 Hermes Paket (versichert)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_VERSICHERT_INTERNATIONAL;

/**
 
 iloxx Transport XXL
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_I_LOXX_TRANSPORT_XXL_INTERNATIONAL;

/**
 
 iloxx Ubernacht Express
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_I_LOXX_UBERNACHT_EXPRESS_INTERNATIONAL;

/**
 
 iloxx Standard
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_I_LOXX_STANDARD_INTERNATIONAL;

/**
 
 Standardpauschale fur internationalen Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_STANDARD_INTERNATIONAL;

/**
 
 Expresspauschale fur internationalen Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_EXPEDITED_INTERNATIONAL;

/**
 
 Deutsche Post Presse & Bucher Economy
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF_INTL_ECON;

/**
 
 Deutsche Post Presse & Bucher Priority
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF_INTL_PRI;

/**
 
 AT_BITTE_TREFFEN_SIE_EINE_AUSWAHL
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_BITTE_TREFFEN_SIE_EINE_AUSWAHL;

/**
 
 Einschreiben (Versand inkl. Einschreibengebuhr)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_EINSCHREIBEN_VERSAND_INKL_EINSCHREIBENGEBUHR;

/**
 
 Nachnahme (Versand inkl. Nachnahmegebuhr)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_NACHNAHME_VERSAND_INKL_NACHNAHMEGEBUHR;

/**
 
 Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_EXPRESS_OR_COURIER_INTERNATIONAL;

/**
 
 Versicherter Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_INSURED_EXPRESS_OR_COURIER_INTERNATIONAL;

/**
 
 Sonderversand (z.B. Sperrgut, KFZ)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_SPECIAL_DISPATCH_INTERNATIONAL;

/**
 
 Versicherter Sonderversand (z.B. Sperrgut, KFZ)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_INSURED_SPECIAL_DISPATCH_INTERNATIONAL;

/**
 
 Standardpauschale fur internationalen Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_STANDARD_INTERNATIONAL;

/**
 
  Expresspauschale fur internationalen Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_EXPEDITED_INTERNATIONAL;

/**
 
 Sonstiger Versand (Siehe Artikelbeschreibung)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_OTHER_INTERNATIONAL_SHIPPING;

/**
 
 CH_BITTE_TREFFEN_SIE_EINE_AUSWAHL
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_BITTE_TREFFEN_SIE_EINE_AUSWAHL;

/**
 
 Unversicherter Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_UNVERSICHERTER_VERSAND;

/**
 
 Versicherter Versand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_VERSICHERTER_VERSAND;

/**
 
  Einschreiben (Versand inkl. Einschreibengebuhr)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_EINSCHREIBEN_VERSAND_INKL_EINSCHREIBENGEBUHR;

/**
 
 Nachnahme (Versand inkl. Nachnahmegebuhr)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_NACHNAHME_VERSAND_INKL_NACHNAHMEGEBUHR;

/**
 
 Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_EXPRESS_OR_COURIER_INTERNATIONAL;

/**
 
 Versicherter Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_INSURED_EXPRESS_OR_COURIER_INTERNATIONAL;

/**
 
 Sonderversand (z.B. Sperrgut, KFZ)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_SONDERVERSAND_ZB_SPERRGUT_KFZ;

/**
 
 Versicherter Sonderversand (z.B. Sperrgut, KFZ)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_VERSICHERTER_SONDERVERSAND_ZB_SPERRGUT_KFZ;

/**
 
 Standardversand (A-Post/Priority)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_STANDARDVERSAND_A_POST_PRIORITY;

/**
 
 Standardversand (B-Post/Economy)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_STANDARDVERSAND_B_POST_ECONOMY;

/**
 
 DE_BITTE_TREFFEN_SIE_EINE_AUSWAHL
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_BITTE_TREFFEN_SIE_EINE_AUSWAHL;

/**
 
 Einschreiben (Versand inkl. Einschreibengebuhr)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_EINSCHREIBEN_VERSAND_INKL_EINSCHREIBENGEBUHR;

/**
 
 Nachnahme (Versand inkl. Nachnahmegebuhr)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_NACHNAHME_VERSAND_INKL_NACHNAHMEGEBUHR;

/**
 
 Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_EXPRESS_OR_COURIER_INTERNATIONAL;

/**
 
 Versicherter Express- oder Kurierversand
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_INSURED_EXPRESS_OR_COURIER_INTERNATIONAL;

/**
 
 Sonderversand (z.B. Mobel, KFZ)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_SONDERVERSAND_ZB_MOBEL_KFZ;

/**
 
 Versicherter Sonderversand (z.B. Mobel, KFZ)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_VERSICHERTER_SONDERVERSAND_ZB_MOBEL_KFZ;

/**
 
 Deutsche Post Brief
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF_INTERNATIONAL;

/**
 
 Standard Int'l Flat Rate Postage
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_STANDARD_INTERNATIONAL_FLAT_RATE_POSTAGE;

/**
 
 Expedited Int'l Flat Rate Postage
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_EXPEDITED_INTERNATIONAL_FLAT_RATE_POSTAGE;

/**
 
 Other Int'l Postage (see description)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IE_OTHER_INTERNATIONAL_POSTAGE;

/**
 
 Standard Int'l Flat Rate Postage
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_STANDARD_INTERNATIONAL_FLAT_RATE_POSTAGE;

/**
 
 Expedited Int'l Flat Rate Postage
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_EXPEDITED_INTERNATIONAL_FLAT_RATE_POSTAGE;

/**
 
 Other Int'l Postage (see description)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_OTHER_INTERNATIONAL_POSTAGE;

/**
 
 Chronopost - Chrono Relais
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOST_CHRONO_RELAIS;

/**
 
 Chrono 10
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_CHRONO_10;

/**
 
 Chrono 13
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_CHRONO_13;

/**
 
 Chrono 18
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_CHRONO_18;

/**
 
 Chronopost Express International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOST_EXPRESS_INTERNATIONAL;

/**
 
 PickUp Only Service
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PICKUP;

/**
 
 Delivery
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DELIVERY;

/**
 
 Pickup Only Service
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CA_PICKUP;

/**
 
 Abholung
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_PICKUP;

/**
 
 Pickup
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PICKUP;

/**
 
 Small Parcels
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_SMALL_PARCELS;

/**
 Small Parcel With Tracking
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_SMALL_PARCEL_WITH_TRACKING;

/**
 Small Parcel With Tracking And Signature
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_SMALL_PARCEL_WITH_TRACKING_AND_SIGNATURE;

/**
 Regular Parcel With Tracking
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_REGULAR_PARCEL_WITH_TRACKING;

/**
 Regular Parcel With Tracking And Signature
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_REGULAR_PARCEL_WITH_TRACKING_AND_SIGNATURE;

/**
 PrePaid Express Post Satchel 5kg
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_SATCHEL_5_KG;

/**
 
 PrePaid Parcel Post Satchels 500g
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_PARCEL_POST_SATCHELS_500_G;

/**
 
 PrePaid Parcel Post Satchels 3kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_PARCEL_POST_SATCHELS_3_KG;

/**
 
 PrePaid Parcel Post Satchels 5kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_PARCEL_POST_SATCHELS_5_KG;

/**
 
 PrePaid Express Post Satchel 500g
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_SATCHEL_500_G;

/**
 
 PrePaid Express Post Satchel 3kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_SATCHEL_3_KG;

/**
 
 PrePaid Express Post Platinum 500g
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_PLATINUM_500_G;

/**
 
 PrePaid Express Post Platinum 3kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_PLATINUM_3_KG;

/**
 
 Express Courier International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_COURIER_INTERNATIONAL;

/**
 
 Express Post International
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_POST_INTERNATIONAL;

/**
 
 PrePaid Express Post International Envelope C5
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_ENVELOPE_C_5;

/**
 
 PrePaid Express Post International Envelope B4
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_ENVELOPE_B_4;

/**
 
 PrePaid Express Post International Satchels 2kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_SATCHELS_2_KG;

/**
 
 PrePaid Express Post International Satchels 3kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_SATCHELS_3_KG;

/**
 
 PrePaid Express Post International Box 5kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_BOX_5_KG;

/**
 
 PrePaid Express Post International Box 10kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_BOX_10_KG;

/**
 
 PrePaid Express Post International Box 20kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_BOX_20_KG;

/**
 
 Registered Parcel Post
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED_PARCEL_POST;

/**
 
 Registered Small Parcel
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED_SMALL_PARCEL;

/**
 
 Registered Parcel Post Prepaid Satchel 500g
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED_PARCEL_POST_PREPAID_SATCHEL_500_G;

/**
 
 Registered Parcel Post Prepaid Satchel 3kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED_PARCEL_POST_PREPAID_SATCHEL_3_KG;

/**
 
 Registered Parcel Post Prepaid Satchel 5kg
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED_PARCEL_POST_PREPAID_SATCHEL_5_KG;

/**
 
 eBay Australia Post Express Post 500g Satchel
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_POST_SATCHEL_500_G;

/**
 
 eBay Australia Post Express Post 3kg Satchel
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_POST_SATCHEL_3_KG;

/**
 
 Enlevement
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FR_PICKUP;

/**
 
 Pickup
 
*/
extern NSString *const Trading_ShippingServiceCodeType_AT_PICKUP;

/**
 
 Afhalen
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BENL_PICKUP;

/**
 
 Pickup
 
*/
extern NSString *const Trading_ShippingServiceCodeType_BEFR_PICKUP;

/**
 
 Pickup
 
*/
extern NSString *const Trading_ShippingServiceCodeType_CH_PICKUP;

/**
 
 Pickup
 
*/
extern NSString *const Trading_ShippingServiceCodeType_IT_PICKUP;

/**
 
 Pickup
 
*/
extern NSString *const Trading_ShippingServiceCodeType_NL_PICKUP;

/**
 
 Pickup
 
*/
extern NSString *const Trading_ShippingServiceCodeType_PL_PICKUP;

/**
 
 Pickup
 
*/
extern NSString *const Trading_ShippingServiceCodeType_ES_PICKUP;

/**
 
 Pickup
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SG_DELIVERY;

/**
 
 Other 24 Hour Courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER_24;

/**
 
 Other 48 Hour Courier
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER_48;

/**
 
 Other Courier 3 days
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER_3_DAYS;

/**
 
 Other Courier 5 days
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER_5_DAYS;

/**
 
 Courier Shipping
 
*/
extern NSString *const Trading_ShippingServiceCodeType_COURIER;

/**
 
 FedEx Priority Overnight
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_PRIORITY_OVERNIGHT;

/**
 
 FedEx Standard Overnight
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_STANDARD_OVERNIGHT;

/**
 
 FedEx 2Day
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_2_DAY;

/**
 
 FedEx Ground
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_GROUND;

/**
 
 FedEx Home Delivery
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_HOME_DELIVERY;

/**
 
 FedEx Express Saver
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_EXPRESS_SAVER;

/**
 
 Reserved for internal or future use
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_GROUND_DISABLED;

/**
 
 Reserved for internal or future use
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_HOME_DELIVERY_DISABLED;

/**
 
 FedEx International First
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_INTERNATIONAL_FIRST;

/**
 
 FedEx International Priority
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_INTERNATIONAL_PRIORITY;

/**
 
 FedEx International Economy
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_INTERNATIONAL_ECONOMY;

/**
 
 FedEx International Ground
 
*/
extern NSString *const Trading_ShippingServiceCodeType_FED_EX_INTERNATIONAL_GROUND;

/**
 
 Economy shipping from outside US
 
*/
extern NSString *const Trading_ShippingServiceCodeType_ECONOMY_SHIPPING_FROM_OUTSIDE_US;

/**
 
 Expedited shipping from outside US
 
*/
extern NSString *const Trading_ShippingServiceCodeType_EXPEDITED_SHIPPING_FROM_OUTSIDE_US;

/**
 
 Standard shipping from outside US
 
*/
extern NSString *const Trading_ShippingServiceCodeType_STANDARD_SHIPPING_FROM_OUTSIDE_US;

/**
 
 Economy postage from outside UK
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_ECONOMY_SHIPPING_FROM_OUTSIDE;

/**
 
 Express postage from outside UK
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_EXPEDITED_SHIPPING_FROM_OUTSIDE;

/**
 
 Standard postage from outside UK
 
*/
extern NSString *const Trading_ShippingServiceCodeType_UK_STANDARD_SHIPPING_FROM_OUTSIDE;

/**
 
 Economy postage from outside DE
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_SPARVERSAND_AUS_DEM_AUSLAND;

/**
 
 Standard postage from outside DE
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_STANDARDVERSAND_AUS_DEM_AUSLAND;

/**
 
 Express postage from outside DE
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_EXPRESSVERSAND_AUS_DEM_AUSLAND;

/**
 
 DHL 2kg Paket (nur fuer kurze Zeit)
 
*/
extern NSString *const Trading_ShippingServiceCodeType_DE_DHL_2_KG_PAKET;

/**
 
 Global Shipping Program
 <br/>
 This shipping service must be selected for the international leg of the shipment.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_INTERNATIONAL_PRIORITY_SHIPPING;

/**
 
 
 Reserved for future use.
 
*/
extern NSString *const Trading_ShippingServiceCodeType_SAME_DAY_SHIPPING;
