// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import "Trading_ShippingServiceCodeType.h"

/**
 @file
 
 A shipping service used to ship an item. Applications should not depend on the
 completeness of ShippingServiceCodeType. Instead, applications should call
 GeteBayDetails, with a DetailName value of ShippingServiceDetails, to return the
 complete list of shipping services. To check for the shipping services available
 for a specific site, specify the site ID in the header. It is possible that some of
 the returned shipping services can no longer be used in the AddItem family of
 calls. To distinguish between the valid and invalid shipping services, look for the
 ValidForSellingFlow flag in the ShippingServiceDetails node. If this flag is not
 returned for a specific shipping service, that shipping service can no longer be
 used in the AddItem family of calls.
 
*/

/**
 
 UPS Ground
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_GROUND = @"UPSGround";

/**
 
 UPS 3rd Day
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_3_RD_DAY = @"UPS3rdDay";

/**
 
 UPS 2nd Day
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_2_ND_DAY = @"UPS2ndDay";

/**
 
 UPS Next Day
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_NEXT_DAY = @"UPSNextDay";

/**
 
 USPS Priority
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY = @"USPSPriority";

/**
 
 USPS Parcel Select
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PARCEL = @"USPSParcel";

/**
 
 USPS Media
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_MEDIA = @"USPSMedia";

/**
 
 USPS First Class
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_FIRST_CLASS = @"USPSFirstClass";

/**
 
 Standard shipping method
 
*/
NSString *const Trading_ShippingServiceCodeType_SHIPPING_METHOD_STANDARD = @"ShippingMethodStandard";

/**
 
 Reserved for internal or future use
 
*/
NSString *const Trading_ShippingServiceCodeType_SHIPPING_METHOD_EXPRESS = @"ShippingMethodExpress";

/**
 
 USPS Express Mail
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL = @"USPSExpressMail";

/**
 
 UPS Next Day Air
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_NEXT_DAY_AIR = @"UPSNextDayAir";

/**
 
 UPS Next Day Air
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_2_DAY_AIR_AM = @"UPS2DayAirAM";

/**
 
 USPS Express Mail Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_FLAT_RATE_ENVELOPE = @"USPSExpressMailFlatRateEnvelope";

/**
 
 USPS Express Mail Padded Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_PADDED_FLAT_RATE_ENVELOPE = @"USPSExpressMailPaddedFlatRateEnvelope";

/**
 
 USPS Priority Mail Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_FLAT_RATE_ENVELOPE = @"USPSPriorityMailFlatRateEnvelope";

/**
 
 USPS Priority Mail Small Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_SMALL_FLAT_RATE_BOX = @"USPSPriorityMailSmallFlatRateBox";

/**
 
 USPS Priority Mail Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_FLAT_RATE_BOX = @"USPSPriorityMailFlatRateBox";

/**
 
 USPS Priority Mail Large Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_LARGE_FLAT_RATE_BOX = @"USPSPriorityMailLargeFlatRateBox";

/**
 
 USPS Priority Mail Padded Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_PADDED_FLAT_RATE_ENVELOPE = @"USPSPriorityMailPaddedFlatRateEnvelope";

/**
 
 USPS Priority Mail Legal Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_LEGAL_FLAT_RATE_ENVELOPE = @"USPSPriorityMailLegalFlatRateEnvelope";

/**
 
 USPS Priority Mail Legal Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_LEGAL_FLAT_RATE_ENVELOPE = @"USPSExpressMailLegalFlatRateEnvelope";

/**
 
 USPS Priority Mail Regional Box A
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_REGIONAL_BOX_A = @"USPSPriorityMailRegionalBoxA";

/**
 
 USPS Priority Mail Regional Box B
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_REGIONAL_BOX_B = @"USPSPriorityMailRegionalBoxB";

/**
 
 USPS Priority Mail Regional Box C
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_REGIONAL_BOX_C = @"USPSPriorityMailRegionalBoxC";

/**
 
 USPS Express Mail Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_FLAT_RATE_BOX = @"USPSExpressMailFlatRateBox";

/**
 
 Other (see description)
 
*/
NSString *const Trading_ShippingServiceCodeType_OTHER = @"Other";

/**
 
 Local Delivery/Pickup
 
*/
NSString *const Trading_ShippingServiceCodeType_LOCAL_DELIVERY = @"LocalDelivery";

/**
 
 Not Selected
 
*/
NSString *const Trading_ShippingServiceCodeType_NOT_SELECTED = @"NotSelected";

/**
 
 International Not Selected
 
*/
NSString *const Trading_ShippingServiceCodeType_INTERNATIONAL_NOT_SELECTED = @"InternationalNotSelected";

/**
 
 Standard International Flat Rate Shipping
 
*/
NSString *const Trading_ShippingServiceCodeType_STANDARD_INTERNATIONAL = @"StandardInternational";

/**
 
 Expedited International Flat Rate Shipping
 
*/
NSString *const Trading_ShippingServiceCodeType_EXPEDITED_INTERNATIONAL = @"ExpeditedInternational";

/**
 
 USPS Global Express Mail
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_GLOBAL_EXPRESS = @"USPSGlobalExpress";

/**
 
 USPS Global Priority Mail
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_GLOBAL_PRIORITY = @"USPSGlobalPriority";

/**
 
 USPS Economy Parcel Post
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_ECONOMY_PARCEL = @"USPSEconomyParcel";

/**
 
 USPS Economy Letter Post
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_ECONOMY_LETTER = @"USPSEconomyLetter";

/**
 
 USPS Airmail Letter Post
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_AIRMAIL_LETTER = @"USPSAirmailLetter";

/**
 
 USPS Airmail Parcel Post
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_AIRMAIL_PARCEL = @"USPSAirmailParcel";

/**
 
 UPS Worldwide Express Plus
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS_PLUS = @"UPSWorldWideExpressPlus";

/**
 
 UPS Worldwide Express
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS = @"UPSWorldWideExpress";

/**
 
 UPS Worldwide Expedited
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPEDITED = @"UPSWorldWideExpedited";

/**
 
 UPS Worldwide Saver
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_WORLDWIDE_SAVER = @"UPSWorldwideSaver";

/**
 
 UPS Standard To Canada
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_STANDARD_TO_CANADA = @"UPSStandardToCanada";

/**
 
 USPS Express Mail International Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_INTERNATIONAL_FLAT_RATE_ENVELOPE = @"USPSExpressMailInternationalFlatRateEnvelope";

/**
 
 USPS Express Mail International Padded Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_INTERNATIONAL_PADDED_FLAT_RATE_ENVELOPE = @"USPSExpressMailInternationalPaddedFlatRateEnvelope";

/**
 
 USPS Priority Mail International Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_FLAT_RATE_ENVELOPE = @"USPSPriorityMailInternationalFlatRateEnvelope";

/**
 
 USPS Priority Mail International Small Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_SMALL_FLAT_RATE_BOX = @"USPSPriorityMailInternationalSmallFlatRateBox";

/**
 
 USPS Priority Mail International Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 The seller must also specify a package size of Package/Thick Envelope when
 using a calculated shipping service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_FLAT_RATE_BOX = @"USPSPriorityMailInternationalFlatRateBox";

/**
 
 USPS Priority Mail International Large Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_LARGE_FLAT_RATE_BOX = @"USPSPriorityMailInternationalLargeFlatRateBox";

/**
 
 USPS Priority Mail International Padded Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_PADDED_FLAT_RATE_ENVELOPE = @"USPSPriorityMailInternationalPaddedFlatRateEnvelope";

/**
 
 USPS Priority Mail International Legal Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL_LEGAL_FLAT_RATE_ENVELOPE = @"USPSPriorityMailInternationalLegalFlatRateEnvelope";

/**
 
 USPS Priority Mail International Legal Flat Rate Envelope
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_INTERNATIONAL_LEGAL_FLAT_RATE_ENVELOPE = @"USPSExpressMailInternationalLegalFlatRateEnvelope";

/**
 
 USPS Express Mail International Flat Rate Box
 To use this service, a seller must specify the package weight so that eBay
 can validate the weight against the maximum weight limit for the service.
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_INTERNATIONAL_FLAT_RATE_BOX = @"USPSExpressMailInternationalFlatRateBox";

/**
 
 Other International Shipping (see description)
 
*/
NSString *const Trading_ShippingServiceCodeType_OTHER_INTERNATIONAL = @"OtherInternational";

/**
 
 Standardversand (unversichert)
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_STANDARD_DISPATCH = @"AT_StandardDispatch";

/**
 
 Versicherter Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_INSURED_DISPATCH = @"AT_InsuredDispatch";

NSString *const Trading_ShippingServiceCodeType_AT_WRITING = @"AT_Writing";

NSString *const Trading_ShippingServiceCodeType_AT_COD = @"AT_COD";

/**
 
 Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_EXPRESS_OR_COURIER = @"AT_ExpressOrCourier";

/**
 
 Versicherter Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_INSURED_EXPRESS_OR_COURIER = @"AT_InsuredExpressOrCourier";

NSString *const Trading_ShippingServiceCodeType_AT_SPECIAL_DISPATCH = @"AT_SpecialDispatch";

NSString *const Trading_ShippingServiceCodeType_AT_INSURED_SPECIAL_DISPATCH = @"AT_InsuredSpecialDispatch";

/**
 
 Sonstige (Siehe Artikelbeschreibung)
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_SONSTIGE = @"AT_Sonstige";

/**
 
 Unversicherter Versand International
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_UNVERSICHERTER_VERSAND_INTERNATIONAL = @"AT_UnversicherterVersandInternational";

/**
 
 Versicherter Versand International
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_VERSICHERTER_VERSAND_INTERNATIONAL = @"AT_VersicherterVersandInternational";

/**
 
 Sonstiger Versand International
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_SONSTIGER_VERSAND_INTERNATIONAL = @"AT_SonstigerVersandInternational";

/**
 
 Unversicherter Express Versand International
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_UNVERSICHERTER_EXPRESS_VERSAND_INTERNATIONAL = @"AT_UnversicherterExpressVersandInternational";

/**
 
 Versicherter Express Versand International
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_VERSICHERTER_EXPRESS_VERSAND_INTERNATIONAL = @"AT_VersicherterExpressVersandInternational";

/**
 
 Sparversand aus dem Ausland
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_ECONOMY_DELIVERY_FROM_ABROAD = @"AT_EconomyDeliveryFromAbroad";

/**
 
 Standardversand aus dem Ausland
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_STANDARD_DELIVERY_FROM_ABROAD = @"AT_StandardDeliveryFromAbroad";

/**
 
 Expressversand aus dem Ausland
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_EXPRESS_DELIVERY_FROM_ABROAD = @"AT_ExpressDeliveryFromAbroad";

/**
 
 Versand mit Nachverfolgung aus dem Ausland
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_TRACKED_DELIVERY_FROM_ABROAD = @"AT_TrackedDeliveryFromAbroad";

/**
 
 Regular
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_REGULAR = @"AU_Regular";

/**
 
 Express
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS = @"AU_Express";

/**
 
 Registered
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED = @"AU_Registered";

/**
 
 Courier
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_COURIER = @"AU_Courier";

/**
 
 Other
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_OTHER = @"AU_Other";

/**
 
 EMS International Courier - Parcels
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EMS_INTERNATIONAL_COURIER_PARCELS = @"AU_EMSInternationalCourierParcels";

/**
 
 EMS International Courier - Documents
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EMS_INTERNATIONAL_COURIER_DOCUMENTS = @"AU_EMSInternationalCourierDocuments";

/**
 
 Express Post International - Documents
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_POST_INTERNATIONAL_DOCUMENTS = @"AU_ExpressPostInternationalDocuments";

/**
 
 Air Mail
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_AIR_MAIL_INTERNATIONAL = @"AU_AirMailInternational";

/**
 
 Economy Air
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_ECONOMY_AIR_INTERNATIONAL = @"AU_EconomyAirInternational";

/**
 
 Sea Mail
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_SEA_MAIL_INTERNATIONAL = @"AU_SeaMailInternational";

/**
 
 Standard International Flat Rate Postage
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_STANDARD_INTERNATIONAL = @"AU_StandardInternational";

/**
 
 Expedited international flat rate postage
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EXPEDITED_INTERNATIONAL = @"AU_ExpeditedInternational";

/**
 
 Other international postage
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_OTHER_INTERNATIONAL = @"AU_OtherInternational";

/**
 
 Australia Post Registered Post International Padded Bag 1 kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_AUS_POST_REGISTERED_POST_INTERNATIONAL_PADDED_BAG_1_KG = @"AU_AusPostRegisteredPostInternationalPaddedBag1kg";

/**
 
 Australia Post Registered Post International Padded Bag 500 g
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_AUS_POST_REGISTERED_POST_INTERNATIONAL_PADDED_BAG_500_G = @"AU_AusPostRegisteredPostInternationalPaddedBag500g";

/**
 
 Australia Post Registered Post International Parcel
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_AUS_POST_REGISTERED_POST_INTERNATIONAL_PARCEL = @"AU_AusPostRegisteredPostInternationalParcel";

/**
 
 Expedited delivery from outside Australia
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EXPEDITED_DELIVERY_FROM_OUTSIDE_AU = @"AU_ExpeditedDeliveryFromOutsideAU";

/**
 
 Economy delivery from outside Australia
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_ECONOMY_DELIVERY_FROM_OUTSIDE_AU = @"AU_EconomyDeliveryFromOutsideAU";

/**
 
 Standard Delivery From Outside AU
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_STANDARD_DELIVERY_FROM_OUTSIDE_AU = @"AU_StandardDeliveryFromOutsideAU";

/**
 
 Australian Air Express Metro 15 kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_AUSTRALIAN_AIR_EXPRESS_METRO_15_KG = @"AU_AustralianAirExpressMetro15kg";

/**
 
 Australian Air Express Flat Rate 5 kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_AUSTRALIAN_AIR_EXPRESS_FLAT_RATE_5_KG = @"AU_AustralianAirExpressFlatRate5kg";

/**
 
 Australian Air Express Flat Rate 3 kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_AUSTRALIAN_AIR_EXPRESS_FLAT_RATE_3_KG = @"AU_AustralianAirExpressFlatRate3kg";

/**
 
 Australian Air Express Flat Rate 1 kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_AUSTRALIAN_AIR_EXPRESS_FLAT_RATE_1_KG = @"AU_AustralianAirExpressFlatRate1kg";

/**
 
 Express delivery (1-3 business days) in Australia
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_DELIVERY = @"AU_ExpressDelivery";

/**
 
 Standard delivery (1-6 business days) in Australia
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_STANDARD_DELIVERY = @"AU_StandardDelivery";

/**
 
 eBay/Australian Post 3 kg Flat Rate Satchel
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_E_BAY_AUS_POST_3_KG_FLAT_RATE_SATCHEL = @"AU_eBayAusPost3kgFlatRateSatchel";

/**
 
 eBay/Australian Post 500 g Flat Rate Satchel
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_E_BAY_AUS_POST_500_G_FLAT_RATE_SATCHEL = @"AU_eBayAusPost500gFlatRateSatchel";

/**
 
 Freight delivery in Australia. Used for heavy and bulky items.
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_FREIGHT = @"AU_Freight";

NSString *const Trading_ShippingServiceCodeType_BEFR_STANDARD_DELIVERY = @"BEFR_StandardDelivery";

NSString *const Trading_ShippingServiceCodeType_BEFR_PRIORITY_DELIVERY = @"BEFR_PriorityDelivery";

NSString *const Trading_ShippingServiceCodeType_BEFR_PARCEL_POST = @"BEFR_ParcelPost";

NSString *const Trading_ShippingServiceCodeType_BEFR_REGISTERED_MAIL = @"BEFR_RegisteredMail";

NSString *const Trading_ShippingServiceCodeType_BEFR_OTHER = @"BEFR_Other";

/**
 
 De Post
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_DE_POST_INTERNATIONAL = @"BEFR_DePostInternational";

/**
 
 UPS
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_UPS_INTERNATIONAL = @"BEFR_UPSInternational";

/**
 
 FedEx
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_FED_EX_INTERNATIONAL = @"BEFR_FedExInternational";

/**
 
 DHL
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_DHL_INTERNATIONAL = @"BEFR_DHLInternational";

/**
 
 TPG Post/TNT (Netherlands)
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_TPG_POST_TNT_INTERNATIONAL = @"BEFR_TPGPostTNTInternational";

/**
 
 Frais de livraison internationale fixes
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_STANDARD_INTERNATIONAL = @"BEFR_StandardInternational";

/**
 
 Frais fixes pour livraison internationale express
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_EXPEDITED_INTERNATIONAL = @"BEFR_ExpeditedInternational";

/**
 
 Autres livraisons internationales (voir description)
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_OTHER_INTERNATIONAL = @"BEFR_OtherInternational";

/**
 
 La Poste (France)
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_INTERNATIONAL = @"BEFR_LaPosteInternational";

/**
 La Poste - livraison standard (1 a 2 jours ouvrables)
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_STANDARD_SHIPPING = @"BEFR_LaPosteStandardShipping";

/**
 La Poste - envoi recommande (1 jour ouvrable)
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_CERTIFIED_SHIPPING = @"BEFR_LaPosteCertifiedShipping";

/**
 La Poste - Taxipost LLS (2 jours ouvrables)
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_TAXIPOST_LLS = @"BEFR_LaPosteTaxipostLLS";

/**
 La Poste - Taxipost 24h (1 jour ouvrable)
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_TAXIPOST_24_H = @"BEFR_LaPosteTaxipost24h";

/**
 Autres livraisons
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_TAXIPOST_SECUR = @"BEFR_LaPosteTaxipostSecur";

/**
 La Poste - livraison standard
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_POST_INTERNATIONAL_STANDARD = @"BEFR_PostInternationalStandard";

/**
 La Poste - envoi recommande
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_POST_INTERNATIONAL_REGISTERED = @"BEFR_PostInternationalRegistered";

/**
 TNT
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_TNT_INTERNATIONAL = @"BEFR_TNTInternational";

NSString *const Trading_ShippingServiceCodeType_BEFR_ECONOMY_DELIVERY_FROM_ABROAD = @"BEFR_EconomyDeliveryFromAbroad";

NSString *const Trading_ShippingServiceCodeType_BEFR_STANDARD_DELIVERY_FROM_ABROAD = @"BEFR_StandardDeliveryFromAbroad";

NSString *const Trading_ShippingServiceCodeType_BEFR_EXPRESS_DELIVERY_FROM_ABROAD = @"BEFR_ExpressDeliveryFromAbroad";

NSString *const Trading_ShippingServiceCodeType_BEFR_TRACKED_DELIVERY_FROM_ABROAD = @"BEFR_TrackedDeliveryFromAbroad";

/**
 
 Standard Delivery
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_STANDARD_DELIVERY = @"BENL_StandardDelivery";

/**
 
 Priority Delivery
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_PRIORITY_DELIVERY = @"BENL_PriorityDelivery";

/**
 
 Parcel Post
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_PARCEL_POST = @"BENL_ParcelPost";

/**
 
 Registered Mail
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_REGISTERED_MAIL = @"BENL_RegisteredMail";

/**
 
 Other Shipping Service
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_OTHER = @"BENL_Other";

/**
 
 De Post
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_INTERNATIONAL = @"BENL_DePostInternational";

/**
 
 UPS
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_UPS_INTERNATIONAL = @"BENL_UPSInternational";

/**
 
 FedEx
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_FED_EX_INTERNATIONAL = @"BENL_FedExInternational";

/**
 
 DHL
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DHL_INTERNATIONAL = @"BENL_DHLInternational";

/**
 
 TPG Post/TNT (Netherlands)
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_TPG_POST_TNT_INTERNATIONAL = @"BENL_TPGPostTNTInternational";

/**
 
 Standard International
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_STANDARD_INTERNATIONAL = @"BENL_StandardInternational";

/**
 
 Expedited International
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_EXPEDITED_INTERNATIONAL = @"BENL_ExpeditedInternational";

/**
 
 Other International Shipping Services
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_OTHER_INTERNATIONAL = @"BENL_OtherInternational";

/**
 
 La Poste (France)
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_LA_POSTE_INTERNATIONAL = @"BENL_LaPosteInternational";

/**
 De Post - standaardverzending (1 tot 2 werkdagen)
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_STANDARD_SHIPPING = @"BENL_DePostStandardShipping";

/**
 De Post - aangetekende zending (1 werkdag)
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_CERTIFIED_SHIPPING = @"BENL_DePostCertifiedShipping";

/**
 De Post - Taxipost LLS (2 werkdagen)
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_TAXIPOST_LLS = @"BENL_DePostTaxipostLLS";

/**
 De Post - Taxipost 24u (1 werkdag)
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_TAXIPOST_24_H = @"BENL_DePostTaxipost24h";

/**
 De Post - Taxipost Secur (1 werkdag)
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_TAXIPOST_SECUR = @"BENL_DePostTaxipostSecur";

/**
 Andere verzending
*/
NSString *const Trading_ShippingServiceCodeType_BENL_OTHER_SHIPPING_METHODS = @"BENL_OtherShippingMethods";

/**
 De Post - standaardverzending
*/
NSString *const Trading_ShippingServiceCodeType_BENL_POST_INTERNATIONAL_STANDARD = @"BENL_PostInternationalStandard";

/**
 De Post - aangetekende zending
*/
NSString *const Trading_ShippingServiceCodeType_BENL_POST_INTERNATIONAL_REGISTERED = @"BENL_PostInternationalRegistered";

/**
 TNT
*/
NSString *const Trading_ShippingServiceCodeType_BENL_TNT_INTERNATIONAL = @"BENL_TNTInternational";

/**
 Voordelige verzending uit het buitenland
*/
NSString *const Trading_ShippingServiceCodeType_BENL_ECONOMY_DELIVERY_FROM_ABROAD = @"BENL_EconomyDeliveryFromAbroad";

/**
 Standaardverzending uit het buitenland
*/
NSString *const Trading_ShippingServiceCodeType_BENL_STANDARD_DELIVERY_FROM_ABROAD = @"BENL_StandardDeliveryFromAbroad";

/**
 Express verzending uit het buitenland
*/
NSString *const Trading_ShippingServiceCodeType_BENL_EXPRESS_DELIVERY_FROM_ABROAD = @"BENL_ExpressDeliveryFromAbroad";

/**
 Verzending uit het buitenland met internationale tracking
*/
NSString *const Trading_ShippingServiceCodeType_BENL_TRACKED_DELIVERY_FROM_ABROAD = @"BENL_TrackedDeliveryFromAbroad";

/**
 
 Standard Delivery
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_STANDARD_DELIVERY = @"CA_StandardDelivery";

NSString *const Trading_ShippingServiceCodeType_CA_EXPEDITED_DELIVERY = @"CA_ExpeditedDelivery";

/**
 
 Canada Post Lettermail
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_LETTERMAIL = @"CA_PostLettermail";

/**
 
 Canada Post Regular Parcel
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_REGULAR_PARCEL = @"CA_PostRegularParcel";

/**
 
 Canada Post Expedited Parcel
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_EXPEDITED_PARCEL = @"CA_PostExpeditedParcel";

NSString *const Trading_ShippingServiceCodeType_CA_POST_XPRESSPOST = @"CA_PostXpresspost";

/**
 
 Canada Post Priority Courier
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_PRIORITY_COURIER = @"CA_PostPriorityCourier";

/**
 
 Canada Post Expedited Flat Rate Box
 
*/
NSString *const Trading_ShippingServiceCodeType_CANADA_POST_EXPEDITED_FLAT_RATE_BOX = @"CanadaPostExpeditedFlatRateBox";

/**
 
 Canada Post Expedited Flat Rate Box.
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_EXPEDITED_FLAT_RATE_BOX = @"CA_PostExpeditedFlatRateBox";

/**
 
 Standard International Flat Rate Shipping
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_STANDARD_INTERNATIONAL = @"CA_StandardInternational";

/**
 
 Expedited International Flat Rate Shipping
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_EXPEDITED_INTERNATIONAL = @"CA_ExpeditedInternational";

/**
 
 Other International Shipping (see description)
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_OTHER_INTERNATIONAL = @"CA_OtherInternational";

NSString *const Trading_ShippingServiceCodeType_CA_POST_EXPEDITED_PARCEL_USA = @"CA_PostExpeditedParcelUSA";

NSString *const Trading_ShippingServiceCodeType_CA_POST_SMALL_PACKETS_USA = @"CA_PostSmallPacketsUSA";

NSString *const Trading_ShippingServiceCodeType_CA_POST_XPRESSPOST_USA = @"CA_PostXpresspostUSA";

NSString *const Trading_ShippingServiceCodeType_CA_POST_XPRESSPOST_INTERNATIONAL = @"CA_PostXpresspostInternational";

NSString *const Trading_ShippingServiceCodeType_CA_POST_INTERNATIONAL_PARCEL_SURFACE = @"CA_PostInternationalParcelSurface";

NSString *const Trading_ShippingServiceCodeType_CA_POST_INTERNATIONAL_PARCEL_AIR = @"CA_PostInternationalParcelAir";

/**
 
 Small Packets - International
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_SMALL_PACKETS_INTERNATIONAL = @"CA_SmallPacketsInternational";

/**
 
 Purolator International
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_PUROLATOR_INTERNATIONAL = @"CA_PurolatorInternational";

/**
 
 Canada Post Small Packets - USA - Ground
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_SMALL_PACKETS_USA_GROUND = @"CA_PostSmallPacketsUSAGround";

/**
 
 Canada Post Small Packets - USA - Air
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_SMALL_PACKETS_USA_AIR = @"CA_PostSmallPacketsUSAAir";

/**
 
 Small Packets - International - Ground
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_SMALL_PACKETS_INTERNATIONAL_GROUND = @"CA_SmallPacketsInternationalGround";

/**
 
 Small Packets - International - Air
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_SMALL_PACKETS_INTERNATIONAL_AIR = @"CA_SmallPacketsInternationalAir";

/**
 
 Canada Post USA Letter-post
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_USA_LETTER_POST = @"CA_PostUSALetterPost";

/**
 
 Canada Post International Letter-post
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_INTERNATIONAL_LETTER_POST = @"CA_PostInternationalLetterPost";

/**
 
 Canada Post Expedited Flat Rate Box USA.
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_EXPEDITED_FLAT_RATE_BOX_USA = @"CA_PostExpeditedFlatRateBoxUSA";

/**
 
 UPS Express Canada
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_UPS_EXPRESS_CANADA = @"CA_UPSExpressCanada";

/**
 
 UPS Express Saver Canada
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_UPS_EXPRESS_SAVER_CANADA = @"CA_UPSExpressSaverCanada";

/**
 
 UPS Expedited Canada
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_UPS_EXPEDITED_CANADA = @"CA_UPSExpeditedCanada";

/**
 
 UPS Standard Canada
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_UPS_STANDARD_CANADA = @"CA_UPSStandardCanada";

/**
 
 UPS Express United States
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_UPS_EXPRESS_UNITED_STATES = @"CA_UPSExpressUnitedStates";

/**
 
 UPS Expedited United States
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_UPS_EXPEDITED_UNITED_STATES = @"CA_UPSExpeditedUnitedStates";

/**
 
 UPS 3 Day Select United States
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_UPS_3_DAY_SELECT_UNITED_STATES = @"CA_UPS3DaySelectUnitedStates";

/**
 
 UPS Standard United States
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_UPS_STANDARD_UNITED_STATES = @"CA_UPSStandardUnitedStates";

/**
 
 UPS Worldwide Express
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_UPS_WORLD_WIDE_EXPRESS = @"CA_UPSWorldWideExpress";

/**
 
 UPS Worldwide Expedited
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_UPS_WORLD_WIDE_EXPEDITED = @"CA_UPSWorldWideExpedited";

/**
 
 Canada Post Priority Worldwide
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_PRIORITY_WORLDWIDE = @"CA_PriorityWorldwide";

/**
 
 Canada Post Expedited Flat Rate Box USA
 
*/
NSString *const Trading_ShippingServiceCodeType_CANADA_POST_EXPEDITED_FLAT_RATE_BOX_USA = @"CanadaPostExpeditedFlatRateBoxUSA";

/**
 
 Freight
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_FREIGHT = @"CA_Freight";

/**
 
 Standardversand (A-Post/Priority)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_STANDARD_DISPATCH_A_POST = @"CH_StandardDispatchAPost";

/**
 
 Standardversand (B-Post/Economy)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_STANDARD_DISPATCH_B_POST = @"CH_StandardDispatchBPost";

/**
 
 Versicherter Versand (z.B. Assurance/Fragile)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_INSURED_DISPATCH = @"CH_InsuredDispatch";

NSString *const Trading_ShippingServiceCodeType_CH_WRITING = @"CH_Writing";

NSString *const Trading_ShippingServiceCodeType_CH_COD = @"CH_COD";

/**
 
 Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_EXPRESS_OR_COURIER = @"CH_ExpressOrCourier";

/**
 
 Versicherter Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_INSURED_EXPRESS_OR_COURIER = @"CH_InsuredExpressOrCourier";

NSString *const Trading_ShippingServiceCodeType_CH_SPECIAL_DISPATCH = @"CH_SpecialDispatch";

NSString *const Trading_ShippingServiceCodeType_CH_INSURED_SPECIAL_DISPATCH = @"CH_InsuredSpecialDispatch";

/**
 
 Sonstige (Siehe Artikelbeschreibung)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_SONSTIGE = @"CH_Sonstige";

/**
 
 Sonstiger Versand (Siehe Artikelbeschreibung)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_SONSTIGER_VERSAND_INTERNATIONAL = @"CH_SonstigerVersandInternational";

/**
 
 ECONOMY Sendungen
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_ECONOMY_SENDUNGEN_INTERNATIONAL = @"CH_EconomySendungenInternational";

/**
 
 PRIORITY Sendungen
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_PRIORITY_SENDUNGEN_INTERNATIONAL = @"CH_PrioritySendungenInternational";

/**
 
 URGENT Sendungen
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_URGENT_SENDUNGEN_INTERNATIONAL = @"CH_UrgentSendungenInternational";

/**
 
 Sparversand aus dem Ausland
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_ECONOMY_DELIVERY_FROM_ABROAD = @"CH_EconomyDeliveryFromAbroad";

/**
 
 Standardversand aus dem Ausland
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_STANDARD_DELIVERY_FROM_ABROAD = @"CH_StandardDeliveryFromAbroad";

/**
 
 Expressversand aus dem Ausland
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_EXPRESS_DELIVERY_FROM_ABROAD = @"CH_ExpressDeliveryFromAbroad";

/**
 
 Versand mit Nachverfolgung aus dem Ausland
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_TRACKED_DELIVERY_FROM_ABROAD = @"CH_TrackedDeliveryFromAbroad";

NSString *const Trading_ShippingServiceCodeType_CN_PERSONAL_DELIVERY = @"CN_PersonalDelivery";

NSString *const Trading_ShippingServiceCodeType_CN_REGULAR_PACKAGE = @"CN_RegularPackage";

NSString *const Trading_ShippingServiceCodeType_CN_DELIVERY_COMPANY_EXPRESS = @"CN_DeliveryCompanyExpress";

NSString *const Trading_ShippingServiceCodeType_CN_POST_OFFICE_EXPRESS = @"CN_PostOfficeExpress";

NSString *const Trading_ShippingServiceCodeType_CN_OTHERS = @"CN_Others";

NSString *const Trading_ShippingServiceCodeType_CN_FAST_POST_OFFICE = @"CN_FastPostOffice";

NSString *const Trading_ShippingServiceCodeType_CN_EXPRESS_DELIVERY_SAME_CITY = @"CN_ExpressDeliverySameCity";

NSString *const Trading_ShippingServiceCodeType_CN_EXPRESS_DELIVERY_OTHER_CITIES = @"CN_ExpressDeliveryOtherCities";

NSString *const Trading_ShippingServiceCodeType_CN_STANDARD_INTERNATIONAL = @"CN_StandardInternational";

NSString *const Trading_ShippingServiceCodeType_CN_EXPEDITED_INTERNATIONAL = @"CN_ExpeditedInternational";

NSString *const Trading_ShippingServiceCodeType_CN_OTHER_INTERNATIONAL = @"CN_OtherInternational";

NSString *const Trading_ShippingServiceCodeType_CN_COD_INTERNATIONAL = @"CN_CODInternational";

NSString *const Trading_ShippingServiceCodeType_CN_STANDARD_MAILING_INTERNATIONAL = @"CN_StandardMailingInternational";

NSString *const Trading_ShippingServiceCodeType_CN_REGULAR_LOGISTICS_INTERNATIONAL = @"CN_RegularLogisticsInternational";

NSString *const Trading_ShippingServiceCodeType_CN_EMS_INTERNATIONAL = @"CN_EMSInternational";

NSString *const Trading_ShippingServiceCodeType_CN_OTHERS_INTERNATIONAL = @"CN_OthersInternational";

/**
 
 Unversicherter Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_STANDARD_DISPATCH = @"DE_StandardDispatch";

/**
 
 Versicherter Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_INSURED_DISPATCH = @"DE_InsuredDispatch";

NSString *const Trading_ShippingServiceCodeType_DE_WRITING = @"DE_Writing";

NSString *const Trading_ShippingServiceCodeType_DE_COD = @"DE_COD";

/**
 
 Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_EXPRESS_OR_COURIER = @"DE_ExpressOrCourier";

/**
 
 Versicherter Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_INSURED_EXPRESS_OR_COURIER = @"DE_InsuredExpressOrCourier";

NSString *const Trading_ShippingServiceCodeType_DE_SPECIAL_DISPATCH = @"DE_SpecialDispatch";

NSString *const Trading_ShippingServiceCodeType_DE_INSURED_SPECIAL_DISPATCH = @"DE_InsuredSpecialDispatch";

/**
 
 Unversicherter Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_UNVERSICHERTER_VERSAND = @"DE_UnversicherterVersand";

/**
 
 Deutsche Post Brief
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF = @"DE_DeutschePostBrief";

/**
 
 eBay DHL Paket 24/7 (Abgabe und Lieferung an Packstation)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_E_BAY_DHL_PAKET_24_X_7 = @"DE_eBayDHLPaket24x7";

/**
 
 DHL Postpaket
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DHL_POSTPAKET = @"DE_DHLPostpaket";

NSString *const Trading_ShippingServiceCodeType_DE_DHL_PACKCHEN = @"DE_DHLPackchen";

/**
 
 Deutsche Post Warensendung
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_WARENSENDUNG = @"DE_DeutschePostWarensendung";

NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BUCHERSENDUNG = @"DE_DeutschePostBuchersendung";

/**
 
 Hermes Paket (unversichert)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_UNVERSICHERT = @"DE_HermesPaketUnversichert";

/**
 
 Hermes Paket (versichert)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_VERSICHERT = @"DE_HermesPaketVersichert";

/**
 
 iloxx Transport XXL
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_TRANSPORT_XXL = @"DE_IloxxTransportXXL";

NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_UBERNACHT_EXPRESS = @"DE_IloxxUbernachtExpress";

/**
 
 iloxx Standard
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_STANDARD = @"DE_IloxxStandard";

/**
 
 Sonstige (Siehe Artikelbeschreibung)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_SONSTIGE = @"DE_Sonstige";

/**
 
 Unversicherter Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_UNVERSICHERTER_VERSAND_INTERNATIONAL = @"DE_UnversicherterVersandInternational";

/**
 
 Versicherter Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_VERSICHERTER_VERSAND_INTERNATIONAL = @"DE_VersicherterVersandInternational";

/**
 
 DHL Postpaket International
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DHL_POSTPAKET_INTERNATIONAL = @"DE_DHLPostpaketInternational";

NSString *const Trading_ShippingServiceCodeType_DE_DHL_PACKCHEN_INTERNATIONAL = @"DE_DHLPackchenInternational";

/**
 
 Sonstiger Versand (Siehe Artikelbeschreibung)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_SONSTIGER_VERSAND_INTERNATIONAL = @"DE_SonstigerVersandInternational";

/**
 
 Unversicherter Express - Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_UNVERSICHERTER_EXPRESS_VERSAND_INTERNATIONAL = @"DE_UnversicherterExpressVersandInternational";

/**
 
 Versicherter Express - Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_VERSICHERTER_EXPRESS_VERSAND_INTERNATIONAL = @"DE_VersicherterExpressVersandInternational";

/**
 
 Deutsche Post Brief (Land)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF_LAND_INTERNATIONAL = @"DE_DeutschePostBriefLandInternational";

/**
 
 Deutsche Post Brief (Luft)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF_LUFT_INTERNATIONAL = @"DE_DeutschePostBriefLuftInternational";

/**
 
 iloxx Europa
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_EUROPA_INTERNATIONAL = @"DE_IloxxEuropaInternational";

/**
 
 iloxx World Wide
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_WORLD_WIDE_INTERNATIONAL = @"DE_IloxxWorldWideInternational";

/**
 Paketversand
*/
NSString *const Trading_ShippingServiceCodeType_DE_PAKET = @"DE_Paket";

/**
 Expressversand
*/
NSString *const Trading_ShippingServiceCodeType_DE_EXPRESS = @"DE_Express";

/**
 DHL Paket
*/
NSString *const Trading_ShippingServiceCodeType_DE_DHL_PAKET = @"DE_DHLPaket";

/**
 Deutsche Post Buecher-/Warensendung
*/
NSString *const Trading_ShippingServiceCodeType_DE_DP_BUECHER_WARENSENDUNG = @"DE_DPBuecherWarensendung";

/**
 Hermes Paket
*/
NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET = @"DE_HermesPaket";

/**
 iloxx Transport
*/
NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_TRANSPORT = @"DE_IloxxTransport";

/**
 Sonstige
*/
NSString *const Trading_ShippingServiceCodeType_DE_SONSTIGE_DOMESTIC = @"DE_SonstigeDomestic";

/**
 Einschreiben (inkl. aller Gebuehren)
*/
NSString *const Trading_ShippingServiceCodeType_DE_EINSCHREIBEN = @"DE_Einschreiben";

/**
 Nachnahme (inkl. aller Gebuehren)
*/
NSString *const Trading_ShippingServiceCodeType_DE_NACHNAME = @"DE_Nachname";

/**
 Sonderversand
*/
NSString *const Trading_ShippingServiceCodeType_DE_SPECIAL_DELIVERY = @"DE_SpecialDelivery";

/**
 UPS
*/
NSString *const Trading_ShippingServiceCodeType_DE_UPS = @"DE_UPS";

/**
 DPD
*/
NSString *const Trading_ShippingServiceCodeType_DE_DPD = @"DE_DPD";

/**
 GLS
*/
NSString *const Trading_ShippingServiceCodeType_DE_GLS = @"DE_GLS";

/**
 Paketversand
*/
NSString *const Trading_ShippingServiceCodeType_DE_PAKET_INTERNATIONAL = @"DE_PaketInternational";

/**
 DHL Paket International
*/
NSString *const Trading_ShippingServiceCodeType_DE_DHL_PAKET_INTERNATIONAL = @"DE_DHLPaketInternational";

/**
 Sonstige
*/
NSString *const Trading_ShippingServiceCodeType_DE_SONSTIGE_INTERNATIONAL = @"DE_SonstigeInternational";

/**
 Expressversand
*/
NSString *const Trading_ShippingServiceCodeType_DE_EXPRESS_INTERNATIONAL = @"DE_ExpressInternational";

/**
 Deutsche Post Brief
*/
NSString *const Trading_ShippingServiceCodeType_DE_DP_BRIEF_INTERNATIONAL = @"DE_DPBriefInternational";

/**
 iloxx Transport International
*/
NSString *const Trading_ShippingServiceCodeType_DE_ILOXX_TRANSPORT_INTERNATIONAL = @"DE_IloxxTransportInternational";

/**
 Hermes Paket International
*/
NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_INTERNATIONAL = @"DE_HermesPaketInternational";

/**
 UPS International
*/
NSString *const Trading_ShippingServiceCodeType_DE_UPS_INTERNATIONAL = @"DE_UPSInternational";

/**
 DPD International
*/
NSString *const Trading_ShippingServiceCodeType_DE_DPD_INTERNATIONAL = @"DE_DPDInternational";

/**
 GLS International
*/
NSString *const Trading_ShippingServiceCodeType_DE_GLS_INTERNATIONAL = @"DE_GLSInternational";

/**
 
 eBay Hermes Paket Shop2Shop (Kaeufer erhaelt E-Mail von Hermes bei Zustellung)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_E_BAY_HERMES_PAKET_SHOP_2_SHOP_KAEUFER = @"DE_eBayHermesPaketShop2ShopKaeufer";

/**
 
 Hermes Paket Shop2Shop (Kaeufer erhaelt E-Mail von Hermes bei Zustellung)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_SHOP_2_SHOP_KAEUFER = @"DE_HermesPaketShop2ShopKaeufer";

/**
 
 eBay Hermes Paket Shop2Shop
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_E_BAY_HERMES_PAKET_SHOP_2_SHOP = @"DE_eBayHermesPaketShop2Shop";

/**
 
 Hermes Paket Shop2Shop
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_SHOP_2_SHOP = @"DE_HermesPaketShop2Shop";

/**
 
 Hermes Paket Sperrgut
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_SPERRGUT = @"DE_HermesPaketSperrgut";

/**
 
 eBay Hermes Paket Sperrgut Shop2Shop (Abgabe und Zustellung im Paketshop)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_E_BAY_HERMES_PAKET_SPERRGUT_SHOP_2_SHOP = @"DE_eBayHermesPaketSperrgutShop2Shop";

/**
 
 DHL Paeckchen Packstation
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DHL_PAECKCHEN_PACKSTATION = @"DE_DHLPaeckchenPackstation";

/**
 
 DHL Paket Packstation
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DHL_PAKET_PACKSTATION = @"DE_DHLPaketPackstation";

/**
 
 eBay DHL Paeckchen
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_E_BAY_DHL_PAECKCHEN = @"DE_eBayDHLPaeckchen";

/**
 
 DHL Star-Paeckchen
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DHL_STAR_PAECKCHEN = @"DE_DHLStarPaeckchen";

/**
 
 Versand mit Nachverfolgung aus dem Ausland
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_TRACKED_DELIVERY_FROM_ABROAD = @"DE_TrackedDeliveryFromAbroad";

/**
 
 Cartas nacionales hasta 20 gr
 
*/
NSString *const Trading_ShippingServiceCodeType_ES_CARTAS_NACIONALES_HASTA_20 = @"ES_CartasNacionalesHasta20";

NSString *const Trading_ShippingServiceCodeType_ES_CARTAS_NACIONALES_DE_MAS_20 = @"ES_CartasNacionalesDeMas20";

/**
 
 Cartas internacionales hasta 20 gr
 
*/
NSString *const Trading_ShippingServiceCodeType_ES_CARTAS_INTERNACIONALES_HASTA_20 = @"ES_CartasInternacionalesHasta20";

/**
 
 Cartas internacionales de mas de 20 gr
 
*/
NSString *const Trading_ShippingServiceCodeType_ES_CARTAS_INTERNACIONALES_DE_MAS_20 = @"ES_CartasInternacionalesDeMas20";

/**
 
 Paquete Azul (nacional) hasta 2 kg
 
*/
NSString *const Trading_ShippingServiceCodeType_ES_PAQUETE_AZUL_HASTA_2_KG = @"ES_PaqueteAzulHasta2kg";

NSString *const Trading_ShippingServiceCodeType_ES_PAQUETE_AZUL_DE_MAS_2_KG = @"ES_PaqueteAzulDeMas2kg";

NSString *const Trading_ShippingServiceCodeType_ES_PAQUETE_INTERNACIONAL_ECONOMICO = @"ES_PaqueteInternacionalEconomico";

NSString *const Trading_ShippingServiceCodeType_ES_URGENTE = @"ES_Urgente";

NSString *const Trading_ShippingServiceCodeType_ES_OTROS = @"ES_Otros";

NSString *const Trading_ShippingServiceCodeType_ES_STANDARD_INTERNATIONAL = @"ES_StandardInternational";

NSString *const Trading_ShippingServiceCodeType_ES_EXPEDITED_INTERNATIONAL = @"ES_ExpeditedInternational";

NSString *const Trading_ShippingServiceCodeType_ES_OTHER_INTERNATIONAL = @"ES_OtherInternational";

/**
 
 Cartas y tarjetas postales internacionales
 
*/
NSString *const Trading_ShippingServiceCodeType_ES_CARTAS_POSTAL_INTERNATIONAL = @"ES_CartasPostalInternational";

/**
 
 Ems postal expres internacional
 
*/
NSString *const Trading_ShippingServiceCodeType_ES_EMS_POSTAL_EXPRESS_INTERNATIONAL = @"ES_EmsPostalExpressInternational";

/**
 
 Paquete internacional economico
 
*/
NSString *const Trading_ShippingServiceCodeType_ES_ECONOMY_PACKET_INTERNATIONAL = @"ES_EconomyPacketInternational";

NSString *const Trading_ShippingServiceCodeType_ES_ECONOMY_DELIVERY_FROM_ABROAD = @"ES_EconomyDeliveryFromAbroad";

NSString *const Trading_ShippingServiceCodeType_ES_STANDARD_DELIVERY_FROM_ABROAD = @"ES_StandardDeliveryFromAbroad";

NSString *const Trading_ShippingServiceCodeType_ES_EXPRESS_DELIVERY_FROM_ABROAD = @"ES_ExpressDeliveryFromAbroad";

NSString *const Trading_ShippingServiceCodeType_ES_TRACKED_DELIVERY_FROM_ABROAD = @"ES_TrackedDeliveryFromAbroad";

/**
 
 Entrega a un Kiala point hasta 8 kg
 
*/
NSString *const Trading_ShippingServiceCodeType_ES_ENTREGA_KIALA_8_KG = @"ES_ENTREGA_KIALA_8KG";

/**
 
 Chronoposte International Classic
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOSTE_INTERNATIONAL_CLASSIC = @"FR_ChronoposteInternationalClassic";

/**
 
 Coliposte Colissimo Direct
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_COLIPOSTE_COLISSIMO_DIRECT = @"FR_ColiposteColissimoDirect";

/**
 
 DHL Express Europack
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_DHL_EXPRESS_EUROPACK = @"FR_DHLExpressEuropack";

/**
 
 UPS Standard
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_UPS_STANDARD = @"FR_UPSStandard";

/**
 
 Lettre
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_POST_OFFICE_LETTER = @"FR_PostOfficeLetter";

/**
 
 Lettre avec suivi
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_POST_OFFICE_LETTER_FOLLOWED = @"FR_PostOfficeLetterFollowed";

NSString *const Trading_ShippingServiceCodeType_FR_POST_OFFICE_LETTER_RECOMMENDED = @"FR_PostOfficeLetterRecommended";

/**
 
 Colissimo
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_COLIPOSTE_COLISSIMO = @"FR_ColiposteColissimo";

NSString *const Trading_ShippingServiceCodeType_FR_COLIPOSTE_COLISSIMO_RECOMMENDED = @"FR_ColiposteColissimoRecommended";

/**
 
 Contre remboursement
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_UPS_STANDARD_AGAINST_REFUND = @"FR_UPSStandardAgainstRefund";

/**
 
 Autre mode d'envoi de courrier
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_AUTRE = @"FR_Autre";

/**
 
 Ecopli
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_ECOPLI = @"FR_Ecopli";

NSString *const Trading_ShippingServiceCodeType_FR_COLIECO = @"FR_Colieco";

/**
 
 Autre mode d'envoi de colis
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_AUTE_MODE_DENVOI_DE_COLIS = @"FR_AuteModeDenvoiDeColis";

/**
 
 Remise en main propre
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_REMISE_EN_MAIN_PROPRE = @"FR_RemiseEnMainPropre";

NSString *const Trading_ShippingServiceCodeType_FR_STANDARD_INTERNATIONAL = @"FR_StandardInternational";

NSString *const Trading_ShippingServiceCodeType_FR_EXPEDITED_INTERNATIONAL = @"FR_ExpeditedInternational";

NSString *const Trading_ShippingServiceCodeType_FR_OTHER_INTERNATIONAL = @"FR_OtherInternational";

/**
 
 La Poste - Courrier International Prioritaire
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_INTERNATIONAL_PRIORITY_COURIER = @"FR_LaPosteInternationalPriorityCourier";

/**
 
 La Poste - Courrier International Economique
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_INTERNATIONAL_ECONOMY_COURIER = @"FR_LaPosteInternationalEconomyCourier";

/**
 
 La Poste - Colissimo International
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_COLISSIMO_INTERNATIONAL = @"FR_LaPosteColissimoInternational";

/**
 
 La Poste - Colis Economique International
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_COLIS_ECONOMIQUE_INTERNATIONAL = @"FR_LaPosteColisEconomiqueInternational";

/**
 
 La Poste - Colissimo Emballage International
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_COLISSIMO_EMBALLAGE_INTERNATIONAL = @"FR_LaPosteColissimoEmballageInternational";

/**
 
 Chronopost Classic International
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOST_CLASSIC_INTERNATIONAL = @"FR_ChronopostClassicInternational";

/**
 
 Chronopost Premium International
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOST_PREMIUM_INTERNATIONAL = @"FR_ChronopostPremiumInternational";

/**
 
 UPS Standard
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_UPS_STANDARD_INTERNATIONAL = @"FR_UPSStandardInternational";

/**
 
 UPS Express
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_UPS_EXPRESS_INTERNATIONAL = @"FR_UPSExpressInternational";

/**
 
 DHL
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_DHL_INTERNATIONAL = @"FR_DHLInternational";

/**
 
 La Poste Lettre Max
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_LA_POSTE_LETTER_MAX = @"FR_LaPosteLetterMax";

/**
 
 Livraison en Relais Kiala
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_KIALA_DELIVERY = @"FR_KIALA_DELIVERY";

NSString *const Trading_ShippingServiceCodeType_FR_TRACKED_DELIVERY_FROM_ABROAD = @"FR_TrackedDeliveryFromAbroad";

/**
 
 National - Regular
 
*/
NSString *const Trading_ShippingServiceCodeType_IN_REGULAR = @"IN_Regular";

/**
 
 National - Express
 
*/
NSString *const Trading_ShippingServiceCodeType_IN_EXPRESS = @"IN_Express";

/**
 
 National - COD
 
*/
NSString *const Trading_ShippingServiceCodeType_IN_NATIONAL_COD = @"IN_NationalCOD";

/**
 
 Local - Courier
 
*/
NSString *const Trading_ShippingServiceCodeType_IN_COURIER = @"IN_Courier";

/**
 
 Local - COD
 
*/
NSString *const Trading_ShippingServiceCodeType_IN_LOCAL_COD = @"IN_LocalCOD";

/**
 
 International - Standard
 
*/
NSString *const Trading_ShippingServiceCodeType_IN_STANDARD_INTERNATIONAL = @"IN_StandardInternational";

/**
 
 International - Expedited
 
*/
NSString *const Trading_ShippingServiceCodeType_IN_EXPEDITED_INTERNATIONAL = @"IN_ExpeditedInternational";

/**
 
 International - other
 
*/
NSString *const Trading_ShippingServiceCodeType_IN_OTHER_INTERNATIONAL = @"IN_OtherInternational";

/**
 
 Flat Rate COD
 
*/
NSString *const Trading_ShippingServiceCodeType_IN_FLAT_RATE_COD = @"IN_FlatRateCOD";

/**
 
 Buyer picks up and pays
 
*/
NSString *const Trading_ShippingServiceCodeType_IN_BUYER_PICKS_UP_AND_PAYS = @"IN_BuyerPicksUpAndPays";

/**
 
 Posta ordinaria
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_REGULAR_MAIL = @"IT_RegularMail";

/**
 
 Posta prioritaria
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_PRIORITY_MAIL = @"IT_PriorityMail";

/**
 
 Posta raccomandata
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_MAIL_REGISTERED_LETTER = @"IT_MailRegisteredLetter";

/**
 
 Posta raccomandata con contrassegno
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_MAIL_REGISTERED_LETTER_WITH_MARK = @"IT_MailRegisteredLetterWithMark";

/**
 
 Posta assicurata
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_INSURED_MAIL = @"IT_InsuredMail";

/**
 
 Posta celere
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_QUICK_MAIL = @"IT_QuickMail";

/**
 
 Pacco ordinario
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_REGULAR_PACKAGE = @"IT_RegularPackage";

/**
 
 Pacco celere 1
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_QUICK_PACKAGE_1 = @"IT_QuickPackage1";

/**
 
 Pacco celere 3
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_QUICK_PACKAGE_3 = @"IT_QuickPackage3";

/**
 
 Corriere espresso
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_EXPRESS_COURIER = @"IT_ExpressCourier";

/**
 
 Paccocelere Maxi
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_EXPRESS_PACKAGE_MAXI = @"IT_ExpressPackageMaxi";

/**
 
 Spedizione internazionale standard a prezzo fisso
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_STANDARD_INTERNATIONAL = @"IT_StandardInternational";

/**
 
 Spedizione internazionale celere a prezzo fisso
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_EXPEDITED_INTERNATIONAL = @"IT_ExpeditedInternational";

/**
 
 Altre spedizioni internazionali (vedi descrizione)
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_OTHER_INTERNATIONAL = @"IT_OtherInternational";

/**
 
 Spedizione tracciata dall estero
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_TRACKED_DELIVERY_FROM_ABROAD = @"IT_TrackedDeliveryFromAbroad";

/**
 
 Standaardverzending
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_STANDARD_DELIVERY = @"NL_StandardDelivery";

/**
 
 Pakketpost
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_PARCEL_POST = @"NL_ParcelPost";

/**
 
 Verzending met ontvangstbevestiging
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_REGISTERED_MAIL = @"NL_RegisteredMail";

/**
 
 Andere verzendservice
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_OTHER = @"NL_Other";

/**
 
 TPG Post/TNT
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_TPG_POST_TNT_INTERNATIONAL = @"NL_TPGPostTNTInternational";

/**
 
 UPS
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_UPS_INTERNATIONAL = @"NL_UPSInternational";

/**
 
 FedEx
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_FED_EX_INTERNATIONAL = @"NL_FedExInternational";

/**
 
 DHL
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_DHL_INTERNATIONAL = @"NL_DHLInternational";

/**
 
 DPD (Germany)
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_DPDGBR_INTERNATIONAL = @"NL_DPDGBRInternational";

/**
 
 GLS (Business only)
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_GLS_BUSINESS_INTERNATIONAL = @"NL_GLSBusinessInternational";

/**
 
 Vaste kosten standaard internationale verzending
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_STANDARD_INTERNATIONAL = @"NL_StandardInternational";

/**
 
 Vaste kosten versnelde internationale verzending
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_EXPEDITED_INTERNATIONAL = @"NL_ExpeditedInternational";

/**
 
 Andere internationale verzending (zie beschrijving)
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_OTHER_INTERNATIONAL = @"NL_OtherInternational";

/**
 
 Voordelige verzending uit het buitenland
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_ECONOMY_DELIVERY_FROM_ABROAD = @"NL_EconomyDeliveryFromAbroad";

/**
 
 Standaardverzending uit het buitenland
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_STANDARD_DELIVERY_FROM_ABROAD = @"NL_StandardDeliveryFromAbroad";

/**
 
 Verzending per expresse uit het buitenland
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_EXPRESS_DELIVERY_FROM_ABROAD = @"NL_ExpressDeliveryFromAbroad";

/**
 
 Verzending met internationale tracering uit het buitenland
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_TRACKED_DELIVERY_FROM_ABROAD = @"NL_TrackedDeliveryFromAbroad";

NSString *const Trading_ShippingServiceCodeType_TW_REGISTERED_MAIL = @"TW_RegisteredMail";

NSString *const Trading_ShippingServiceCodeType_TW_UNREGISTERED_MAIL = @"TW_UnregisteredMail";

NSString *const Trading_ShippingServiceCodeType_TW_COD = @"TW_COD";

NSString *const Trading_ShippingServiceCodeType_TW_DWELLING_MATCH_POST = @"TW_DwellingMatchPost";

NSString *const Trading_ShippingServiceCodeType_TW_DWELLING_MATCH_COD = @"TW_DwellingMatchCOD";

NSString *const Trading_ShippingServiceCodeType_TW_SELF_PICKUP = @"TW_SelfPickup";

NSString *const Trading_ShippingServiceCodeType_TW_PARCEL_POST = @"TW_ParcelPost";

NSString *const Trading_ShippingServiceCodeType_TW_EXPRESS_MAIL = @"TW_ExpressMail";

NSString *const Trading_ShippingServiceCodeType_TW_OTHER = @"TW_Other";

NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_LETTER_POST = @"TW_CPInternationalLetterPost";

NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_PARCEL_POST = @"TW_CPInternationalParcelPost";

NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_REGISTERED_LETTER_POST = @"TW_CPInternationalRegisteredLetterPost";

NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_REGISTERED_PARCEL_POST = @"TW_CPInternationalRegisteredParcelPost";

NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_EMS = @"TW_CPInternationalEMS";

NSString *const Trading_ShippingServiceCodeType_TW_CP_INTERNATIONAL_OCEAN_SHIPPING_PARCEL = @"TW_CPInternationalOceanShippingParcel";

/**
 
 FedEx International Priority
 
*/
NSString *const Trading_ShippingServiceCodeType_TW_FED_EX_INTERNATIONAL_PRIORITY = @"TW_FedExInternationalPriority";

/**
 
 FedEx International Economy
 
*/
NSString *const Trading_ShippingServiceCodeType_TW_FED_EX_INTERNATIONAL_ECONOMY = @"TW_FedExInternationalEconomy";

/**
 
 UPS Worldwide Expedited
 
*/
NSString *const Trading_ShippingServiceCodeType_TW_UPS_WORLDWIDE_EXPEDITED = @"TW_UPSWorldwideExpedited";

/**
 
 UPS Worldwide Express
 
*/
NSString *const Trading_ShippingServiceCodeType_TW_UPS_WORLDWIDE_EXPRESS = @"TW_UPSWorldwideExpress";

/**
 
 UPS Worldwide Express Plus
 
*/
NSString *const Trading_ShippingServiceCodeType_TW_UPS_WORLDWIDE_EXPRESS_PLUS = @"TW_UPSWorldwideExpressPlus";

NSString *const Trading_ShippingServiceCodeType_TW_OTHER_INTERNATIONAL = @"TW_OtherInternational";

/**
 
 Royal Mail 1st Class Standard
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_FIRST_CLASS_STANDARD = @"UK_RoyalMailFirstClassStandard";

/**
 
 Royal Mail 2nd Class Standard
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SECOND_CLASS_STANDARD = @"UK_RoyalMailSecondClassStandard";

/**
 
 Royal Mail 1st Class Recorded
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_FIRST_CLASS_RECORDED = @"UK_RoyalMailFirstClassRecorded";

/**
 
 Royal Mail 2nd Class Recorded
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SECOND_CLASS_RECORDED = @"UK_RoyalMailSecondClassRecorded";

/**
 
 Royal Mail Special Delivery
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SPECIAL_DELIVERY = @"UK_RoyalMailSpecialDelivery";

/**
 
 Royal Mail Standard Parcels
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_STANDARD_PARCEL = @"UK_RoyalMailStandardParcel";

/**
 
 Parcelforce 24
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_PARCELFORCE_24 = @"UK_Parcelforce24";

/**
 
 Parcelforce 48
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_PARCELFORCE_48 = @"UK_Parcelforce48";

/**
 
 Other Courier
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER = @"UK_OtherCourier";

/**
 
 myHermes - door to door service
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_MY_HERMES_DOOR_TO_DOOR_SERVICE = @"UK_myHermesDoorToDoorService";

/**
 
 Collect+ : drop at store-delivery to door
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_COLLECT_DROP_AT_STORE_DELIVERY_TO_DOOR = @"UK_CollectDropAtStoreDeliveryToDoor";

/**
 
 Seller's Standard Rate
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_SELLERS_STANDARD_RATE = @"UK_SellersStandardRate";

/**
 
 Collection in Person
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_COLLECT_IN_PERSON = @"UK_CollectInPerson";

/**
 
 Sellers Standard International Rate
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_SELLERS_STANDARD_INTERNATIONAL_RATE = @"UK_SellersStandardInternationalRate";

/**
 
 Royal Mail Airmail
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_AIRMAIL_INTERNATIONAL = @"UK_RoyalMailAirmailInternational";

/**
 
 Royal Mail Airsure
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_AIRSURE_INTERNATIONAL = @"UK_RoyalMailAirsureInternational";

/**
 
 Royal Mail Surface Mail
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SURFACE_MAIL_INTERNATIONAL = @"UK_RoyalMailSurfaceMailInternational";

/**
 
 Royal Mail International Signed-for
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_INTERNATIONAL_SIGNED_FOR = @"UK_RoyalMailInternationalSignedFor";

/**
 
 Royal Mail HM Forces Mail
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_HM_FORCES_MAIL_INTERNATIONAL = @"UK_RoyalMailHMForcesMailInternational";

/**
 
 Parcelforce International Datapost
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_INTERNATIONAL_DATAPOST = @"UK_ParcelForceInternationalDatapost";

/**
 
 Parcelforce Ireland 24
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_IRELAND_24_INTERNATIONAL = @"UK_ParcelForceIreland24International";

/**
 
 Parcelforce Euro 48
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_EURO_48_INTERNATIONAL = @"UK_ParcelForceEuro48International";

/**
 
 Parcelforce International Scheduled
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_INTERNATIONAL_SCHEDULED = @"UK_ParcelForceInternationalScheduled";

/**
 
 Other courier or delivery service
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER_OR_DELIVERY_INTERNATIONAL = @"UK_OtherCourierOrDeliveryInternational";

/**
 
 Collect in person
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_COLLECT_IN_PERSON_INTERNATIONAL = @"UK_CollectInPersonInternational";

/**
 
 Parcelforce Global Express
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_INTL_EXPRESS = @"UK_ParcelForceIntlExpress";

/**
 
 Parcelforce Global Value
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_INTL_VALUE = @"UK_ParcelForceIntlValue";

/**
 
 Parcelforce Global Economy (Not available for destinations in Europe)
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_PARCEL_FORCE_INTL_ECONOMY = @"UK_ParcelForceIntlEconomy";

/**
 
 Tracked delivery from outside abroad
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_TRACKED_DELIVERY_FROM_ABROAD = @"UK_TrackedDeliveryFromAbroad";

/**
 
 International tracked postage
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_INTL_TRACKED_POSTAGE = @"UK_IntlTrackedPostage";

/**
 
 Seller's standard rate
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_SELLERS_STANDARD_RATE = @"IE_SellersStandardRate";

/**
 
 First Class Letter Service
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_FIRST_CLASS_LETTER_SERVICE = @"IE_FirstClassLetterService";

/**
 
 SwiftPost National
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_SWIFT_POST_NATIONAL = @"IE_SwiftPostNational";

/**
 
 Registered Post
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_REGISTERED_POST = @"IE_RegisteredPost";

/**
 
 EMS SDS Courier
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_EMSSDS_COURIER = @"IE_EMSSDSCourier";

/**
 
 Economy SDS Courier
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_ECONOMY_SDS_COURIER = @"IE_EconomySDSCourier";

/**
 
 Other courier
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_OTHER_COURIER = @"IE_OtherCourier";

/**
 
 Collection in person
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_COLLECTION_IN_PERSON = @"IE_CollectionInPerson";

/**
 
 Seller's Standard International Rate
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_SELLERS_STANDARD_RATE_INTERNATIONAL = @"IE_SellersStandardRateInternational";

/**
 
 International Economy Service
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_INTERNATIONAL_ECONOMY_SERVICE = @"IE_InternationalEconomyService";

/**
 
 International Priority Service
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_INTERNATIONAL_PRIORITY_SERVICE = @"IE_InternationalPriorityService";

/**
 
 SwiftPost Express
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_SWIFT_POST_EXPRESS_INTERNATIONAL = @"IE_SwiftPostExpressInternational";

/**
 
 SwiftPost International
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_SWIFT_POST_INTERNATIONAL = @"IE_SwiftPostInternational";

/**
 
 EMS SDS Courier
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_EMSSDS_COURIER_INTERNATIONAL = @"IE_EMSSDSCourierInternational";

/**
 
 Economy SDS Courier
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_ECONOMY_SDS_COURIER_INTERNATIONAL = @"IE_EconomySDSCourierInternational";

/**
 
 Other courier or delivery service
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_OTHER_COURIER_INTERNATIONAL = @"IE_OtherCourierInternational";

/**
 
 International collection in person
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_COLLECTION_IN_PERSON_INTERNATIONAL = @"IE_CollectionInPersonInternational";

/**
 
 Economy delivery from abroad
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_ECONOMY_DELIVERY_FROM_ABROAD = @"IE_EconomyDeliveryFromAbroad";

/**
 
 Standard delivery from abroad
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_STANDARD_DELIVERY_FROM_ABROAD = @"IE_StandardDeliveryFromAbroad";

/**
 
 Express delivery from abroad
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_EXPRESS_DELIVERY_FROM_ABROAD = @"IE_ExpressDeliveryFromAbroad";

/**
 
 Tracked delivery from abroad
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_TRACKED_DELIVERY_FROM_ABROAD = @"IE_TrackedDeliveryFromAbroad";

/**
 
 Domestic Regular shipping
 
*/
NSString *const Trading_ShippingServiceCodeType_PL_DOMESTIC_REGULAR = @"PL_DomesticRegular";

/**
 
 Domestic Special shipping
 
*/
NSString *const Trading_ShippingServiceCodeType_PL_DOMESTIC_SPECIAL = @"PL_DomesticSpecial";

/**
 
 Przesylka z zagranicy - ekonomiczna
 
*/
NSString *const Trading_ShippingServiceCodeType_PL_ECONOMY_DELIVERY_FROM_ABROAD = @"PL_EconomyDeliveryFromAbroad";

/**
 
 Przesylka z zagranicy - standardowa
 
*/
NSString *const Trading_ShippingServiceCodeType_PL_STANDARD_DELIVERY_FROM_ABROAD = @"PL_StandardDeliveryFromAbroad";

/**
 
 Przesylka z zagranicy - ekspresowa
 
*/
NSString *const Trading_ShippingServiceCodeType_PL_EXPRESS_DELIVERY_FROM_ABROAD = @"PL_ExpressDeliveryFromAbroad";

/**
 
 Przesylka z zagranicy - miedzynarodowa ze sledzeniem
 
*/
NSString *const Trading_ShippingServiceCodeType_PL_TRACKED_DELIVERY_FROM_ABROAD = @"PL_TrackedDeliveryFromAbroad";

/**
 
 Service associated with FreightQuote.com
 
*/
NSString *const Trading_ShippingServiceCodeType_FREIGHT_SHIPPING = @"FreightShipping";

NSString *const Trading_ShippingServiceCodeType_FREIGHT_OTHER_SHIPPING = @"FreightOtherShipping";

/**
 
 Service associated with any freight service other than FreightQuote.com
 
*/
NSString *const Trading_ShippingServiceCodeType_FREIGHT = @"Freight";

/**
 
 Freight Shipping International
 
*/
NSString *const Trading_ShippingServiceCodeType_FREIGHT_SHIPPING_INTERNATIONAL = @"FreightShippingInternational";

NSString *const Trading_ShippingServiceCodeType_USPS_GROUND = @"USPSGround";

/**
 
 Overnight flat rate shipping service (domestic only)
 
*/
NSString *const Trading_ShippingServiceCodeType_SHIPPING_METHOD_OVERNIGHT = @"ShippingMethodOvernight";

/**
 
 Reserved for internal or future use
 
*/
NSString *const Trading_ShippingServiceCodeType_CUSTOM_CODE = @"CustomCode";

/**
 
 USPS Priority Flat Rate Envelope
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_FLAT_RATE_ENVELOPE = @"USPSPriorityFlatRateEnvelope";

/**
 
 USPS Priority Flat Rate Box
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_FLAT_RATE_BOX = @"USPSPriorityFlatRateBox";

/**
 
 USPS Global Priority Mail Small Envelope
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_GLOBAL_PRIORITY_SMALL_ENVELOPE = @"USPSGlobalPrioritySmallEnvelope";

/**
 
 USPS Global Priority Mail Large Envelope
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_GLOBAL_PRIORITY_LARGE_ENVELOPE = @"USPSGlobalPriorityLargeEnvelope";

/**
 
 USPS Express Mail Flat Rate Envelope
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_FLAT_RATE_ENVELOPE = @"USPSExpressFlatRateEnvelope";

/**
 
 UPS Worldwide Express Box 10 Kg
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS_BOX_10_KG = @"UPSWorldWideExpressBox10kg";

/**
 
 UPS Worldwide Express Box 25 Kg
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS_BOX_25_KG = @"UPSWorldWideExpressBox25kg";

/**
 
 UPS Worldwide Express Plus Box 10 Kg
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS_PLUS_BOX_10_KG = @"UPSWorldWideExpressPlusBox10kg";

/**
 
 UPS Worldwide Express Plus box 25 Kg
 
*/
NSString *const Trading_ShippingServiceCodeType_UPS_WORLD_WIDE_EXPRESS_PLUS_BOX_25_KG = @"UPSWorldWideExpressPlusBox25kg";

/**
 
 Local pick up only
 
*/
NSString *const Trading_ShippingServiceCodeType_HK_LOCAL_PICK_UP_ONLY = @"HK_LocalPickUpOnly";

/**
 
 Local courier
 
*/
NSString *const Trading_ShippingServiceCodeType_HK_LOCAL_COURIER = @"HK_LocalCourier";

/**
 
 Domestic regular shipping
 
*/
NSString *const Trading_ShippingServiceCodeType_HK_DOMESTIC_REGULAR_SHIPPING = @"HK_DomesticRegularShipping";

/**
 
 Domestic special shipping
 
*/
NSString *const Trading_ShippingServiceCodeType_HK_DOMESTIC_SPECIAL_SHIPPING = @"HK_DomesticSpecialShipping";

/**
 
 International regular shipping
 
*/
NSString *const Trading_ShippingServiceCodeType_HK_INTERNATIONAL_REGULAR_SHIPPING = @"HK_InternationalRegularShipping";

/**
 
 International special shipping
 
*/
NSString *const Trading_ShippingServiceCodeType_HK_INTERNATIONAL_SPECIAL_SHIPPING = @"HK_InternationalSpecialShipping";

/**
 
 Local pick up only
 
*/
NSString *const Trading_ShippingServiceCodeType_SG_LOCAL_PICK_UP_ONLY = @"SG_LocalPickUpOnly";

/**
 
 Local courier
 
*/
NSString *const Trading_ShippingServiceCodeType_SG_LOCAL_COURIER = @"SG_LocalCourier";

/**
 
 Domestic standard mail
 
*/
NSString *const Trading_ShippingServiceCodeType_SG_DOMESTIC_STANDARD_MAIL = @"SG_DomesticStandardMail";

/**
 
 Domestic non standard mail
 
*/
NSString *const Trading_ShippingServiceCodeType_SG_DOMESTIC_NON_STANDARD_MAIL = @"SG_DomesticNonStandardMail";

/**
 
 Domestic Speedpost Islandwide
 
*/
NSString *const Trading_ShippingServiceCodeType_SG_DOMESTIC_SPEEDPOST_ISLANDWIDE = @"SG_DomesticSpeedpostIslandwide";

/**
 
 International standard mail
 
*/
NSString *const Trading_ShippingServiceCodeType_SG_INTERNATIONAL_STANDARD_MAIL = @"SG_InternationalStandardMail";

/**
 
 International Express Mail Service (EMS)
 
*/
NSString *const Trading_ShippingServiceCodeType_SG_INTERNATIONAL_EXPRESS_MAIL_SERVICE = @"SG_InternationalExpressMailService";

/**
 
 International courier (DHL, FedEx, UPS)
 
*/
NSString *const Trading_ShippingServiceCodeType_SG_INTERNATIONAL_COURIER = @"SG_InternationalCourier";

/**
 
 De Post zending - NON PRIOR (2 werkdagen)
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_NONPRIOR = @"BENL_DePostZendingNONPRIOR";

/**
 
 De Post zending - PRIOR (1 werkdag)
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_PRIOR = @"BENL_DePostZendingPRIOR";

/**
 
 De Post zending - aangetekend (1 werkdag)
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_AANGETEKEND = @"BENL_DePostZendingAangetekend";

/**
 
 Kilopost pakje (2 werkdagen)
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_KILOPOST_PAKJE = @"BENL_KilopostPakje";

/**
 
 Taxipost (express)
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_TAXIPOST = @"BENL_Taxipost";

/**
 
 Kiala afhaalpunt (1 tot 4 werkdagen)
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_KIALA_AFHAALPUNT = @"BENL_KialaAfhaalpunt";

/**
 
 Vaste kosten standaard verzending
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_VASTE_KOSTEN_STANDAARD_VERZENDING = @"BENL_VasteKostenStandaardVerzending";

/**
 
 Vaste kosten versnelde verzending
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_VASTE_KOSTEN_VERSNELDE_VERZENDING = @"BENL_VasteKostenVersneldeVerzending";

/**
 
 Verzekerde verzending
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_VERZEKERDE_VERZENDING = @"BENL_VerzekerdeVerzending";

/**
 
 La Poste envoi NON PRIOR (2 jours ouvrables)
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_ENVOI_NONPRIOR = @"BEFR_LaPosteEnvoiNONPRIOR";

/**
 
 La Poste envoi PRIOR (1 jour ouvrable)
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_ENVOI_PRIOR = @"BEFR_LaPosteEnvoiPRIOR";

/**
 
 La Poste envoi recommande (1 jour ouvrable)
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTE_ENVOI_RECOMMANDE = @"BEFR_LaPosteEnvoiRecommande";

/**
 
 Paquet Kilopost (2 jours ouvrables)
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_PAQUET_KILOPOST = @"BEFR_PaquetKilopost";

/**
 
 Taxipost (express)
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_TAXIPOST = @"BEFR_Taxipost";

/**
 
 Point retrait Kiala (1 a 4 jours ouvrables)
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_POINT_RETRAIT_KIALA = @"BEFR_PointRetraitKiala";

/**
 
 Livraison standard - prix forfaitaire
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_STANDARD_PRIXFOR_FAITAIRE = @"BEFR_LivraisonStandardPrixforFaitaire";

/**
 
 Livraison express - prix forfaitaire
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_EXPRESS_PRIXFOR_FAITAIRE = @"BEFR_LivraisonExpressPrixforFaitaire";

/**
 
 Livraison securisee
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_SECURISE = @"BEFR_LivraisonSecurise";

/**
 
 De Post zending - PRIOR
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_PRIOR_INTERNATIONAL = @"BENL_DePostZendingPRIORInternational";

/**
 
 De Post zending - NON PRIOR
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_NONPRIOR_INTERNATIONAL = @"BENL_DePostZendingNONPRIORInternational";

/**
 
 De Post zending - aangetekend
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_DE_POST_ZENDING_AANGETEKEND_INTERNATIONAL = @"BENL_DePostZendingAangetekendInternational";

/**
 
 Kilopost pakje Internationaal
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_KILOPOST_PAKJE_INTERNATIONAL = @"BENL_KilopostPakjeInternational";

/**
 
 Taxipost expressverzending
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_TAXIPOST_EXPRESSVERZENDING = @"BENL_TaxipostExpressverzending";

/**
 
 Verzekerde verzending
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_VERZEKERDE_VERZENDING_INTERNATIONAL = @"BENL_VerzekerdeVerzendingInternational";

/**
 
 La Poste envoie PRIOR
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTEENVOIE_PRIOR = @"BEFR_LaPosteenvoiePRIOR";

/**
 
 La Poste envoie NON PRIOR
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTEENVOIE_NONPRIOR = @"BEFR_LaPosteenvoieNONPRIOR";

/**
 
 La Poste envoie recommande
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LA_POSTEENVOIE_RECOMMANDE = @"BEFR_LaPosteenvoieRecommande";

/**
 
 Paquet  Kilopost Internationale
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_PAQUET_KILOPOST_INTERNATIONALE = @"BEFR_PaquetKilopostInternationale";

/**
 
 BEFR_Express Taxipost
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_EXPRESS_TAXIPOST = @"BEFR_ExpressTaxipost";

/**
 
 Livraison standard internationale - prix forfaitaire
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_STANDARD_INTERNATIONALE_PRIXFOR_FAITAIRE = @"BEFR_LivraisonStandardInternationalePrixforFaitaire";

/**
 
 Livraison express internationale - prix forfaitaire
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_EXPRESS_INTERNATIONALE_PRIXFOR_FAITAIRE = @"BEFR_LivraisonExpressInternationalePrixforFaitaire";

/**
 
 Livraison securisee
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_LIVRAISON_SECURISE_INTERNATIONAL = @"BEFR_LivraisonSecuriseInternational";

/**
 
 Chronopost
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOST = @"FR_Chronopost";

/**
 
 Royal Mail Special Delivery Next Day
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SPECIAL_DELIVERY_NEXT_DAY = @"UK_RoyalMailSpecialDeliveryNextDay";

/**
 
 Canada Post Light Packet International
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_LIGHT_PACKET_INTERNATIONAL = @"CA_PostLightPacketInternational";

/**
 
 Canada Post Light Packet USA
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_POST_LIGHT_PACKET_USA = @"CA_PostLightPacketUSA";

/**
 
 DHL
 
*/
NSString *const Trading_ShippingServiceCodeType_PL_DHL_INTERNATIONAL = @"PL_DHLInternational";

/**
 
 Przesylka zagraniczna - zwykla
 
*/
NSString *const Trading_ShippingServiceCodeType_PL_INTERNATIONAL_REGULAR = @"PL_InternationalRegular";

/**
 
 Przesylka zagraniczna - priorytetowa
 
*/
NSString *const Trading_ShippingServiceCodeType_PL_INTERNATIONAL_SPECIAL = @"PL_InternationalSpecial";

/**
 
 UPS
 
*/
NSString *const Trading_ShippingServiceCodeType_PL_UPS_INTERNATIONAL = @"PL_UPSInternational";

/**
 
 Normes de livraison postale
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_STANDARD_DELIVERY = @"CAFR_StandardDelivery";

/**
 
 Expedition acceleree
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_EXPEDITED_DELIVERY = @"CAFR_ExpeditedDelivery";

/**
 
 Postes Canada, Poste-lettres
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_LETTERMAIL = @"CAFR_PostLettermail";

/**
 
 Postes Canada, Colis standard
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_REGULAR_PARCEL = @"CAFR_PostRegularParcel";

/**
 
 Postes Canada, Colis acceleres
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_EXPEDITED_PARCEL = @"CAFR_PostExpeditedParcel";

/**
 
 Postes Canada, Xpresspost
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_XPRESSPOST = @"CAFR_PostXpresspost";

/**
 
 Postes Canada, Messageries prioritaires
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_PRIORITY_COURIER = @"CAFR_PostPriorityCourier";

/**
 
 Expedition standard - International, tarif fixe
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_STANDARD_INTERNATIONAL = @"CAFR_StandardInternational";

/**
 
 Expedition acceleree - International, tarif fixe
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_EXPEDITED_INTERNATIONAL = @"CAFR_ExpeditedInternational";

/**
 
 Autres services d'expedition internationale (voir description)
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_OTHER_INTERNATIONAL = @"CAFR_OtherInternational";

/**
 
 Postes Canada, Colis acceleres - E.U.
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_EXPEDITED_PARCEL_USA = @"CAFR_PostExpeditedParcelUSA";

/**
 
 Postes Canada, Petits paquets - E.U.
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_SMALL_PACKETS_USA = @"CAFR_PostSmallPacketsUSA";

/**
 
 Postes Canada, Xpresspost - E.U.
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_XPRESSPOST_USA = @"CAFR_PostXpresspostUSA";

/**
 
 Postes Canada, Xpresspost - International
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_XPRESSPOST_INTERNATIONAL = @"CAFR_PostXpresspostInternational";

/**
 
 Postes Canada, Colis international de surface
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_INTERNATIONAL_PARCEL_SURFACE = @"CAFR_PostInternationalParcelSurface";

/**
 
 Postes Canada, Colis-avion - International
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_INTERNATIONAL_PARCEL_AIR = @"CAFR_PostInternationalParcelAir";

/**
 
 Petits paquets - International
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_SMALL_PACKETS_INTERNATIONAL = @"CAFR_SmallPacketsInternational";

/**
 
 Purolator International
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_PUROLATOR_INTERNATIONAL = @"CAFR_PurolatorInternational";

/**
 
 Postes Canada, Petits paquets - E.U. service de surface
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_SMALL_PACKETS_USA_GROUND = @"CAFR_PostSmallPacketsUSAGround";

/**
 
 Postes Canada, Petits paquets - E.U. par avion
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_SMALL_PACKETS_USA_AIR = @"CAFR_PostSmallPacketsUSAAir";

/**
 
 Petits paquets - International, courrier-surface
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_SMALL_PACKETS_INTERNATIONAL_GROUND = @"CAFR_SmallPacketsInternationalGround";

/**
 
 Petits paquets - International, courrier-avion
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_SMALL_PACKETS_INTERNATIONAL_AIR = @"CAFR_SmallPacketsInternationalAir";

/**
 
 Postes Canada, Poste aux lettres - E.U.
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_USA_LETTER_POST = @"CAFR_PostUSALetterPost";

/**
 
 Postes Canada, Poste aux lettres - International
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_POST_INTERNATIONAL_LETTER_POST = @"CAFR_PostInternationalLetterPost";

/**
 
 UPS Express Saver
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_EXPRESS_CANADA = @"CAFR_UPSExpressCanada";

/**
 
 UPS Express Saver Canada
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_EXPRESS_SAVER_CANADA = @"CAFR_UPSExpressSaverCanada";

/**
 
 UPS Expedited Canada
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_EXPEDITED_CANADA = @"CAFR_UPSExpeditedCanada";

/**
 
 UPS Standard au Canada
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_STANDARD_CANADA = @"CAFR_UPSStandardCanada";

/**
 
 UPS Express Etats-Unis
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_EXPRESS_UNITED_STATES = @"CAFR_UPSExpressUnitedStates";

/**
 
 UPS Expedited Etats-Unis
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_EXPEDITED_UNITED_STATES = @"CAFR_UPSExpeditedUnitedStates";

/**
 
 3Day Select aux Etats-Unis
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_3_DAY_SELECT_UNITED_STATES = @"CAFR_UPS3DaySelectUnitedStates";

/**
 
 UPS Standard aux Etats-Unis
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_STANDARD_UNITED_STATES = @"CAFR_UPSStandardUnitedStates";

/**
 
 UPS Worlwide Express
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_WORLD_WIDE_EXPRESS = @"CAFR_UPSWorldWideExpress";

/**
 
 UPS Worlwide Expedited
 
*/
NSString *const Trading_ShippingServiceCodeType_CAFR_UPS_WORLD_WIDE_EXPEDITED = @"CAFR_UPSWorldWideExpedited";

/**
 
 Royal Mail Special Delivery 9:00 am
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ROYAL_MAIL_SPECIAL_DELIVERY_9_AM = @"UK_RoyalMailSpecialDelivery9am";

/**
 
 USPS First Class Mail Intl / First Class Package Intl Service
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_FIRST_CLASS_MAIL_INTERNATIONAL = @"USPSFirstClassMailInternational";

/**
 
 USPS Priority Mail International
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_PRIORITY_MAIL_INTERNATIONAL = @"USPSPriorityMailInternational";

/**
 
 USPS Express Mail International
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_EXPRESS_MAIL_INTERNATIONAL = @"USPSExpressMailInternational";

/**
 
 Standardpauschale fur internationalen Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_STANDARD_INTERNATIONAL = @"CH_StandardInternational";

/**
 
 Expresspauschale fur internationalen Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_EXPEDITED_INTERNATIONAL = @"CH_ExpeditedInternational";

/**
 
 Sonstiger Versand (Siehe Artikelbeschreibung)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_SONSTIGER_VERSAND_SIEHE_ARTIKELBESCHREIBUNG = @"CH_SonstigerVersandSieheArtikelbeschreibung";

/**
 
  International Standard FixedRate for Taiwan
 
*/
NSString *const Trading_ShippingServiceCodeType_TW_STANDARD_INTERNATIONAL_FIXED_RATE = @"TW_StandardInternationalFixedRate";

/**
 
  International Express FixedRate for Taiwan
 
*/
NSString *const Trading_ShippingServiceCodeType_TW_EXPEDITED_INTERNATIONAL_FIXED_RATE = @"TW_ExpeditedInternationalFixedRate";

/**
 
 USPS Global Express Guaranteed
 
*/
NSString *const Trading_ShippingServiceCodeType_USPS_GLOBAL_EXPRESS_GUARANTEED = @"USPSGlobalExpressGuaranteed";

/**
 
 Regular with Insurance
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_REGULAR_WITH_INSURANCE = @"AU_RegularWithInsurance";

/**
 
 Express with Insurance
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_WITH_INSURANCE = @"AU_ExpressWithInsurance";

/**
 
 Deutsche Post Warensendung
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_WARENSENDUNG_INTERNATIONAL = @"DE_DeutschePostWarensendungInternational";

/**
 
 Deutsche Post Byendung
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BYENDUNG = @"DE_DeutschePostByendung";

/**
 
 Hermes Paket (unversichert)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_UNVERSICHERT_INTERNATIONAL = @"DE_HermesPaketUnversichertInternational";

/**
 
 Hermes Paket (versichert)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_HERMES_PAKET_VERSICHERT_INTERNATIONAL = @"DE_HermesPaketVersichertInternational";

/**
 
 iloxx Transport XXL
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_I_LOXX_TRANSPORT_XXL_INTERNATIONAL = @"DE_iLoxxTransportXXLInternational";

/**
 
 iloxx Ubernacht Express
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_I_LOXX_UBERNACHT_EXPRESS_INTERNATIONAL = @"DE_iLoxxUbernachtExpressInternational";

/**
 
 iloxx Standard
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_I_LOXX_STANDARD_INTERNATIONAL = @"DE_iLoxxStandardInternational";

/**
 
 Standardpauschale fur internationalen Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_STANDARD_INTERNATIONAL = @"DE_StandardInternational";

/**
 
 Expresspauschale fur internationalen Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_EXPEDITED_INTERNATIONAL = @"DE_ExpeditedInternational";

/**
 
 Deutsche Post Presse & Bucher Economy
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF_INTL_ECON = @"DE_DeutschePostBriefIntlEcon";

/**
 
 Deutsche Post Presse & Bucher Priority
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF_INTL_PRI = @"DE_DeutschePostBriefIntlPri";

/**
 
 AT_BITTE_TREFFEN_SIE_EINE_AUSWAHL
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_BITTE_TREFFEN_SIE_EINE_AUSWAHL = @"AT_BitteTreffenSieEineAuswahl";

/**
 
 Einschreiben (Versand inkl. Einschreibengebuhr)
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_EINSCHREIBEN_VERSAND_INKL_EINSCHREIBENGEBUHR = @"AT_EinschreibenVersandInklEinschreibengebuhr";

/**
 
 Nachnahme (Versand inkl. Nachnahmegebuhr)
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_NACHNAHME_VERSAND_INKL_NACHNAHMEGEBUHR = @"AT_NachnahmeVersandInklNachnahmegebuhr";

/**
 
 Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_EXPRESS_OR_COURIER_INTERNATIONAL = @"AT_ExpressOrCourierInternational";

/**
 
 Versicherter Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_INSURED_EXPRESS_OR_COURIER_INTERNATIONAL = @"AT_InsuredExpressOrCourierInternational";

/**
 
 Sonderversand (z.B. Sperrgut, KFZ)
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_SPECIAL_DISPATCH_INTERNATIONAL = @"AT_SpecialDispatchInternational";

/**
 
 Versicherter Sonderversand (z.B. Sperrgut, KFZ)
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_INSURED_SPECIAL_DISPATCH_INTERNATIONAL = @"AT_InsuredSpecialDispatchInternational";

/**
 
 Standardpauschale fur internationalen Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_STANDARD_INTERNATIONAL = @"AT_StandardInternational";

/**
 
  Expresspauschale fur internationalen Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_EXPEDITED_INTERNATIONAL = @"AT_ExpeditedInternational";

/**
 
 Sonstiger Versand (Siehe Artikelbeschreibung)
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_OTHER_INTERNATIONAL_SHIPPING = @"AT_OtherInternationalShipping";

/**
 
 CH_BITTE_TREFFEN_SIE_EINE_AUSWAHL
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_BITTE_TREFFEN_SIE_EINE_AUSWAHL = @"CH_BitteTreffenSieEineAuswahl";

/**
 
 Unversicherter Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_UNVERSICHERTER_VERSAND = @"CH_UnversicherterVersand";

/**
 
 Versicherter Versand
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_VERSICHERTER_VERSAND = @"CH_VersicherterVersand";

/**
 
  Einschreiben (Versand inkl. Einschreibengebuhr)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_EINSCHREIBEN_VERSAND_INKL_EINSCHREIBENGEBUHR = @"CH_EinschreibenVersandInklEinschreibengebuhr";

/**
 
 Nachnahme (Versand inkl. Nachnahmegebuhr)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_NACHNAHME_VERSAND_INKL_NACHNAHMEGEBUHR = @"CH_NachnahmeVersandInklNachnahmegebuhr";

/**
 
 Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_EXPRESS_OR_COURIER_INTERNATIONAL = @"CH_ExpressOrCourierInternational";

/**
 
 Versicherter Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_INSURED_EXPRESS_OR_COURIER_INTERNATIONAL = @"CH_InsuredExpressOrCourierInternational";

/**
 
 Sonderversand (z.B. Sperrgut, KFZ)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_SONDERVERSAND_ZB_SPERRGUT_KFZ = @"CH_SonderversandZBSperrgutKFZ";

/**
 
 Versicherter Sonderversand (z.B. Sperrgut, KFZ)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_VERSICHERTER_SONDERVERSAND_ZB_SPERRGUT_KFZ = @"CH_VersicherterSonderversandZBSperrgutKFZ";

/**
 
 Standardversand (A-Post/Priority)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_STANDARDVERSAND_A_POST_PRIORITY = @"CH_StandardversandAPostPriority";

/**
 
 Standardversand (B-Post/Economy)
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_STANDARDVERSAND_B_POST_ECONOMY = @"CH_StandardversandBPostEconomy";

/**
 
 DE_BITTE_TREFFEN_SIE_EINE_AUSWAHL
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_BITTE_TREFFEN_SIE_EINE_AUSWAHL = @"DE_BitteTreffenSieEineAuswahl";

/**
 
 Einschreiben (Versand inkl. Einschreibengebuhr)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_EINSCHREIBEN_VERSAND_INKL_EINSCHREIBENGEBUHR = @"DE_EinschreibenVersandInklEinschreibengebuhr";

/**
 
 Nachnahme (Versand inkl. Nachnahmegebuhr)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_NACHNAHME_VERSAND_INKL_NACHNAHMEGEBUHR = @"DE_NachnahmeVersandInklNachnahmegebuhr";

/**
 
 Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_EXPRESS_OR_COURIER_INTERNATIONAL = @"DE_ExpressOrCourierInternational";

/**
 
 Versicherter Express- oder Kurierversand
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_INSURED_EXPRESS_OR_COURIER_INTERNATIONAL = @"DE_InsuredExpressOrCourierInternational";

/**
 
 Sonderversand (z.B. Mobel, KFZ)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_SONDERVERSAND_ZB_MOBEL_KFZ = @"DE_SonderversandZBMobelKFZ";

/**
 
 Versicherter Sonderversand (z.B. Mobel, KFZ)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_VERSICHERTER_SONDERVERSAND_ZB_MOBEL_KFZ = @"DE_VersicherterSonderversandZBMobelKFZ";

/**
 
 Deutsche Post Brief
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DEUTSCHE_POST_BRIEF_INTERNATIONAL = @"DE_DeutschePostBriefInternational";

/**
 
 Standard Int'l Flat Rate Postage
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_STANDARD_INTERNATIONAL_FLAT_RATE_POSTAGE = @"IE_StandardInternationalFlatRatePostage";

/**
 
 Expedited Int'l Flat Rate Postage
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_EXPEDITED_INTERNATIONAL_FLAT_RATE_POSTAGE = @"IE_ExpeditedInternationalFlatRatePostage";

/**
 
 Other Int'l Postage (see description)
 
*/
NSString *const Trading_ShippingServiceCodeType_IE_OTHER_INTERNATIONAL_POSTAGE = @"IE_OtherInternationalPostage";

/**
 
 Standard Int'l Flat Rate Postage
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_STANDARD_INTERNATIONAL_FLAT_RATE_POSTAGE = @"UK_StandardInternationalFlatRatePostage";

/**
 
 Expedited Int'l Flat Rate Postage
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_EXPEDITED_INTERNATIONAL_FLAT_RATE_POSTAGE = @"UK_ExpeditedInternationalFlatRatePostage";

/**
 
 Other Int'l Postage (see description)
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_OTHER_INTERNATIONAL_POSTAGE = @"UK_OtherInternationalPostage";

/**
 
 Chronopost - Chrono Relais
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOST_CHRONO_RELAIS = @"FR_ChronopostChronoRelais";

/**
 
 Chrono 10
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_CHRONO_10 = @"FR_Chrono10";

/**
 
 Chrono 13
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_CHRONO_13 = @"FR_Chrono13";

/**
 
 Chrono 18
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_CHRONO_18 = @"FR_Chrono18";

/**
 
 Chronopost Express International
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_CHRONOPOST_EXPRESS_INTERNATIONAL = @"FR_ChronopostExpressInternational";

/**
 
 PickUp Only Service
 
*/
NSString *const Trading_ShippingServiceCodeType_PICKUP = @"Pickup";

/**
 
 Delivery
 
*/
NSString *const Trading_ShippingServiceCodeType_DELIVERY = @"Delivery";

/**
 
 Pickup Only Service
 
*/
NSString *const Trading_ShippingServiceCodeType_CA_PICKUP = @"CA_Pickup";

/**
 
 Abholung
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_PICKUP = @"DE_Pickup";

/**
 
 Pickup
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PICKUP = @"AU_Pickup";

/**
 
 Small Parcels
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_SMALL_PARCELS = @"AU_SmallParcels";

/**
 Small Parcel With Tracking
*/
NSString *const Trading_ShippingServiceCodeType_AU_SMALL_PARCEL_WITH_TRACKING = @"AU_SmallParcelWithTracking";

/**
 Small Parcel With Tracking And Signature
*/
NSString *const Trading_ShippingServiceCodeType_AU_SMALL_PARCEL_WITH_TRACKING_AND_SIGNATURE = @"AU_SmallParcelWithTrackingAndSignature";

/**
 Regular Parcel With Tracking
*/
NSString *const Trading_ShippingServiceCodeType_AU_REGULAR_PARCEL_WITH_TRACKING = @"AU_RegularParcelWithTracking";

/**
 Regular Parcel With Tracking And Signature
*/
NSString *const Trading_ShippingServiceCodeType_AU_REGULAR_PARCEL_WITH_TRACKING_AND_SIGNATURE = @"AU_RegularParcelWithTrackingAndSignature";

/**
 PrePaid Express Post Satchel 5kg
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_SATCHEL_5_KG = @"AU_PrePaidExpressPostSatchel5kg";

/**
 
 PrePaid Parcel Post Satchels 500g
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_PARCEL_POST_SATCHELS_500_G = @"AU_PrePaidParcelPostSatchels500g";

/**
 
 PrePaid Parcel Post Satchels 3kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_PARCEL_POST_SATCHELS_3_KG = @"AU_PrePaidParcelPostSatchels3kg";

/**
 
 PrePaid Parcel Post Satchels 5kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_PARCEL_POST_SATCHELS_5_KG = @"AU_PrePaidParcelPostSatchels5kg";

/**
 
 PrePaid Express Post Satchel 500g
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_SATCHEL_500_G = @"AU_PrePaidExpressPostSatchel500g";

/**
 
 PrePaid Express Post Satchel 3kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_SATCHEL_3_KG = @"AU_PrePaidExpressPostSatchel3kg";

/**
 
 PrePaid Express Post Platinum 500g
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_PLATINUM_500_G = @"AU_PrePaidExpressPostPlatinum500g";

/**
 
 PrePaid Express Post Platinum 3kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_PLATINUM_3_KG = @"AU_PrePaidExpressPostPlatinum3kg";

/**
 
 Express Courier International
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_COURIER_INTERNATIONAL = @"AU_ExpressCourierInternational";

/**
 
 Express Post International
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_POST_INTERNATIONAL = @"AU_ExpressPostInternational";

/**
 
 PrePaid Express Post International Envelope C5
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_ENVELOPE_C_5 = @"AU_PrePaidExpressPostInternationalEnvelopeC5";

/**
 
 PrePaid Express Post International Envelope B4
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_ENVELOPE_B_4 = @"AU_PrePaidExpressPostInternationalEnvelopeB4";

/**
 
 PrePaid Express Post International Satchels 2kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_SATCHELS_2_KG = @"AU_PrePaidExpressPostInternationalSatchels2kg";

/**
 
 PrePaid Express Post International Satchels 3kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_SATCHELS_3_KG = @"AU_PrePaidExpressPostInternationalSatchels3kg";

/**
 
 PrePaid Express Post International Box 5kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_BOX_5_KG = @"AU_PrePaidExpressPostInternationalBox5kg";

/**
 
 PrePaid Express Post International Box 10kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_BOX_10_KG = @"AU_PrePaidExpressPostInternationalBox10kg";

/**
 
 PrePaid Express Post International Box 20kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_PRE_PAID_EXPRESS_POST_INTERNATIONAL_BOX_20_KG = @"AU_PrePaidExpressPostInternationalBox20kg";

/**
 
 Registered Parcel Post
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED_PARCEL_POST = @"AU_RegisteredParcelPost";

/**
 
 Registered Small Parcel
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED_SMALL_PARCEL = @"AU_RegisteredSmallParcel";

/**
 
 Registered Parcel Post Prepaid Satchel 500g
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED_PARCEL_POST_PREPAID_SATCHEL_500_G = @"AU_RegisteredParcelPostPrepaidSatchel500g";

/**
 
 Registered Parcel Post Prepaid Satchel 3kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED_PARCEL_POST_PREPAID_SATCHEL_3_KG = @"AU_RegisteredParcelPostPrepaidSatchel3kg";

/**
 
 Registered Parcel Post Prepaid Satchel 5kg
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_REGISTERED_PARCEL_POST_PREPAID_SATCHEL_5_KG = @"AU_RegisteredParcelPostPrepaidSatchel5kg";

/**
 
 eBay Australia Post Express Post 500g Satchel
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_POST_SATCHEL_500_G = @"AU_ExpressPostSatchel500g";

/**
 
 eBay Australia Post Express Post 3kg Satchel
 
*/
NSString *const Trading_ShippingServiceCodeType_AU_EXPRESS_POST_SATCHEL_3_KG = @"AU_ExpressPostSatchel3kg";

/**
 
 Enlevement
 
*/
NSString *const Trading_ShippingServiceCodeType_FR_PICKUP = @"FR_Pickup";

/**
 
 Pickup
 
*/
NSString *const Trading_ShippingServiceCodeType_AT_PICKUP = @"AT_Pickup";

/**
 
 Afhalen
 
*/
NSString *const Trading_ShippingServiceCodeType_BENL_PICKUP = @"BENL_Pickup";

/**
 
 Pickup
 
*/
NSString *const Trading_ShippingServiceCodeType_BEFR_PICKUP = @"BEFR_Pickup";

/**
 
 Pickup
 
*/
NSString *const Trading_ShippingServiceCodeType_CH_PICKUP = @"CH_Pickup";

/**
 
 Pickup
 
*/
NSString *const Trading_ShippingServiceCodeType_IT_PICKUP = @"IT_Pickup";

/**
 
 Pickup
 
*/
NSString *const Trading_ShippingServiceCodeType_NL_PICKUP = @"NL_Pickup";

/**
 
 Pickup
 
*/
NSString *const Trading_ShippingServiceCodeType_PL_PICKUP = @"PL_Pickup";

/**
 
 Pickup
 
*/
NSString *const Trading_ShippingServiceCodeType_ES_PICKUP = @"ES_Pickup";

/**
 
 Pickup
 
*/
NSString *const Trading_ShippingServiceCodeType_SG_DELIVERY = @"SG_Delivery";

/**
 
 Other 24 Hour Courier
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER_24 = @"UK_OtherCourier24";

/**
 
 Other 48 Hour Courier
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER_48 = @"UK_OtherCourier48";

/**
 
 Other Courier 3 days
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER_3_DAYS = @"UK_OtherCourier3Days";

/**
 
 Other Courier 5 days
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_OTHER_COURIER_5_DAYS = @"UK_OtherCourier5Days";

/**
 
 Courier Shipping
 
*/
NSString *const Trading_ShippingServiceCodeType_COURIER = @"Courier";

/**
 
 FedEx Priority Overnight
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_PRIORITY_OVERNIGHT = @"FedExPriorityOvernight";

/**
 
 FedEx Standard Overnight
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_STANDARD_OVERNIGHT = @"FedExStandardOvernight";

/**
 
 FedEx 2Day
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_2_DAY = @"FedEx2Day";

/**
 
 FedEx Ground
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_GROUND = @"FedExGround";

/**
 
 FedEx Home Delivery
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_HOME_DELIVERY = @"FedExHomeDelivery";

/**
 
 FedEx Express Saver
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_EXPRESS_SAVER = @"FedExExpressSaver";

/**
 
 Reserved for internal or future use
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_GROUND_DISABLED = @"FedExGroundDisabled";

/**
 
 Reserved for internal or future use
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_HOME_DELIVERY_DISABLED = @"FedExHomeDeliveryDisabled";

/**
 
 FedEx International First
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_INTERNATIONAL_FIRST = @"FedExInternationalFirst";

/**
 
 FedEx International Priority
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_INTERNATIONAL_PRIORITY = @"FedExInternationalPriority";

/**
 
 FedEx International Economy
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_INTERNATIONAL_ECONOMY = @"FedExInternationalEconomy";

/**
 
 FedEx International Ground
 
*/
NSString *const Trading_ShippingServiceCodeType_FED_EX_INTERNATIONAL_GROUND = @"FedExInternationalGround";

/**
 
 Economy shipping from outside US
 
*/
NSString *const Trading_ShippingServiceCodeType_ECONOMY_SHIPPING_FROM_OUTSIDE_US = @"EconomyShippingFromOutsideUS";

/**
 
 Expedited shipping from outside US
 
*/
NSString *const Trading_ShippingServiceCodeType_EXPEDITED_SHIPPING_FROM_OUTSIDE_US = @"ExpeditedShippingFromOutsideUS";

/**
 
 Standard shipping from outside US
 
*/
NSString *const Trading_ShippingServiceCodeType_STANDARD_SHIPPING_FROM_OUTSIDE_US = @"StandardShippingFromOutsideUS";

/**
 
 Economy postage from outside UK
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_ECONOMY_SHIPPING_FROM_OUTSIDE = @"UK_EconomyShippingFromOutside";

/**
 
 Express postage from outside UK
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_EXPEDITED_SHIPPING_FROM_OUTSIDE = @"UK_ExpeditedShippingFromOutside";

/**
 
 Standard postage from outside UK
 
*/
NSString *const Trading_ShippingServiceCodeType_UK_STANDARD_SHIPPING_FROM_OUTSIDE = @"UK_StandardShippingFromOutside";

/**
 
 Economy postage from outside DE
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_SPARVERSAND_AUS_DEM_AUSLAND = @"DE_SparversandAusDemAusland";

/**
 
 Standard postage from outside DE
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_STANDARDVERSAND_AUS_DEM_AUSLAND = @"DE_StandardversandAusDemAusland";

/**
 
 Express postage from outside DE
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_EXPRESSVERSAND_AUS_DEM_AUSLAND = @"DE_ExpressversandAusDemAusland";

/**
 
 DHL 2kg Paket (nur fuer kurze Zeit)
 
*/
NSString *const Trading_ShippingServiceCodeType_DE_DHL_2_KG_PAKET = @"DE_DHL2KGPaket";

/**
 
 Global Shipping Program
 <br/>
 This shipping service must be selected for the international leg of the shipment.
 
*/
NSString *const Trading_ShippingServiceCodeType_INTERNATIONAL_PRIORITY_SHIPPING = @"InternationalPriorityShipping";

/**
 
 
 Reserved for future use.
 
*/
NSString *const Trading_ShippingServiceCodeType_SAME_DAY_SHIPPING = @"SameDayShipping";
