// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Details about a specific site.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SiteDetailsType : NSObject <PicoBindable> {

@private
    NSString *_site;
    NSNumber *_siteID;
    NSString *_detailVersion;
    NSDate *_updateTime;
    NSMutableArray *_any;

}


/**
 
 Short name that identifies an eBay site. Usually, an eBay site is associated
 with a particular country or region (e.g., US or Belgium_French). Specialty
 sites (e.g., eBay Stores) use the same site ID as their associated main eBay
 site. The US eBay Motors site is an exception to this convention.
 
 
 type: string constant in Trading_SiteCodeType.h
*/
@property (nonatomic, retain) NSString *site;

/**
 
 Numeric identifier for an eBay site. If you are using the
 SOAP API, you use numeric site IDs in the request URL.
 If you are using the XML API, you use numeric site IDs in the
 X-EBAY-API-SITEID header.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *siteID;

/**
 
 Returns the latest version number for this field. The version can be
 used to determine if and when to refresh cached client data.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *detailVersion;

/**
 
 Gives the time in GMT that the feature flags for the details were last
 updated. This timestamp can be used to determine if and when to refresh
 cached client data.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *updateTime;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
