// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_PictureSetMemberType;

/**
 
         Type defining the <b>SiteHostedPictureDetails</b> container that is returned
 in an <b>UploadSiteHostedPictures</b> call.
       
 
 @ingroup EBayAPIInterface
*/
@interface Trading_SiteHostedPictureDetailsType : NSObject <PicoBindable> {

@private
    NSString *_pictureName;
    NSString *_pictureSet;
    NSString *_pictureFormat;
    NSString *_fullURL;
    NSString *_baseURL;
    NSMutableArray *_pictureSetMember;
    NSString *_externalPictureURL;
    NSDate *_useByDate;
    NSMutableArray *_any;

}


/**
 
             Corresponds to the PictureName input value that you specified in the request.
             You can use the PictureName output field to confirm that the
             UploadSiteHostedPictures response corresponds to a specific
             UploadSiteHostedPictures request.
           
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *pictureName;

/**
 
             The size of images generated. This value may differ from the one requested,
             e.g. if a Supersize image cannot be generated.
           
 
 type: string constant in Trading_PictureSetCodeType.h
*/
@property (nonatomic, retain) NSString *pictureSet;

/**
 
             The format into which an uploaded picture has been converted.
             This value is usually JPG, but may be GIF.
           
 
 type: string constant in Trading_PictureFormatCodeType.h
*/
@property (nonatomic, retain) NSString *pictureFormat;

/**
 
             The URL for the uploaded picture.
             Store this value for association with an item listing.
             That is, after you use UploadSiteHostedPictures to upload an image,
             use the value in FullURL to associate the image with an item
             (specify the value in Item.PictureDetails.PictureURL in
             AddItem, ReviseItem, or RelistItem) prior to the UseByDate returned in the
             response.
           
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *fullURL;

/**
 
             Truncated version of FullURL.
           
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *baseURL;

/**
 
             URL and size information for each generated and stored size.
             This data is not necessarily needed by your application,
             but is provided for use in picture previews.
             This data is used for display control for specific pictures in the generated imageset.
             This data is supplied for all generated pictures.
           
 
 entry type : class Trading_PictureSetMemberType
*/

@property (nonatomic, retain) NSMutableArray *pictureSetMember;

/**
 
       The URL for an external picture hosting website will be included in the
 response, if it is provided in the UploadSiteHostedPictures request.
 <br>
 <br>
 Providing an external picture-hosting URL will allow you to include a
       picture in your listing that is not hosted on the eBay servers.
       
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *externalPictureURL;

/**
 
         The UseByDate is the last date that the picture can be associated
         with an item.
         <br>
 <br>
       If the image is used in a listing, the image is kept for 90 days
 plus the duration length of the listing (e.g. 90 + 7). If the image
 is used in another listing while it is still being kept on the
 server, the image will be kept until 90 days after the end of the
       newest listing.
       
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *useByDate;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
