// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 (public class)
 
 @ingroup EBayAPIInterface
*/
@interface Trading_StoreCustomPageType : NSObject <PicoBindable> {

@private
    NSString *_name;
    NSNumber *_pageID;
    NSString *_urlPath;
    NSString *_url;
    NSString *_status;
    NSString *_content;
    NSNumber *_leftNav;
    NSNumber *_previewEnabled;
    NSNumber *_order;
    NSMutableArray *_any;

}


/**
 
   Name of the eBay Store custom page. This value is required if you are creating a new
 page (and omitting a <b>PageID</b> value). Note that you must include a
 name for the page even if you are using the <b>PreviewEnabled</b> flag.
 However, since using the preview functionality means that the page will not be
 persisted, you can enter a dummy value for this field if you have not decided on a
 name for the page. The <b>Name</b> value is used in links to the page.
   
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *name;

/**
 
   Unique identifier for an eBay Store custom page. If you specify a valid
   <b>PageID</b> value in a
   <b>SetStoreCustomPage</b> call, the existing custom page
   is updated. If you do not specify a <b>PageID</b> value, you are
 creating a new custom page.
 <br/><br/>
 The <b>PageID</b> field is always returned in
 <b>GetStoreCustomPage</b>.
   
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *pageID;

/**
 
   The URL path of the eBay Store custom page. This field is only required if you are
 using Chinese characters in the <b>Name</b> field. The URL path of the
 eBay Store custom page is normally derived from the <b>Name</b> field, but
 the URL path cannot be derived from the name of the custom page if it contains Chinese
 characters because URLs cannot contain Chinese characters.
 <br/><br/>
 The <b>URLPath</b> is only returned in the <b>GetStoreCustomPage</b>
 response if it is defined for the eBay Store custom page, and if a <b>PageID</b>
 value is included in the request.
   
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *urlPath;

/**
 
   The full URL of the eBay Store custom page, which is generally derived from the
   <b>CustomPage.Name</b> value. The exception to this rule is if the seller
   specified a custom URL using the <b>CustomPage.URLPath</b> field in a
   <b>SetStoreCustomPage</b> call.
   <br/><br/>
   The <b>URL</b> is only returned in the
 <b>GetStoreCustomPage</b> response if a <b>PageID</b> value
 is included in the request.
   
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *url;

/**
 
   This value indicates the status of the eBay custom page. In a
   <b>SetStoreCustomPage</b> call, the seller uses the optional
   <b>Status</b> field to make an inactive custom page active, to make an
 active custom page inactive, or to delete an active or inactive custom page. To
 change the status (including delete) of a custom page, a <b>PageID</b>
 value must be included to identify the custom page to modify.
 <br/><br/>
 The <b>Status</b> value is always returned in the
 <b>GetStoreCustomPage</b> response.
   
 
 type: string constant in Trading_StoreCustomPageStatusCodeType.h
*/
@property (nonatomic, retain) NSString *status;

/**
 
   The HTML content of the eBay Store custom page. This field has a maximum size of 96
 kilobytes. If the <b>PreviewEnabled</b> field is set to 'true', then
 this field is required in a <b>SetStoreCustomPage</b> call. Otherwise,
 it is optional.
 <br/><br/>
 The <b>Content</b> field is only returned in the
 <b>GetStoreCustomPage</b> response if a <b>PageID</b> value
 is included in the request.
   
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *content;

/**
 
   This flag controls whether or not the left navigation bar is included in the eBay
   Store custom page. To include the left navigation bar in a custom page, the seller
   will include the <b>LeftNav</b> field in the <b>SetStoreCustomPage</b>
   request and set it to 'true'.
   <br/><br/>
 The <b>LeftNav</b> field is only returned in the
 <b>GetStoreCustomPage</b> response if a <b>PageID</b> value
 is included in the request.
   
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *leftNav;

/**
 
   This flag controls whether or not a custom page preview is enabled. To enable the
 a custom page preview, the seller will include the
 <b>PreviewEnabled</b> field in the <b>SetStoreCustomPage</b>
 request and set it to 'true'.
 <br/><br/>
 The <b>PreviewEnabled</b> field is only returned in the
 <b>GetStoreCustomPage</b> response if a <b>PageID</b> value
 is included in the request.
   
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *previewEnabled;

/**
 
   This integer value controls the order in which the corresponding eBay Store custom
   page is displayed in the list of custom pages. To make the corresponding custom
   page appear first in the list of custom pages, the seller would include the
   <b>Order</b> field and set its value to '1'.
   <br/><br/>
 The <b>Order</b> value is always returned in the
 <b>GetStoreCustomPage</b> response.
   
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *order;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
