// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_StoreCustomCategoryArrayType;
@class Trading_StoreThemeType;
@class Trading_StoreLogoType;
@class Trading_StoreCustomListingHeaderType;

/**
 
       The configuration of an eBay Store.
     
 
 @ingroup EBayAPIInterface
*/
@interface Trading_StoreType : NSObject <PicoBindable> {

@private
    NSString *_name;
    NSString *_urlPath;
    NSString *_url;
    NSString *_subscriptionLevel;
    NSString *_description;
    Trading_StoreLogoType *_logo;
    Trading_StoreThemeType *_theme;
    NSString *_headerStyle;
    NSNumber *_homePage;
    NSString *_itemListLayout;
    NSString *_itemListSortOrder;
    NSString *_customHeaderLayout;
    NSString *_customHeader;
    NSNumber *_exportListings;
    Trading_StoreCustomCategoryArrayType *_customCategories;
    Trading_StoreCustomListingHeaderType *_customListingHeader;
    NSString *_merchDisplay;
    NSDate *_lastOpenedTime;
    NSNumber *_titleWithCompatibility;
    NSMutableArray *_any;

}


/**
 
 Name of the eBay Store. The name is shown
 at the top of the Store page.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *name;

/**
 
 The URL path of the Store (58 characters maximum). Only if you
 are using Chinese characters in the Name property do you need to
 use this field, such as if you are opening a Store on the Taiwan
 site. The reason for this is that the URL path is normally derived
 from the Store name, but it cannot be derived from the name of the
 Store if it contains Chinese characters because URLs cannot
 contain Chinese characters.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *urlPath;

/**
 
 The complete URL of the user's Store. This field is only ever
 returned, and does not need to be explicitly set.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *url;

/**
 
 Subscription level (tier) for the user's eBay Store.
 
 
 type: string constant in Trading_StoreSubscriptionLevelCodeType.h
*/
@property (nonatomic, retain) NSString *subscriptionLevel;

/**
 
 Store description (300 characters maximum).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *description;

/**
 
 Store logo.
 
 
 type : class Trading_StoreLogoType
*/
@property (nonatomic, retain) Trading_StoreLogoType *logo;

/**
 
 Store theme.
 
 
 type : class Trading_StoreThemeType
*/
@property (nonatomic, retain) Trading_StoreThemeType *theme;

/**
 
 Style for the Store header.
 
 
 type: string constant in Trading_StoreHeaderStyleCodeType.h
*/
@property (nonatomic, retain) NSString *headerStyle;

/**
 
 Page to use as the Store's homepage (default is 0). To change the
 homepage, specify the PageID of one of the Store's custom pages.
 
 
 type : NSNumber, wrapper for primitive long
*/
@property (nonatomic, retain) NSNumber *homePage;

/**
 
 The default layout type to use for the Store items.
 
 
 type: string constant in Trading_StoreItemListLayoutCodeType.h
*/
@property (nonatomic, retain) NSString *itemListLayout;

/**
 
 The default sort order to use for the items for sale in the Store.
 
 
 type: string constant in Trading_StoreItemListSortOrderCodeType.h
*/
@property (nonatomic, retain) NSString *itemListSortOrder;

/**
 
 Layout for the Store's custom header.
 
 
 type: string constant in Trading_StoreCustomHeaderLayoutCodeType.h
*/
@property (nonatomic, retain) NSString *customHeaderLayout;

/**
 
 Custom header text for the Store.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *customHeader;

/**
 
 Specifies whether to export the Store listings to comparison
 shopping websites.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *exportListings;

/**
 
 Container consisting of an array of one or more <b>CustomCategory</b>
 containers. Each <b>CustomCategory</b> container consists of details
 related to an eBay Store custom category.
 <br>
 <br>
 To modify an eBay Store's custom categories, an eBay Store owner would use the
 <b>StoreCategories</b> container in the request of a
 <b>SetStoreCategories</b> call.
 
 
 type : class Trading_StoreCustomCategoryArrayType
*/
@property (nonatomic, retain) Trading_StoreCustomCategoryArrayType *customCategories;

/**
 
 Custom listing header for the Store.
 
 
 type : class Trading_StoreCustomListingHeaderType
*/
@property (nonatomic, retain) Trading_StoreCustomListingHeaderType *customListingHeader;

/**
 
 Specifies the chosen customization display scheme for this store's Merch Widgets.
 See MerchDisplayCodeType for specific values.
 
 
 type: string constant in Trading_MerchDisplayCodeType.h
*/
@property (nonatomic, retain) NSString *merchDisplay;

/**
 
 Indicates the time the store was last opened or reopened.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *lastOpenedTime;

/**
 
 A flag indicating if a Compatibility tab exists for the Store item listing. This
 field is only applicable to Parts & Accessories listings in eBay US Motors.
 The Compatibility tab will contain vehicles that are compatible with the part
 in the listing. The seller specifies this information at listing time.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *titleWithCompatibility;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
