// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Tax-related details for a region or jurisdiction.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_TaxJurisdictionType : NSObject <PicoBindable> {

@private
    NSString *_jurisdictionID;
    NSNumber *_salesTaxPercent;
    NSNumber *_shippingIncludedInTax;
    NSString *_jurisdictionName;
    NSString *_detailVersion;
    NSDate *_updateTime;
    NSMutableArray *_any;

}


/**
 
 Representative identifier for the jurisdiction. Typically an abbreviation
 (for example, CA for California).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *jurisdictionID;

/**
 
 The tax percent to apply for a listing shipped to this jurisdiction. The value
 passed in is stored with a precision of 3 digits after the decimal point
 (##.###).
 <br>
 For GetTaxTable: this tag has no value if the user's tax table has not been set.
 
 
 type : NSNumber, wrapper for primitive float
*/
@property (nonatomic, retain) NSNumber *salesTaxPercent;

/**
 
 Whether shipping costs are to be part of the base amount that is taxed.
 <br>
 For GetTaxTable: This tag is empty if the user did not previously provide
 information.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *shippingIncludedInTax;

/**
 
 Full name for the jurisdiction or region for display purposes.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *jurisdictionName;

/**
 
 Returns the latest version number for this feature. Use the version to determine
 if and when to refresh your cached client data.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *detailVersion;

/**
 
 The time in GMT when the details for this feature were last updated. Use this
 timestamp to determine if and when to refresh your cached client data.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *updateTime;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
