// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_TaxDetailsType;
@class Trading_AmountType;

/**
 
 Type defining the Taxes container, which contains detailed sales tax information for an
 order line item. The Taxes container is only returned if the seller is using the Vertex-
 based Premium Sales Tax Engine solution. The information in this container
 supercedes/overrides the sales tax information in the ShippingDetails.SalesTax container.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_TaxesType : NSObject <PicoBindable> {

@private
    Trading_AmountType *_totalTaxAmount;
    NSMutableArray *_taxDetails;
    NSMutableArray *_any;

}


/**
 
 This value indicates the total tax amount for the order line item, including the
 sales tax on the item, the sales tax on shipping and handling, and any electronic
 waste recycling fee.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *totalTaxAmount;

/**
 
  Container consisting of detailed sales tax information for an order line item,
  including the tax type and description, sales tax on the item cost, and sales tax
  related to shipping and handling.
 
 
 entry type : class Trading_TaxDetailsType
*/

@property (nonatomic, retain) NSMutableArray *taxDetails;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
