// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Trading_EBayPaymentMismatchDetailsType;

/**
 
 Contains the order status, e.g. the buyer's online
 payment and whether the checkout process for the order is complete.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_TransactionStatusType : NSObject <PicoBindable> {

@private
    NSString *_eBayPaymentStatus;
    NSString *_checkoutStatus;
    NSDate *_lastTimeModified;
    NSString *_paymentMethodUsed;
    NSString *_completeStatus;
    NSNumber *_buyerSelectedShipping;
    NSString *_paymentHoldStatus;
    NSNumber *_integratedMerchantCreditCardEnabled;
    Trading_EBayPaymentMismatchDetailsType *_eBayPaymentMismatchDetails;
    NSMutableArray *_any;

}


/**
 
 Indicates the success or failure of the buyer's online payment
 for an order. Applicable for the payment method that the buyer chose
 for the order.
 If the payment failed, the value returned indicates the reason for the failure.
 Output only.
 
 
 type: string constant in Trading_PaymentStatusCodeType.h
*/
@property (nonatomic, retain) NSString *eBayPaymentStatus;

/**
 
 Indicates the current status of the checkout flow for the order.
 
 
 type: string constant in Trading_CheckoutStatusCodeType.h
*/
@property (nonatomic, retain) NSString *checkoutStatus;

/**
 
 Indicates date and time an order's status was last updated (in GMT).
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *lastTimeModified;

/**
 
 The payment method that the buyer selected to pay for the order. If checkout is
 not yet complete, PaymentMethodUsed is set to whatever the buyer selected as his
 or her preference on the Review Your Purchase page.
 
 
 type: string constant in Trading_BuyerPaymentMethodCodeType.h
*/
@property (nonatomic, retain) NSString *paymentMethodUsed;

/**
 
 Indicates whether checkout is complete, incomplete, or pending for an order.
 
 
 type: string constant in Trading_CompleteStatusCodeType.h
*/
@property (nonatomic, retain) NSString *completeStatus;

/**
 
 Indicates whether the buyer has selected shipping details
 during checkout. False indicates that the shipping service was
 selected by eBay for the buyer. For example, if the buyer has
 not yet completed the Review Your Purchase page, he has not
 picked a shipping service. If it is false, the application
 should ignore ShippingServiceCost and ShippingServiceSelected
 (items whose values are defaulted by eBay).
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *buyerSelectedShipping;

/**
 
 This field indicates the type and/or status of a payment hold on the item.
 
 
 type: string constant in Trading_PaymentHoldStatusCodeType.h
*/
@property (nonatomic, retain) NSString *paymentHoldStatus;

/**
 
 Indicates whether the item can be paid for through a payment gateway account.
 If IntegratedMerchantCreditCardEnabled is true, then integrated merchant
 credit card (IMCC) is enabled for credit cards because the seller
 has a payment gateway (Payflow) account.
 Therefore, if IntegratedMerchantCreditCardEnabled is true, and AmEx, Discover, or
 VisaMC is returned for an item, then on checkout, an online credit-card payment
 is processed through a payment gateway account.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *integratedMerchantCreditCardEnabled;

/**
 
 This container is returned when a buyer's payment does not match the total cost of an
 order going through the new eBay payment process. This container is only applicable for
 German and Austrian orders going through the new eBay payment process, and when the
 buyer has selected EFT as the payment method.
 <br>
 <br>
 <span class="tablenote"><b>Note:</b>
 The introduction of the new eBay payment process for the entire German and
 Austrian eBay marketplace has been delayed until further notice.</span>
 
 
 type : class Trading_EBayPaymentMismatchDetailsType
*/
@property (nonatomic, retain) Trading_EBayPaymentMismatchDetailsType *eBayPaymentMismatchDetails;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
