// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
   This type defines the <b>UnpaidItemAssistancePreferences</b> container. This container is
 used in <b>SetUserPreferences</b> to set the preferences related to the <b>Unpaid Item
 Assistant</b> feature. The <b>UnpaidItemAssistancePreferences</b> container is also returned in
 <b>GetUserPreferences</b> (if the <b>ShowUnpaidItemAssistancePreference</b> flag is included and
 set to true in the request).
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_UnpaidItemAssistancePreferencesType : NSObject <PicoBindable> {

@private
    NSNumber *_delayBeforeOpeningDispute;
    NSNumber *_optInStatus;
    NSNumber *_autoRelist;
    NSNumber *_removeAllExcludedUsers;
    NSMutableArray *_excludedUser;
    NSNumber *_autoOptDonationRefund;
    NSMutableArray *_any;

}


/**
 
 This value indicates the number of days that should elapse before the Unpaid
 Item Assistant mechanism opens an Unpaid Item case on behalf of the seller.
 Valid values for this field are: 4, 8, 16, 24, and 32 (days). This field is
 ignored if the <b>OptInStatus</b> flag is included and set to false
 in the request, or if the seller is not currently opted into the Unpaid Item
 Assistant feature in Unpaid Item Assistant Preferences on My eBay.
   
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *delayBeforeOpeningDispute;

/**
 
 Flag to indicate whether or not the Unpaid Item Assistant mechanism is turned on
 for the seller. Through the Unpaid Item Assistant mechanism, eBay can
 automatically file Unpaid Item cases on behalf of the seller. The Unpaid Item
 Assistant feature also has options to automatically relist disputed items, to
 automatically request a Giving Works donation refund (for Charity listings
 only), or to create an 'Exclusion list' of buyers who are not subject to the
 automatic filing of an Unpaid Item case.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *optInStatus;

/**
 
 Flag to indicate whether or not the seller wants eBay to automatically relist
 items after corresponding Unpaid Item cases are opened and closed through the
 Unpaid Item Assistant mechanism without payment. For a multi-quantity listing,
 the quantity is adjusted if <b>AutoRelist</b> is set to true.
 This field is ignored if the <b>OptInStatus</b> flag is included and
 set to false in the request, or if the seller is not currently opted into the
 Unpaid Item Assistant feature in Unpaid Item Assistant Preferences on My eBay.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *autoRelist;

/**
 
 This field should be included and set to true if the seller wants to clear all
 users from the Unpaid Item Assistant Exclusion list. The Exclusion list can be
 viewed from the Unpaid Item Assistant Preferences in My eBay. Excluded users are
 not subject to the automatic filing of Unpaid Item cases. The seller can still
 open Unpaid Item cases against excluded users, but these cases must be opened
 manually.
 <br/><br/>
 Users can be added to Exclusion list through the <b>ExcludedUser</b>
 field. The <b>RemoveAllExcludedUsers</b> field is ignored if the
 <b>OptInStatus</b> flag is included and set to false in the request,
 or if the seller is not currently opted into the Unpaid Item Assistant feature
 in Unpaid Item Assistant Preferences on My eBay.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *removeAllExcludedUsers;

/**
 
 An eBay User ID for which the Unpaid Item Assistant mechanism is disabled. This
 field is typically used by a seller who would prefer to file an Unpaid Item
 dispute manually for the specified user.
 <br/><br/>
 One or more <b>ExcludedUser</b> fields are used in
 <b>SetUserPreferences</b> to add users to Unpaid Item Assistant Exclusion
 list. Any and all <b>ExcludedUser</b> fields are ignored if the
 <b>OptInStatus</b> flag is included and set to false in the request,
 or if the seller is not currently opted into the Unpaid Item Assistant feature
 in Unpaid Item Assistant Preferences on My eBay.
 <br/><br/>
 In <b>GetUserPreferences</b>, one or more <b>ExcludedUser</b> fields
 represent the current Excluded user list.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *excludedUser;

/**
 
 Flag to indicate whether or not the seller wants eBay to automatically request
 eBay Giving Works donation refunds after Unpaid Item cases are opened and closed
 through the Unpaid Item Assistant mechanism without payment. This setting is
 only applicable to eBay Charity listings. This field is ignored if the
 <b>OptInStatus</b> flag is included and set to false in the request, or if
 the seller is not currently opted into the Unpaid Item Assistant feature in
 Unpaid Item Assistant Preferences on My eBay.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *autoOptDonationRefund;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
