// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import "Trading_UserStatusCodeType.h"

/**
 @file
 
 These codes indicate the current state or status of an eBay
 user account.
 
*/

/**
 
 User properties have never been set; this value should
 seldom, if ever, be returned and typically represents a
 problem
 
*/
NSString *const Trading_UserStatusCodeType_UNKNOWN = @"Unknown";

/**
 
 User has been suspended from selling and buying, such as
 for violations of eBay terms or agreement
 
*/
NSString *const Trading_UserStatusCodeType_SUSPENDED = @"Suspended";

/**
 
 User has completed online registration and has properly
 responded to confirmation email; most users should fall
 in this category
 
*/
NSString *const Trading_UserStatusCodeType_CONFIRMED = @"Confirmed";

/**
 
 User has completed online registration, but has either
 not responded to confirmation email or has not yet been
 sent the confirmation email. Or, if this user began registration
 as a seller but did not complete it, the user will have this status. A seller with
 this status can begin to list an item but cannot complete the listing until the seller
 completes seller registration. (For information on what is needed to complete seller
 registration, see http://pages.ebay.com/help/sell/questions/sell-requirements.html.)
 
*/
NSString *const Trading_UserStatusCodeType_UNCONFIRMED = @"Unconfirmed";

/**
 
 Registered users of AuctionWeb (pre-eBay) who never
 re-registered on eBay
 
*/
NSString *const Trading_UserStatusCodeType_GHOST = @"Ghost";

/**
 
 Temporary user record state indicating the record is in
 the process of being changed by eBay; query user
 information again to get new status
 
*/
NSString *const Trading_UserStatusCodeType_IN_MAINTENANCE = @"InMaintenance";

/**
 
 Records for the specified user have been deleted
 
*/
NSString *const Trading_UserStatusCodeType_DELETED = @"Deleted";

/**
 
 User has completed registration and confirmation, but needs to complete
 verification of credit card information. A user has this status if this user began registration
 as a seller but did not complete it. A seller with
 this status can begin to list an item but cannot complete the listing until the seller
 completes seller registration. (For information on what is needed to complete seller
 registration, see http://pages.ebay.com/help/sell/questions/sell-requirements.html.)
 
*/
NSString *const Trading_UserStatusCodeType_CREDIT_CARD_VERIFY = @"CreditCardVerify";

/**
 
 User's account is on hold, such as for non-payment of
 amounts due eBay; user cannot sell or buy items
 
*/
NSString *const Trading_UserStatusCodeType_ACCOUNT_ON_HOLD = @"AccountOnHold";

/**
 
 User record has been merged with another account record
 for the same user
 
*/
NSString *const Trading_UserStatusCodeType_MERGED = @"Merged";

/**
 
 User has completed online registration and has been sent
 the confirmation email, but has not yet responded to the
 confirmation email
 
*/
NSString *const Trading_UserStatusCodeType_REGISTRATION_CODE_MAIL_OUT = @"RegistrationCodeMailOut";

/**
 
 User has been scheduled for account closure (typically
 when a user has requested to have their account closed)
 A user in this state should not be considered an active
 user
 
*/
NSString *const Trading_UserStatusCodeType_TERM_PENDING = @"TermPending";

/**
 
 User has completed the registration for Half.com and opted
 to automatically also be registered with eBay, but the
 registration confirmation is still pending
 
*/
NSString *const Trading_UserStatusCodeType_UNCONFIRMED_HALF_OPT_IN = @"UnconfirmedHalfOptIn";

/**
 
 User has completed the registration for Half.com and opted
 to automatically also be registered with eBay, but the
 user needs to complete verification of credit card information.
 A user has this status on eBay if this user began registration
 as a seller but did not complete it. A seller with
 this status can begin to list an item but cannot complete the listing until the seller
 completes seller registration. (For information on what is needed to complete seller
 registration, see http://pages.ebay.com/help/sell/questions/sell-requirements.html.)
 
*/
NSString *const Trading_UserStatusCodeType_CREDIT_CARD_VERIFY_HALF_OPT_IN = @"CreditCardVerifyHalfOptIn";

NSString *const Trading_UserStatusCodeType_UNCONFIRMED_PASSPORT = @"UnconfirmedPassport";

NSString *const Trading_UserStatusCodeType_CREDIT_CARD_VERIFY_PASSPORT = @"CreditCardVerifyPassport";

NSString *const Trading_UserStatusCodeType_UNCONFIRMED_EXPRESS = @"UnconfirmedExpress";

/**
 
 The user is a guest user. The user has not added a password and has not confirmed an email address.
 The user has not signed up as a regular user, but has agreed to the User Agreement and Privacy Policy.
 The user has been through the buying flow for a guest;
 the user has been through checkout using the streamlined Buy-It-Now flow.
 
*/
NSString *const Trading_UserStatusCodeType_GUEST = @"Guest";

/**
 
   Reserved for internal or future use
 
*/
NSString *const Trading_UserStatusCodeType_CUSTOM_CODE = @"CustomCode";
