// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Type defining the <b>VariationDetails</b> container that is returned in
 <b>GeteBayDetails</b> if <b>VariationDetails</b> is included
 in the request as a <b>DetailName</b> filter, or if <b>GeteBayDetails</b>
 is called with no <b>DetailName</b> filters.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_VariationDetailsType : NSObject <PicoBindable> {

@private
    NSNumber *_maxVariationsPerItem;
    NSNumber *_maxNamesPerVariationSpecificsSet;
    NSNumber *_maxValuesPerVariationSpecificsSetName;
    NSString *_detailVersion;
    NSDate *_updateTime;
    NSMutableArray *_any;

}


/**
 
 This value indicates the maximum number of item variations that the site will allow
 within one multi-variation listing.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *maxVariationsPerItem;

/**
 
 This value indicates the maximum number of variation specific sets that the site will allow
 per listing. Typical variation specific sets for clothing may be 'Color', 'Size', 'Long Sleeve', etc.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *maxNamesPerVariationSpecificsSet;

/**
 
 This value indicates the maximum number of values that the site will allow
 within one variation specific set. For example, if the variation specific set was
 'Color', the seller could specify as many colors that are available up to this
 maximum value.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *maxValuesPerVariationSpecificsSetName;

/**
 
 Returns the latest version number for this field. The version can be
 used to determine if and when to refresh cached client data.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *detailVersion;

/**
 
 Gives the time in GMT that the feature flags for the details were last
 updated. This timestamp can be used to determine if and when to refresh
 cached client data.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *updateTime;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
