// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Type defining the <b>VerifiedUserRequirements</b> container, which is used by the
 seller to block prospective buyers who do not pass a verified user check. Verified users are
 applicable to the Australia, France, India, Ireland, Spain, and UK sites.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_VerifiedUserRequirementsType : NSObject <PicoBindable> {

@private
    NSNumber *_verifiedUser;
    NSNumber *_minimumFeedbackScore;

}


/**
 
 To block non-verified users from buying/bidding on their items, the seller should include
 this field and set its value to 'true'. The default value of this field is 'false', so, if
 it is not included, non-verified users on the Australia, France, India, Ireland, Spain, and
 UK will be able to buy/bid on the seller's items.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *verifiedUser;

/**
 
 This field is ignored unless the <b>VerifiedUser</b> field is included and
 set to 'true'.
 <br/><br/>
 The seller includes this field as a mechanism to block verified users who have a feedback
 score less than the specified value.
 <br/><br/>
 To see the valid values for your site, call <b>GeteBayDetails</b> with
 <b>DetailName</b> set to <b>BuyerRequirementDetails</b>, and
 then look for the BuyerRequirementDetails.VerifiedUserRequirements.FeedbackScore fields.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *minimumFeedbackScore;


@end
