// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractRequestType.h"


@class Trading_AmountType;

/**
 
 Simulates the creation of a new Second Chance Offer
 listing of an item without actually creating a listing.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_VerifyAddSecondChanceItemRequestType : Trading_AbstractRequestType {

@private
    NSString *_recipientBidderUserID;
    Trading_AmountType *_buyItNowPrice;
    NSString *_duration;
    NSString *_itemID;
    NSString *_sellerMessage;

}


/**
 
 Specifies the bidder from the original, ended listing to whom the seller
 is extending the second chance offer. Specify only one
 RecipientBidderUserID per call. If multiple users are specified (each in a
 RecipientBidderUserID node), only the last one specified receives the
 offer.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *recipientBidderUserID;

/**
 
 Specifies the amount the offer recipient must pay to purchase the item
 from the second chance offer listing. Use only when the original item was
 an eBay Motors (or in some categories on U.S. and international sites for
 high-priced items, such as items in many U.S. and Canada Business and
 Industrial categories) and it ended unsold because the reserve price was
 not met. Call fails with an error for any other item conditions.
 
 
 type : class Trading_AmountType
*/
@property (nonatomic, retain) Trading_AmountType *buyItNowPrice;

/**
 
 Specifies the length of time the second chance offer listing will be
 active. The recipient bidder has that much time to purchase the item or
 the listing expires.
 
 
 type: string constant in Trading_SecondChanceOfferDurationCodeType.h
*/
@property (nonatomic, retain) NSString *duration;

/**
 
 Specifies the item ID for the original, ended listing from which the
 second chance offer item comes. A new ItemID is returned for the second
 chance offer item.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Message content. Cannot contain HTML, asterisks, or quotes. This content
 is included in the second chance offer email sent to the recipient, which
 can be retrieved with GetMyMessages.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *sellerMessage;


@end
