// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Trading_AbstractResponseType.h"


@class Trading_ProductSuggestionsType;
@class Trading_FeesType;

/**
 
 Returns the estimated fees for the listing that is being verified for a re-list.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_VerifyRelistItemResponseType : Trading_AbstractResponseType {

@private
    NSString *_itemID;
    Trading_FeesType *_fees;
    NSDate *_startTime;
    NSDate *_endTime;
    NSMutableArray *_discountReason;
    Trading_ProductSuggestionsType *_productSuggestions;

}


/**
 
 Unique item ID for the new listing. As VerifyRelistItem does not
 actually re-list an item, returns 0 instead of a normal item ID.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *itemID;

/**
 
 Child elements contain the estimated listing fees for the new item
 listing. The fees do not include the Final Value Fee (FVF), which cannot
 be determined until an item is sold.
 
 
 type : class Trading_FeesType
*/
@property (nonatomic, retain) Trading_FeesType *fees;

/**
 
 Date and time the new listing became active on the eBay site.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *startTime;

/**
 
 Date and time when the new listing ends. This is the starting time plus
 the listing duration.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *endTime;

/**
 
 The nature of the discount, if a discount would have applied
 had this actually been listed at this time.
 
 
 entry type : string constant in Trading_DiscountReasonCodeType.h
*/

@property (nonatomic, retain) NSMutableArray *discountReason;

/**
 
 Provides a list of products recommended by eBay which match the item information
 provided by the seller.
 Not applicable to Half.com.
 
 
 type : class Trading_ProductSuggestionsType
*/
@property (nonatomic, retain) Trading_ProductSuggestionsType *productSuggestions;


@end
