// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 Contains the data describing a single Want It Now post. Buyers create Want It Now
 posts to communicate to sellers specific requirements for items they would like to
 buy.
 
 
 @ingroup EBayAPIInterface
*/
@interface Trading_WantItNowPostType : NSObject <PicoBindable> {

@private
    NSString *_categoryID;
    NSString *_description;
    NSString *_postID;
    NSString *_site;
    NSDate *_startTime;
    NSNumber *_responseCount;
    NSString *_title;

}


/**
 
 ID of the category in which the Want It Now post is listed.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *categoryID;

/**
 
 Description of a Want It Now post. Description will not be returned for
 GetWantItNowSearchResults.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *description;

/**
 
 ID that uniquely identifies a Want It Now post.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *postID;

/**
 
 Site where the Want It Now post is listed.
 
 
 type: string constant in Trading_SiteCodeType.h
*/
@property (nonatomic, retain) NSString *site;

/**
 
 Date and time (in GMT) that a Want It Now post was added.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *startTime;

/**
 
 Number of responses for a Want It Now post. Sellers respond to a Want It
 Now post by submitting an item number, so each response corresponds to an item
 listing.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *responseCount;

/**
 
 Title of a Want It Now post.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *title;


@end
